/* CDView.c generated by valac 0.28.1, the Vala compiler
 * generated from CDView.vala, do not modify */

/*-
 * Copyright (c) 2011-2012       Scott Ringwelski <sgringwe@mtu.edu>
 *
 * Originally Written by Scott Ringwelski for BeatBox Music Player
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise.h>
#include <noise-core.h>
#include <granite.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_PLUGINS_TYPE_CD_VIEW (noise_plugins_cd_view_get_type ())
#define NOISE_PLUGINS_CD_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_CD_VIEW, NoisePluginsCDView))
#define NOISE_PLUGINS_CD_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_CD_VIEW, NoisePluginsCDViewClass))
#define NOISE_PLUGINS_IS_CD_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_CD_VIEW))
#define NOISE_PLUGINS_IS_CD_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_CD_VIEW))
#define NOISE_PLUGINS_CD_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_CD_VIEW, NoisePluginsCDViewClass))

typedef struct _NoisePluginsCDView NoisePluginsCDView;
typedef struct _NoisePluginsCDViewClass NoisePluginsCDViewClass;
typedef struct _NoisePluginsCDViewPrivate NoisePluginsCDViewPrivate;

#define NOISE_PLUGINS_TYPE_CD_VIEW_WRAPPER (noise_plugins_cd_view_wrapper_get_type ())
#define NOISE_PLUGINS_CD_VIEW_WRAPPER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_CD_VIEW_WRAPPER, NoisePluginsCDViewWrapper))
#define NOISE_PLUGINS_CD_VIEW_WRAPPER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_CD_VIEW_WRAPPER, NoisePluginsCDViewWrapperClass))
#define NOISE_PLUGINS_IS_CD_VIEW_WRAPPER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_CD_VIEW_WRAPPER))
#define NOISE_PLUGINS_IS_CD_VIEW_WRAPPER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_CD_VIEW_WRAPPER))
#define NOISE_PLUGINS_CD_VIEW_WRAPPER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_CD_VIEW_WRAPPER, NoisePluginsCDViewWrapperClass))

typedef struct _NoisePluginsCDViewWrapper NoisePluginsCDViewWrapper;
typedef struct _NoisePluginsCDViewWrapperClass NoisePluginsCDViewWrapperClass;

#define NOISE_PLUGINS_TYPE_CD_ROM_DEVICE (noise_plugins_cd_rom_device_get_type ())
#define NOISE_PLUGINS_CD_ROM_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_CD_ROM_DEVICE, NoisePluginsCDRomDevice))
#define NOISE_PLUGINS_CD_ROM_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_CD_ROM_DEVICE, NoisePluginsCDRomDeviceClass))
#define NOISE_PLUGINS_IS_CD_ROM_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_CD_ROM_DEVICE))
#define NOISE_PLUGINS_IS_CD_ROM_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_CD_ROM_DEVICE))
#define NOISE_PLUGINS_CD_ROM_DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_CD_ROM_DEVICE, NoisePluginsCDRomDeviceClass))

typedef struct _NoisePluginsCDRomDevice NoisePluginsCDRomDevice;
typedef struct _NoisePluginsCDRomDeviceClass NoisePluginsCDRomDeviceClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoisePluginsCDView {
	GtkGrid parent_instance;
	NoisePluginsCDViewPrivate * priv;
	NoisePluginsCDViewWrapper* cd_viewwrapper;
};

struct _NoisePluginsCDViewClass {
	GtkGridClass parent_class;
};

struct _NoisePluginsCDViewPrivate {
	NoisePluginsCDRomDevice* dev;
	GtkEventBox* main_event_box;
	GtkGrid* main_grid;
	GtkImage* album_image;
	GtkLabel* title;
	GtkLabel* author;
	NoiseStaticPlaylist* cd_playlist;
};


static gpointer noise_plugins_cd_view_parent_class = NULL;
static GType noise_plugins_cd_view_type_id = 0;

GType noise_plugins_cd_view_get_type (void) G_GNUC_CONST;
GType noise_plugins_cd_view_register_type (GTypeModule * module);
GType noise_plugins_cd_view_wrapper_get_type (void) G_GNUC_CONST;
GType noise_plugins_cd_view_wrapper_register_type (GTypeModule * module);
GType noise_plugins_cd_rom_device_get_type (void) G_GNUC_CONST;
GType noise_plugins_cd_rom_device_register_type (GTypeModule * module);
#define NOISE_PLUGINS_CD_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_PLUGINS_TYPE_CD_VIEW, NoisePluginsCDViewPrivate))
enum  {
	NOISE_PLUGINS_CD_VIEW_DUMMY_PROPERTY
};
NoisePluginsCDView* noise_plugins_cd_view_new (NoisePluginsCDRomDevice* d);
NoisePluginsCDView* noise_plugins_cd_view_construct (GType object_type, NoisePluginsCDRomDevice* d);
NoisePluginsCDViewWrapper* noise_plugins_cd_view_wrapper_new (NoiseStaticPlaylist* p);
NoisePluginsCDViewWrapper* noise_plugins_cd_view_wrapper_construct (GType object_type, NoiseStaticPlaylist* p);
void noise_plugins_cd_view_build_ui (NoisePluginsCDView* self);
void noise_plugins_cd_view_cd_initialised (NoisePluginsCDView* self);
static void _noise_plugins_cd_view_cd_initialised_noise_device_initialized (NoiseDevice* _sender, NoiseDevice* d, gpointer self);
static void __lambda4_ (NoisePluginsCDView* self);
gboolean noise_plugins_cd_rom_device_transfer_to_library (NoisePluginsCDRomDevice* self, GeeCollection* trans_list);
static void ___lambda4__gtk_button_clicked (GtkButton* _sender, gpointer self);
GeeCollection* noise_plugins_cd_rom_device_get_medias (NoisePluginsCDRomDevice* self);
static void noise_plugins_cd_view_load_cover (NoisePluginsCDView* self);
static void _noise_plugins_cd_view_load_cover_noise_media_art_cache_changed (NoiseMediaArtCache* _sender, gpointer self);
GraniteWidgetsWrapLabel* noise_plugins_cd_view_create_title_label (NoisePluginsCDView* self, const gchar* title);
GtkLabel* noise_plugins_cd_view_create_length_label (NoisePluginsCDView* self, guint length);
static void noise_plugins_cd_view_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	return self ? g_object_ref (self) : NULL;
#line 130 "CDView.c"
}


static void _noise_plugins_cd_view_cd_initialised_noise_device_initialized (NoiseDevice* _sender, NoiseDevice* d, gpointer self) {
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	noise_plugins_cd_view_cd_initialised ((NoisePluginsCDView*) self);
#line 137 "CDView.c"
}


NoisePluginsCDView* noise_plugins_cd_view_construct (GType object_type, NoisePluginsCDRomDevice* d) {
	NoisePluginsCDView * self = NULL;
	NoisePluginsCDRomDevice* _tmp0_ = NULL;
	NoisePluginsCDRomDevice* _tmp1_ = NULL;
	NoiseStaticPlaylist* _tmp2_ = NULL;
	NoiseStaticPlaylist* _tmp3_ = NULL;
	NoisePluginsCDViewWrapper* _tmp4_ = NULL;
	NoisePluginsCDRomDevice* _tmp5_ = NULL;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_val_if_fail (d != NULL, NULL);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self = (NoisePluginsCDView*) g_object_new (object_type, NULL);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = d;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->dev);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->dev = _tmp1_;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp2_ = noise_static_playlist_new ();
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->cd_playlist);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->cd_playlist = _tmp2_;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp3_ = self->priv->cd_playlist;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp4_ = noise_plugins_cd_view_wrapper_new (_tmp3_);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp4_);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->cd_viewwrapper);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->cd_viewwrapper = _tmp4_;
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	noise_plugins_cd_view_build_ui (self);
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp5_ = self->priv->dev;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_signal_connect_object ((NoiseDevice*) _tmp5_, "initialized", (GCallback) _noise_plugins_cd_view_cd_initialised_noise_device_initialized, self, 0);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	return self;
#line 185 "CDView.c"
}


NoisePluginsCDView* noise_plugins_cd_view_new (NoisePluginsCDRomDevice* d) {
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	return noise_plugins_cd_view_construct (NOISE_PLUGINS_TYPE_CD_VIEW, d);
#line 192 "CDView.c"
}


static void __lambda4_ (NoisePluginsCDView* self) {
	NoisePluginsCDRomDevice* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	GeeArrayQueue* _tmp3_ = NULL;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = self->priv->dev;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = self->priv->cd_playlist;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp2_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp1_);
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp3_ = _tmp2_;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	noise_plugins_cd_rom_device_transfer_to_library (_tmp0_, (GeeCollection*) _tmp3_);
#line 211 "CDView.c"
}


static void ___lambda4__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	__lambda4_ ((NoisePluginsCDView*) self);
#line 218 "CDView.c"
}


void noise_plugins_cd_view_build_ui (NoisePluginsCDView* self) {
	GtkEventBox* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkEventBox* _tmp2_ = NULL;
	GtkStyleContext* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	GdkPixbuf* default_pix = NULL;
	NoiseIcon* _tmp6_ = NULL;
	NoiseIcon* _tmp7_ = NULL;
	GdkPixbuf* _tmp8_ = NULL;
	GdkPixbuf* _tmp9_ = NULL;
	GdkPixbuf* _tmp10_ = NULL;
	GdkPixbuf* _tmp11_ = NULL;
	GtkImage* _tmp12_ = NULL;
	GtkImage* _tmp13_ = NULL;
	GtkImage* _tmp14_ = NULL;
	GtkImage* _tmp15_ = NULL;
	GtkLabel* _tmp16_ = NULL;
	GtkLabel* _tmp17_ = NULL;
	GtkLabel* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* _tmp24_ = NULL;
	GtkLabel* fake_label_1 = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* fake_label_2 = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkLabel* fake_label_3 = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkGrid* import_grid = NULL;
	GtkGrid* _tmp28_ = NULL;
	GtkButton* import_button = NULL;
	const gchar* _tmp29_ = NULL;
	GtkButton* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
	GtkGrid* _tmp32_ = NULL;
	GtkImage* _tmp33_ = NULL;
	GtkGrid* _tmp34_ = NULL;
	GtkLabel* _tmp35_ = NULL;
	GtkGrid* _tmp36_ = NULL;
	GtkLabel* _tmp37_ = NULL;
	GtkGrid* _tmp38_ = NULL;
	NoisePluginsCDViewWrapper* _tmp39_ = NULL;
	GtkGrid* _tmp40_ = NULL;
	GtkGrid* _tmp41_ = NULL;
	GtkEventBox* _tmp42_ = NULL;
	GtkGrid* _tmp43_ = NULL;
	GtkEventBox* _tmp44_ = NULL;
	GtkGrid* _tmp45_ = NULL;
	GtkGrid* _tmp46_ = NULL;
	GtkGrid* _tmp47_ = NULL;
	GtkGrid* _tmp48_ = NULL;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_if_fail (self != NULL);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = (GtkEventBox*) gtk_event_box_new ();
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp0_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->main_event_box);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->main_event_box = _tmp0_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp1_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->main_grid = _tmp1_;
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp2_ = self->priv->main_event_box;
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp3_ = gtk_widget_get_style_context ((GtkWidget*) _tmp2_);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_style_context_add_class (_tmp3_, GRANITE_STYLE_CLASS_CONTENT_VIEW);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp4_ = self->priv->cd_playlist;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp5_ = noise_playlist_is_empty ((NoisePlaylist*) _tmp4_);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	if (_tmp5_ == FALSE) {
#line 308 "CDView.c"
	}
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp6_ = noise_icons_get_DEFAULT_ALBUM_ART ();
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp7_ = _tmp6_;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp8_ = noise_icon_render_at_size (_tmp7_, NOISE_ICONS_DEFAULT_ALBUM_ART_SIZE, NULL);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	default_pix = _tmp8_;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp9_ = default_pix;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp10_ = noise_pixbuf_utils_render_pixbuf_shadow (_tmp9_, 5, 0.75);
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (default_pix);
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	default_pix = _tmp10_;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp11_ = default_pix;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp12_ = (GtkImage*) gtk_image_new_from_pixbuf (_tmp11_);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp12_);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->album_image);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->album_image = _tmp12_;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp13_ = self->priv->album_image;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp13_, GTK_ALIGN_CENTER);
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp14_ = self->priv->album_image;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp14_, GTK_ALIGN_CENTER);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp15_ = self->priv->album_image;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp15_, 0.5f, (gfloat) 1);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp16_ = (GtkLabel*) gtk_label_new ("");
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp16_);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->title);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->title = _tmp16_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp17_ = self->priv->title;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp17_, 0.5f, (gfloat) 1);
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp18_ = self->priv->title;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_label_set_justify (_tmp18_, GTK_JUSTIFY_CENTER);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp19_ = self->priv->title;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	granite_widgets_utils_apply_text_style_to_label (GRANITE_TEXT_STYLE_H2, _tmp19_);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new ("");
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp20_);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->author);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv->author = _tmp20_;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp21_ = self->priv->author;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp21_, 0.5f, (gfloat) 1);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp22_ = self->priv->author;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_label_set_justify (_tmp22_, GTK_JUSTIFY_CENTER);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp23_ = self->priv->author;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp23_, FALSE);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp24_ = self->priv->author;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	granite_widgets_utils_apply_text_style_to_label (GRANITE_TEXT_STYLE_H2, _tmp24_);
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new ("");
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp25_);
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	fake_label_1 = _tmp25_;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) fake_label_1, TRUE);
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_vexpand ((GtkWidget*) fake_label_1, TRUE);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp26_ = (GtkLabel*) gtk_label_new ("");
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp26_);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	fake_label_2 = _tmp26_;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) fake_label_2, TRUE);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_vexpand ((GtkWidget*) fake_label_2, TRUE);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new ("");
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp27_);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	fake_label_3 = _tmp27_;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) fake_label_3, TRUE);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp28_ = (GtkGrid*) gtk_grid_new ();
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp28_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	import_grid = _tmp28_;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp29_ = _ ("Import");
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp30_ = (GtkButton*) gtk_button_new_with_label (_tmp29_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp30_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	import_button = _tmp30_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_button_set_alignment (import_button, (gfloat) 1, (gfloat) 0);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (import_grid, (GtkWidget*) fake_label_3, 0, 0, 1, 1);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (import_grid, (GtkWidget*) import_button, 1, 0, 1, 1);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp31_ = self->priv->main_grid;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp31_, (GtkWidget*) fake_label_1, 0, 0, 1, 7);
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp32_ = self->priv->main_grid;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp33_ = self->priv->album_image;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp32_, (GtkWidget*) _tmp33_, 1, 3, 1, 1);
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp34_ = self->priv->main_grid;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp35_ = self->priv->title;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp34_, (GtkWidget*) _tmp35_, 2, 2, 1, 1);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp36_ = self->priv->main_grid;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp37_ = self->priv->author;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp36_, (GtkWidget*) _tmp37_, 3, 2, 1, 1);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp38_ = self->priv->main_grid;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp39_ = self->cd_viewwrapper;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp38_, (GtkWidget*) _tmp39_, 2, 3, 2, 1);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp40_ = self->priv->main_grid;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp40_, (GtkWidget*) import_grid, 3, 4, 1, 1);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp41_ = self->priv->main_grid;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach (_tmp41_, (GtkWidget*) fake_label_2, 4, 0, 1, 7);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp42_ = self->priv->main_event_box;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp43_ = self->priv->main_grid;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_container_add ((GtkContainer*) _tmp42_, (GtkWidget*) _tmp43_);
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp44_ = self->priv->main_event_box;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp44_, 0, 0, 1, 1);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp45_ = self->priv->main_grid;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp45_, TRUE);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp46_ = self->priv->main_grid;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_set_row_spacing (_tmp46_, (guint) 6);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp47_ = self->priv->main_grid;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_grid_set_column_spacing (_tmp47_, (guint) 12);
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp48_ = self->priv->main_grid;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp48_, 12);
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_signal_connect_object (import_button, "clicked", (GCallback) ___lambda4__gtk_button_clicked, self, 0);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (import_button);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (import_grid);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (fake_label_3);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (fake_label_2);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (fake_label_1);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (default_pix);
#line 518 "CDView.c"
}


static void _noise_plugins_cd_view_load_cover_noise_media_art_cache_changed (NoiseMediaArtCache* _sender, gpointer self) {
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	noise_plugins_cd_view_load_cover ((NoisePluginsCDView*) self);
#line 525 "CDView.c"
}


void noise_plugins_cd_view_cd_initialised (NoisePluginsCDView* self) {
	NoiseStaticPlaylist* _tmp0_ = NULL;
	NoisePluginsCDRomDevice* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	GeeCollection* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_if_fail (self != NULL);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = self->priv->cd_playlist;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = self->priv->dev;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp2_ = noise_plugins_cd_rom_device_get_medias (_tmp1_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp3_ = _tmp2_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	noise_playlist_add_medias ((NoisePlaylist*) _tmp0_, _tmp3_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (_tmp3_);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp4_ = self->priv->cd_playlist;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp5_ = noise_playlist_is_empty ((NoisePlaylist*) _tmp4_);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	if (_tmp5_ == FALSE) {
#line 556 "CDView.c"
		NoiseMedia* m = NULL;
		NoiseStaticPlaylist* _tmp6_ = NULL;
		GeeArrayQueue* _tmp7_ = NULL;
		GeeArrayQueue* _tmp8_ = NULL;
		gpointer _tmp9_ = NULL;
		GtkLabel* _tmp10_ = NULL;
		NoiseMedia* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		GtkLabel* _tmp14_ = NULL;
		NoiseMedia* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		NoiseCoverartCache* _tmp18_ = NULL;
		NoiseCoverartCache* _tmp19_ = NULL;
		gboolean _tmp20_ = FALSE;
		gboolean _tmp21_ = FALSE;
		NoiseMedia* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gboolean _tmp25_ = FALSE;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp6_ = self->priv->cd_playlist;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp7_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp6_);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp8_ = _tmp7_;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp9_ = gee_abstract_queue_peek ((GeeAbstractQueue*) _tmp8_);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		m = (NoiseMedia*) _tmp9_;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp10_ = self->priv->author;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp11_ = m;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp12_ = noise_media_get_display_album_artist (_tmp11_, TRUE);
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp13_ = _tmp12_;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		gtk_label_set_markup (_tmp10_, _tmp13_);
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_g_free0 (_tmp13_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp14_ = self->priv->title;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp15_ = m;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp16_ = noise_media_get_display_album (_tmp15_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp17_ = _tmp16_;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		gtk_label_set_markup (_tmp14_, _tmp17_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_g_free0 (_tmp17_);
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp18_ = noise_coverart_cache_get_instance ();
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp19_ = _tmp18_;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		g_signal_connect_object ((NoiseMediaArtCache*) _tmp19_, "changed", (GCallback) _noise_plugins_cd_view_load_cover_noise_media_art_cache_changed, self, 0);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		noise_plugins_cd_view_load_cover (self);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp22_ = m;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp23_ = noise_media_get_artist (_tmp22_);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp24_ = _tmp23_;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp25_ = noise_string_is_empty (_tmp24_, TRUE);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		if (!_tmp25_) {
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp21_ = TRUE;
#line 632 "CDView.c"
		} else {
			NoiseMedia* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
			const gchar* _tmp28_ = NULL;
			gboolean _tmp29_ = FALSE;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp26_ = m;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp27_ = noise_media_get_album_artist (_tmp26_);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp28_ = _tmp27_;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp29_ = noise_string_is_empty (_tmp28_, TRUE);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp21_ = !_tmp29_;
#line 648 "CDView.c"
		}
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		if (_tmp21_) {
#line 652 "CDView.c"
			NoiseMedia* _tmp30_ = NULL;
			const gchar* _tmp31_ = NULL;
			const gchar* _tmp32_ = NULL;
			gboolean _tmp33_ = FALSE;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp30_ = m;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp31_ = noise_media_get_album (_tmp30_);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp32_ = _tmp31_;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp33_ = noise_string_is_empty (_tmp32_, TRUE);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp20_ = !_tmp33_;
#line 667 "CDView.c"
		} else {
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp20_ = FALSE;
#line 671 "CDView.c"
		}
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		if (_tmp20_) {
#line 675 "CDView.c"
			NoiseNotificationManager* _tmp34_ = NULL;
			NoiseNotificationManager* _tmp35_ = NULL;
			NoiseMedia* _tmp36_ = NULL;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp34_ = noise_notification_manager_get_default ();
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp35_ = _tmp34_;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_tmp36_ = m;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			g_signal_emit_by_name (_tmp35_, "search-cover", _tmp36_);
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
			_g_object_unref0 (_tmp35_);
#line 689 "CDView.c"
		}
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_g_object_unref0 (m);
#line 693 "CDView.c"
	}
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 697 "CDView.c"
}


static void noise_plugins_cd_view_load_cover (NoisePluginsCDView* self) {
	GdkPixbuf* cover_pixbuf = NULL;
	NoiseCoverartCache* _tmp0_ = NULL;
	NoiseCoverartCache* _tmp1_ = NULL;
	NoiseStaticPlaylist* _tmp2_ = NULL;
	GeeArrayQueue* _tmp3_ = NULL;
	GeeArrayQueue* _tmp4_ = NULL;
	gpointer _tmp5_ = NULL;
	NoiseMedia* _tmp6_ = NULL;
	GdkPixbuf* _tmp7_ = NULL;
	GdkPixbuf* _tmp8_ = NULL;
	GdkPixbuf* _tmp9_ = NULL;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_if_fail (self != NULL);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = noise_coverart_cache_get_instance ();
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = _tmp0_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp2_ = self->priv->cd_playlist;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp3_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp2_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp4_ = _tmp3_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp5_ = gee_abstract_queue_peek ((GeeAbstractQueue*) _tmp4_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp6_ = (NoiseMedia*) _tmp5_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp7_ = noise_coverart_cache_get_cover (_tmp1_, _tmp6_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp8_ = _tmp7_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (_tmp6_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	cover_pixbuf = _tmp8_;
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp9_ = cover_pixbuf;
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	if (_tmp9_ != NULL) {
#line 741 "CDView.c"
		GtkImage* _tmp10_ = NULL;
		GdkPixbuf* _tmp11_ = NULL;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp10_ = self->priv->album_image;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		_tmp11_ = cover_pixbuf;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
		gtk_image_set_from_pixbuf (_tmp10_, _tmp11_);
#line 750 "CDView.c"
	}
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (cover_pixbuf);
#line 754 "CDView.c"
}


GraniteWidgetsWrapLabel* noise_plugins_cd_view_create_title_label (NoisePluginsCDView* self, const gchar* title) {
	GraniteWidgetsWrapLabel* result = NULL;
	GraniteWidgetsWrapLabel* label = NULL;
	const gchar* _tmp0_ = NULL;
	GraniteWidgetsWrapLabel* _tmp1_ = NULL;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_val_if_fail (title != NULL, NULL);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = title;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = granite_widgets_wrap_label_new (_tmp0_);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp1_);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	label = _tmp1_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_label_set_justify ((GtkLabel*) label, GTK_JUSTIFY_LEFT);
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_misc_set_alignment ((GtkMisc*) label, (gfloat) 0, (gfloat) 0);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) label, TRUE);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	result = label;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	return result;
#line 785 "CDView.c"
}


GtkLabel* noise_plugins_cd_view_create_length_label (NoisePluginsCDView* self, guint length) {
	GtkLabel* result = NULL;
	GtkLabel* label = NULL;
	guint _tmp0_ = 0U;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp0_ = length;
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp1_ = noise_time_utils_pretty_length_from_ms ((guint64) _tmp0_);
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp2_ = _tmp1_;
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (_tmp2_);
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_object_ref_sink (_tmp3_);
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_tmp4_ = _tmp3_;
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_free0 (_tmp2_);
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	label = _tmp4_;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	gtk_label_set_justify (label, GTK_JUSTIFY_RIGHT);
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	result = label;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	return result;
#line 821 "CDView.c"
}


static void noise_plugins_cd_view_class_init (NoisePluginsCDViewClass * klass) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	noise_plugins_cd_view_parent_class = g_type_class_peek_parent (klass);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	g_type_class_add_private (klass, sizeof (NoisePluginsCDViewPrivate));
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_plugins_cd_view_finalize;
#line 832 "CDView.c"
}


static void noise_plugins_cd_view_instance_init (NoisePluginsCDView * self) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self->priv = NOISE_PLUGINS_CD_VIEW_GET_PRIVATE (self);
#line 839 "CDView.c"
}


static void noise_plugins_cd_view_finalize (GObject* obj) {
	NoisePluginsCDView * self;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_PLUGINS_TYPE_CD_VIEW, NoisePluginsCDView);
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->dev);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->main_event_box);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->album_image);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->title);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->author);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->priv->cd_playlist);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	_g_object_unref0 (self->cd_viewwrapper);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/CDRom/CDView.vala"
	G_OBJECT_CLASS (noise_plugins_cd_view_parent_class)->finalize (obj);
#line 865 "CDView.c"
}


GType noise_plugins_cd_view_get_type (void) {
	return noise_plugins_cd_view_type_id;
}


GType noise_plugins_cd_view_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (NoisePluginsCDViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_plugins_cd_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePluginsCDView), 0, (GInstanceInitFunc) noise_plugins_cd_view_instance_init, NULL };
	noise_plugins_cd_view_type_id = g_type_module_register_type (module, gtk_grid_get_type (), "NoisePluginsCDView", &g_define_type_info, 0);
	return noise_plugins_cd_view_type_id;
}



