/* iPodDevice.c generated by valac 0.28.1, the Vala compiler
 * generated from iPodDevice.vala, do not modify */

/*-
 * Copyright (c) 2011-2012       Corentin Noël <tintou@mailoo.org>
 *
 * Originally Written by Scott Ringwelski for BeatBox Music Player
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <gio/gio.h>
#include <gpod/itdb.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gtk/gtk.h>


#define NOISE_PLUGINS_TYPE_IPOD_DEVICE (noise_plugins_ipod_device_get_type ())
#define NOISE_PLUGINS_IPOD_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_IPOD_DEVICE, NoisePluginsiPodDevice))
#define NOISE_PLUGINS_IPOD_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_IPOD_DEVICE, NoisePluginsiPodDeviceClass))
#define NOISE_PLUGINS_IS_IPOD_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_IPOD_DEVICE))
#define NOISE_PLUGINS_IS_IPOD_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_IPOD_DEVICE))
#define NOISE_PLUGINS_IPOD_DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_IPOD_DEVICE, NoisePluginsiPodDeviceClass))

typedef struct _NoisePluginsiPodDevice NoisePluginsiPodDevice;
typedef struct _NoisePluginsiPodDeviceClass NoisePluginsiPodDeviceClass;
typedef struct _NoisePluginsiPodDevicePrivate NoisePluginsiPodDevicePrivate;

#define NOISE_PLUGINS_TYPE_IPOD_LIBRARY (noise_plugins_ipod_library_get_type ())
#define NOISE_PLUGINS_IPOD_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_IPOD_LIBRARY, NoisePluginsiPodLibrary))
#define NOISE_PLUGINS_IPOD_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_IPOD_LIBRARY, NoisePluginsiPodLibraryClass))
#define NOISE_PLUGINS_IS_IPOD_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_IPOD_LIBRARY))
#define NOISE_PLUGINS_IS_IPOD_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_IPOD_LIBRARY))
#define NOISE_PLUGINS_IPOD_LIBRARY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_IPOD_LIBRARY, NoisePluginsiPodLibraryClass))

typedef struct _NoisePluginsiPodLibrary NoisePluginsiPodLibrary;
typedef struct _NoisePluginsiPodLibraryClass NoisePluginsiPodLibraryClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _itdb_free0(var) ((var == NULL) ? NULL : (var = (itdb_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _NoisePluginsiPodDevice {
	GObject parent_instance;
	NoisePluginsiPodDevicePrivate * priv;
	GMount* mount;
	gboolean is_supported;
};

struct _NoisePluginsiPodDeviceClass {
	GObjectClass parent_class;
};

struct _NoisePluginsiPodDevicePrivate {
	NoiseDevicePreferences* pref;
	Itdb_iTunesDB* db;
	GIcon* icon;
	gboolean is_new;
	NoisePluginsiPodLibrary* library;
};


static gpointer noise_plugins_ipod_device_parent_class = NULL;
static NoiseDeviceIface* noise_plugins_ipod_device_noise_device_parent_iface = NULL;
static GType noise_plugins_ipod_device_type_id = 0;

GType noise_plugins_ipod_device_get_type (void) G_GNUC_CONST;
GType noise_plugins_ipod_device_register_type (GTypeModule * module);
GType noise_plugins_ipod_library_get_type (void) G_GNUC_CONST;
GType noise_plugins_ipod_library_register_type (GTypeModule * module);
#define NOISE_PLUGINS_IPOD_DEVICE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_PLUGINS_TYPE_IPOD_DEVICE, NoisePluginsiPodDevicePrivate))
enum  {
	NOISE_PLUGINS_IPOD_DEVICE_DUMMY_PROPERTY
};
NoisePluginsiPodDevice* noise_plugins_ipod_device_new (GMount* mount);
NoisePluginsiPodDevice* noise_plugins_ipod_device_construct (GType object_type, GMount* mount);
static NoiseDevicePreferences* noise_plugins_ipod_device_real_get_preferences (NoiseDevice* base);
static gboolean noise_plugins_ipod_device_real_start_initialization (NoiseDevice* base);
NoisePluginsiPodLibrary* noise_plugins_ipod_library_new (Itdb_iTunesDB* db, NoiseDevice* device);
NoisePluginsiPodLibrary* noise_plugins_ipod_library_construct (GType object_type, Itdb_iTunesDB* db, NoiseDevice* device);
static void noise_plugins_ipod_device_real_finish_initialization (NoiseDevice* base);
void noise_plugins_ipod_library_finish_initialization_async (NoisePluginsiPodLibrary* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
void noise_plugins_ipod_library_finish_initialization_finish (NoisePluginsiPodLibrary* self, GAsyncResult* _res_);
static gchar* noise_plugins_ipod_device_real_getEmptyDeviceTitle (NoiseDevice* base);
static gchar* noise_plugins_ipod_device_real_getEmptyDeviceDescription (NoiseDevice* base);
static gchar* noise_plugins_ipod_device_real_getContentType (NoiseDevice* base);
static gchar* noise_plugins_ipod_device_real_getDisplayName (NoiseDevice* base);
static void noise_plugins_ipod_device_real_setDisplayName (NoiseDevice* base, const gchar* name);
static gchar* noise_plugins_ipod_device_real_get_fancy_description (NoiseDevice* base);
static void noise_plugins_ipod_device_real_set_mount (NoiseDevice* base, GMount* mount);
static GMount* noise_plugins_ipod_device_real_get_mount (NoiseDevice* base);
static gchar* noise_plugins_ipod_device_real_get_uri (NoiseDevice* base);
static void noise_plugins_ipod_device_real_set_icon (NoiseDevice* base, GIcon* icon);
static GIcon* noise_plugins_ipod_device_real_get_icon (NoiseDevice* base);
static guint64 noise_plugins_ipod_device_real_get_capacity (NoiseDevice* base);
static gchar* noise_plugins_ipod_device_real_get_fancy_capacity (NoiseDevice* base);
static guint64 noise_plugins_ipod_device_real_get_used_space (NoiseDevice* base);
static guint64 noise_plugins_ipod_device_real_get_free_space (NoiseDevice* base);
static void noise_plugins_ipod_device_real_unmount (NoiseDevice* base);
static void noise_plugins_ipod_device_real_eject (NoiseDevice* base);
static void noise_plugins_ipod_device_real_synchronize (NoiseDevice* base);
static gboolean noise_plugins_ipod_device_real_only_use_custom_view (NoiseDevice* base);
static GtkWidget* noise_plugins_ipod_device_real_get_custom_view (NoiseDevice* base);
static gboolean noise_plugins_ipod_device_real_read_only (NoiseDevice* base);
static NoiseLibrary* noise_plugins_ipod_device_real_get_library (NoiseDevice* base);
static void noise_plugins_ipod_device_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return self ? g_object_ref (self) : NULL;
#line 132 "iPodDevice.c"
}


NoisePluginsiPodDevice* noise_plugins_ipod_device_construct (GType object_type, GMount* mount) {
	NoisePluginsiPodDevice * self = NULL;
	GMount* _tmp0_ = NULL;
	GMount* _tmp1_ = NULL;
	GMount* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	NoiseDeviceManager* device_manager = NULL;
	NoiseDeviceManager* _tmp8_ = NULL;
	NoiseDeviceManager* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	NoiseDevicePreferences* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gboolean _tmp14_ = FALSE;
	NoiseIcon* _tmp15_ = NULL;
	NoiseIcon* _tmp16_ = NULL;
	GIcon* _tmp17_ = NULL;
	GIcon* _tmp18_ = NULL;
	GIcon* _tmp19_ = NULL;
	NoiseDevicePreferences* _tmp20_ = NULL;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_return_val_if_fail (mount != NULL, NULL);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) g_object_new (object_type, NULL);
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = mount;
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->mount);
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->mount = _tmp1_;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp2_ = mount;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp3_ = g_mount_get_default_location (_tmp2_);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp4_ = _tmp3_;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp5_ = g_file_get_parse_name (_tmp4_);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp6_ = _tmp5_;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp7_ = g_str_has_prefix (_tmp6_, "afc://");
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->priv->is_new = _tmp7_;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_free0 (_tmp6_);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (_tmp4_);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp8_ = noise_device_manager_get_default ();
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	device_manager = _tmp8_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp9_ = device_manager;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp10_ = noise_device_get_unique_identifier ((NoiseDevice*) self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp11_ = _tmp10_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp12_ = noise_device_manager_get_device_preferences (_tmp9_, _tmp11_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->priv->pref);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->priv->pref = _tmp12_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_free0 (_tmp11_);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp14_ = self->priv->is_new;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (_tmp14_) {
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp13_ = "phone";
#line 214 "iPodDevice.c"
	} else {
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp13_ = "multimedia-player";
#line 218 "iPodDevice.c"
	}
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp15_ = noise_icon_new (_tmp13_);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp16_ = _tmp15_;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp17_ = noise_icon_get_gicon (_tmp16_);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp18_ = _tmp17_;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp19_ = _g_object_ref0 (_tmp18_);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->priv->icon);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->priv->icon = _tmp19_;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (_tmp16_);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp20_ = self->priv->pref;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (_tmp20_ == NULL) {
#line 240 "iPodDevice.c"
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		NoiseDevicePreferences* _tmp23_ = NULL;
		NoiseDeviceManager* _tmp24_ = NULL;
		NoiseDevicePreferences* _tmp25_ = NULL;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp21_ = noise_device_get_unique_identifier ((NoiseDevice*) self);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp22_ = _tmp21_;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp23_ = noise_device_preferences_new (_tmp22_);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (self->priv->pref);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		self->priv->pref = _tmp23_;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_free0 (_tmp22_);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp24_ = device_manager;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp25_ = self->priv->pref;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		noise_device_manager_add_device_preferences (_tmp24_, _tmp25_);
#line 264 "iPodDevice.c"
	}
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (device_manager);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return self;
#line 270 "iPodDevice.c"
}


NoisePluginsiPodDevice* noise_plugins_ipod_device_new (GMount* mount) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return noise_plugins_ipod_device_construct (NOISE_PLUGINS_TYPE_IPOD_DEVICE, mount);
#line 277 "iPodDevice.c"
}


static NoiseDevicePreferences* noise_plugins_ipod_device_real_get_preferences (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	NoiseDevicePreferences* result = NULL;
	NoiseDevicePreferences* _tmp0_ = NULL;
	NoiseDevicePreferences* _tmp1_ = NULL;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->pref;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 296 "iPodDevice.c"
}


static gboolean noise_plugins_ipod_device_real_start_initialization (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 306 "iPodDevice.c"
	{
		Itdb_iTunesDB* _tmp0_ = NULL;
		GMount* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		GFile* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		Itdb_iTunesDB* _tmp6_ = NULL;
		Itdb_iTunesDB* _tmp7_ = NULL;
		Itdb_iTunesDB* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
		Itdb_iTunesDB* _tmp10_ = NULL;
		Itdb_Device* _tmp11_ = NULL;
		Itdb_IpodInfo* _tmp12_ = NULL;
		Itdb_IpodModel _tmp13_ = 0;
		Itdb_iTunesDB* _tmp18_ = NULL;
		NoisePluginsiPodLibrary* _tmp19_ = NULL;
		NoiseLibrariesManager* _tmp20_ = NULL;
		NoisePluginsiPodLibrary* _tmp21_ = NULL;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp1_ = self->mount;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp2_ = g_mount_get_default_location (_tmp1_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp3_ = _tmp2_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp4_ = g_file_get_path (_tmp3_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp5_ = _tmp4_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp6_ = itdb_parse (_tmp5_, &_inner_error_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp7_ = _tmp6_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_free0 (_tmp5_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp3_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp0_ = _tmp7_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 348 "iPodDevice.c"
			goto __catch20_g_error;
		}
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp8_ = _tmp0_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp0_ = NULL;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_itdb_free0 (self->priv->db);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		self->priv->db = _tmp8_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp10_ = self->priv->db;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp11_ = _tmp10_->device;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp12_ = itdb_device_get_ipod_info (_tmp11_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp13_ = _tmp12_->ipod_model;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		if (_tmp13_ == ITDB_IPOD_MODEL_INVALID) {
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp9_ = TRUE;
#line 371 "iPodDevice.c"
		} else {
			Itdb_iTunesDB* _tmp14_ = NULL;
			Itdb_Device* _tmp15_ = NULL;
			Itdb_IpodInfo* _tmp16_ = NULL;
			Itdb_IpodModel _tmp17_ = 0;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp14_ = self->priv->db;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp15_ = _tmp14_->device;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp16_ = itdb_device_get_ipod_info (_tmp15_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp17_ = _tmp16_->ipod_model;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp9_ = _tmp17_ == ITDB_IPOD_MODEL_UNKNOWN;
#line 387 "iPodDevice.c"
		}
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		if (_tmp9_) {
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			self->is_supported = FALSE;
#line 393 "iPodDevice.c"
		}
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp18_ = self->priv->db;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp19_ = noise_plugins_ipod_library_new (_tmp18_, (NoiseDevice*) self);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (self->priv->library);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		self->priv->library = _tmp19_;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp20_ = noise_libraries_manager;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp21_ = self->priv->library;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		noise_libraries_manager_add_library (_tmp20_, (NoiseLibrary*) _tmp21_);
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_itdb_free0 (_tmp0_);
#line 411 "iPodDevice.c"
	}
	goto __finally20;
	__catch20_g_error:
	{
		GError* err = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		GError* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		err = _inner_error_;
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_inner_error_ = NULL;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp22_ = noise_device_get_uri ((NoiseDevice*) self);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp23_ = _tmp22_;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp24_ = err;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp25_ = _tmp24_->message;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("iPodDevice.vala:58: Error parsing db at %s: %s\n", _tmp23_, _tmp25_);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_free0 (_tmp23_);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		result = FALSE;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_error_free0 (err);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return result;
#line 443 "iPodDevice.c"
	}
	__finally20:
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_clear_error (&_inner_error_);
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return FALSE;
#line 454 "iPodDevice.c"
	}
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = TRUE;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 460 "iPodDevice.c"
}


static void noise_plugins_ipod_device_real_finish_initialization (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	NoisePluginsiPodLibrary* _tmp0_ = NULL;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->library;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	noise_plugins_ipod_library_finish_initialization_async (_tmp0_, NULL, NULL);
#line 473 "iPodDevice.c"
}


static gchar* noise_plugins_ipod_device_real_getEmptyDeviceTitle (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = _ ("Empty device!");
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 492 "iPodDevice.c"
}


static gchar* noise_plugins_ipod_device_real_getEmptyDeviceDescription (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = _ ("This device does not contain any music.");
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 511 "iPodDevice.c"
}


static gchar* noise_plugins_ipod_device_real_getContentType (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->is_new;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (_tmp0_) {
#line 525 "iPodDevice.c"
		gchar* _tmp1_ = NULL;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp1_ = g_strdup ("ipod-new");
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		result = _tmp1_;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return result;
#line 533 "iPodDevice.c"
	} else {
		gchar* _tmp2_ = NULL;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp2_ = g_strdup ("ipod-old");
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		result = _tmp2_;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return result;
#line 542 "iPodDevice.c"
	}
}


static gchar* noise_plugins_ipod_device_real_getDisplayName (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	Itdb_iTunesDB* _tmp0_ = NULL;
	Itdb_Playlist* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->db;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = itdb_playlist_mpl (_tmp0_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp2_ = _tmp1_->name;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp3_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 568 "iPodDevice.c"
}


static void noise_plugins_ipod_device_real_setDisplayName (NoiseDevice* base, const gchar* name) {
	NoisePluginsiPodDevice * self;
	Itdb_iTunesDB* _tmp0_ = NULL;
	Itdb_Playlist* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	NoiseDeviceManager* _tmp12_ = NULL;
	NoiseDeviceManager* _tmp13_ = NULL;
	GError * _inner_error_ = NULL;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_return_if_fail (name != NULL);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->db;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = itdb_playlist_mpl (_tmp0_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp2_ = name;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_free0 (_tmp1_->name);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_->name = _tmp3_;
#line 597 "iPodDevice.c"
	{
		GMount* _tmp4_ = NULL;
		GFile* _tmp5_ = NULL;
		GFile* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		GFile* _tmp8_ = NULL;
		GFile* _tmp9_ = NULL;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp4_ = self->mount;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp5_ = g_mount_get_default_location (_tmp4_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp6_ = _tmp5_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp7_ = name;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp8_ = g_file_set_display_name (_tmp6_, _tmp7_, NULL, &_inner_error_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp9_ = _tmp8_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp9_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp6_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 623 "iPodDevice.c"
			goto __catch21_g_error;
		}
	}
	goto __finally21;
	__catch21_g_error:
	{
		GError* err = NULL;
		GError* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		err = _inner_error_;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_inner_error_ = NULL;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp10_ = err;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp11_ = _tmp10_->message;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("iPodDevice.vala:93: Could not set iPod Mount Display Name: %s\n", _tmp11_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_error_free0 (err);
#line 645 "iPodDevice.c"
	}
	__finally21:
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_clear_error (&_inner_error_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return;
#line 656 "iPodDevice.c"
	}
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp12_ = noise_device_manager_get_default ();
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp13_ = _tmp12_;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_signal_emit_by_name (_tmp13_, "device-name-changed", (NoiseDevice*) self);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (_tmp13_);
#line 666 "iPodDevice.c"
}


static gchar* noise_plugins_ipod_device_real_get_fancy_description (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	Itdb_IpodGeneration enum_gen = 0;
	Itdb_iTunesDB* _tmp0_ = NULL;
	Itdb_Device* _tmp1_ = NULL;
	Itdb_IpodInfo* _tmp2_ = NULL;
	Itdb_IpodGeneration _tmp3_ = 0;
	Itdb_IpodGeneration _tmp4_ = 0;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->db;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _tmp0_->device;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp2_ = itdb_device_get_ipod_info (_tmp1_);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp3_ = _tmp2_->ipod_generation;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	enum_gen = _tmp3_;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp4_ = enum_gen;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	switch (_tmp4_) {
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_FIRST:
#line 697 "iPodDevice.c"
		{
			gchar* _tmp5_ = NULL;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp5_ = g_strdup ("iPod 1G");
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp5_;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 706 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_SECOND:
#line 710 "iPodDevice.c"
		{
			gchar* _tmp6_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp6_ = g_strdup ("iPod 2G");
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp6_;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 719 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_THIRD:
#line 723 "iPodDevice.c"
		{
			gchar* _tmp7_ = NULL;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp7_ = g_strdup ("iPod 3G");
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp7_;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 732 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_FOURTH:
#line 736 "iPodDevice.c"
		{
			gchar* _tmp8_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp8_ = g_strdup ("iPod 4G");
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp8_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 745 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_PHOTO:
#line 749 "iPodDevice.c"
		{
			gchar* _tmp9_ = NULL;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp9_ = g_strdup ("iPod photo");
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp9_;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 758 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_VIDEO_1:
#line 762 "iPodDevice.c"
		{
			gchar* _tmp10_ = NULL;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp10_ = g_strdup ("iPod video");
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp10_;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 771 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_VIDEO_2:
#line 775 "iPodDevice.c"
		{
			gchar* _tmp11_ = NULL;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp11_ = g_strdup ("iPod video 2G");
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp11_;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 784 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_MOBILE:
#line 788 "iPodDevice.c"
		{
			gchar* _tmp12_ = NULL;
#line 117 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp12_ = g_strdup ("iPod mobile");
#line 117 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp12_;
#line 117 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 797 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_MINI_1:
#line 801 "iPodDevice.c"
		{
			gchar* _tmp13_ = NULL;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp13_ = g_strdup ("iPod mini");
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp13_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 810 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_MINI_2:
#line 814 "iPodDevice.c"
		{
			gchar* _tmp14_ = NULL;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp14_ = g_strdup ("iPod mini 2G");
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp14_;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 823 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_SHUFFLE_1:
#line 827 "iPodDevice.c"
		{
			gchar* _tmp15_ = NULL;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp15_ = g_strdup ("iPod shuffle");
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp15_;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 836 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_SHUFFLE_2:
#line 840 "iPodDevice.c"
		{
			gchar* _tmp16_ = NULL;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp16_ = g_strdup ("iPod shuffle 2G");
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp16_;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 849 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_SHUFFLE_3:
#line 853 "iPodDevice.c"
		{
			gchar* _tmp17_ = NULL;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp17_ = g_strdup ("iPod shuffle 3G");
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp17_;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 862 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_SHUFFLE_4:
#line 866 "iPodDevice.c"
		{
			gchar* _tmp18_ = NULL;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp18_ = g_strdup ("iPod shuffle 4G");
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp18_;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 875 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_NANO_1:
#line 879 "iPodDevice.c"
		{
			gchar* _tmp19_ = NULL;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp19_ = g_strdup ("iPod nano");
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp19_;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 888 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_NANO_2:
#line 892 "iPodDevice.c"
		{
			gchar* _tmp20_ = NULL;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp20_ = g_strdup ("iPod nano 2G");
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp20_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 901 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_NANO_3:
#line 905 "iPodDevice.c"
		{
			gchar* _tmp21_ = NULL;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp21_ = g_strdup ("iPod nano 3G");
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp21_;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 914 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_NANO_4:
#line 918 "iPodDevice.c"
		{
			gchar* _tmp22_ = NULL;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp22_ = g_strdup ("iPod nano 4G");
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp22_;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 927 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_NANO_5:
#line 931 "iPodDevice.c"
		{
			gchar* _tmp23_ = NULL;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp23_ = g_strdup ("iPod nano 5G");
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp23_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 940 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_NANO_6:
#line 944 "iPodDevice.c"
		{
			gchar* _tmp24_ = NULL;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp24_ = g_strdup ("iPod nano 6G");
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp24_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 953 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_CLASSIC_1:
#line 957 "iPodDevice.c"
		{
			gchar* _tmp25_ = NULL;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp25_ = g_strdup ("iPod classic");
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp25_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 966 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_CLASSIC_2:
#line 970 "iPodDevice.c"
		{
			gchar* _tmp26_ = NULL;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp26_ = g_strdup ("iPod classic 2G");
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp26_;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 979 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_CLASSIC_3:
#line 983 "iPodDevice.c"
		{
			gchar* _tmp27_ = NULL;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp27_ = g_strdup ("iPod classic 3G");
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp27_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 992 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_TOUCH_1:
#line 996 "iPodDevice.c"
		{
			gchar* _tmp28_ = NULL;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp28_ = g_strdup ("iPod touch 1G");
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp28_;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1005 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_TOUCH_2:
#line 1009 "iPodDevice.c"
		{
			gchar* _tmp29_ = NULL;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp29_ = g_strdup ("iPod touch 2G");
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp29_;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1018 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_TOUCH_3:
#line 1022 "iPodDevice.c"
		{
			gchar* _tmp30_ = NULL;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp30_ = g_strdup ("iPod touch 3G");
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp30_;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1031 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_TOUCH_4:
#line 1035 "iPodDevice.c"
		{
			gchar* _tmp31_ = NULL;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp31_ = g_strdup ("iPod touch 4G");
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp31_;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1044 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_IPHONE_1:
#line 1048 "iPodDevice.c"
		{
			gchar* _tmp32_ = NULL;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp32_ = g_strdup ("iPhone");
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp32_;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1057 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_IPHONE_2:
#line 1061 "iPodDevice.c"
		{
			gchar* _tmp33_ = NULL;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp33_ = g_strdup ("iPhone 2G");
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp33_;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1070 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_IPHONE_3:
#line 1074 "iPodDevice.c"
		{
			gchar* _tmp34_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp34_ = g_strdup ("iPhone 3G(S)");
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp34_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1083 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_IPHONE_4:
#line 1087 "iPodDevice.c"
		{
			gchar* _tmp35_ = NULL;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp35_ = g_strdup ("iPhone 4(S)");
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp35_;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1096 "iPodDevice.c"
		}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		case ITDB_IPOD_GENERATION_IPAD_1:
#line 1100 "iPodDevice.c"
		{
			gchar* _tmp36_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp36_ = g_strdup ("iPad");
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp36_;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1109 "iPodDevice.c"
		}
		default:
		{
			gchar* _tmp37_ = NULL;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			_tmp37_ = g_strdup ("");
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			result = _tmp37_;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
			return result;
#line 1120 "iPodDevice.c"
		}
	}
}


static void noise_plugins_ipod_device_real_set_mount (NoiseDevice* base, GMount* mount) {
	NoisePluginsiPodDevice * self;
	GMount* _tmp0_ = NULL;
	GMount* _tmp1_ = NULL;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_return_if_fail (mount != NULL);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = mount;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->mount);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->mount = _tmp1_;
#line 1142 "iPodDevice.c"
}


static GMount* noise_plugins_ipod_device_real_get_mount (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	GMount* result = NULL;
	GMount* _tmp0_ = NULL;
	GMount* _tmp1_ = NULL;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->mount;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1161 "iPodDevice.c"
}


static gchar* noise_plugins_ipod_device_real_get_uri (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	GMount* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->mount;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = g_mount_get_default_location (_tmp0_);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp2_ = _tmp1_;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp3_ = g_file_get_uri (_tmp2_);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp4_ = _tmp3_;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (_tmp2_);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp4_;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1191 "iPodDevice.c"
}


static void noise_plugins_ipod_device_real_set_icon (NoiseDevice* base, GIcon* icon) {
	NoisePluginsiPodDevice * self;
	GIcon* _tmp0_ = NULL;
	GIcon* _tmp1_ = NULL;
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_return_if_fail (icon != NULL);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = icon;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->priv->icon);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->priv->icon = _tmp1_;
#line 1211 "iPodDevice.c"
}


static GIcon* noise_plugins_ipod_device_real_get_icon (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	GIcon* result = NULL;
	GIcon* _tmp0_ = NULL;
	GIcon* _tmp1_ = NULL;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->icon;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1230 "iPodDevice.c"
}


static guint64 noise_plugins_ipod_device_real_get_capacity (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	guint64 result = 0ULL;
	guint64 rv = 0ULL;
	GError * _inner_error_ = NULL;
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	rv = (guint64) 0;
#line 1243 "iPodDevice.c"
	{
		GFileInfo* file_info = NULL;
		gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		GFile* _tmp3_ = NULL;
		GFileInfo* _tmp4_ = NULL;
		GFileInfo* _tmp5_ = NULL;
		guint64 _tmp6_ = 0ULL;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp0_ = noise_device_get_uri ((NoiseDevice*) self);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp1_ = _tmp0_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp2_ = g_file_new_for_uri (_tmp1_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp3_ = _tmp2_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp4_ = g_file_query_filesystem_info (_tmp3_, "filesystem::*", NULL, &_inner_error_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp5_ = _tmp4_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp3_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_free0 (_tmp1_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		file_info = _tmp5_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1273 "iPodDevice.c"
			goto __catch22_g_error;
		}
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp6_ = g_file_info_get_attribute_uint64 (file_info, G_FILE_ATTRIBUTE_FILESYSTEM_SIZE);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		rv = _tmp6_;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (file_info);
#line 1282 "iPodDevice.c"
	}
	goto __finally22;
	__catch22_g_error:
	{
		GError* err = NULL;
		GError* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		err = _inner_error_;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_inner_error_ = NULL;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp7_ = err;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp8_ = _tmp7_->message;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("iPodDevice.vala:197: Error calculating capacity of iPod: %s\n", _tmp8_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_error_free0 (err);
#line 1302 "iPodDevice.c"
	}
	__finally22:
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_clear_error (&_inner_error_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return 0ULL;
#line 1313 "iPodDevice.c"
	}
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = rv;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1319 "iPodDevice.c"
}


static gchar* noise_plugins_ipod_device_real_get_fancy_capacity (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gchar* result = NULL;
	guint64 _tmp0_ = 0ULL;
	gchar* _tmp1_ = NULL;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = noise_device_get_capacity ((NoiseDevice*) self);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = g_format_size_full (_tmp0_, G_FORMAT_SIZE_DEFAULT);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1338 "iPodDevice.c"
}


static guint64 noise_plugins_ipod_device_real_get_used_space (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	guint64 result = 0ULL;
	guint64 _tmp0_ = 0ULL;
	guint64 _tmp1_ = 0ULL;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = noise_device_get_capacity ((NoiseDevice*) self);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = noise_device_get_free_space ((NoiseDevice*) self);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp0_ - _tmp1_;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1357 "iPodDevice.c"
}


static guint64 noise_plugins_ipod_device_real_get_free_space (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	guint64 result = 0ULL;
	guint64 rv = 0ULL;
	GError * _inner_error_ = NULL;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	rv = (guint64) 0;
#line 1370 "iPodDevice.c"
	{
		GFileInfo* file_info = NULL;
		gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		GFile* _tmp3_ = NULL;
		GFileInfo* _tmp4_ = NULL;
		GFileInfo* _tmp5_ = NULL;
		guint64 _tmp6_ = 0ULL;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp0_ = noise_device_get_uri ((NoiseDevice*) self);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp1_ = _tmp0_;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp2_ = g_file_new_for_uri (_tmp1_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp3_ = _tmp2_;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp4_ = g_file_query_filesystem_info (_tmp3_, "filesystem::*", NULL, &_inner_error_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp5_ = _tmp4_;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp3_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_free0 (_tmp1_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		file_info = _tmp5_;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1400 "iPodDevice.c"
			goto __catch23_g_error;
		}
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp6_ = g_file_info_get_attribute_uint64 (file_info, G_FILE_ATTRIBUTE_FILESYSTEM_FREE);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		rv = _tmp6_;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (file_info);
#line 1409 "iPodDevice.c"
	}
	goto __finally23;
	__catch23_g_error:
	{
		GError* err = NULL;
		GError* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		err = _inner_error_;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_inner_error_ = NULL;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp7_ = err;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp8_ = _tmp7_->message;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("iPodDevice.vala:217: Error calculating free space on iPod: %s\n", _tmp8_);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_error_free0 (err);
#line 1429 "iPodDevice.c"
	}
	__finally23:
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_clear_error (&_inner_error_);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		return 0ULL;
#line 1440 "iPodDevice.c"
	}
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = rv;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1446 "iPodDevice.c"
}


static void noise_plugins_ipod_device_real_unmount (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	GMount* _tmp0_ = NULL;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->mount;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_mount_unmount_with_operation (_tmp0_, G_MOUNT_UNMOUNT_NONE, NULL, NULL, NULL, NULL);
#line 1459 "iPodDevice.c"
}


static void noise_plugins_ipod_device_real_eject (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	GMount* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->mount;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = g_mount_can_eject (_tmp0_);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	if (_tmp1_) {
#line 1475 "iPodDevice.c"
		GMount* _tmp2_ = NULL;
		GVolume* _tmp3_ = NULL;
		GVolume* _tmp4_ = NULL;
		GDrive* _tmp5_ = NULL;
		GDrive* _tmp6_ = NULL;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp2_ = self->mount;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp3_ = g_mount_get_volume (_tmp2_);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp4_ = _tmp3_;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp5_ = g_volume_get_drive (_tmp4_);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_tmp6_ = _tmp5_;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		g_drive_eject_with_operation (_tmp6_, G_MOUNT_UNMOUNT_NONE, NULL, NULL, NULL, NULL);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp6_);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
		_g_object_unref0 (_tmp4_);
#line 1497 "iPodDevice.c"
	}
}


static void noise_plugins_ipod_device_real_synchronize (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 1506 "iPodDevice.c"
}


static gboolean noise_plugins_ipod_device_real_only_use_custom_view (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gboolean result = FALSE;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = FALSE;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1519 "iPodDevice.c"
}


static GtkWidget* noise_plugins_ipod_device_real_get_custom_view (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	GtkWidget* result = NULL;
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 242 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = NULL;
#line 242 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1532 "iPodDevice.c"
}


static gboolean noise_plugins_ipod_device_real_read_only (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	gboolean result = FALSE;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = FALSE;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1545 "iPodDevice.c"
}


static NoiseLibrary* noise_plugins_ipod_device_real_get_library (NoiseDevice* base) {
	NoisePluginsiPodDevice * self;
	NoiseLibrary* result = NULL;
	NoisePluginsiPodLibrary* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = (NoisePluginsiPodDevice*) base;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp0_ = self->priv->library;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_tmp1_ = _g_object_ref0 ((NoiseLibrary*) _tmp0_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	result = _tmp1_;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	return result;
#line 1564 "iPodDevice.c"
}


static void noise_plugins_ipod_device_class_init (NoisePluginsiPodDeviceClass * klass) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	noise_plugins_ipod_device_parent_class = g_type_class_peek_parent (klass);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	g_type_class_add_private (klass, sizeof (NoisePluginsiPodDevicePrivate));
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_plugins_ipod_device_finalize;
#line 1575 "iPodDevice.c"
}


static void noise_plugins_ipod_device_noise_device_interface_init (NoiseDeviceIface * iface) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	noise_plugins_ipod_device_noise_device_parent_iface = g_type_interface_peek_parent (iface);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_preferences = (NoiseDevicePreferences* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_preferences;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->start_initialization = (gboolean (*)(NoiseDevice*)) noise_plugins_ipod_device_real_start_initialization;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->finish_initialization = (void (*)(NoiseDevice*)) noise_plugins_ipod_device_real_finish_initialization;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->getEmptyDeviceTitle = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_getEmptyDeviceTitle;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->getEmptyDeviceDescription = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_getEmptyDeviceDescription;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->getContentType = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_getContentType;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->getDisplayName = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_getDisplayName;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->setDisplayName = (void (*)(NoiseDevice*, const gchar*)) noise_plugins_ipod_device_real_setDisplayName;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_fancy_description = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_fancy_description;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->set_mount = (void (*)(NoiseDevice*, GMount*)) noise_plugins_ipod_device_real_set_mount;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_mount = (GMount* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_mount;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_uri = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_uri;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->set_icon = (void (*)(NoiseDevice*, GIcon*)) noise_plugins_ipod_device_real_set_icon;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_icon = (GIcon* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_icon;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_capacity = (guint64 (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_capacity;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_fancy_capacity = (gchar* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_fancy_capacity;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_used_space = (guint64 (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_used_space;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_free_space = (guint64 (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_free_space;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->unmount = (void (*)(NoiseDevice*)) noise_plugins_ipod_device_real_unmount;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->eject = (void (*)(NoiseDevice*)) noise_plugins_ipod_device_real_eject;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->synchronize = (void (*)(NoiseDevice*)) noise_plugins_ipod_device_real_synchronize;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->only_use_custom_view = (gboolean (*)(NoiseDevice*)) noise_plugins_ipod_device_real_only_use_custom_view;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_custom_view = (GtkWidget* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_custom_view;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->read_only = (gboolean (*)(NoiseDevice*)) noise_plugins_ipod_device_real_read_only;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	iface->get_library = (NoiseLibrary* (*)(NoiseDevice*)) noise_plugins_ipod_device_real_get_library;
#line 1632 "iPodDevice.c"
}


static void noise_plugins_ipod_device_instance_init (NoisePluginsiPodDevice * self) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->priv = NOISE_PLUGINS_IPOD_DEVICE_GET_PRIVATE (self);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->is_supported = TRUE;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self->priv->is_new = FALSE;
#line 1643 "iPodDevice.c"
}


static void noise_plugins_ipod_device_finalize (GObject* obj) {
	NoisePluginsiPodDevice * self;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_PLUGINS_TYPE_IPOD_DEVICE, NoisePluginsiPodDevice);
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->priv->pref);
#line 25 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_itdb_free0 (self->priv->db);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->mount);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->priv->icon);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	_g_object_unref0 (self->priv->library);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/iPod/iPodDevice.vala"
	G_OBJECT_CLASS (noise_plugins_ipod_device_parent_class)->finalize (obj);
#line 1663 "iPodDevice.c"
}


GType noise_plugins_ipod_device_get_type (void) {
	return noise_plugins_ipod_device_type_id;
}


GType noise_plugins_ipod_device_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (NoisePluginsiPodDeviceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_plugins_ipod_device_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePluginsiPodDevice), 0, (GInstanceInitFunc) noise_plugins_ipod_device_instance_init, NULL };
	static const GInterfaceInfo noise_device_info = { (GInterfaceInitFunc) noise_plugins_ipod_device_noise_device_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
	noise_plugins_ipod_device_type_id = g_type_module_register_type (module, G_TYPE_OBJECT, "NoisePluginsiPodDevice", &g_define_type_info, 0);
	g_type_module_add_interface (module, noise_plugins_ipod_device_type_id, NOISE_TYPE_DEVICE, &noise_device_info);
	return noise_plugins_ipod_device_type_id;
}



