/* AlbumInfo.c generated by valac 0.28.1, the Vala compiler
 * generated from AlbumInfo.vala, do not modify */

/*-
 * Copyright (c) 2011-2012       Scott Ringwelski <sgringwe@mtu.edu>
 *
 * Originally Written by Scott Ringwelski for BeatBox Music Player
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
/* Merely a place holder for multiple pieces of information regarding
 * the current media playing. Mostly here because of dependence. */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <noise-core.h>
#include <libxml/tree.h>
#include <libxml/parser.h>


#define LAST_FM_TYPE_ALBUM_INFO (last_fm_album_info_get_type ())
#define LAST_FM_ALBUM_INFO(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfo))
#define LAST_FM_ALBUM_INFO_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfoClass))
#define LAST_FM_IS_ALBUM_INFO(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LAST_FM_TYPE_ALBUM_INFO))
#define LAST_FM_IS_ALBUM_INFO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), LAST_FM_TYPE_ALBUM_INFO))
#define LAST_FM_ALBUM_INFO_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfoClass))

typedef struct _LastFMAlbumInfo LastFMAlbumInfo;
typedef struct _LastFMAlbumInfoClass LastFMAlbumInfoClass;
typedef struct _LastFMAlbumInfoPrivate LastFMAlbumInfoPrivate;

#define LAST_FM_TYPE_TAG (last_fm_tag_get_type ())
#define LAST_FM_TAG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), LAST_FM_TYPE_TAG, LastFMTag))
#define LAST_FM_TAG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), LAST_FM_TYPE_TAG, LastFMTagClass))
#define LAST_FM_IS_TAG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LAST_FM_TYPE_TAG))
#define LAST_FM_IS_TAG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), LAST_FM_TYPE_TAG))
#define LAST_FM_TAG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), LAST_FM_TYPE_TAG, LastFMTagClass))

typedef struct _LastFMTag LastFMTag;
typedef struct _LastFMTagClass LastFMTagClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _LastFMAlbumInfo {
	GObject parent_instance;
	LastFMAlbumInfoPrivate * priv;
};

struct _LastFMAlbumInfoClass {
	GObjectClass parent_class;
};

struct _LastFMAlbumInfoPrivate {
	gchar* _image_uri;
	gchar* _url;
	GeeTreeSet* _tags;
	LastFMTag* tagToAdd;
	NoiseMedia* media;
};


static gpointer last_fm_album_info_parent_class = NULL;
static GType last_fm_album_info_type_id = 0;

GType last_fm_album_info_get_type (void) G_GNUC_CONST;
GType last_fm_album_info_register_type (GTypeModule * module);
GType last_fm_tag_get_type (void) G_GNUC_CONST;
GType last_fm_tag_register_type (GTypeModule * module);
#define LAST_FM_ALBUM_INFO_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfoPrivate))
enum  {
	LAST_FM_ALBUM_INFO_DUMMY_PROPERTY,
	LAST_FM_ALBUM_INFO_IMAGE_URI
};
LastFMAlbumInfo* last_fm_album_info_new (NoiseMedia* m);
LastFMAlbumInfo* last_fm_album_info_construct (GType object_type, NoiseMedia* m);
#define LAST_FM_API "8659cfc191c2cde0b33bb4970fcbbd49"
static void last_fm_album_info_parse_node (LastFMAlbumInfo* self, xmlNode* node, const gchar* parent);
void last_fm_album_info_set_image_uri (LastFMAlbumInfo* self, const gchar* value);
LastFMTag* last_fm_tag_new (void);
LastFMTag* last_fm_tag_construct (GType object_type);
void last_fm_tag_set_tag (LastFMTag* self, const gchar* value);
void last_fm_tag_set_url (LastFMTag* self, const gchar* value);
void last_fm_album_info_addTag (LastFMAlbumInfo* self, LastFMTag* t);
void last_fm_album_info_addTagString (LastFMAlbumInfo* self, const gchar* t);
LastFMTag* last_fm_tag_new_with_string (const gchar* tag);
LastFMTag* last_fm_tag_construct_with_string (GType object_type, const gchar* tag);
GeeCollection* last_fm_album_info_tags (LastFMAlbumInfo* self);
GeeCollection* last_fm_album_info_tagStrings (LastFMAlbumInfo* self);
const gchar* last_fm_tag_get_tag (LastFMTag* self);
const gchar* last_fm_album_info_get_image_uri (LastFMAlbumInfo* self);
static const gchar* last_fm_album_info_get_url (LastFMAlbumInfo* self);
static void last_fm_album_info_set_url (LastFMAlbumInfo* self, const gchar* value);
static void last_fm_album_info_finalize (GObject* obj);
static void _vala_last_fm_album_info_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_last_fm_album_info_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return self ? g_object_ref (self) : NULL;
#line 119 "AlbumInfo.c"
}


LastFMAlbumInfo* last_fm_album_info_construct (GType object_type, NoiseMedia* m) {
	LastFMAlbumInfo * self = NULL;
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	gchar* album_fixed = NULL;
	NoiseMedia* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* artist_fixed = NULL;
	NoiseMedia* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gchar* url = NULL;
	const gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	xmlDoc* doc = NULL;
	const gchar* _tmp23_ = NULL;
	xmlDoc* _tmp24_ = NULL;
	xmlDoc* _tmp25_ = NULL;
	xmlNode* root = NULL;
	xmlDoc* _tmp26_ = NULL;
	xmlNode* _tmp27_ = NULL;
	xmlNode* _tmp28_ = NULL;
	xmlNode* _tmp30_ = NULL;
	xmlDoc* _tmp31_ = NULL;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_val_if_fail (m != NULL, NULL);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self = (LastFMAlbumInfo*) g_object_new (object_type, NULL);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = m;
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_object_unref0 (self->priv->media);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->media = _tmp1_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp2_ = m;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp3_ = noise_media_get_album (_tmp2_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp4_ = _tmp3_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp5_ = g_uri_escape_string (_tmp4_, NULL, TRUE);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	album_fixed = _tmp5_;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp6_ = m;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp7_ = noise_media_get_artist (_tmp6_);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp8_ = _tmp7_;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp9_ = g_uri_escape_string (_tmp8_, NULL, TRUE);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	artist_fixed = _tmp9_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp10_ = artist_fixed;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	if (g_strcmp0 (_tmp10_, "") == 0) {
#line 193 "AlbumInfo.c"
		NoiseMedia* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp11_ = m;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp12_ = noise_media_get_artist (_tmp11_);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp13_ = _tmp12_;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp14_ = g_uri_escape_string (_tmp13_, NULL, TRUE);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (artist_fixed);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		artist_fixed = _tmp14_;
#line 210 "AlbumInfo.c"
	}
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp15_ = artist_fixed;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp16_ = g_strconcat ("http://ws.audioscrobbler.com/2.0/?method=album.getinfo&api_key=" LAST_FM_API "&artist=", _tmp15_, NULL);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp17_ = _tmp16_;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp18_ = g_strconcat (_tmp17_, "&album=", NULL);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp19_ = _tmp18_;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp20_ = album_fixed;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp21_ = g_strconcat (_tmp19_, _tmp20_, NULL);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp22_ = _tmp21_;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (_tmp19_);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (_tmp17_);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	url = _tmp22_;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp23_ = url;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp24_ = xmlParseFile (_tmp23_);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	doc = _tmp24_;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_object_unref0 (self->priv->tagToAdd);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->tagToAdd = NULL;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp25_ = doc;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	if (_tmp25_ == NULL) {
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (url);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (artist_fixed);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (album_fixed);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		return self;
#line 256 "AlbumInfo.c"
	}
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp26_ = doc;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp27_ = xmlDocGetRootElement (_tmp26_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	root = _tmp27_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp28_ = root;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	if (_tmp28_ == NULL) {
#line 268 "AlbumInfo.c"
		xmlDoc* _tmp29_ = NULL;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp29_ = doc;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		xmlFreeDoc (_tmp29_);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (url);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (artist_fixed);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_free0 (album_fixed);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		return self;
#line 282 "AlbumInfo.c"
	}
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp30_ = root;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	last_fm_album_info_parse_node (self, _tmp30_, "");
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp31_ = doc;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	xmlFreeDoc (_tmp31_);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (url);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (artist_fixed);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (album_fixed);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return self;
#line 300 "AlbumInfo.c"
}


LastFMAlbumInfo* last_fm_album_info_new (NoiseMedia* m) {
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return last_fm_album_info_construct (LAST_FM_TYPE_ALBUM_INFO, m);
#line 307 "AlbumInfo.c"
}


/** recursively parses the nodes in a xml doc and also calls parse_properties
     * @param node The node to parse
     * @param parent the parent node
     */
static void last_fm_album_info_parse_node (LastFMAlbumInfo* self, xmlNode* node, const gchar* parent) {
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (self != NULL);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (parent != NULL);
#line 320 "AlbumInfo.c"
	{
		xmlNode* iter = NULL;
		xmlNode* _tmp0_ = NULL;
		xmlNode* _tmp1_ = NULL;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp0_ = node;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp1_ = _tmp0_->children;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		iter = _tmp1_;
#line 331 "AlbumInfo.c"
		{
			gboolean _tmp2_ = FALSE;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp2_ = TRUE;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			while (TRUE) {
#line 338 "AlbumInfo.c"
				xmlNode* _tmp5_ = NULL;
				xmlNode* _tmp6_ = NULL;
				xmlElementType _tmp7_ = 0;
				gchar* node_name = NULL;
				xmlNode* _tmp8_ = NULL;
				const gchar* _tmp9_ = NULL;
				gchar* _tmp10_ = NULL;
				gchar* node_content = NULL;
				xmlNode* _tmp11_ = NULL;
				gchar* _tmp12_ = NULL;
				const gchar* _tmp13_ = NULL;
				xmlNode* _tmp64_ = NULL;
				const gchar* _tmp65_ = NULL;
				const gchar* _tmp66_ = NULL;
				gchar* _tmp67_ = NULL;
				gchar* _tmp68_ = NULL;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				if (!_tmp2_) {
#line 357 "AlbumInfo.c"
					xmlNode* _tmp3_ = NULL;
					xmlNode* _tmp4_ = NULL;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					_tmp3_ = iter;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					_tmp4_ = _tmp3_->next;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					iter = _tmp4_;
#line 366 "AlbumInfo.c"
				}
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp2_ = FALSE;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp5_ = iter;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				if (!(_tmp5_ != NULL)) {
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					break;
#line 376 "AlbumInfo.c"
				}
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp6_ = iter;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp7_ = _tmp6_->type;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				if (_tmp7_ != XML_ELEMENT_NODE) {
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					continue;
#line 386 "AlbumInfo.c"
				}
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp8_ = iter;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp9_ = _tmp8_->name;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp10_ = g_strdup (_tmp9_);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				node_name = _tmp10_;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp11_ = iter;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp12_ = (gchar*) xmlNodeGetContent (_tmp11_);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				node_content = _tmp12_;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp13_ = parent;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				if (g_strcmp0 (_tmp13_, "album") == 0) {
#line 406 "AlbumInfo.c"
					gboolean _tmp14_ = FALSE;
					const gchar* _tmp15_ = NULL;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					_tmp15_ = node_name;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					if (g_strcmp0 (_tmp15_, "name") == 0) {
#line 413 "AlbumInfo.c"
						NoiseMedia* _tmp16_ = NULL;
						const gchar* _tmp17_ = NULL;
						const gchar* _tmp18_ = NULL;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp16_ = self->priv->media;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp17_ = noise_media_get_album (_tmp16_);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp18_ = _tmp17_;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp14_ = g_strcmp0 (_tmp18_, "") == 0;
#line 425 "AlbumInfo.c"
					} else {
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp14_ = FALSE;
#line 429 "AlbumInfo.c"
					}
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					if (_tmp14_) {
#line 433 "AlbumInfo.c"
						NoiseMedia* _tmp19_ = NULL;
						const gchar* _tmp20_ = NULL;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp19_ = self->priv->media;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp20_ = node_content;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						noise_media_set_album (_tmp19_, _tmp20_);
#line 442 "AlbumInfo.c"
					} else {
						gboolean _tmp21_ = FALSE;
						const gchar* _tmp22_ = NULL;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp22_ = node_name;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						if (g_strcmp0 (_tmp22_, "artist") == 0) {
#line 450 "AlbumInfo.c"
							NoiseMedia* _tmp23_ = NULL;
							const gchar* _tmp24_ = NULL;
							const gchar* _tmp25_ = NULL;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp23_ = self->priv->media;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp24_ = noise_media_get_artist (_tmp23_);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp25_ = _tmp24_;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp21_ = g_strcmp0 (_tmp25_, "") == 0;
#line 462 "AlbumInfo.c"
						} else {
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp21_ = FALSE;
#line 466 "AlbumInfo.c"
						}
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						if (_tmp21_) {
#line 470 "AlbumInfo.c"
							NoiseMedia* _tmp26_ = NULL;
							const gchar* _tmp27_ = NULL;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp26_ = self->priv->media;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp27_ = node_content;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							noise_media_set_artist (_tmp26_, _tmp27_);
#line 479 "AlbumInfo.c"
						} else {
							gboolean _tmp28_ = FALSE;
							const gchar* _tmp29_ = NULL;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp29_ = node_name;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							if (g_strcmp0 (_tmp29_, "releasedate") == 0) {
#line 487 "AlbumInfo.c"
								NoiseMedia* _tmp30_ = NULL;
								guint _tmp31_ = 0U;
								guint _tmp32_ = 0U;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp30_ = self->priv->media;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp31_ = noise_media_get_year (_tmp30_);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp32_ = _tmp31_;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp28_ = _tmp32_ == ((guint) 0);
#line 499 "AlbumInfo.c"
							} else {
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp28_ = FALSE;
#line 503 "AlbumInfo.c"
							}
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							if (_tmp28_) {
#line 507 "AlbumInfo.c"
								GDate date = {0};
								const gchar* _tmp33_ = NULL;
								GDateYear year = 0U;
								GDateYear _tmp34_ = 0U;
								GDateYear _tmp35_ = 0U;
								GDateDay _tmp36_ = '\0';
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								memset (&date, 0, sizeof (GDate));
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp33_ = node_content;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								g_date_set_parse (&date, _tmp33_);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp34_ = g_date_get_year (&date);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								year = _tmp34_;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp35_ = year;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp36_ = G_DATE_BAD_YEAR;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								if (_tmp35_ != ((GDateYear) _tmp36_)) {
#line 530 "AlbumInfo.c"
									NoiseMedia* _tmp37_ = NULL;
									GDateYear _tmp38_ = 0U;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp37_ = self->priv->media;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp38_ = year;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									noise_media_set_year (_tmp37_, (guint) ((gint) _tmp38_));
#line 539 "AlbumInfo.c"
								}
							} else {
								gboolean _tmp39_ = FALSE;
								const gchar* _tmp40_ = NULL;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp40_ = node_name;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								if (g_strcmp0 (_tmp40_, "playcount") == 0) {
#line 548 "AlbumInfo.c"
									NoiseMedia* _tmp41_ = NULL;
									guint _tmp42_ = 0U;
									guint _tmp43_ = 0U;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp41_ = self->priv->media;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp42_ = noise_media_get_play_count (_tmp41_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp43_ = _tmp42_;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp39_ = _tmp43_ == ((guint) 0);
#line 560 "AlbumInfo.c"
								} else {
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp39_ = FALSE;
#line 564 "AlbumInfo.c"
								}
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								if (_tmp39_) {
#line 568 "AlbumInfo.c"
									NoiseMedia* _tmp44_ = NULL;
									const gchar* _tmp45_ = NULL;
									gint _tmp46_ = 0;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp44_ = self->priv->media;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp45_ = node_content;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp46_ = atoi (_tmp45_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									noise_media_set_play_count (_tmp44_, (guint) _tmp46_);
#line 580 "AlbumInfo.c"
								} else {
									const gchar* _tmp47_ = NULL;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									_tmp47_ = node_name;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
									if (g_strcmp0 (_tmp47_, "image") == 0) {
#line 587 "AlbumInfo.c"
										xmlNode* _tmp48_ = NULL;
										gchar* _tmp49_ = NULL;
										gchar* _tmp50_ = NULL;
										gboolean _tmp51_ = FALSE;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
										_tmp48_ = iter;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
										_tmp49_ = (gchar*) xmlGetProp (_tmp48_, (xmlChar*) "size");
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
										_tmp50_ = _tmp49_;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
										_tmp51_ = g_strcmp0 (_tmp50_, "large") == 0;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
										_g_free0 (_tmp50_);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
										if (_tmp51_) {
#line 604 "AlbumInfo.c"
											const gchar* _tmp52_ = NULL;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
											_tmp52_ = node_content;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
											last_fm_album_info_set_image_uri (self, _tmp52_);
#line 610 "AlbumInfo.c"
										}
									}
								}
							}
						}
					}
				} else {
					const gchar* _tmp53_ = NULL;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					_tmp53_ = parent;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
					if (g_strcmp0 (_tmp53_, "albumtoptagstag") == 0) {
#line 623 "AlbumInfo.c"
						const gchar* _tmp54_ = NULL;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						_tmp54_ = node_name;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
						if (g_strcmp0 (_tmp54_, "name") == 0) {
#line 629 "AlbumInfo.c"
							LastFMTag* _tmp55_ = NULL;
							LastFMTag* _tmp58_ = NULL;
							LastFMTag* _tmp59_ = NULL;
							const gchar* _tmp60_ = NULL;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp55_ = self->priv->tagToAdd;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							if (_tmp55_ != NULL) {
#line 638 "AlbumInfo.c"
								GeeTreeSet* _tmp56_ = NULL;
								LastFMTag* _tmp57_ = NULL;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp56_ = self->priv->_tags;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp57_ = self->priv->tagToAdd;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								gee_abstract_collection_add ((GeeAbstractCollection*) _tmp56_, _tmp57_);
#line 647 "AlbumInfo.c"
							}
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp58_ = last_fm_tag_new ();
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_g_object_unref0 (self->priv->tagToAdd);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							self->priv->tagToAdd = _tmp58_;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp59_ = self->priv->tagToAdd;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp60_ = node_content;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							last_fm_tag_set_tag (_tmp59_, _tmp60_);
#line 661 "AlbumInfo.c"
						} else {
							const gchar* _tmp61_ = NULL;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							_tmp61_ = node_name;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
							if (g_strcmp0 (_tmp61_, "url") == 0) {
#line 668 "AlbumInfo.c"
								LastFMTag* _tmp62_ = NULL;
								const gchar* _tmp63_ = NULL;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp62_ = self->priv->tagToAdd;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								_tmp63_ = node_content;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
								last_fm_tag_set_url (_tmp62_, _tmp63_);
#line 677 "AlbumInfo.c"
							}
						}
					}
				}
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp64_ = iter;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp65_ = parent;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp66_ = node_name;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp67_ = g_strconcat (_tmp65_, _tmp66_, NULL);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_tmp68_ = _tmp67_;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				last_fm_album_info_parse_node (self, _tmp64_, _tmp68_);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_g_free0 (_tmp68_);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_g_free0 (node_content);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				_g_free0 (node_name);
#line 700 "AlbumInfo.c"
			}
		}
	}
}


void last_fm_album_info_addTag (LastFMAlbumInfo* self, LastFMTag* t) {
	GeeTreeSet* _tmp0_ = NULL;
	LastFMTag* _tmp1_ = NULL;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (self != NULL);
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (t != NULL);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = self->priv->_tags;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = t;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 720 "AlbumInfo.c"
}


void last_fm_album_info_addTagString (LastFMAlbumInfo* self, const gchar* t) {
	GeeTreeSet* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	LastFMTag* _tmp2_ = NULL;
	LastFMTag* _tmp3_ = NULL;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (self != NULL);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (t != NULL);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = self->priv->_tags;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = t;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp2_ = last_fm_tag_new_with_string (_tmp1_);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp3_ = _tmp2_;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp3_);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_object_unref0 (_tmp3_);
#line 745 "AlbumInfo.c"
}


GeeCollection* last_fm_album_info_tags (LastFMAlbumInfo* self) {
	GeeCollection* result = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = self->priv->_tags;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	result = _tmp1_;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return result;
#line 763 "AlbumInfo.c"
}


GeeCollection* last_fm_album_info_tagStrings (LastFMAlbumInfo* self) {
	GeeCollection* result = NULL;
	GeeTreeSet* tags = NULL;
	GeeTreeSet* _tmp0_ = NULL;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	tags = _tmp0_;
#line 777 "AlbumInfo.c"
	{
		GeeIterator* _t_it = NULL;
		GeeTreeSet* _tmp1_ = NULL;
		GeeIterator* _tmp2_ = NULL;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp1_ = self->priv->_tags;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_tmp2_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp1_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_t_it = _tmp2_;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		while (TRUE) {
#line 790 "AlbumInfo.c"
			GeeIterator* _tmp3_ = NULL;
			gboolean _tmp4_ = FALSE;
			LastFMTag* t = NULL;
			GeeIterator* _tmp5_ = NULL;
			gpointer _tmp6_ = NULL;
			GeeTreeSet* _tmp7_ = NULL;
			LastFMTag* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp3_ = _t_it;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp4_ = gee_iterator_next (_tmp3_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			if (!_tmp4_) {
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
				break;
#line 808 "AlbumInfo.c"
			}
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp5_ = _t_it;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			t = (LastFMTag*) _tmp6_;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp7_ = tags;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp8_ = t;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp9_ = last_fm_tag_get_tag (_tmp8_);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_tmp10_ = _tmp9_;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp7_, _tmp10_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
			_g_object_unref0 (t);
#line 828 "AlbumInfo.c"
		}
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		_g_object_unref0 (_t_it);
#line 832 "AlbumInfo.c"
	}
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	result = (GeeCollection*) tags;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return result;
#line 838 "AlbumInfo.c"
}


const gchar* last_fm_album_info_get_image_uri (LastFMAlbumInfo* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = self->priv->_image_uri;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	result = _tmp0_;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return result;
#line 853 "AlbumInfo.c"
}


void last_fm_album_info_set_image_uri (LastFMAlbumInfo* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (self != NULL);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = value;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (self->priv->_image_uri);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->_image_uri = _tmp1_;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_object_notify ((GObject *) self, "image-uri");
#line 872 "AlbumInfo.c"
}


static const gchar* last_fm_album_info_get_url (LastFMAlbumInfo* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = self->priv->_url;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	result = _tmp0_;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	return result;
#line 887 "AlbumInfo.c"
}


static void last_fm_album_info_set_url (LastFMAlbumInfo* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_return_if_fail (self != NULL);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = value;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (self->priv->_url);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->_url = _tmp1_;
#line 904 "AlbumInfo.c"
}


static void last_fm_album_info_class_init (LastFMAlbumInfoClass * klass) {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	last_fm_album_info_parent_class = g_type_class_peek_parent (klass);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_type_class_add_private (klass, sizeof (LastFMAlbumInfoPrivate));
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_last_fm_album_info_get_property;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_last_fm_album_info_set_property;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	G_OBJECT_CLASS (klass)->finalize = last_fm_album_info_finalize;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), LAST_FM_ALBUM_INFO_IMAGE_URI, g_param_spec_string ("image-uri", "image-uri", "image-uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 921 "AlbumInfo.c"
}


static void last_fm_album_info_instance_init (LastFMAlbumInfo * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv = LAST_FM_ALBUM_INFO_GET_PRIVATE (self);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp0_ = g_strdup ("");
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->_image_uri = _tmp0_;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp1_ = g_strdup ("");
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->_url = _tmp1_;
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_tmp2_ = gee_tree_set_new (LAST_FM_TYPE_TAG, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self->priv->_tags = _tmp2_;
#line 943 "AlbumInfo.c"
}


static void last_fm_album_info_finalize (GObject* obj) {
	LastFMAlbumInfo * self;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfo);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (self->priv->_image_uri);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_free0 (self->priv->_url);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_object_unref0 (self->priv->_tags);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_object_unref0 (self->priv->tagToAdd);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	_g_object_unref0 (self->priv->media);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	G_OBJECT_CLASS (last_fm_album_info_parent_class)->finalize (obj);
#line 963 "AlbumInfo.c"
}


GType last_fm_album_info_get_type (void) {
	return last_fm_album_info_type_id;
}


GType last_fm_album_info_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (LastFMAlbumInfoClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) last_fm_album_info_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (LastFMAlbumInfo), 0, (GInstanceInitFunc) last_fm_album_info_instance_init, NULL };
	last_fm_album_info_type_id = g_type_module_register_type (module, G_TYPE_OBJECT, "LastFMAlbumInfo", &g_define_type_info, 0);
	return last_fm_album_info_type_id;
}


static void _vala_last_fm_album_info_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	LastFMAlbumInfo * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfo);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	switch (property_id) {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		case LAST_FM_ALBUM_INFO_IMAGE_URI:
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		g_value_set_string (value, last_fm_album_info_get_image_uri (self));
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		break;
#line 990 "AlbumInfo.c"
		default:
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		break;
#line 996 "AlbumInfo.c"
	}
}


static void _vala_last_fm_album_info_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	LastFMAlbumInfo * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, LAST_FM_TYPE_ALBUM_INFO, LastFMAlbumInfo);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
	switch (property_id) {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		case LAST_FM_ALBUM_INFO_IMAGE_URI:
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		last_fm_album_info_set_image_uri (self, g_value_get_string (value));
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		break;
#line 1012 "AlbumInfo.c"
		default:
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/AlbumInfo.vala"
		break;
#line 1018 "AlbumInfo.c"
	}
}



