/* SimilarMedia.c generated by valac 0.28.1, the Vala compiler
 * generated from SimilarMedia.vala, do not modify */

/*-
 * Copyright (c) 2011-2012       Scott Ringwelski <sgringwe@mtu.edu>
 *
 * Originally Written by Scott Ringwelski for BeatBox Music Player
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
/* Merely a place holder for multiple pieces of information regarding
 * the current media playing. Mostly here because of dependence. */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <gee.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <noise.h>
#include <stdlib.h>
#include <string.h>
#include <libsoup/soup.h>
#include <libxml/tree.h>
#include <libxml/parser.h>


#define LAST_FM_TYPE_SIMILAR_MEDIAS (last_fm_similar_medias_get_type ())
#define LAST_FM_SIMILAR_MEDIAS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), LAST_FM_TYPE_SIMILAR_MEDIAS, LastFMSimilarMedias))
#define LAST_FM_SIMILAR_MEDIAS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), LAST_FM_TYPE_SIMILAR_MEDIAS, LastFMSimilarMediasClass))
#define LAST_FM_IS_SIMILAR_MEDIAS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LAST_FM_TYPE_SIMILAR_MEDIAS))
#define LAST_FM_IS_SIMILAR_MEDIAS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), LAST_FM_TYPE_SIMILAR_MEDIAS))
#define LAST_FM_SIMILAR_MEDIAS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), LAST_FM_TYPE_SIMILAR_MEDIAS, LastFMSimilarMediasClass))

typedef struct _LastFMSimilarMedias LastFMSimilarMedias;
typedef struct _LastFMSimilarMediasClass LastFMSimilarMediasClass;
typedef struct _LastFMSimilarMediasPrivate LastFMSimilarMediasPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _LastFMSimilarMedias {
	GObject parent_instance;
	LastFMSimilarMediasPrivate * priv;
	NoiseStaticPlaylist* similar_playlist;
};

struct _LastFMSimilarMediasClass {
	GObjectClass parent_class;
	void (*queryForSimilar) (LastFMSimilarMedias* self, NoiseMedia* s);
};

struct _LastFMSimilarMediasPrivate {
	gboolean working;
	GRecMutex __lock_similar_playlist;
	GeeLinkedList* similar_medias;
	GRecMutex __lock_similar_medias;
	NoiseMedia* similarToAdd;
};


static gpointer last_fm_similar_medias_parent_class = NULL;
static GType last_fm_similar_medias_type_id = 0;

GType last_fm_similar_medias_get_type (void) G_GNUC_CONST;
GType last_fm_similar_medias_register_type (GTypeModule * module);
#define LAST_FM_SIMILAR_MEDIAS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), LAST_FM_TYPE_SIMILAR_MEDIAS, LastFMSimilarMediasPrivate))
enum  {
	LAST_FM_SIMILAR_MEDIAS_DUMMY_PROPERTY
};
#define LAST_FM_SIMILAR_MEDIAS_MAX_FETCHED 20
LastFMSimilarMedias* last_fm_similar_medias_new (void);
LastFMSimilarMedias* last_fm_similar_medias_construct (GType object_type);
static void __lambda4_ (LastFMSimilarMedias* self, NoisePlaybackManager* m);
static void ___lambda4__noise_playback_manager_changing_player (NoisePlaybackManager* _sender, gpointer self);
void last_fm_similar_medias_queryForSimilar (LastFMSimilarMedias* self, NoiseMedia* s);
static void last_fm_similar_medias_real_queryForSimilar (LastFMSimilarMedias* self, NoiseMedia* s);
void last_fm_similar_medias_similar_async (LastFMSimilarMedias* self, NoiseMedia* s);
void last_fm_similar_medias_getSimilarTracks (LastFMSimilarMedias* self, const gchar* title, const gchar* artist);
#define LAST_FM_API "8659cfc191c2cde0b33bb4970fcbbd49"
void last_fm_similar_medias_parse_similar_nodes (LastFMSimilarMedias* self, xmlNode* node, const gchar* parent);
static void g_cclosure_user_marshal_VOID__OBJECT_OBJECT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void last_fm_similar_medias_finalize (GObject* obj);


static void __lambda4_ (LastFMSimilarMedias* self, NoisePlaybackManager* m) {
	GError * _inner_error_ = NULL;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (m != NULL);
#line 105 "SimilarMedia.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp0_ = self->priv->similar_medias;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_rec_mutex_lock (&self->priv->__lock_similar_medias);
#line 112 "SimilarMedia.c"
		{
			GeeLinkedList* _tmp1_ = NULL;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp1_ = self->priv->similar_medias;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp1_);
#line 119 "SimilarMedia.c"
		}
		__finally1:
		{
			GeeLinkedList* _tmp2_ = NULL;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp2_ = self->priv->similar_medias;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_rec_mutex_unlock (&self->priv->__lock_similar_medias);
#line 128 "SimilarMedia.c"
		}
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_clear_error (&_inner_error_);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			return;
#line 138 "SimilarMedia.c"
		}
	}
	{
		NoiseStaticPlaylist* _tmp3_ = NULL;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp3_ = self->similar_playlist;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_rec_mutex_lock (&self->priv->__lock_similar_playlist);
#line 147 "SimilarMedia.c"
		{
			NoiseStaticPlaylist* _tmp4_ = NULL;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp4_ = self->similar_playlist;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			noise_playlist_clear ((NoisePlaylist*) _tmp4_);
#line 154 "SimilarMedia.c"
		}
		__finally2:
		{
			NoiseStaticPlaylist* _tmp5_ = NULL;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp5_ = self->similar_playlist;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_rec_mutex_unlock (&self->priv->__lock_similar_playlist);
#line 163 "SimilarMedia.c"
		}
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_clear_error (&_inner_error_);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			return;
#line 173 "SimilarMedia.c"
		}
	}
}


static void ___lambda4__noise_playback_manager_changing_player (NoisePlaybackManager* _sender, gpointer self) {
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	__lambda4_ ((LastFMSimilarMedias*) self, _sender);
#line 182 "SimilarMedia.c"
}


LastFMSimilarMedias* last_fm_similar_medias_construct (GType object_type) {
	LastFMSimilarMedias * self = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	NoiseStaticPlaylist* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
	NoisePlaybackManager* _tmp12_ = NULL;
	NoisePlaybackManager* _tmp13_ = NULL;
	GError * _inner_error_ = NULL;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self = (LastFMSimilarMedias*) g_object_new (object_type, NULL);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self->priv->working = FALSE;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (self->priv->similar_medias);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self->priv->similar_medias = _tmp0_;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp1_ = noise_static_playlist_new ();
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (self->similar_playlist);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self->similar_playlist = _tmp1_;
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp2_ = self->similar_playlist;
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp3_ = _ ("Similar");
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	noise_playlist_set_name ((NoisePlaylist*) _tmp2_, _tmp3_);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp4_ = self->similar_playlist;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	noise_static_playlist_set_read_only (_tmp4_, TRUE);
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp5_ = self->similar_playlist;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	noise_static_playlist_set_show_badge (_tmp5_, TRUE);
#line 227 "SimilarMedia.c"
	{
		GIcon* _tmp6_ = NULL;
		GIcon* _tmp7_ = NULL;
		NoiseStaticPlaylist* _tmp8_ = NULL;
		GIcon* _tmp9_ = NULL;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp7_ = g_icon_new_for_string ("playlist-similar", &_inner_error_);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp6_ = _tmp7_;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 239 "SimilarMedia.c"
			goto __catch0_g_error;
		}
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp8_ = self->similar_playlist;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp9_ = _tmp6_;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp6_ = NULL;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_g_object_unref0 (((NoisePlaylist*) _tmp8_)->icon);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		((NoisePlaylist*) _tmp8_)->icon = _tmp9_;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_g_object_unref0 (_tmp6_);
#line 254 "SimilarMedia.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		e = _inner_error_;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_inner_error_ = NULL;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp10_ = e;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp11_ = _tmp10_->message;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_critical ("SimilarMedia.vala:48: %s", _tmp11_);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_g_error_free0 (e);
#line 274 "SimilarMedia.c"
	}
	__finally0:
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_clear_error (&_inner_error_);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		return NULL;
#line 285 "SimilarMedia.c"
	}
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp12_ = noise_app_get_player ();
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp13_ = _tmp12_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_signal_connect_object (_tmp13_, "changing-player", (GCallback) ___lambda4__noise_playback_manager_changing_player, self, 0);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	return self;
#line 295 "SimilarMedia.c"
}


LastFMSimilarMedias* last_fm_similar_medias_new (void) {
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	return last_fm_similar_medias_construct (LAST_FM_TYPE_SIMILAR_MEDIAS);
#line 302 "SimilarMedia.c"
}


static void last_fm_similar_medias_real_queryForSimilar (LastFMSimilarMedias* self, NoiseMedia* s) {
	gboolean _tmp0_ = FALSE;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (s != NULL);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp0_ = self->priv->working;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	if (!_tmp0_) {
#line 314 "SimilarMedia.c"
		NoiseMedia* _tmp1_ = NULL;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		self->priv->working = TRUE;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp1_ = s;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		last_fm_similar_medias_similar_async (self, _tmp1_);
#line 322 "SimilarMedia.c"
	}
}


void last_fm_similar_medias_queryForSimilar (LastFMSimilarMedias* self, NoiseMedia* s) {
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (self != NULL);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	LAST_FM_SIMILAR_MEDIAS_GET_CLASS (self)->queryForSimilar (self, s);
#line 332 "SimilarMedia.c"
}


void last_fm_similar_medias_similar_async (LastFMSimilarMedias* self, NoiseMedia* s) {
	GeeLinkedList* similarIDs = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* similarDont = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	NoiseMedia* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	NoiseMedia* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	NoiseMedia* _tmp13_ = NULL;
	gint _tmp14_ = 0;
	gint _tmp15_ = 0;
	NoiseStaticPlaylist* _tmp16_ = NULL;
	NoiseLibrariesManager* _tmp17_ = NULL;
	NoiseLibrary* _tmp18_ = NULL;
	GeeCollection* _tmp19_ = NULL;
	GeeCollection* _tmp20_ = NULL;
	GError * _inner_error_ = NULL;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (self != NULL);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (s != NULL);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_debug ("SimilarMedia.vala:71: In the similar thread");
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp0_ = gee_linked_list_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	similarIDs = _tmp0_;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp1_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	similarDont = _tmp1_;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp2_ = s;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp3_ = noise_media_get_title (_tmp2_);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp4_ = _tmp3_;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp5_ = s;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp6_ = noise_media_get_artist (_tmp5_);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp7_ = _tmp6_;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	last_fm_similar_medias_getSimilarTracks (self, _tmp4_, _tmp7_);
#line 384 "SimilarMedia.c"
	{
		GeeLinkedList* _tmp8_ = NULL;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp8_ = self->priv->similar_medias;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_rec_mutex_lock (&self->priv->__lock_similar_medias);
#line 391 "SimilarMedia.c"
		{
			NoiseLibrariesManager* _tmp9_ = NULL;
			NoiseLibrary* _tmp10_ = NULL;
			GeeLinkedList* _tmp11_ = NULL;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp9_ = noise_libraries_manager;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp10_ = _tmp9_->local_library;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp11_ = self->priv->similar_medias;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			noise_library_media_from_name (_tmp10_, (GeeCollection*) _tmp11_, (GeeCollection*) similarIDs, (GeeCollection*) similarDont);
#line 404 "SimilarMedia.c"
		}
		__finally3:
		{
			GeeLinkedList* _tmp12_ = NULL;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp12_ = self->priv->similar_medias;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_rec_mutex_unlock (&self->priv->__lock_similar_medias);
#line 413 "SimilarMedia.c"
		}
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_g_object_unref0 (similarDont);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_g_object_unref0 (similarIDs);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_clear_error (&_inner_error_);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			return;
#line 427 "SimilarMedia.c"
		}
	}
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp13_ = s;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp14_ = noise_media_get_rowid (_tmp13_);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp15_ = _tmp14_;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	gee_deque_offer_head ((GeeDeque*) similarIDs, (gpointer) ((gintptr) _tmp15_));
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp16_ = self->similar_playlist;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp17_ = noise_libraries_manager;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp18_ = _tmp17_->local_library;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp19_ = noise_library_medias_from_ids (_tmp18_, (GeeCollection*) similarIDs);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp20_ = _tmp19_;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	noise_playlist_add_medias ((NoisePlaylist*) _tmp16_, _tmp20_);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (_tmp20_);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_signal_emit_by_name (self, "similar-retrieved", similarIDs, similarDont);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self->priv->working = FALSE;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (similarDont);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (similarIDs);
#line 460 "SimilarMedia.c"
}


/** Gets similar medias
     * @param artist The artist of media to get similar to
     * @param title The title of media to get similar to
     * @return The media that are similar
     */
void last_fm_similar_medias_getSimilarTracks (LastFMSimilarMedias* self, const gchar* title, const gchar* artist) {
	gchar* artist_fixed = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* title_fixed = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* url = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	SoupSession* session = NULL;
	SoupSession* _tmp16_ = NULL;
	SoupMessage* message = NULL;
	const gchar* _tmp17_ = NULL;
	SoupMessage* _tmp18_ = NULL;
	SoupSession* _tmp19_ = NULL;
	SoupSession* _tmp20_ = NULL;
	SoupMessage* _tmp21_ = NULL;
	xmlDoc* doc = NULL;
	SoupMessage* _tmp22_ = NULL;
	SoupMessageBody* _tmp23_ = NULL;
	guint8* _tmp24_ = NULL;
	gint _tmp24__length1 = 0;
	SoupMessage* _tmp25_ = NULL;
	SoupMessageBody* _tmp26_ = NULL;
	gint64 _tmp27_ = 0LL;
	xmlDoc* _tmp28_ = NULL;
	xmlDoc* _tmp29_ = NULL;
	xmlDoc* _tmp36_ = NULL;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (self != NULL);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (title != NULL);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (artist != NULL);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp0_ = artist;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp1_ = g_uri_escape_string (_tmp0_, NULL, TRUE);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	artist_fixed = _tmp1_;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp2_ = title;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp3_ = g_uri_escape_string (_tmp2_, NULL, TRUE);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	title_fixed = _tmp3_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp4_ = artist_fixed;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp5_ = g_strconcat ("http://ws.audioscrobbler.com/2.0/?method=track.getsimilar&artist=", _tmp4_, NULL);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp6_ = _tmp5_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp7_ = g_strconcat (_tmp6_, "&track=", NULL);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp8_ = _tmp7_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp9_ = title_fixed;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp10_ = g_strconcat (_tmp8_, _tmp9_, NULL);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp11_ = _tmp10_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp12_ = g_strconcat (_tmp11_, "&api_key=", NULL);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp13_ = _tmp12_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp14_ = g_strconcat (_tmp13_, LAST_FM_API, NULL);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp15_ = _tmp14_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (_tmp13_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (_tmp11_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (_tmp8_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (_tmp6_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	url = _tmp15_;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp16_ = soup_session_new ();
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	session = _tmp16_;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp17_ = url;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp18_ = soup_message_new ("GET", _tmp17_);
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	message = _tmp18_;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp19_ = session;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_object_set (_tmp19_, "timeout", (guint) 30, NULL);
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp20_ = session;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp21_ = message;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	soup_session_send_message (_tmp20_, _tmp21_);
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp22_ = message;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp23_ = _tmp22_->response_body;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp24_ = _tmp23_->data;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp24__length1 = (gint) _tmp23_->length;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp25_ = message;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp26_ = _tmp25_->response_body;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp27_ = _tmp26_->length;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp28_ = xmlParseMemory ((const gchar*) _tmp24_, (gint) _tmp27_);
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	doc = _tmp28_;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp29_ = doc;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	if (_tmp29_ == NULL) {
#line 602 "SimilarMedia.c"
		const gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp30_ = title;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp31_ = artist;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		g_message ("SimilarMedia.vala:107: Could not load similar artist information for %" \
"s by %s\n", _tmp30_, _tmp31_);
#line 611 "SimilarMedia.c"
	} else {
		xmlDoc* _tmp32_ = NULL;
		xmlNode* _tmp33_ = NULL;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp32_ = doc;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp33_ = xmlDocGetRootElement (_tmp32_);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		if (_tmp33_ == NULL) {
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			g_message ("SimilarMedia.vala:109: Oddly, similar artist information was invalid\n");
#line 623 "SimilarMedia.c"
		} else {
			xmlDoc* _tmp34_ = NULL;
			xmlNode* _tmp35_ = NULL;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp34_ = doc;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp35_ = xmlDocGetRootElement (_tmp34_);
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			last_fm_similar_medias_parse_similar_nodes (self, _tmp35_, "");
#line 633 "SimilarMedia.c"
		}
	}
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp36_ = doc;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	xmlFreeDoc (_tmp36_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (message);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (session);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (url);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (title_fixed);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_free0 (artist_fixed);
#line 650 "SimilarMedia.c"
}


void last_fm_similar_medias_parse_similar_nodes (LastFMSimilarMedias* self, xmlNode* node, const gchar* parent) {
	xmlNode* iter = NULL;
	xmlNode* _tmp33_ = NULL;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (self != NULL);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (parent != NULL);
#line 661 "SimilarMedia.c"
	{
		xmlNode* _tmp0_ = NULL;
		xmlNode* _tmp1_ = NULL;
		gboolean _tmp2_ = FALSE;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp0_ = node;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp1_ = _tmp0_->children;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		iter = _tmp1_;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		_tmp2_ = TRUE;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		while (TRUE) {
#line 676 "SimilarMedia.c"
			xmlNode* _tmp5_ = NULL;
			xmlNode* _tmp6_ = NULL;
			xmlElementType _tmp7_ = 0;
			gchar* node_name = NULL;
			xmlNode* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
			gchar* node_content = NULL;
			xmlNode* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			xmlNode* _tmp28_ = NULL;
			const gchar* _tmp29_ = NULL;
			const gchar* _tmp30_ = NULL;
			gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			if (!_tmp2_) {
#line 695 "SimilarMedia.c"
				xmlNode* _tmp3_ = NULL;
				xmlNode* _tmp4_ = NULL;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				_tmp3_ = iter;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				_tmp4_ = _tmp3_->next;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				iter = _tmp4_;
#line 704 "SimilarMedia.c"
			}
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp2_ = FALSE;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp5_ = iter;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			if (!(_tmp5_ != NULL)) {
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				break;
#line 714 "SimilarMedia.c"
			}
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp6_ = iter;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp7_ = _tmp6_->type;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			if (_tmp7_ != XML_ELEMENT_NODE) {
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				continue;
#line 724 "SimilarMedia.c"
			}
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp8_ = iter;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp9_ = _tmp8_->name;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			node_name = _tmp10_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp11_ = iter;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp12_ = (gchar*) xmlNodeGetContent (_tmp11_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			node_content = _tmp12_;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp13_ = parent;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			if (g_strcmp0 (_tmp13_, "similartrackstrack") == 0) {
#line 744 "SimilarMedia.c"
				const gchar* _tmp14_ = NULL;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				_tmp14_ = node_name;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				if (g_strcmp0 (_tmp14_, "name") == 0) {
#line 750 "SimilarMedia.c"
					NoiseMedia* _tmp15_ = NULL;
					NoiseMedia* _tmp18_ = NULL;
					NoiseMedia* _tmp19_ = NULL;
					const gchar* _tmp20_ = NULL;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_tmp15_ = self->priv->similarToAdd;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					if (_tmp15_ != NULL) {
#line 759 "SimilarMedia.c"
						GeeLinkedList* _tmp16_ = NULL;
						NoiseMedia* _tmp17_ = NULL;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						_tmp16_ = self->priv->similar_medias;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						_tmp17_ = self->priv->similarToAdd;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp16_, _tmp17_);
#line 768 "SimilarMedia.c"
					}
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_tmp18_ = noise_media_new ("");
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_g_object_unref0 (self->priv->similarToAdd);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					self->priv->similarToAdd = _tmp18_;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_tmp19_ = self->priv->similarToAdd;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_tmp20_ = node_content;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					noise_media_set_title (_tmp19_, _tmp20_);
#line 782 "SimilarMedia.c"
				} else {
					const gchar* _tmp21_ = NULL;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_tmp21_ = node_name;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					if (g_strcmp0 (_tmp21_, "url") == 0) {
#line 789 "SimilarMedia.c"
						NoiseMedia* _tmp22_ = NULL;
						const gchar* _tmp23_ = NULL;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						_tmp22_ = self->priv->similarToAdd;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						_tmp23_ = node_content;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						noise_media_set_comment (_tmp22_, _tmp23_);
#line 798 "SimilarMedia.c"
					}
				}
			} else {
				const gchar* _tmp24_ = NULL;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				_tmp24_ = parent;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
				if (g_strcmp0 (_tmp24_, "similartrackstrackartist") == 0) {
#line 807 "SimilarMedia.c"
					const gchar* _tmp25_ = NULL;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					_tmp25_ = node_name;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
					if (g_strcmp0 (_tmp25_, "name") == 0) {
#line 813 "SimilarMedia.c"
						NoiseMedia* _tmp26_ = NULL;
						const gchar* _tmp27_ = NULL;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						_tmp26_ = self->priv->similarToAdd;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						_tmp27_ = node_content;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
						noise_media_set_artist (_tmp26_, _tmp27_);
#line 822 "SimilarMedia.c"
					}
				}
			}
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp28_ = iter;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp29_ = parent;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp30_ = node_name;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp31_ = g_strconcat (_tmp29_, _tmp30_, NULL);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_tmp32_ = _tmp31_;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			last_fm_similar_medias_parse_similar_nodes (self, _tmp28_, _tmp32_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_g_free0 (_tmp32_);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_g_free0 (node_content);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
			_g_free0 (node_name);
#line 844 "SimilarMedia.c"
		}
	}
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_tmp33_ = iter;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	xmlFreeNode (_tmp33_);
#line 851 "SimilarMedia.c"
}


static void g_cclosure_user_marshal_VOID__OBJECT_OBJECT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__OBJECT_OBJECT) (gpointer data1, gpointer arg_1, gpointer arg_2, gpointer data2);
	register GMarshalFunc_VOID__OBJECT_OBJECT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_return_if_fail (n_param_values == 3);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		data1 = closure->data;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		data2 = param_values->data[0].v_pointer;
#line 870 "SimilarMedia.c"
	} else {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		data1 = param_values->data[0].v_pointer;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
		data2 = closure->data;
#line 876 "SimilarMedia.c"
	}
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	callback = (GMarshalFunc_VOID__OBJECT_OBJECT) (marshal_data ? marshal_data : cc->callback);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	callback (data1, g_value_get_object (param_values + 1), g_value_get_object (param_values + 2), data2);
#line 882 "SimilarMedia.c"
}


static void last_fm_similar_medias_class_init (LastFMSimilarMediasClass * klass) {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	last_fm_similar_medias_parent_class = g_type_class_peek_parent (klass);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_type_class_add_private (klass, sizeof (LastFMSimilarMediasPrivate));
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	((LastFMSimilarMediasClass *) klass)->queryForSimilar = last_fm_similar_medias_real_queryForSimilar;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	G_OBJECT_CLASS (klass)->finalize = last_fm_similar_medias_finalize;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_signal_new ("similar_retrieved", LAST_FM_TYPE_SIMILAR_MEDIAS, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__OBJECT_OBJECT, G_TYPE_NONE, 2, GEE_TYPE_LINKED_LIST, GEE_TYPE_LINKED_LIST);
#line 897 "SimilarMedia.c"
}


static void last_fm_similar_medias_instance_init (LastFMSimilarMedias * self) {
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self->priv = LAST_FM_SIMILAR_MEDIAS_GET_PRIVATE (self);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_rec_mutex_init (&self->priv->__lock_similar_playlist);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_rec_mutex_init (&self->priv->__lock_similar_medias);
#line 908 "SimilarMedia.c"
}


static void last_fm_similar_medias_finalize (GObject* obj) {
	LastFMSimilarMedias * self;
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, LAST_FM_TYPE_SIMILAR_MEDIAS, LastFMSimilarMedias);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_rec_mutex_clear (&self->priv->__lock_similar_playlist);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (self->similar_playlist);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	g_rec_mutex_clear (&self->priv->__lock_similar_medias);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (self->priv->similar_medias);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	_g_object_unref0 (self->priv->similarToAdd);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMedia.vala"
	G_OBJECT_CLASS (last_fm_similar_medias_parent_class)->finalize (obj);
#line 928 "SimilarMedia.c"
}


GType last_fm_similar_medias_get_type (void) {
	return last_fm_similar_medias_type_id;
}


GType last_fm_similar_medias_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (LastFMSimilarMediasClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) last_fm_similar_medias_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (LastFMSimilarMedias), 0, (GInstanceInitFunc) last_fm_similar_medias_instance_init, NULL };
	last_fm_similar_medias_type_id = g_type_module_register_type (module, G_TYPE_OBJECT, "LastFMSimilarMedias", &g_define_type_info, 0);
	return last_fm_similar_medias_type_id;
}



