/* SimilarMediaView.c generated by valac 0.28.1, the Vala compiler
 * generated from SimilarMediaView.vala, do not modify */

/*-
 * Copyright (c) 2011-2012       Scott Ringwelski <sgringwe@mtu.edu>
 *
 * Originally Written by Scott Ringwelski for BeatBox Music Player
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>


#define NOISE_TYPE_SIMILAR_MEDIAS_VIEW (noise_similar_medias_view_get_type ())
#define NOISE_SIMILAR_MEDIAS_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_SIMILAR_MEDIAS_VIEW, NoiseSimilarMediasView))
#define NOISE_SIMILAR_MEDIAS_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_SIMILAR_MEDIAS_VIEW, NoiseSimilarMediasViewClass))
#define NOISE_IS_SIMILAR_MEDIAS_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_SIMILAR_MEDIAS_VIEW))
#define NOISE_IS_SIMILAR_MEDIAS_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_SIMILAR_MEDIAS_VIEW))
#define NOISE_SIMILAR_MEDIAS_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_SIMILAR_MEDIAS_VIEW, NoiseSimilarMediasViewClass))

typedef struct _NoiseSimilarMediasView NoiseSimilarMediasView;
typedef struct _NoiseSimilarMediasViewClass NoiseSimilarMediasViewClass;
typedef struct _NoiseSimilarMediasViewPrivate NoiseSimilarMediasViewPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_thread_unref0(var) ((var == NULL) ? NULL : (var = (g_thread_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _NoiseSimilarMediasView {
	GtkTreeView parent_instance;
	NoiseSimilarMediasViewPrivate * priv;
};

struct _NoiseSimilarMediasViewClass {
	GtkTreeViewClass parent_class;
	void (*viewDoubleClick) (NoiseSimilarMediasView* self, GtkTreePath* path, GtkTreeViewColumn* column);
};

struct _NoiseSimilarMediasViewPrivate {
	GtkListStore* model;
	GeeLinkedList* medias;
	GeeLinkedList* urlsToOpen;
};


static gpointer noise_similar_medias_view_parent_class = NULL;
static GType noise_similar_medias_view_type_id = 0;

GType noise_similar_medias_view_get_type (void) G_GNUC_CONST;
GType noise_similar_medias_view_register_type (GTypeModule * module);
#define NOISE_SIMILAR_MEDIAS_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_SIMILAR_MEDIAS_VIEW, NoiseSimilarMediasViewPrivate))
enum  {
	NOISE_SIMILAR_MEDIAS_VIEW_DUMMY_PROPERTY
};
NoiseSimilarMediasView* noise_similar_medias_view_new (void);
NoiseSimilarMediasView* noise_similar_medias_view_construct (GType object_type);
void noise_similar_medias_view_viewDoubleClick (NoiseSimilarMediasView* self, GtkTreePath* path, GtkTreeViewColumn* column);
static void _noise_similar_medias_view_viewDoubleClick_gtk_tree_view_row_activated (GtkTreeView* _sender, GtkTreePath* path, GtkTreeViewColumn* column, gpointer self);
void noise_similar_medias_view_populateView (NoiseSimilarMediasView* self, GeeCollection* nMedias);
static void noise_similar_medias_view_real_viewDoubleClick (NoiseSimilarMediasView* self, GtkTreePath* path, GtkTreeViewColumn* column);
void* noise_similar_medias_view_take_action (NoiseSimilarMediasView* self);
static gpointer _noise_similar_medias_view_take_action_gthread_func (gpointer self);
static void noise_similar_medias_view_finalize (GObject* obj);


static void _noise_similar_medias_view_viewDoubleClick_gtk_tree_view_row_activated (GtkTreeView* _sender, GtkTreePath* path, GtkTreeViewColumn* column, gpointer self) {
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	noise_similar_medias_view_viewDoubleClick ((NoiseSimilarMediasView*) self, path, column);
#line 95 "SimilarMediaView.c"
}


NoiseSimilarMediasView* noise_similar_medias_view_construct (GType object_type) {
	NoiseSimilarMediasView * self = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	GtkListStore* _tmp2_ = NULL;
	GtkTreeViewColumn* col = NULL;
	GtkTreeViewColumn* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	GtkCellRendererText* _tmp6_ = NULL;
	GtkCellRendererText* _tmp7_ = NULL;
	GtkTreeViewColumn* _tmp8_ = NULL;
	GtkTreeViewColumn* _tmp9_ = NULL;
	GtkListStore* _tmp10_ = NULL;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	self = (NoiseSimilarMediasView*) g_object_new (object_type, NULL);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (self->priv->medias);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	self->priv->medias = _tmp0_;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp1_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (self->priv->urlsToOpen);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	self->priv->urlsToOpen = _tmp1_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp2_ = gtk_list_store_new (3, NOISE_TYPE_MEDIA, G_TYPE_STRING, gtk_widget_get_type (), -1, -1);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (self->priv->model);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	self->priv->model = _tmp2_;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp3_ = gtk_tree_view_column_new ();
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_object_ref_sink (_tmp3_);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	col = _tmp3_;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp4_ = _ ("media");
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_column_set_title (col, _tmp4_);
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_column_set_visible (col, FALSE);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_insert_column ((GtkTreeView*) self, col, 0);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp5_ = _ ("Similar Media");
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp6_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_object_ref_sink (_tmp6_);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp7_ = _tmp6_;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_insert_column_with_attributes ((GtkTreeView*) self, -1, _tmp5_, (GtkCellRenderer*) _tmp7_, "markup", 1, NULL, NULL);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (_tmp7_);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp8_ = gtk_tree_view_get_column ((GtkTreeView*) self, 1);
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_column_set_sizing (_tmp8_, GTK_TREE_VIEW_COLUMN_FIXED);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp9_ = gtk_tree_view_get_column ((GtkTreeView*) self, 1);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_column_set_alignment (_tmp9_, (gfloat) 0.5);
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp10_ = self->priv->model;
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_view_set_model ((GtkTreeView*) self, (GtkTreeModel*) _tmp10_);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_signal_connect_object ((GtkTreeView*) self, "row-activated", (GCallback) _noise_similar_medias_view_viewDoubleClick_gtk_tree_view_row_activated, self, 0);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (col);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	return self;
#line 177 "SimilarMediaView.c"
}


NoiseSimilarMediasView* noise_similar_medias_view_new (void) {
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	return noise_similar_medias_view_construct (NOISE_TYPE_SIMILAR_MEDIAS_VIEW);
#line 184 "SimilarMediaView.c"
}


void noise_similar_medias_view_populateView (NoiseSimilarMediasView* self, GeeCollection* nMedias) {
	GeeLinkedList* _tmp0_ = NULL;
	GtkListStore* _tmp1_ = NULL;
	gint count = 0;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_return_if_fail (self != NULL);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_return_if_fail (nMedias != NULL);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp0_ = self->priv->medias;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp0_);
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp1_ = self->priv->model;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_list_store_clear (_tmp1_);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	count = 0;
#line 206 "SimilarMediaView.c"
	{
		GeeIterator* _s_it = NULL;
		GeeCollection* _tmp2_ = NULL;
		GeeIterator* _tmp3_ = NULL;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp2_ = nMedias;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp3_ = gee_iterable_iterator ((GeeIterable*) _tmp2_);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_s_it = _tmp3_;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		while (TRUE) {
#line 219 "SimilarMediaView.c"
			GeeIterator* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			NoiseMedia* s = NULL;
			GeeIterator* _tmp6_ = NULL;
			gpointer _tmp7_ = NULL;
			GeeLinkedList* _tmp8_ = NULL;
			NoiseMedia* _tmp9_ = NULL;
			GtkTreeIter iter = {0};
			GtkListStore* _tmp10_ = NULL;
			GtkTreeIter _tmp11_ = {0};
			gchar* title_fixed = NULL;
			NoiseMedia* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* artist_fixed = NULL;
			NoiseMedia* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
			const gchar* _tmp18_ = NULL;
			gchar* _tmp19_ = NULL;
			GtkListStore* _tmp20_ = NULL;
			GtkTreeIter _tmp21_ = {0};
			NoiseMedia* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
			gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
			gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
			gchar* _tmp29_ = NULL;
			const gchar* _tmp30_ = NULL;
			gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
			gint _tmp33_ = 0;
			gint _tmp34_ = 0;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp4_ = _s_it;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp5_ = gee_iterator_next (_tmp4_);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			if (!_tmp5_) {
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
				break;
#line 263 "SimilarMediaView.c"
			}
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp6_ = _s_it;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp7_ = gee_iterator_get (_tmp6_);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			s = (NoiseMedia*) _tmp7_;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp8_ = self->priv->medias;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp9_ = s;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp8_, _tmp9_);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp10_ = self->priv->model;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			gtk_list_store_append (_tmp10_, &_tmp11_);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			iter = _tmp11_;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp12_ = s;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp13_ = noise_media_get_title (_tmp12_);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp14_ = _tmp13_;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp15_ = noise_string_escape (_tmp14_);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			title_fixed = _tmp15_;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp16_ = s;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp17_ = noise_media_get_artist (_tmp16_);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp18_ = _tmp17_;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp19_ = noise_string_escape (_tmp18_);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			artist_fixed = _tmp19_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp20_ = self->priv->model;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp21_ = iter;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp22_ = s;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp23_ = title_fixed;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp24_ = g_strconcat ("<b>", _tmp23_, NULL);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp25_ = _tmp24_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp26_ = g_strconcat (_tmp25_, "</b>", NULL);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp27_ = _tmp26_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp28_ = g_strconcat (_tmp27_, " \n", NULL);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp29_ = _tmp28_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp30_ = artist_fixed;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp31_ = g_strconcat (_tmp29_, _tmp30_, NULL);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp32_ = _tmp31_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			gtk_list_store_set (_tmp20_, &_tmp21_, 0, _tmp22_, 1, _tmp32_, -1);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_free0 (_tmp32_);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_free0 (_tmp29_);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_free0 (_tmp27_);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_free0 (_tmp25_);
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp33_ = count;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			count = _tmp33_ + 1;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp34_ = count;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			if (_tmp34_ >= 16) {
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
				_g_free0 (artist_fixed);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
				_g_free0 (title_fixed);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
				_g_object_unref0 (s);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
				_g_object_unref0 (_s_it);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
				return;
#line 357 "SimilarMediaView.c"
			}
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_free0 (artist_fixed);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_free0 (title_fixed);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_object_unref0 (s);
#line 365 "SimilarMediaView.c"
		}
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_g_object_unref0 (_s_it);
#line 369 "SimilarMediaView.c"
	}
}


static gpointer _noise_similar_medias_view_take_action_gthread_func (gpointer self) {
	gpointer result;
	result = noise_similar_medias_view_take_action ((NoiseSimilarMediasView*) self);
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_object_unref (self);
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	return result;
#line 381 "SimilarMediaView.c"
}


static void noise_similar_medias_view_real_viewDoubleClick (NoiseSimilarMediasView* self, GtkTreePath* path, GtkTreeViewColumn* column) {
	GError * _inner_error_ = NULL;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_return_if_fail (path != NULL);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_return_if_fail (column != NULL);
#line 391 "SimilarMediaView.c"
	{
		GThread* _tmp0_ = NULL;
		GThread* _tmp1_ = NULL;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp0_ = g_thread_try_new (NULL, _noise_similar_medias_view_take_action_gthread_func, g_object_ref (self), &_inner_error_);
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp1_ = _tmp0_;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_g_thread_unref0 (_tmp1_);
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 403 "SimilarMediaView.c"
			goto __catch4_g_error;
		}
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* err = NULL;
		GError* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		err = _inner_error_;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_inner_error_ = NULL;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp2_ = err;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp3_ = _tmp2_->message;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		g_warning ("SimilarMediaView.vala:80: ERROR: Could not create thread to have fun: " \
"%s \n", _tmp3_);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_g_error_free0 (err);
#line 425 "SimilarMediaView.c"
	}
	__finally4:
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		g_clear_error (&_inner_error_);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		return;
#line 436 "SimilarMediaView.c"
	}
}


void noise_similar_medias_view_viewDoubleClick (NoiseSimilarMediasView* self, GtkTreePath* path, GtkTreeViewColumn* column) {
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_return_if_fail (self != NULL);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	NOISE_SIMILAR_MEDIAS_VIEW_GET_CLASS (self)->viewDoubleClick (self, path, column);
#line 446 "SimilarMediaView.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	return self ? g_object_ref (self) : NULL;
#line 453 "SimilarMediaView.c"
}


void* noise_similar_medias_view_take_action (NoiseSimilarMediasView* self) {
	void* result = NULL;
	GtkTreeIter iter = {0};
	GtkTreeModel* mo = NULL;
	NoiseMedia* s = NULL;
	GtkTreeSelection* _tmp0_ = NULL;
	GtkTreeModel* _tmp1_ = NULL;
	GtkTreeIter _tmp2_ = {0};
	GtkTreeModel* _tmp3_ = NULL;
	GtkTreeModel* _tmp4_ = NULL;
	GtkTreeIter _tmp5_ = {0};
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	NoiseMedia* _tmp8_ = NULL;
	GError * _inner_error_ = NULL;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp0_ = gtk_tree_view_get_selection ((GtkTreeView*) self);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_selection_get_selected (_tmp0_, &_tmp1_, &_tmp2_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (mo);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp3_ = _g_object_ref0 (_tmp1_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	mo = _tmp3_;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	iter = _tmp2_;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp4_ = mo;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp5_ = iter;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	gtk_tree_model_get (_tmp4_, &_tmp5_, 0, &s, -1);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_tmp8_ = s;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	if (_tmp8_ != NULL) {
#line 496 "SimilarMediaView.c"
		NoiseMedia* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp9_ = s;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp10_ = noise_media_get_comment (_tmp9_);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp11_ = _tmp10_;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp7_ = _tmp11_ != NULL;
#line 508 "SimilarMediaView.c"
	} else {
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp7_ = FALSE;
#line 512 "SimilarMediaView.c"
	}
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	if (_tmp7_) {
#line 516 "SimilarMediaView.c"
		NoiseMedia* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp12_ = s;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp13_ = noise_media_get_comment (_tmp12_);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp14_ = _tmp13_;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp6_ = g_strcmp0 (_tmp14_, "") != 0;
#line 528 "SimilarMediaView.c"
	} else {
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		_tmp6_ = FALSE;
#line 532 "SimilarMediaView.c"
	}
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	if (_tmp6_) {
#line 536 "SimilarMediaView.c"
		{
			NoiseMedia* _tmp15_ = NULL;
			const gchar* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp15_ = s;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp16_ = noise_media_get_comment (_tmp15_);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp17_ = _tmp16_;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			g_app_info_launch_default_for_uri (_tmp17_, NULL, &_inner_error_);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 551 "SimilarMediaView.c"
				goto __catch5_g_error;
			}
		}
		goto __finally5;
		__catch5_g_error:
		{
			GError* err = NULL;
			GError* _tmp18_ = NULL;
			const gchar* _tmp19_ = NULL;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			err = _inner_error_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_inner_error_ = NULL;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp18_ = err;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_tmp19_ = _tmp18_->message;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			g_message ("SimilarMediaView.vala:97: Couldn't open the similar media's last fm pa" \
"ge: %s\n", _tmp19_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_error_free0 (err);
#line 573 "SimilarMediaView.c"
		}
		__finally5:
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_object_unref0 (s);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			_g_object_unref0 (mo);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			g_clear_error (&_inner_error_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
			return NULL;
#line 588 "SimilarMediaView.c"
		}
	}
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	result = NULL;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (s);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (mo);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	return result;
#line 599 "SimilarMediaView.c"
}


static void noise_similar_medias_view_class_init (NoiseSimilarMediasViewClass * klass) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	noise_similar_medias_view_parent_class = g_type_class_peek_parent (klass);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	g_type_class_add_private (klass, sizeof (NoiseSimilarMediasViewPrivate));
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	((NoiseSimilarMediasViewClass *) klass)->viewDoubleClick = noise_similar_medias_view_real_viewDoubleClick;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_similar_medias_view_finalize;
#line 612 "SimilarMediaView.c"
}


static void noise_similar_medias_view_instance_init (NoiseSimilarMediasView * self) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	self->priv = NOISE_SIMILAR_MEDIAS_VIEW_GET_PRIVATE (self);
#line 619 "SimilarMediaView.c"
}


static void noise_similar_medias_view_finalize (GObject* obj) {
	NoiseSimilarMediasView * self;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_SIMILAR_MEDIAS_VIEW, NoiseSimilarMediasView);
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (self->priv->model);
#line 25 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (self->priv->medias);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	_g_object_unref0 (self->priv->urlsToOpen);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/LastFM/SimilarMediaView.vala"
	G_OBJECT_CLASS (noise_similar_medias_view_parent_class)->finalize (obj);
#line 635 "SimilarMediaView.c"
}


GType noise_similar_medias_view_get_type (void) {
	return noise_similar_medias_view_type_id;
}


GType noise_similar_medias_view_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (NoiseSimilarMediasViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_similar_medias_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseSimilarMediasView), 0, (GInstanceInitFunc) noise_similar_medias_view_instance_init, NULL };
	noise_similar_medias_view_type_id = g_type_module_register_type (module, gtk_tree_view_get_type (), "NoiseSimilarMediasView", &g_define_type_info, 0);
	return noise_similar_medias_view_type_id;
}



