/* MediaArtCache.c generated by valac 0.28.1, the Vala compiler
 * generated from MediaArtCache.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gio/gio.h>
#include <noise-core.h>
#include <gobject/gvaluecollector.h>


#define NOISE_TYPE_MEDIA_ART_CACHE (noise_media_art_cache_get_type ())
#define NOISE_MEDIA_ART_CACHE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA_ART_CACHE, NoiseMediaArtCache))
#define NOISE_MEDIA_ART_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA_ART_CACHE, NoiseMediaArtCacheClass))
#define NOISE_IS_MEDIA_ART_CACHE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA_ART_CACHE))
#define NOISE_IS_MEDIA_ART_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA_ART_CACHE))
#define NOISE_MEDIA_ART_CACHE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA_ART_CACHE, NoiseMediaArtCacheClass))

typedef struct _NoiseMediaArtCache NoiseMediaArtCache;
typedef struct _NoiseMediaArtCacheClass NoiseMediaArtCacheClass;
typedef struct _NoiseMediaArtCachePrivate NoiseMediaArtCachePrivate;
#define _noise_pixbuf_cache_unref0(var) ((var == NULL) ? NULL : (var = (noise_pixbuf_cache_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _noise_media_art_cache_unref0(var) ((var == NULL) ? NULL : (var = (noise_media_art_cache_unref (var), NULL)))
typedef struct _NoiseMediaArtCacheCacheImageAsyncData NoiseMediaArtCacheCacheImageAsyncData;
typedef struct _NoiseMediaArtCacheCacheImageFromFileAsyncData NoiseMediaArtCacheCacheImageFromFileAsyncData;
typedef struct _NoiseMediaArtCacheGetImageAsyncData NoiseMediaArtCacheGetImageAsyncData;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NoiseMediaArtCacheGetOriginalImageAsyncData NoiseMediaArtCacheGetOriginalImageAsyncData;
typedef struct _NoiseParamSpecMediaArtCache NoiseParamSpecMediaArtCache;

struct _NoiseMediaArtCache {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NoiseMediaArtCachePrivate * priv;
};

struct _NoiseMediaArtCacheClass {
	GTypeClass parent_class;
	void (*finalize) (NoiseMediaArtCache *self);
	gchar* (*get_key) (NoiseMediaArtCache* self, gconstpointer object);
	GdkPixbuf* (*filter_func) (NoiseMediaArtCache* self, GdkPixbuf* pix);
	GdkPixbuf* (*get_image) (NoiseMediaArtCache* self, gconstpointer object);
	void (*get_original_image_async) (NoiseMediaArtCache* self, gconstpointer object, gint width, gint height, gboolean preserve_aspect_ratio, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_);
	GdkPixbuf* (*get_original_image_finish) (NoiseMediaArtCache* self, GAsyncResult* _res_);
};

struct _NoiseMediaArtCachePrivate {
	GType t_type;
	GBoxedCopyFunc t_dup_func;
	GDestroyNotify t_destroy_func;
	NoisePixbufCache* pixbuf_cache;
	gboolean notify_queued;
};

struct _NoiseMediaArtCacheCacheImageAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseMediaArtCache* self;
	gpointer object;
	GdkPixbuf* image;
	NoisePixbufCache* _tmp0_;
	gconstpointer _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	GdkPixbuf* _tmp4_;
};

struct _NoiseMediaArtCacheCacheImageFromFileAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseMediaArtCache* self;
	gpointer object;
	GFile* image_file;
	GCancellable* c;
	NoisePixbufCache* _tmp0_;
	gconstpointer _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	GFile* _tmp4_;
	GCancellable* _tmp5_;
};

struct _NoiseMediaArtCacheGetImageAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseMediaArtCache* self;
	gpointer object;
	gboolean lookup_file;
	GdkPixbuf* result;
	NoisePixbufCache* _tmp0_;
	gconstpointer _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_;
	GdkPixbuf* _tmp5_;
	GdkPixbuf* _tmp6_;
};

struct _NoiseMediaArtCacheGetOriginalImageAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseMediaArtCache* self;
	gpointer object;
	gint width;
	gint height;
	gboolean preserve_aspect_ratio;
	GCancellable* cancellable;
	GdkPixbuf* result;
	GFile* file;
	gconstpointer _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GdkPixbuf* _tmp3_;
	GFile* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	gboolean _tmp7_;
	GCancellable* _tmp8_;
	GdkPixbuf* _tmp9_;
	GdkPixbuf* _tmp10_;
	GError* err;
	GFile* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	GError* _tmp14_;
	const gchar* _tmp15_;
	GError * _inner_error_;
};

struct _NoiseParamSpecMediaArtCache {
	GParamSpec parent_instance;
};


static gpointer noise_media_art_cache_parent_class = NULL;

gpointer noise_media_art_cache_ref (gpointer instance);
void noise_media_art_cache_unref (gpointer instance);
GParamSpec* noise_param_spec_media_art_cache (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void noise_value_set_media_art_cache (GValue* value, gpointer v_object);
void noise_value_take_media_art_cache (GValue* value, gpointer v_object);
gpointer noise_value_get_media_art_cache (const GValue* value);
GType noise_media_art_cache_get_type (void) G_GNUC_CONST;
#define NOISE_MEDIA_ART_CACHE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_MEDIA_ART_CACHE, NoiseMediaArtCachePrivate))
enum  {
	NOISE_MEDIA_ART_CACHE_DUMMY_PROPERTY
};
NoiseMediaArtCache* noise_media_art_cache_construct (GType object_type, GType t_type, GBoxedCopyFunc t_dup_func, GDestroyNotify t_destroy_func, const gchar* folder_name);
static GdkPixbuf* __lambda6_ (NoiseMediaArtCache* self, const gchar* key, GdkPixbuf* orig_pix);
GdkPixbuf* noise_media_art_cache_filter_func (NoiseMediaArtCache* self, GdkPixbuf* pix);
static GdkPixbuf* ___lambda6__noise_pixbuf_cache_filter_function (const gchar* key, GdkPixbuf* orig_pixbuf, gpointer self);
gchar* noise_media_art_cache_get_key (NoiseMediaArtCache* self, gconstpointer object);
static gchar* noise_media_art_cache_real_get_key (NoiseMediaArtCache* self, gconstpointer object);
static GdkPixbuf* noise_media_art_cache_real_filter_func (NoiseMediaArtCache* self, GdkPixbuf* pix);
gboolean noise_media_art_cache_has_image (NoiseMediaArtCache* self, gconstpointer object);
GFile* noise_media_art_cache_get_cached_image_file (NoiseMediaArtCache* self, gconstpointer object);
static void noise_media_art_cache_cache_image_async_data_free (gpointer _data);
void noise_media_art_cache_cache_image_async (NoiseMediaArtCache* self, gconstpointer object, GdkPixbuf* image, GAsyncReadyCallback _callback_, gpointer _user_data_);
void noise_media_art_cache_cache_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_);
static gboolean noise_media_art_cache_cache_image_async_co (NoiseMediaArtCacheCacheImageAsyncData* _data_);
static void noise_media_art_cache_cache_image_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
void noise_media_art_cache_queue_notify (NoiseMediaArtCache* self);
static void noise_media_art_cache_cache_image_from_file_async_data_free (gpointer _data);
void noise_media_art_cache_cache_image_from_file_async (NoiseMediaArtCache* self, gconstpointer object, GFile* image_file, GCancellable* c, GAsyncReadyCallback _callback_, gpointer _user_data_);
void noise_media_art_cache_cache_image_from_file_finish (NoiseMediaArtCache* self, GAsyncResult* _res_);
static gboolean noise_media_art_cache_cache_image_from_file_async_co (NoiseMediaArtCacheCacheImageFromFileAsyncData* _data_);
static void noise_media_art_cache_cache_image_from_file_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
GdkPixbuf* noise_media_art_cache_decache_image (NoiseMediaArtCache* self, gconstpointer object);
GdkPixbuf* noise_media_art_cache_get_image (NoiseMediaArtCache* self, gconstpointer object);
static GdkPixbuf* noise_media_art_cache_real_get_image (NoiseMediaArtCache* self, gconstpointer object);
GdkPixbuf* noise_media_art_cache_get_image_from_key (NoiseMediaArtCache* self, const gchar* key) G_GNUC_DEPRECATED;
static void noise_media_art_cache_get_image_async_data_free (gpointer _data);
void noise_media_art_cache_get_image_async (NoiseMediaArtCache* self, gconstpointer object, gboolean lookup_file, GAsyncReadyCallback _callback_, gpointer _user_data_);
GdkPixbuf* noise_media_art_cache_get_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_);
static gboolean noise_media_art_cache_get_image_async_co (NoiseMediaArtCacheGetImageAsyncData* _data_);
static void noise_media_art_cache_get_image_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void noise_media_art_cache_real_get_original_image_async_data_free (gpointer _data);
static void noise_media_art_cache_real_get_original_image_async (NoiseMediaArtCache* self, gconstpointer object, gint width, gint height, gboolean preserve_aspect_ratio, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_);
void noise_media_art_cache_get_original_image_async (NoiseMediaArtCache* self, gconstpointer object, gint width, gint height, gboolean preserve_aspect_ratio, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_);
GdkPixbuf* noise_media_art_cache_get_original_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_);
static gboolean noise_media_art_cache_real_get_original_image_async_co (NoiseMediaArtCacheGetOriginalImageAsyncData* _data_);
static void noise_media_art_cache_get_original_image_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void noise_media_art_cache_finalize (NoiseMediaArtCache* obj);


static GdkPixbuf* __lambda6_ (NoiseMediaArtCache* self, const gchar* key, GdkPixbuf* orig_pix) {
	GdkPixbuf* result = NULL;
	GdkPixbuf* _tmp0_ = NULL;
	GdkPixbuf* _tmp1_ = NULL;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (orig_pix != NULL, NULL);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = orig_pix;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = noise_media_art_cache_filter_func (self, _tmp0_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _tmp1_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 245 "MediaArtCache.c"
}


static GdkPixbuf* ___lambda6__noise_pixbuf_cache_filter_function (const gchar* key, GdkPixbuf* orig_pixbuf, gpointer self) {
	GdkPixbuf* result;
	result = __lambda6_ ((NoiseMediaArtCache*) self, key, orig_pixbuf);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 254 "MediaArtCache.c"
}


NoiseMediaArtCache* noise_media_art_cache_construct (GType object_type, GType t_type, GBoxedCopyFunc t_dup_func, GDestroyNotify t_destroy_func, const gchar* folder_name) {
	NoiseMediaArtCache* self = NULL;
	GFile* image_dir = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	NoisePixbufCache* _tmp5_ = NULL;
	NoisePixbufCache* _tmp6_ = NULL;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (folder_name != NULL, NULL);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self = (NoiseMediaArtCache*) g_type_create_instance (object_type);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv->t_type = t_type;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv->t_dup_func = t_dup_func;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv->t_destroy_func = t_destroy_func;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = noise_file_utils_get_cache_directory ();
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = _tmp0_;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = folder_name;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = g_file_get_child (_tmp1_, _tmp2_);
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = _tmp3_;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_tmp1_);
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	image_dir = _tmp4_;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp5_ = noise_pixbuf_cache_new (image_dir, NULL);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_noise_pixbuf_cache_unref0 (self->priv->pixbuf_cache);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv->pixbuf_cache = _tmp5_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp6_ = self->priv->pixbuf_cache;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp6_->filter_func = ___lambda6__noise_pixbuf_cache_filter_function;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp6_->filter_func_target = self;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (image_dir);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return self;
#line 308 "MediaArtCache.c"
}


/**
     * Key used for storing images.
     */
static gchar* noise_media_art_cache_real_get_key (NoiseMediaArtCache* self, gconstpointer object) {
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_media_art_cache_get_key'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NULL;
#line 320 "MediaArtCache.c"
}


gchar* noise_media_art_cache_get_key (NoiseMediaArtCache* self, gconstpointer object) {
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NOISE_MEDIA_ART_CACHE_GET_CLASS (self)->get_key (self, object);
#line 329 "MediaArtCache.c"
}


/**
     * This function is called before storing a pixbuf in the cache, allowing
     * to transform it.
     *
     * @see Noise.PixbufCache.filter_func
     */
static GdkPixbuf* noise_media_art_cache_real_filter_func (NoiseMediaArtCache* self, GdkPixbuf* pix) {
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_media_art_cache_filter_func'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NULL;
#line 344 "MediaArtCache.c"
}


GdkPixbuf* noise_media_art_cache_filter_func (NoiseMediaArtCache* self, GdkPixbuf* pix) {
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NOISE_MEDIA_ART_CACHE_GET_CLASS (self)->filter_func (self, pix);
#line 353 "MediaArtCache.c"
}


/**
     * Verifies whether the object has a corresponding image in the cache.
     *
     * @see Noise.PixbufCache.has_image
     */
gboolean noise_media_art_cache_has_image (NoiseMediaArtCache* self, gconstpointer object) {
	gboolean result = FALSE;
	NoisePixbufCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = self->priv->pixbuf_cache;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = noise_media_art_cache_get_key (self, _tmp1_);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = _tmp2_;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = noise_pixbuf_cache_has_image (_tmp0_, _tmp3_);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp5_ = _tmp4_;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (_tmp3_);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _tmp5_;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 390 "MediaArtCache.c"
}


/**
     * Returns a file representing the objects's image on disk. This call does no blocking I/O.
     * If there's no associated image in the cache, //null// is returned.
     */
GFile* noise_media_art_cache_get_cached_image_file (NoiseMediaArtCache* self, gconstpointer object) {
	GFile* result = NULL;
	gchar* key = NULL;
	gconstpointer _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gboolean has_image = FALSE;
	NoisePixbufCache* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GFile* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = object;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = noise_media_art_cache_get_key (self, _tmp0_);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	key = _tmp1_;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = self->priv->pixbuf_cache;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = key;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = noise_pixbuf_cache_has_image (_tmp2_, _tmp3_);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	has_image = _tmp4_;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp6_ = has_image;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_tmp6_) {
#line 429 "MediaArtCache.c"
		NoisePixbufCache* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		GFile* _tmp9_ = NULL;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_tmp7_ = self->priv->pixbuf_cache;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_tmp8_ = key;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_tmp9_ = noise_pixbuf_cache_get_cached_image_file (_tmp7_, _tmp8_);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_g_object_unref0 (_tmp5_);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_tmp5_ = _tmp9_;
#line 443 "MediaArtCache.c"
	} else {
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_g_object_unref0 (_tmp5_);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		_tmp5_ = NULL;
#line 449 "MediaArtCache.c"
	}
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _tmp5_;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (key);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 457 "MediaArtCache.c"
}


static void noise_media_art_cache_cache_image_async_data_free (gpointer _data) {
	NoiseMediaArtCacheCacheImageAsyncData* _data_;
	_data_ = _data;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->image);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_noise_media_art_cache_unref0 (_data_->self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_slice_free (NoiseMediaArtCacheCacheImageAsyncData, _data_);
#line 472 "MediaArtCache.c"
}


static gpointer _noise_media_art_cache_ref0 (gpointer self) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return self ? noise_media_art_cache_ref (self) : NULL;
#line 479 "MediaArtCache.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return self ? g_object_ref (self) : NULL;
#line 486 "MediaArtCache.c"
}


void noise_media_art_cache_cache_image_async (NoiseMediaArtCache* self, gconstpointer object, GdkPixbuf* image, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoiseMediaArtCacheCacheImageAsyncData* _data_;
	NoiseMediaArtCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	GdkPixbuf* _tmp3_ = NULL;
	GdkPixbuf* _tmp4_ = NULL;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_slice_new0 (NoiseMediaArtCacheCacheImageAsyncData);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_async_result = g_simple_async_result_new (NULL, _callback_, _user_data_, noise_media_art_cache_cache_image_async);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_media_art_cache_cache_image_async_data_free);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = _noise_media_art_cache_ref0 (self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->self = _tmp0_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = ((_tmp1_ != NULL) && (self->priv->t_dup_func != NULL)) ? self->priv->t_dup_func ((gpointer) _tmp1_) : ((gpointer) _tmp1_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->object = _tmp2_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = image;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->image);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->image = _tmp4_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_cache_image_async_co (_data_);
#line 525 "MediaArtCache.c"
}


void noise_media_art_cache_cache_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_) {
	NoiseMediaArtCacheCacheImageAsyncData* _data_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 533 "MediaArtCache.c"
}


/**
     * Assign an image to media and all other objects for which get_key()
     * would return an identical value. The image is not assigned to the
     * object itself, but stored on an internal table. Changes are written to
     * disk as well.
     *
     * The image can be later retrieved through get_image().
     *
     * This method can also be used to update image buffers when they have changed
     * (e.g. due to metadata changes, etc.), since the old pixbuf and cached image
     * are overwritten.
     */
static void noise_media_art_cache_cache_image_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NoiseMediaArtCacheCacheImageAsyncData* _data_;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = _user_data_;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_source_object_ = source_object;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_res_ = _res_;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_cache_image_async_co (_data_);
#line 559 "MediaArtCache.c"
}


static gboolean noise_media_art_cache_cache_image_async_co (NoiseMediaArtCacheCacheImageAsyncData* _data_) {
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	switch (_data_->_state_) {
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 0:
#line 568 "MediaArtCache.c"
		goto _state_0;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 1:
#line 572 "MediaArtCache.c"
		goto _state_1;
		default:
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_assert_not_reached ();
#line 577 "MediaArtCache.c"
	}
	_state_0:
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = _data_->self->priv->pixbuf_cache;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = _data_->object;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = noise_media_art_cache_get_key (_data_->self, _data_->_tmp1_);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp3_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp3_ = _data_->_tmp2_;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp4_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp4_ = _data_->image;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_state_ = 1;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_pixbuf_cache_cache_image_async (_data_->_tmp0_, _data_->_tmp3_, _data_->_tmp4_, noise_media_art_cache_cache_image_async_ready, _data_);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 606 "MediaArtCache.c"
	_state_1:
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_pixbuf_cache_cache_image_finish (_data_->_tmp0_, _data_->_res_);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (_data_->_tmp3_);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_queue_notify (_data_->self);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_state_ == 0) {
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 618 "MediaArtCache.c"
	} else {
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 622 "MediaArtCache.c"
	}
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_object_unref (_data_->_async_result);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 628 "MediaArtCache.c"
}


static void noise_media_art_cache_cache_image_from_file_async_data_free (gpointer _data) {
	NoiseMediaArtCacheCacheImageFromFileAsyncData* _data_;
	_data_ = _data;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->image_file);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->c);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_noise_media_art_cache_unref0 (_data_->self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_slice_free (NoiseMediaArtCacheCacheImageFromFileAsyncData, _data_);
#line 645 "MediaArtCache.c"
}


void noise_media_art_cache_cache_image_from_file_async (NoiseMediaArtCache* self, gconstpointer object, GFile* image_file, GCancellable* c, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoiseMediaArtCacheCacheImageFromFileAsyncData* _data_;
	NoiseMediaArtCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	GCancellable* _tmp5_ = NULL;
	GCancellable* _tmp6_ = NULL;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_slice_new0 (NoiseMediaArtCacheCacheImageFromFileAsyncData);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_async_result = g_simple_async_result_new (NULL, _callback_, _user_data_, noise_media_art_cache_cache_image_from_file_async);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_media_art_cache_cache_image_from_file_async_data_free);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = _noise_media_art_cache_ref0 (self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->self = _tmp0_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = ((_tmp1_ != NULL) && (self->priv->t_dup_func != NULL)) ? self->priv->t_dup_func ((gpointer) _tmp1_) : ((gpointer) _tmp1_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->object = _tmp2_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = image_file;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->image_file);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->image_file = _tmp4_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp5_ = c;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->c);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->c = _tmp6_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_cache_image_from_file_async_co (_data_);
#line 694 "MediaArtCache.c"
}


void noise_media_art_cache_cache_image_from_file_finish (NoiseMediaArtCache* self, GAsyncResult* _res_) {
	NoiseMediaArtCacheCacheImageFromFileAsyncData* _data_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 702 "MediaArtCache.c"
}


/**
     * This method does the same as cache_image(), with the only difference that it
     * first fetches the image from the given file.
     */
static void noise_media_art_cache_cache_image_from_file_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NoiseMediaArtCacheCacheImageFromFileAsyncData* _data_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = _user_data_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_source_object_ = source_object;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_res_ = _res_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_cache_image_from_file_async_co (_data_);
#line 720 "MediaArtCache.c"
}


static gboolean noise_media_art_cache_cache_image_from_file_async_co (NoiseMediaArtCacheCacheImageFromFileAsyncData* _data_) {
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	switch (_data_->_state_) {
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 0:
#line 729 "MediaArtCache.c"
		goto _state_0;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 1:
#line 733 "MediaArtCache.c"
		goto _state_1;
		default:
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_assert_not_reached ();
#line 738 "MediaArtCache.c"
	}
	_state_0:
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = _data_->self->priv->pixbuf_cache;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = _data_->object;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = noise_media_art_cache_get_key (_data_->self, _data_->_tmp1_);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp3_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp3_ = _data_->_tmp2_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp4_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp4_ = _data_->image_file;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp5_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp5_ = _data_->c;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_state_ = 1;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_pixbuf_cache_cache_image_from_file_async (_data_->_tmp0_, _data_->_tmp3_, _data_->_tmp4_, _data_->_tmp5_, noise_media_art_cache_cache_image_from_file_async_ready, _data_);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 771 "MediaArtCache.c"
	_state_1:
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_pixbuf_cache_cache_image_from_file_finish (_data_->_tmp0_, _data_->_res_);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (_data_->_tmp3_);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_queue_notify (_data_->self);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_state_ == 0) {
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 783 "MediaArtCache.c"
	} else {
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 787 "MediaArtCache.c"
	}
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_object_unref (_data_->_async_result);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 793 "MediaArtCache.c"
}


/**
     * Removes the image corresponding to the object from the table. It also deletes
     * the associated file from the cache directory.
     */
GdkPixbuf* noise_media_art_cache_decache_image (NoiseMediaArtCache* self, gconstpointer object) {
	GdkPixbuf* result = NULL;
	GdkPixbuf* pix = NULL;
	NoisePixbufCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GdkPixbuf* _tmp4_ = NULL;
	GdkPixbuf* _tmp5_ = NULL;
#line 117 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = self->priv->pixbuf_cache;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = noise_media_art_cache_get_key (self, _tmp1_);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = _tmp2_;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = noise_pixbuf_cache_decache_image (_tmp0_, _tmp3_);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp5_ = _tmp4_;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (_tmp3_);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	pix = _tmp5_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_queue_notify (self);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = pix;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 834 "MediaArtCache.c"
}


/**
     * @return null if the object's corresponding image was not found; otherwise
     * a valid {@link Gdk.Pixbuf}.
     */
static GdkPixbuf* noise_media_art_cache_real_get_image (NoiseMediaArtCache* self, gconstpointer object) {
	GdkPixbuf* result = NULL;
	NoisePixbufCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GdkPixbuf* _tmp4_ = NULL;
	GdkPixbuf* _tmp5_ = NULL;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = self->priv->pixbuf_cache;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = noise_media_art_cache_get_key (self, _tmp1_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = _tmp2_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = noise_pixbuf_cache_get_image (_tmp0_, _tmp3_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp5_ = _tmp4_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (_tmp3_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _tmp5_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 868 "MediaArtCache.c"
}


GdkPixbuf* noise_media_art_cache_get_image (NoiseMediaArtCache* self, gconstpointer object) {
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NOISE_MEDIA_ART_CACHE_GET_CLASS (self)->get_image (self, object);
#line 877 "MediaArtCache.c"
}


/**
     * FIXME this is a temporary workaround. In the future, this will be removed and
     * get_image() will be the only way to access the cache. See CoverartCache for more
     * information.
     */
GdkPixbuf* noise_media_art_cache_get_image_from_key (NoiseMediaArtCache* self, const gchar* key) {
	GdkPixbuf* result = NULL;
	NoisePixbufCache* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GdkPixbuf* _tmp2_ = NULL;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = self->priv->pixbuf_cache;
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = key;
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = noise_pixbuf_cache_get_image (_tmp0_, _tmp1_);
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _tmp2_;
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 905 "MediaArtCache.c"
}


static void noise_media_art_cache_get_image_async_data_free (gpointer _data) {
	NoiseMediaArtCacheGetImageAsyncData* _data_;
	_data_ = _data;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->result);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_noise_media_art_cache_unref0 (_data_->self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_slice_free (NoiseMediaArtCacheGetImageAsyncData, _data_);
#line 920 "MediaArtCache.c"
}


void noise_media_art_cache_get_image_async (NoiseMediaArtCache* self, gconstpointer object, gboolean lookup_file, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoiseMediaArtCacheGetImageAsyncData* _data_;
	NoiseMediaArtCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_slice_new0 (NoiseMediaArtCacheGetImageAsyncData);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_async_result = g_simple_async_result_new (NULL, _callback_, _user_data_, noise_media_art_cache_get_image_async);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_media_art_cache_get_image_async_data_free);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = _noise_media_art_cache_ref0 (self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->self = _tmp0_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = ((_tmp1_ != NULL) && (self->priv->t_dup_func != NULL)) ? self->priv->t_dup_func ((gpointer) _tmp1_) : ((gpointer) _tmp1_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->object = _tmp2_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = lookup_file;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->lookup_file = _tmp3_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_get_image_async_co (_data_);
#line 954 "MediaArtCache.c"
}


GdkPixbuf* noise_media_art_cache_get_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_) {
	GdkPixbuf* result;
	NoiseMediaArtCacheGetImageAsyncData* _data_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _data_->result;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->result = NULL;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 969 "MediaArtCache.c"
}


/**
     * @return null if the object's corresponding image was not found; otherwise
     * a valid {@link Gdk.Pixbuf}
     */
static void noise_media_art_cache_get_image_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NoiseMediaArtCacheGetImageAsyncData* _data_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = _user_data_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_source_object_ = source_object;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_res_ = _res_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_get_image_async_co (_data_);
#line 987 "MediaArtCache.c"
}


static gboolean noise_media_art_cache_get_image_async_co (NoiseMediaArtCacheGetImageAsyncData* _data_) {
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	switch (_data_->_state_) {
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 0:
#line 996 "MediaArtCache.c"
		goto _state_0;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 1:
#line 1000 "MediaArtCache.c"
		goto _state_1;
		default:
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_assert_not_reached ();
#line 1005 "MediaArtCache.c"
	}
	_state_0:
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = _data_->self->priv->pixbuf_cache;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = _data_->object;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = noise_media_art_cache_get_key (_data_->self, _data_->_tmp1_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp3_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp3_ = _data_->_tmp2_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp4_ = FALSE;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp4_ = _data_->lookup_file;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_state_ = 1;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_pixbuf_cache_get_image_async (_data_->_tmp0_, _data_->_tmp3_, _data_->_tmp4_, noise_media_art_cache_get_image_async_ready, _data_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 1034 "MediaArtCache.c"
	_state_1:
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp5_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp5_ = noise_pixbuf_cache_get_image_finish (_data_->_tmp0_, _data_->_res_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp6_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_free0 (_data_->_tmp3_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->result = _data_->_tmp6_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_state_ == 0) {
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1052 "MediaArtCache.c"
	} else {
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 1056 "MediaArtCache.c"
	}
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_object_unref (_data_->_async_result);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_state_ == 0) {
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1066 "MediaArtCache.c"
	} else {
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 1070 "MediaArtCache.c"
	}
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_object_unref (_data_->_async_result);
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 1076 "MediaArtCache.c"
}


static void noise_media_art_cache_real_get_original_image_async_data_free (gpointer _data) {
	NoiseMediaArtCacheGetOriginalImageAsyncData* _data_;
	_data_ = _data;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->cancellable);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->result);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_noise_media_art_cache_unref0 (_data_->self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_slice_free (NoiseMediaArtCacheGetOriginalImageAsyncData, _data_);
#line 1093 "MediaArtCache.c"
}


static void noise_media_art_cache_real_get_original_image_async (NoiseMediaArtCache* self, gconstpointer object, gint width, gint height, gboolean preserve_aspect_ratio, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoiseMediaArtCacheGetOriginalImageAsyncData* _data_;
	NoiseMediaArtCache* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
	GCancellable* _tmp6_ = NULL;
	GCancellable* _tmp7_ = NULL;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_slice_new0 (NoiseMediaArtCacheGetOriginalImageAsyncData);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_async_result = g_simple_async_result_new (NULL, _callback_, _user_data_, noise_media_art_cache_real_get_original_image_async);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_media_art_cache_real_get_original_image_async_data_free);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = _noise_media_art_cache_ref0 (self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->self = _tmp0_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp1_ = object;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp2_ = ((_tmp1_ != NULL) && (self->priv->t_dup_func != NULL)) ? self->priv->t_dup_func ((gpointer) _tmp1_) : ((gpointer) _tmp1_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((_data_->object == NULL) || (_data_->self->priv->t_destroy_func == NULL)) ? NULL : (_data_->object = (_data_->self->priv->t_destroy_func (_data_->object), NULL));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->object = _tmp2_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp3_ = width;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->width = _tmp3_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp4_ = height;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->height = _tmp4_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp5_ = preserve_aspect_ratio;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->preserve_aspect_ratio = _tmp5_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp6_ = cancellable;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->cancellable);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->cancellable = _tmp7_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_real_get_original_image_async_co (_data_);
#line 1147 "MediaArtCache.c"
}


static GdkPixbuf* noise_media_art_cache_real_get_original_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_) {
	GdkPixbuf* result;
	NoiseMediaArtCacheGetOriginalImageAsyncData* _data_;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	result = _data_->result;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->result = NULL;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return result;
#line 1162 "MediaArtCache.c"
}


/**
     * @return A {@link Gdk.Pixbuf} representing the image as it appears in the file cache.
     *         That is a version of the image not affected by {@link Noise.MediaArtCache.filter_func}.
     */
static void noise_media_art_cache_get_original_image_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NoiseMediaArtCacheGetOriginalImageAsyncData* _data_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_ = _user_data_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_source_object_ = source_object;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_res_ = _res_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_real_get_original_image_async_co (_data_);
#line 1180 "MediaArtCache.c"
}


static gboolean noise_media_art_cache_real_get_original_image_async_co (NoiseMediaArtCacheGetOriginalImageAsyncData* _data_) {
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	switch (_data_->_state_) {
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 0:
#line 1189 "MediaArtCache.c"
		goto _state_0;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		case 1:
#line 1193 "MediaArtCache.c"
		goto _state_1;
		default:
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_assert_not_reached ();
#line 1198 "MediaArtCache.c"
	}
	_state_0:
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = NULL;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp0_ = _data_->object;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = NULL;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp1_ = noise_media_art_cache_get_cached_image_file (_data_->self, _data_->_tmp0_);
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->file = _data_->_tmp1_;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = NULL;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->_tmp2_ = _data_->file;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_tmp2_ != NULL) {
#line 1217 "MediaArtCache.c"
		{
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp4_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp4_ = _data_->file;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp5_ = 0;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp5_ = _data_->width;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp6_ = 0;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp6_ = _data_->height;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp7_ = FALSE;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp7_ = _data_->preserve_aspect_ratio;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp8_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp8_ = _data_->cancellable;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_state_ = 1;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			noise_pixbuf_utils_get_pixbuf_from_file_at_scale_async (_data_->_tmp4_, _data_->_tmp5_, _data_->_tmp6_, _data_->_tmp7_, _data_->_tmp8_, noise_media_art_cache_get_original_image_async_ready, _data_);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			return FALSE;
#line 1245 "MediaArtCache.c"
			_state_1:
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp9_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp9_ = noise_pixbuf_utils_get_pixbuf_from_file_at_scale_finish (_data_->_res_, &_data_->_inner_error_);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp3_ = _data_->_tmp9_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 1255 "MediaArtCache.c"
				goto __catch19_g_error;
			}
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp10_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp10_ = _data_->_tmp3_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp3_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->result = _data_->_tmp10_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_g_object_unref0 (_data_->_tmp3_);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_g_object_unref0 (_data_->file);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			if (_data_->_state_ == 0) {
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1274 "MediaArtCache.c"
			} else {
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 1278 "MediaArtCache.c"
			}
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			g_object_unref (_data_->_async_result);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			return FALSE;
#line 1284 "MediaArtCache.c"
		}
		goto __finally19;
		__catch19_g_error:
		{
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->err = _data_->_inner_error_;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_inner_error_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp11_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp11_ = _data_->file;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp12_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp12_ = g_file_get_uri (_data_->_tmp11_);
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp13_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp13_ = _data_->_tmp12_;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp14_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp14_ = _data_->err;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp15_ = NULL;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_data_->_tmp15_ = _data_->_tmp14_->message;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			g_warning ("MediaArtCache.vala:165: Could not get image from file [%s]: %s", _data_->_tmp13_, _data_->_tmp15_);
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_g_free0 (_data_->_tmp13_);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_g_error_free0 (_data_->err);
#line 1319 "MediaArtCache.c"
		}
		__finally19:
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			_g_object_unref0 (_data_->file);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			g_clear_error (&_data_->_inner_error_);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			return FALSE;
#line 1332 "MediaArtCache.c"
		}
	}
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_data_->result = NULL;
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->file);
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_state_ == 0) {
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1343 "MediaArtCache.c"
	} else {
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 1347 "MediaArtCache.c"
	}
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_object_unref (_data_->_async_result);
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_g_object_unref0 (_data_->file);
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_data_->_state_ == 0) {
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1359 "MediaArtCache.c"
	} else {
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 1363 "MediaArtCache.c"
	}
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_object_unref (_data_->_async_result);
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return FALSE;
#line 1369 "MediaArtCache.c"
}


void noise_media_art_cache_get_original_image_async (NoiseMediaArtCache* self, gconstpointer object, gint width, gint height, gboolean preserve_aspect_ratio, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	NOISE_MEDIA_ART_CACHE_GET_CLASS (self)->get_original_image_async (self, object, width, height, preserve_aspect_ratio, cancellable, _callback_, _user_data_);
#line 1376 "MediaArtCache.c"
}


GdkPixbuf* noise_media_art_cache_get_original_image_finish (NoiseMediaArtCache* self, GAsyncResult* _res_) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NOISE_MEDIA_ART_CACHE_GET_CLASS (self)->get_original_image_finish (self, _res_);
#line 1383 "MediaArtCache.c"
}


/**
     * Notifies about changes in the cache.
     *
     * We use a low priority to avoid emitting the changed() signal many times.
     * Instead, we want to notify in a batch.
     */
void noise_media_art_cache_queue_notify (NoiseMediaArtCache* self) {
	gboolean _tmp0_ = FALSE;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_if_fail (self != NULL);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_tmp0_ = self->priv->notify_queued;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (_tmp0_) {
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		return;
#line 1403 "MediaArtCache.c"
	}
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_signal_emit_by_name (self, "changed");
#line 182 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv->notify_queued = FALSE;
#line 1409 "MediaArtCache.c"
}


static void noise_value_media_art_cache_init (GValue* value) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	value->data[0].v_pointer = NULL;
#line 1416 "MediaArtCache.c"
}


static void noise_value_media_art_cache_free_value (GValue* value) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (value->data[0].v_pointer) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		noise_media_art_cache_unref (value->data[0].v_pointer);
#line 1425 "MediaArtCache.c"
	}
}


static void noise_value_media_art_cache_copy_value (const GValue* src_value, GValue* dest_value) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (src_value->data[0].v_pointer) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		dest_value->data[0].v_pointer = noise_media_art_cache_ref (src_value->data[0].v_pointer);
#line 1435 "MediaArtCache.c"
	} else {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1439 "MediaArtCache.c"
	}
}


static gpointer noise_value_media_art_cache_peek_pointer (const GValue* value) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return value->data[0].v_pointer;
#line 1447 "MediaArtCache.c"
}


static gchar* noise_value_media_art_cache_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (collect_values[0].v_pointer) {
#line 1454 "MediaArtCache.c"
		NoiseMediaArtCache* object;
		object = collect_values[0].v_pointer;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		if (object->parent_instance.g_class == NULL) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1461 "MediaArtCache.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1465 "MediaArtCache.c"
		}
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		value->data[0].v_pointer = noise_media_art_cache_ref (object);
#line 1469 "MediaArtCache.c"
	} else {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		value->data[0].v_pointer = NULL;
#line 1473 "MediaArtCache.c"
	}
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NULL;
#line 1477 "MediaArtCache.c"
}


static gchar* noise_value_media_art_cache_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	NoiseMediaArtCache** object_p;
	object_p = collect_values[0].v_pointer;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (!object_p) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1488 "MediaArtCache.c"
	}
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (!value->data[0].v_pointer) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		*object_p = NULL;
#line 1494 "MediaArtCache.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		*object_p = value->data[0].v_pointer;
#line 1498 "MediaArtCache.c"
	} else {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		*object_p = noise_media_art_cache_ref (value->data[0].v_pointer);
#line 1502 "MediaArtCache.c"
	}
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return NULL;
#line 1506 "MediaArtCache.c"
}


GParamSpec* noise_param_spec_media_art_cache (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	NoiseParamSpecMediaArtCache* spec;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NOISE_TYPE_MEDIA_ART_CACHE), NULL);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return G_PARAM_SPEC (spec);
#line 1520 "MediaArtCache.c"
}


gpointer noise_value_get_media_art_cache (const GValue* value) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NOISE_TYPE_MEDIA_ART_CACHE), NULL);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return value->data[0].v_pointer;
#line 1529 "MediaArtCache.c"
}


void noise_value_set_media_art_cache (GValue* value, gpointer v_object) {
	NoiseMediaArtCache* old;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NOISE_TYPE_MEDIA_ART_CACHE));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	old = value->data[0].v_pointer;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (v_object) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NOISE_TYPE_MEDIA_ART_CACHE));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		value->data[0].v_pointer = v_object;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		noise_media_art_cache_ref (value->data[0].v_pointer);
#line 1549 "MediaArtCache.c"
	} else {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		value->data[0].v_pointer = NULL;
#line 1553 "MediaArtCache.c"
	}
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (old) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		noise_media_art_cache_unref (old);
#line 1559 "MediaArtCache.c"
	}
}


void noise_value_take_media_art_cache (GValue* value, gpointer v_object) {
	NoiseMediaArtCache* old;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NOISE_TYPE_MEDIA_ART_CACHE));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	old = value->data[0].v_pointer;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (v_object) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NOISE_TYPE_MEDIA_ART_CACHE));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		value->data[0].v_pointer = v_object;
#line 1578 "MediaArtCache.c"
	} else {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		value->data[0].v_pointer = NULL;
#line 1582 "MediaArtCache.c"
	}
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (old) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		noise_media_art_cache_unref (old);
#line 1588 "MediaArtCache.c"
	}
}


static void noise_media_art_cache_class_init (NoiseMediaArtCacheClass * klass) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	noise_media_art_cache_parent_class = g_type_class_peek_parent (klass);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((NoiseMediaArtCacheClass *) klass)->finalize = noise_media_art_cache_finalize;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_type_class_add_private (klass, sizeof (NoiseMediaArtCachePrivate));
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((NoiseMediaArtCacheClass *) klass)->get_key = noise_media_art_cache_real_get_key;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((NoiseMediaArtCacheClass *) klass)->filter_func = noise_media_art_cache_real_filter_func;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((NoiseMediaArtCacheClass *) klass)->get_image = noise_media_art_cache_real_get_image;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((NoiseMediaArtCacheClass *) klass)->get_original_image_async = noise_media_art_cache_real_get_original_image_async;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	((NoiseMediaArtCacheClass *) klass)->get_original_image_finish = noise_media_art_cache_real_get_original_image_finish;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_signal_new ("changed", NOISE_TYPE_MEDIA_ART_CACHE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1612 "MediaArtCache.c"
}


static void noise_media_art_cache_instance_init (NoiseMediaArtCache * self) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv = NOISE_MEDIA_ART_CACHE_GET_PRIVATE (self);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->priv->notify_queued = FALSE;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self->ref_count = 1;
#line 1623 "MediaArtCache.c"
}


static void noise_media_art_cache_finalize (NoiseMediaArtCache* obj) {
	NoiseMediaArtCache * self;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_MEDIA_ART_CACHE, NoiseMediaArtCache);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_signal_handlers_destroy (self);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	_noise_pixbuf_cache_unref0 (self->priv->pixbuf_cache);
#line 1635 "MediaArtCache.c"
}


/**
 * Base class for storing cached media-art pixbufs
 *
 * Media art images are permanently stored at ${XDG_CACHE_HOME}/noise/...
 */
GType noise_media_art_cache_get_type (void) {
	static volatile gsize noise_media_art_cache_type_id__volatile = 0;
	if (g_once_init_enter (&noise_media_art_cache_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { noise_value_media_art_cache_init, noise_value_media_art_cache_free_value, noise_value_media_art_cache_copy_value, noise_value_media_art_cache_peek_pointer, "p", noise_value_media_art_cache_collect_value, "p", noise_value_media_art_cache_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NoiseMediaArtCacheClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_media_art_cache_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseMediaArtCache), 0, (GInstanceInitFunc) noise_media_art_cache_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType noise_media_art_cache_type_id;
		noise_media_art_cache_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NoiseMediaArtCache", &g_define_type_info, &g_define_type_fundamental_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&noise_media_art_cache_type_id__volatile, noise_media_art_cache_type_id);
	}
	return noise_media_art_cache_type_id__volatile;
}


gpointer noise_media_art_cache_ref (gpointer instance) {
	NoiseMediaArtCache* self;
	self = instance;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	g_atomic_int_inc (&self->ref_count);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	return instance;
#line 1665 "MediaArtCache.c"
}


void noise_media_art_cache_unref (gpointer instance) {
	NoiseMediaArtCache* self;
	self = instance;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		NOISE_MEDIA_ART_CACHE_GET_CLASS (self)->finalize (self);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Objects/MediaArtCache.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1678 "MediaArtCache.c"
	}
}



