/* ListColumn.c generated by valac 0.28.1, the Vala compiler
 * generated from ListColumn.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012 Noise Developers (http://launchpad.net/noise)
 *
 * This software is licensed under the GNU General Public License
 * (version 2 or later). See the COPYING file in this distribution.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <noise-core.h>
#include <gee.h>


#define NOISE_TYPE_LIST_COLUMN (noise_list_column_get_type ())

#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

typedef enum  {
	NOISE_LIST_COLUMN_ICON = 0,
	NOISE_LIST_COLUMN_NUMBER,
	NOISE_LIST_COLUMN_TRACK,
	NOISE_LIST_COLUMN_TITLE,
	NOISE_LIST_COLUMN_LENGTH,
	NOISE_LIST_COLUMN_ARTIST,
	NOISE_LIST_COLUMN_ALBUM,
	NOISE_LIST_COLUMN_ALBUM_ARTIST,
	NOISE_LIST_COLUMN_COMPOSER,
	NOISE_LIST_COLUMN_GENRE,
	NOISE_LIST_COLUMN_YEAR,
	NOISE_LIST_COLUMN_GROUPING,
	NOISE_LIST_COLUMN_BITRATE,
	NOISE_LIST_COLUMN_RATING,
	NOISE_LIST_COLUMN_PLAY_COUNT,
	NOISE_LIST_COLUMN_SKIP_COUNT,
	NOISE_LIST_COLUMN_DATE_ADDED,
	NOISE_LIST_COLUMN_LAST_PLAYED,
	NOISE_LIST_COLUMN_BPM,
	NOISE_LIST_COLUMN_FILE_LOCATION,
	NOISE_LIST_COLUMN_FILE_SIZE,
	NOISE_LIST_COLUMN_N_COLUMNS
} NoiseListColumn;



GType noise_list_column_get_type (void) G_GNUC_CONST;
gchar* noise_list_column_to_string (NoiseListColumn self);
GType noise_list_column_get_data_type (NoiseListColumn self);
GValue* noise_list_column_get_value_for_media (NoiseListColumn self, NoiseMedia* m, gint media_row_index);
GType noise_playback_manager_get_type (void) G_GNUC_CONST;
NoisePlaybackManager* noise_app_get_player (void);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
GeeCollection* noise_list_column_get_all (void);


/**
     * Returns a string representation of the column.
     */
gchar* noise_list_column_to_string (NoiseListColumn self) {
	gchar* result = NULL;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 96 "ListColumn.c"
		{
			gchar* _tmp0_ = NULL;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp0_ = g_strdup (" ");
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp0_;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 105 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 109 "ListColumn.c"
		{
			const gchar* _tmp1_ = NULL;
			gchar* _tmp2_ = NULL;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = C_ ("List column title", "#");
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp2_ = g_strdup (_tmp1_);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp2_;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 121 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 125 "ListColumn.c"
		{
			const gchar* _tmp3_ = NULL;
			gchar* _tmp4_ = NULL;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp3_ = C_ ("List column title", "Track");
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp4_ = g_strdup (_tmp3_);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp4_;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 137 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 141 "ListColumn.c"
		{
			const gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp5_ = C_ ("List column title", "Title");
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp6_ = g_strdup (_tmp5_);
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp6_;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 153 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 157 "ListColumn.c"
		{
			const gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp7_ = C_ ("List column title", "Length");
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp8_ = g_strdup (_tmp7_);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp8_;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 169 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 173 "ListColumn.c"
		{
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp9_ = C_ ("List column title", "Artist");
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp10_;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 185 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 189 "ListColumn.c"
		{
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp11_ = C_ ("List column title", "Album");
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp12_ = g_strdup (_tmp11_);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp12_;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 201 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 205 "ListColumn.c"
		{
			const gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp13_ = C_ ("List column title", "Album Artist");
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp14_ = g_strdup (_tmp13_);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp14_;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 217 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 221 "ListColumn.c"
		{
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp15_ = C_ ("List column title", "Composer");
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp16_ = g_strdup (_tmp15_);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp16_;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 233 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 237 "ListColumn.c"
		{
			const gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp17_ = C_ ("List column title", "Genre");
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp18_ = g_strdup (_tmp17_);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp18_;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 249 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 253 "ListColumn.c"
		{
			const gchar* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp19_ = C_ ("List column title", "Year");
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp20_ = g_strdup (_tmp19_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp20_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 265 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 269 "ListColumn.c"
		{
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp21_ = C_ ("List column title", "Grouping");
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp22_;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 281 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 285 "ListColumn.c"
		{
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp23_ = C_ ("List column title", "Bitrate");
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp24_ = g_strdup (_tmp23_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp24_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 297 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 301 "ListColumn.c"
		{
			const gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp25_ = C_ ("List column title", "Rating");
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp26_;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 313 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 317 "ListColumn.c"
		{
			const gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp27_ = C_ ("List column title", "Plays");
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp28_ = g_strdup (_tmp27_);
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp28_;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 329 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 333 "ListColumn.c"
		{
			const gchar* _tmp29_ = NULL;
			gchar* _tmp30_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp29_ = C_ ("List column title", "Skips");
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp30_ = g_strdup (_tmp29_);
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp30_;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 345 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 349 "ListColumn.c"
		{
			const gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp31_ = C_ ("List column title", "Date Added");
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp32_ = g_strdup (_tmp31_);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp32_;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 361 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 365 "ListColumn.c"
		{
			const gchar* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp33_ = C_ ("List column title", "Last Played");
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp34_ = g_strdup (_tmp33_);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp34_;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 377 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 381 "ListColumn.c"
		{
			const gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp35_ = C_ ("List column title (beats per minute)", "BPM");
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp36_ = g_strdup (_tmp35_);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp36_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 393 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 397 "ListColumn.c"
		{
			const gchar* _tmp37_ = NULL;
			gchar* _tmp38_ = NULL;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp37_ = C_ ("List column title (file location)", "Location");
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp38_ = g_strdup (_tmp37_);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp38_;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 409 "ListColumn.c"
		}
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 413 "ListColumn.c"
		{
			const gchar* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp39_ = C_ ("List column title", "File Size");
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp40_ = g_strdup (_tmp39_);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp40_;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 425 "ListColumn.c"
		}
		default:
		{
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_assert_not_reached ();
#line 431 "ListColumn.c"
		}
	}
}


GType noise_list_column_get_data_type (NoiseListColumn self) {
	GType result = 0UL;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 443 "ListColumn.c"
		{
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_ICON;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 449 "ListColumn.c"
		}
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 467 "ListColumn.c"
		{
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_STRING;
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 473 "ListColumn.c"
		}
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 497 "ListColumn.c"
		{
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_UINT;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 503 "ListColumn.c"
		}
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 507 "ListColumn.c"
		{
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_UINT64;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 513 "ListColumn.c"
		}
		default:
		{
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_assert_not_reached ();
#line 519 "ListColumn.c"
		}
	}
}


/**
     * Returns the value of the data that should be displayed by the column in the view.
     *
     * media_row_index is only necessary for {@link ListColumn.NUMBER}.
     */
static gpointer _g_object_ref0 (gpointer self) {
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	return self ? g_object_ref (self) : NULL;
#line 533 "ListColumn.c"
}


GValue* noise_list_column_get_value_for_media (NoiseListColumn self, NoiseMedia* m, gint media_row_index) {
	GValue* result = NULL;
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	g_return_val_if_fail (m != NULL, NULL);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 545 "ListColumn.c"
		{
			GIcon* icon = NULL;
			NoiseMedia* currently_playing = NULL;
			NoisePlaybackManager* _tmp0_ = NULL;
			NoisePlaybackManager* _tmp1_ = NULL;
			NoiseMedia* _tmp2_ = NULL;
			NoiseMedia* _tmp3_ = NULL;
			NoiseMedia* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			NoiseMedia* _tmp6_ = NULL;
			NoiseMedia* _tmp7_ = NULL;
			GValue* _tmp18_ = NULL;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp0_ = noise_app_get_player ();
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = _tmp0_;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp2_ = noise_playback_manager_get_current_media (_tmp1_);
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp3_ = _tmp2_;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp4_ = _g_object_ref0 (_tmp3_);
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			currently_playing = _tmp4_;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp6_ = m;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp7_ = currently_playing;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			if (_tmp6_ == _tmp7_) {
#line 576 "ListColumn.c"
				NoiseMedia* _tmp8_ = NULL;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp8_ = currently_playing;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = _tmp8_ != NULL;
#line 582 "ListColumn.c"
			} else {
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = FALSE;
#line 586 "ListColumn.c"
			}
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			if (_tmp5_) {
#line 590 "ListColumn.c"
				NoiseIcon* _tmp9_ = NULL;
				NoiseIcon* _tmp10_ = NULL;
				GIcon* _tmp11_ = NULL;
				GIcon* _tmp12_ = NULL;
				GIcon* _tmp13_ = NULL;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp9_ = noise_icons_get_NOW_PLAYING_SYMBOLIC ();
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp10_ = _tmp9_;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp11_ = noise_icon_get_gicon (_tmp10_);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp12_ = _tmp11_;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp13_ = _g_object_ref0 (_tmp12_);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_g_object_unref0 (icon);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				icon = _tmp13_;
#line 610 "ListColumn.c"
			} else {
				NoiseMedia* _tmp14_ = NULL;
				GIcon* _tmp15_ = NULL;
				GIcon* _tmp16_ = NULL;
				GIcon* _tmp17_ = NULL;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp14_ = m;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp15_ = noise_media_get_unique_status_image (_tmp14_);
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp16_ = _tmp15_;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp17_ = _g_object_ref0 (_tmp16_);
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_g_object_unref0 (icon);
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				icon = _tmp17_;
#line 628 "ListColumn.c"
			}
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp18_ = g_new0 (GValue, 1);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp18_, G_TYPE_ICON);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_object (_tmp18_, icon);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp18_;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_g_object_unref0 (currently_playing);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 642 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 646 "ListColumn.c"
		{
			gint _tmp19_ = 0;
			gint _tmp20_ = 0;
			GValue* _tmp21_ = NULL;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp19_ = media_row_index;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_vala_assert (_tmp19_ >= 0, "media_row_index >= 0");
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp20_ = media_row_index;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp21_ = g_new0 (GValue, 1);
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp21_, G_TYPE_UINT);
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp21_, ((guint) _tmp20_) + 1);
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp21_;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 667 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 671 "ListColumn.c"
		{
			NoiseMedia* _tmp22_ = NULL;
			guint _tmp23_ = 0U;
			guint _tmp24_ = 0U;
			GValue* _tmp25_ = NULL;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp22_ = m;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp23_ = noise_media_get_track (_tmp22_);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp24_ = _tmp23_;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp25_ = g_new0 (GValue, 1);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp25_, G_TYPE_UINT);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp25_, _tmp24_);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp25_;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 693 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 697 "ListColumn.c"
		{
			NoiseMedia* _tmp26_ = NULL;
			gchar* _tmp27_ = NULL;
			GValue* _tmp28_ = NULL;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp26_ = m;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp27_ = noise_media_get_display_title (_tmp26_);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp28_ = g_new0 (GValue, 1);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp28_, G_TYPE_STRING);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp28_, _tmp27_);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp28_;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 716 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 720 "ListColumn.c"
		{
			NoiseMedia* _tmp29_ = NULL;
			guint _tmp30_ = 0U;
			guint _tmp31_ = 0U;
			GValue* _tmp32_ = NULL;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp29_ = m;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp30_ = noise_media_get_length (_tmp29_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp31_ = _tmp30_;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp32_ = g_new0 (GValue, 1);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp32_, G_TYPE_UINT);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp32_, _tmp31_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp32_;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 742 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 746 "ListColumn.c"
		{
			NoiseMedia* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
			GValue* _tmp35_ = NULL;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp33_ = m;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp34_ = noise_media_get_display_artist (_tmp33_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp35_ = g_new0 (GValue, 1);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp35_, G_TYPE_STRING);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp35_, _tmp34_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp35_;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 765 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 769 "ListColumn.c"
		{
			NoiseMedia* _tmp36_ = NULL;
			gchar* _tmp37_ = NULL;
			GValue* _tmp38_ = NULL;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp36_ = m;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp37_ = noise_media_get_display_album (_tmp36_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp38_ = g_new0 (GValue, 1);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp38_, G_TYPE_STRING);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp38_, _tmp37_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp38_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 788 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 792 "ListColumn.c"
		{
			NoiseMedia* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
			GValue* _tmp41_ = NULL;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp39_ = m;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp40_ = noise_media_get_display_album_artist (_tmp39_, FALSE);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp41_ = g_new0 (GValue, 1);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp41_, G_TYPE_STRING);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp41_, _tmp40_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp41_;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 811 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 815 "ListColumn.c"
		{
			NoiseMedia* _tmp42_ = NULL;
			gchar* _tmp43_ = NULL;
			GValue* _tmp44_ = NULL;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp42_ = m;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp43_ = noise_media_get_display_composer (_tmp42_);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp44_ = g_new0 (GValue, 1);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp44_, G_TYPE_STRING);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp44_, _tmp43_);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp44_;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 834 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 838 "ListColumn.c"
		{
			NoiseMedia* _tmp45_ = NULL;
			gchar* _tmp46_ = NULL;
			GValue* _tmp47_ = NULL;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp45_ = m;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp46_ = noise_media_get_display_genre (_tmp45_);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp47_ = g_new0 (GValue, 1);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp47_, G_TYPE_STRING);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp47_, _tmp46_);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp47_;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 857 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 861 "ListColumn.c"
		{
			NoiseMedia* _tmp48_ = NULL;
			guint _tmp49_ = 0U;
			guint _tmp50_ = 0U;
			GValue* _tmp51_ = NULL;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp48_ = m;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp49_ = noise_media_get_year (_tmp48_);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp50_ = _tmp49_;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp51_ = g_new0 (GValue, 1);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp51_, G_TYPE_UINT);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp51_, _tmp50_);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp51_;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 883 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 887 "ListColumn.c"
		{
			NoiseMedia* _tmp52_ = NULL;
			const gchar* _tmp53_ = NULL;
			const gchar* _tmp54_ = NULL;
			GValue* _tmp55_ = NULL;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp52_ = m;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp53_ = noise_media_get_grouping (_tmp52_);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp54_ = _tmp53_;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp55_ = g_new0 (GValue, 1);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp55_, G_TYPE_STRING);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_string (_tmp55_, _tmp54_);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp55_;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 909 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 913 "ListColumn.c"
		{
			NoiseMedia* _tmp56_ = NULL;
			guint _tmp57_ = 0U;
			guint _tmp58_ = 0U;
			GValue* _tmp59_ = NULL;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp56_ = m;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp57_ = noise_media_get_bitrate (_tmp56_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp58_ = _tmp57_;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp59_ = g_new0 (GValue, 1);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp59_, G_TYPE_UINT);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp59_, _tmp58_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp59_;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 935 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 939 "ListColumn.c"
		{
			NoiseMedia* _tmp60_ = NULL;
			guint _tmp61_ = 0U;
			guint _tmp62_ = 0U;
			GValue* _tmp63_ = NULL;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp60_ = m;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp61_ = noise_media_get_rating (_tmp60_);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp62_ = _tmp61_;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp63_ = g_new0 (GValue, 1);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp63_, G_TYPE_UINT);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp63_, _tmp62_);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp63_;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 961 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 965 "ListColumn.c"
		{
			NoiseMedia* _tmp64_ = NULL;
			guint _tmp65_ = 0U;
			guint _tmp66_ = 0U;
			GValue* _tmp67_ = NULL;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp64_ = m;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp65_ = noise_media_get_play_count (_tmp64_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp66_ = _tmp65_;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp67_ = g_new0 (GValue, 1);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp67_, G_TYPE_UINT);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp67_, _tmp66_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp67_;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 987 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 991 "ListColumn.c"
		{
			NoiseMedia* _tmp68_ = NULL;
			guint _tmp69_ = 0U;
			guint _tmp70_ = 0U;
			GValue* _tmp71_ = NULL;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp68_ = m;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp69_ = noise_media_get_skip_count (_tmp68_);
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp70_ = _tmp69_;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp71_ = g_new0 (GValue, 1);
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp71_, G_TYPE_UINT);
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp71_, _tmp70_);
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp71_;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1013 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 1017 "ListColumn.c"
		{
			NoiseMedia* _tmp72_ = NULL;
			guint _tmp73_ = 0U;
			guint _tmp74_ = 0U;
			GValue* _tmp75_ = NULL;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp72_ = m;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp73_ = noise_media_get_date_added (_tmp72_);
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp74_ = _tmp73_;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp75_ = g_new0 (GValue, 1);
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp75_, G_TYPE_UINT);
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp75_, _tmp74_);
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp75_;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1039 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 1043 "ListColumn.c"
		{
			NoiseMedia* _tmp76_ = NULL;
			guint _tmp77_ = 0U;
			guint _tmp78_ = 0U;
			GValue* _tmp79_ = NULL;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp76_ = m;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp77_ = noise_media_get_last_played (_tmp76_);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp78_ = _tmp77_;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp79_ = g_new0 (GValue, 1);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp79_, G_TYPE_UINT);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp79_, _tmp78_);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp79_;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1065 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 1069 "ListColumn.c"
		{
			NoiseMedia* _tmp80_ = NULL;
			guint _tmp81_ = 0U;
			guint _tmp82_ = 0U;
			GValue* _tmp83_ = NULL;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp80_ = m;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp81_ = noise_media_get_bpm (_tmp80_);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp82_ = _tmp81_;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp83_ = g_new0 (GValue, 1);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp83_, G_TYPE_UINT);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp83_, _tmp82_);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp83_;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1091 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 1095 "ListColumn.c"
		{
			NoiseMedia* _tmp84_ = NULL;
			gchar* _tmp85_ = NULL;
			GValue* _tmp86_ = NULL;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp84_ = m;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp85_ = noise_media_get_display_location (_tmp84_);
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp86_ = g_new0 (GValue, 1);
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp86_, G_TYPE_STRING);
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp86_, _tmp85_);
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp86_;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1114 "ListColumn.c"
		}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 1118 "ListColumn.c"
		{
			NoiseMedia* _tmp87_ = NULL;
			guint64 _tmp88_ = 0ULL;
			guint64 _tmp89_ = 0ULL;
			GValue* _tmp90_ = NULL;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp87_ = m;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp88_ = noise_media_get_file_size (_tmp87_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp89_ = _tmp88_;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp90_ = g_new0 (GValue, 1);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp90_, G_TYPE_UINT64);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint64 (_tmp90_, _tmp89_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp90_;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1140 "ListColumn.c"
		}
		default:
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		break;
#line 1145 "ListColumn.c"
	}
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	g_assert_not_reached ();
#line 1149 "ListColumn.c"
}


GeeCollection* noise_list_column_get_all (void) {
	GeeCollection* result = NULL;
	GeeLinkedList* list = NULL;
	GeeLinkedList* _tmp0_ = NULL;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_LIST_COLUMN, NULL, NULL, NULL, NULL, NULL);
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	list = _tmp0_;
#line 1161 "ListColumn.c"
	{
		gint i = 0;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
		i = 0;
#line 1166 "ListColumn.c"
		{
			gboolean _tmp1_ = FALSE;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = TRUE;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
			while (TRUE) {
#line 1173 "ListColumn.c"
				gint _tmp3_ = 0;
				GeeLinkedList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				if (!_tmp1_) {
#line 1179 "ListColumn.c"
					gint _tmp2_ = 0;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
					_tmp2_ = i;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
					i = _tmp2_ + 1;
#line 1185 "ListColumn.c"
				}
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp1_ = FALSE;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp3_ = i;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				if (!(_tmp3_ < ((gint) NOISE_LIST_COLUMN_N_COLUMNS))) {
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
					break;
#line 1195 "ListColumn.c"
				}
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp4_ = list;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = i;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp4_, (gpointer) ((gintptr) ((NoiseListColumn) _tmp5_)));
#line 1203 "ListColumn.c"
			}
		}
	}
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	result = (GeeCollection*) list;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/ListColumn.vala"
	return result;
#line 1211 "ListColumn.c"
}


/**
 * Represents every possible column that can go in a media list.
 *
 * New column types must be appended at the end in order to ensure backwards
 * compatibility with older TreeViewSetup representations.
 */
GType noise_list_column_get_type (void) {
	static volatile gsize noise_list_column_type_id__volatile = 0;
	if (g_once_init_enter (&noise_list_column_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_LIST_COLUMN_ICON, "NOISE_LIST_COLUMN_ICON", "icon"}, {NOISE_LIST_COLUMN_NUMBER, "NOISE_LIST_COLUMN_NUMBER", "number"}, {NOISE_LIST_COLUMN_TRACK, "NOISE_LIST_COLUMN_TRACK", "track"}, {NOISE_LIST_COLUMN_TITLE, "NOISE_LIST_COLUMN_TITLE", "title"}, {NOISE_LIST_COLUMN_LENGTH, "NOISE_LIST_COLUMN_LENGTH", "length"}, {NOISE_LIST_COLUMN_ARTIST, "NOISE_LIST_COLUMN_ARTIST", "artist"}, {NOISE_LIST_COLUMN_ALBUM, "NOISE_LIST_COLUMN_ALBUM", "album"}, {NOISE_LIST_COLUMN_ALBUM_ARTIST, "NOISE_LIST_COLUMN_ALBUM_ARTIST", "album-artist"}, {NOISE_LIST_COLUMN_COMPOSER, "NOISE_LIST_COLUMN_COMPOSER", "composer"}, {NOISE_LIST_COLUMN_GENRE, "NOISE_LIST_COLUMN_GENRE", "genre"}, {NOISE_LIST_COLUMN_YEAR, "NOISE_LIST_COLUMN_YEAR", "year"}, {NOISE_LIST_COLUMN_GROUPING, "NOISE_LIST_COLUMN_GROUPING", "grouping"}, {NOISE_LIST_COLUMN_BITRATE, "NOISE_LIST_COLUMN_BITRATE", "bitrate"}, {NOISE_LIST_COLUMN_RATING, "NOISE_LIST_COLUMN_RATING", "rating"}, {NOISE_LIST_COLUMN_PLAY_COUNT, "NOISE_LIST_COLUMN_PLAY_COUNT", "play-count"}, {NOISE_LIST_COLUMN_SKIP_COUNT, "NOISE_LIST_COLUMN_SKIP_COUNT", "skip-count"}, {NOISE_LIST_COLUMN_DATE_ADDED, "NOISE_LIST_COLUMN_DATE_ADDED", "date-added"}, {NOISE_LIST_COLUMN_LAST_PLAYED, "NOISE_LIST_COLUMN_LAST_PLAYED", "last-played"}, {NOISE_LIST_COLUMN_BPM, "NOISE_LIST_COLUMN_BPM", "bpm"}, {NOISE_LIST_COLUMN_FILE_LOCATION, "NOISE_LIST_COLUMN_FILE_LOCATION", "file-location"}, {NOISE_LIST_COLUMN_FILE_SIZE, "NOISE_LIST_COLUMN_FILE_SIZE", "file-size"}, {NOISE_LIST_COLUMN_N_COLUMNS, "NOISE_LIST_COLUMN_N_COLUMNS", "n-columns"}, {0, NULL, NULL}};
		GType noise_list_column_type_id;
		noise_list_column_type_id = g_enum_register_static ("NoiseListColumn", values);
		g_once_init_leave (&noise_list_column_type_id__volatile, noise_list_column_type_id);
	}
	return noise_list_column_type_id__volatile;
}



