/* TreeViewSetup.c generated by valac 0.28.1, the Vala compiler
 * generated from TreeViewSetup.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012 Noise Developers (http://launchpad.net/noise)
 *
 * This software is licensed under the GNU General Public License
 * (version 2 or later). See the COPYING file in this distribution.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>,
 *              Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_TYPE_TREE_VIEW_SETUP (noise_tree_view_setup_get_type ())
#define NOISE_TREE_VIEW_SETUP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetup))
#define NOISE_TREE_VIEW_SETUP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetupClass))
#define NOISE_IS_TREE_VIEW_SETUP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_TREE_VIEW_SETUP))
#define NOISE_IS_TREE_VIEW_SETUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_TREE_VIEW_SETUP))
#define NOISE_TREE_VIEW_SETUP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetupClass))

typedef struct _NoiseTreeViewSetup NoiseTreeViewSetup;
typedef struct _NoiseTreeViewSetupClass NoiseTreeViewSetupClass;
typedef struct _NoiseTreeViewSetupPrivate NoiseTreeViewSetupPrivate;

#define NOISE_VIEW_WRAPPER_TYPE_HINT (noise_view_wrapper_hint_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_LIST_COLUMN (noise_list_column_get_type ())
#define _g_free0(var) ((var == NULL) ? NULL : (var = (g_free (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))

struct _NoiseTreeViewSetup {
	GObject parent_instance;
	NoiseTreeViewSetupPrivate * priv;
};

struct _NoiseTreeViewSetupClass {
	GObjectClass parent_class;
};

typedef enum  {
	NOISE_VIEW_WRAPPER_HINT_NONE,
	NOISE_VIEW_WRAPPER_HINT_MUSIC,
	NOISE_VIEW_WRAPPER_HINT_PLAYLIST,
	NOISE_VIEW_WRAPPER_HINT_READ_ONLY_PLAYLIST,
	NOISE_VIEW_WRAPPER_HINT_SMART_PLAYLIST,
	NOISE_VIEW_WRAPPER_HINT_CDROM,
	NOISE_VIEW_WRAPPER_HINT_DEVICE,
	NOISE_VIEW_WRAPPER_HINT_DEVICE_AUDIO,
	NOISE_VIEW_WRAPPER_HINT_DEVICE_PODCAST,
	NOISE_VIEW_WRAPPER_HINT_DEVICE_AUDIOBOOK,
	NOISE_VIEW_WRAPPER_HINT_NETWORK_DEVICE,
	NOISE_VIEW_WRAPPER_HINT_ALBUM_LIST
} NoiseViewWrapperHint;

struct _NoiseTreeViewSetupPrivate {
	gint _sort_column_id;
	GtkSortType _sort_direction;
	NoiseViewWrapperHint hint;
	GeeLinkedList* columns;
};

typedef enum  {
	NOISE_LIST_COLUMN_ICON = 0,
	NOISE_LIST_COLUMN_NUMBER,
	NOISE_LIST_COLUMN_TRACK,
	NOISE_LIST_COLUMN_TITLE,
	NOISE_LIST_COLUMN_LENGTH,
	NOISE_LIST_COLUMN_ARTIST,
	NOISE_LIST_COLUMN_ALBUM,
	NOISE_LIST_COLUMN_ALBUM_ARTIST,
	NOISE_LIST_COLUMN_COMPOSER,
	NOISE_LIST_COLUMN_GENRE,
	NOISE_LIST_COLUMN_YEAR,
	NOISE_LIST_COLUMN_GROUPING,
	NOISE_LIST_COLUMN_BITRATE,
	NOISE_LIST_COLUMN_RATING,
	NOISE_LIST_COLUMN_PLAY_COUNT,
	NOISE_LIST_COLUMN_SKIP_COUNT,
	NOISE_LIST_COLUMN_DATE_ADDED,
	NOISE_LIST_COLUMN_LAST_PLAYED,
	NOISE_LIST_COLUMN_BPM,
	NOISE_LIST_COLUMN_FILE_LOCATION,
	NOISE_LIST_COLUMN_FILE_SIZE,
	NOISE_LIST_COLUMN_N_COLUMNS
} NoiseListColumn;


static gpointer noise_tree_view_setup_parent_class = NULL;

GType noise_tree_view_setup_get_type (void) G_GNUC_CONST;
GType noise_view_wrapper_hint_get_type (void) G_GNUC_CONST;
#define NOISE_TREE_VIEW_SETUP_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetupPrivate))
enum  {
	NOISE_TREE_VIEW_SETUP_DUMMY_PROPERTY,
	NOISE_TREE_VIEW_SETUP_SORT_COLUMN_ID,
	NOISE_TREE_VIEW_SETUP_SORT_DIRECTION
};
#define NOISE_TREE_VIEW_SETUP_ASCENDING_STRING "ASCENDING"
#define NOISE_TREE_VIEW_SETUP_DESCENDING_STRING "DESCENDING"
#define NOISE_TREE_VIEW_SETUP_COLUMN_SEP_STRING "<c_sep>"
#define NOISE_TREE_VIEW_SETUP_VALUE_SEP_STRING "<v_sep>"
#define NOISE_TREE_VIEW_SETUP_TYPE_DATA_KEY "setup-list-column-type"
NoiseTreeViewSetup* noise_tree_view_setup_new (gint sort_col, GtkSortType sort_dir, NoiseViewWrapperHint hint);
NoiseTreeViewSetup* noise_tree_view_setup_construct (GType object_type, gint sort_col, GtkSortType sort_dir, NoiseViewWrapperHint hint);
void noise_tree_view_setup_set_hint (NoiseTreeViewSetup* self, NoiseViewWrapperHint hint);
void noise_tree_view_setup_set_sort_column_id (NoiseTreeViewSetup* self, gint value);
void noise_tree_view_setup_set_sort_direction (NoiseTreeViewSetup* self, GtkSortType value);
NoiseViewWrapperHint noise_tree_view_setup_get_hint (NoiseTreeViewSetup* self);
gchar* noise_tree_view_setup_sort_direction_to_string (NoiseTreeViewSetup* self);
GtkSortType noise_tree_view_setup_get_sort_direction (NoiseTreeViewSetup* self);
void noise_tree_view_setup_set_sort_direction_from_string (NoiseTreeViewSetup* self, const gchar* dir);
GeeCollection* noise_tree_view_setup_get_columns (NoiseTreeViewSetup* self);
GType noise_list_column_get_type (void) G_GNUC_CONST;
const gchar* noise_view_wrapper_hint_to_string (NoiseViewWrapperHint self);
static void noise_tree_view_setup_create_default_columns (NoiseTreeViewSetup* self);
void noise_tree_view_setup_set_columns (NoiseTreeViewSetup* self, GeeCollection* cols);
gboolean noise_tree_view_setup_import_columns (NoiseTreeViewSetup* self, const gchar* cols);
static gint noise_tree_view_setup_column_compare_func (NoiseTreeViewSetup* self, GtkTreeViewColumn* column_a, GtkTreeViewColumn* column_b);
static gint _noise_tree_view_setup_column_compare_func_gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
GtkTreeViewColumn* noise_tree_view_setup_create_column (NoiseTreeViewSetup* self, NoiseListColumn type, gboolean visible);
gchar* noise_tree_view_setup_columns_to_string (NoiseTreeViewSetup* self);
NoiseListColumn* noise_tree_view_setup_get_column_type (GtkTreeViewColumn* column);
static void noise_tree_view_setup_set_column_type (GtkTreeViewColumn* column, NoiseListColumn type);
gchar* noise_list_column_to_string (NoiseListColumn self);
static NoiseListColumn* _noise_list_column_dup (NoiseListColumn* self);
static void noise_tree_view_setup_append_new_column (NoiseTreeViewSetup* self, NoiseListColumn column, gboolean initially_visible);
gint noise_tree_view_setup_get_sort_column_id (NoiseTreeViewSetup* self);
static void noise_tree_view_setup_finalize (GObject* obj);
static void _vala_noise_tree_view_setup_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_tree_view_setup_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


NoiseTreeViewSetup* noise_tree_view_setup_construct (GType object_type, gint sort_col, GtkSortType sort_dir, NoiseViewWrapperHint hint) {
	NoiseTreeViewSetup * self = NULL;
	NoiseViewWrapperHint _tmp0_ = 0;
	gint _tmp1_ = 0;
	GtkSortType _tmp2_ = 0;
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self = (NoiseTreeViewSetup*) g_object_new (object_type, NULL);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = hint;
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_set_hint (self, _tmp0_);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = sort_col;
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_set_sort_column_id (self, _tmp1_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = sort_dir;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_set_sort_direction (self, _tmp2_);
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return self;
#line 176 "TreeViewSetup.c"
}


NoiseTreeViewSetup* noise_tree_view_setup_new (gint sort_col, GtkSortType sort_dir, NoiseViewWrapperHint hint) {
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return noise_tree_view_setup_construct (NOISE_TYPE_TREE_VIEW_SETUP, sort_col, sort_dir, hint);
#line 183 "TreeViewSetup.c"
}


NoiseViewWrapperHint noise_tree_view_setup_get_hint (NoiseTreeViewSetup* self) {
	NoiseViewWrapperHint result = 0;
	NoiseViewWrapperHint _tmp0_ = 0;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = self->priv->hint;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = _tmp0_;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 198 "TreeViewSetup.c"
}


void noise_tree_view_setup_set_hint (NoiseTreeViewSetup* self, NoiseViewWrapperHint hint) {
	NoiseViewWrapperHint _tmp0_ = 0;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = hint;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv->hint = _tmp0_;
#line 210 "TreeViewSetup.c"
}


gchar* noise_tree_view_setup_sort_direction_to_string (NoiseTreeViewSetup* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	GtkSortType _tmp1_ = 0;
	gchar* _tmp2_ = NULL;
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = self->priv->_sort_direction;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	if (_tmp1_ == GTK_SORT_ASCENDING) {
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp0_ = NOISE_TREE_VIEW_SETUP_ASCENDING_STRING;
#line 227 "TreeViewSetup.c"
	} else {
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp0_ = NOISE_TREE_VIEW_SETUP_DESCENDING_STRING;
#line 231 "TreeViewSetup.c"
	}
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = g_strdup (_tmp0_);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = _tmp2_;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 239 "TreeViewSetup.c"
}


void noise_tree_view_setup_set_sort_direction_from_string (NoiseTreeViewSetup* self, const gchar* dir) {
	GtkSortType _tmp0_ = 0;
	const gchar* _tmp1_ = NULL;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (dir != NULL);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = dir;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	if (g_strcmp0 (_tmp1_, NOISE_TREE_VIEW_SETUP_ASCENDING_STRING) == 0) {
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp0_ = GTK_SORT_ASCENDING;
#line 256 "TreeViewSetup.c"
	} else {
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp0_ = GTK_SORT_DESCENDING;
#line 260 "TreeViewSetup.c"
	}
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_set_sort_direction (self, _tmp0_);
#line 264 "TreeViewSetup.c"
}


GeeCollection* noise_tree_view_setup_get_columns (NoiseTreeViewSetup* self) {
	GeeCollection* result = NULL;
	gboolean _tmp0_ = FALSE;
	GeeLinkedList* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	GeeLinkedList* _tmp9_ = NULL;
	GeeBidirList* _tmp10_ = NULL;
	GeeBidirList* _tmp11_ = NULL;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = self->priv->columns;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp1_);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp3_ = _tmp2_;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	if (_tmp3_ < 1) {
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp0_ = TRUE;
#line 289 "TreeViewSetup.c"
	} else {
		GeeLinkedList* _tmp4_ = NULL;
		gint _tmp5_ = 0;
		gint _tmp6_ = 0;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp4_ = self->priv->columns;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp6_ = _tmp5_;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp0_ = _tmp6_ != ((gint) NOISE_LIST_COLUMN_N_COLUMNS);
#line 302 "TreeViewSetup.c"
	}
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	if (_tmp0_) {
#line 306 "TreeViewSetup.c"
		NoiseViewWrapperHint _tmp7_ = 0;
		GEnumValue* _tmp8_;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp7_ = noise_tree_view_setup_get_hint (self);
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp8_ = g_enum_get_value (g_type_class_ref (NOISE_VIEW_WRAPPER_TYPE_HINT), _tmp7_);
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		g_debug ("TreeViewSetup.vala:57: Creating a new TreeViewSetup for %s", (_tmp8_ != NULL) ? _tmp8_->value_name : NULL);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		noise_tree_view_setup_create_default_columns (self);
#line 317 "TreeViewSetup.c"
	}
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp9_ = self->priv->columns;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp10_ = gee_abstract_bidir_list_get_read_only_view ((GeeAbstractBidirList*) _tmp9_);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp11_ = _tmp10_;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = (GeeCollection*) _tmp11_;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 329 "TreeViewSetup.c"
}


/**
     * Sets the list of columns that will be stored by the treeview setup.
     *
     * Each column must have been created using create_column(), or bad things
     * will happen. E.g. columns_to_string() will not work.
     */
void noise_tree_view_setup_set_columns (NoiseTreeViewSetup* self, GeeCollection* cols) {
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (cols != NULL);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = self->priv->columns;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp0_);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = self->priv->columns;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = cols;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	gee_collection_add_all ((GeeCollection*) _tmp1_, _tmp2_);
#line 357 "TreeViewSetup.c"
}


/**
     * Transforms the string representation of the columns into a real list of
     * treeview columns. This overwrites the previous list of columns.
     *
     * It the string cannot be parsed, //false// is returned and the previous
     * list of columns remains unmodified.
     *
     * @param cols string representation of columns created by columns_to_string().
     * @return Whether the string was succesfully parsed and imported.
     */
static gint _noise_tree_view_setup_column_compare_func_gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = noise_tree_view_setup_column_compare_func ((NoiseTreeViewSetup*) self, (GtkTreeViewColumn*) a, (GtkTreeViewColumn*) b);
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 376 "TreeViewSetup.c"
}


gboolean noise_tree_view_setup_import_columns (NoiseTreeViewSetup* self, const gchar* cols) {
	gboolean result = FALSE;
	gchar** col_strings = NULL;
	const gchar* _tmp0_ = NULL;
	gchar** _tmp1_ = NULL;
	gchar** _tmp2_ = NULL;
	gint col_strings_length1 = 0;
	gint _col_strings_size_ = 0;
	GeeTreeSet* new_columns = NULL;
	GeeTreeSet* _tmp3_ = NULL;
	GeeTreeSet* _tmp27_ = NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (cols != NULL, FALSE);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = cols;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = _tmp1_ = g_strsplit (_tmp0_, NOISE_TREE_VIEW_SETUP_COLUMN_SEP_STRING, 0);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	col_strings = _tmp2_;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	col_strings_length1 = _vala_array_length (_tmp1_);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_col_strings_size_ = col_strings_length1;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp3_ = gee_tree_set_new (gtk_tree_view_column_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, _noise_tree_view_setup_column_compare_func_gcompare_data_func, g_object_ref (self), g_object_unref);
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	new_columns = _tmp3_;
#line 409 "TreeViewSetup.c"
	{
		gint index = 0;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		index = 0;
#line 414 "TreeViewSetup.c"
		{
			gboolean _tmp4_ = FALSE;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp4_ = TRUE;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			while (TRUE) {
#line 421 "TreeViewSetup.c"
				gint _tmp6_ = 0;
				gchar** _tmp7_ = NULL;
				gint _tmp7__length1 = 0;
				gchar** pieces_of_column = NULL;
				gchar** _tmp8_ = NULL;
				gint _tmp8__length1 = 0;
				gint _tmp9_ = 0;
				const gchar* _tmp10_ = NULL;
				gchar** _tmp11_ = NULL;
				gchar** _tmp12_ = NULL;
				gint pieces_of_column_length1 = 0;
				gint _pieces_of_column_size_ = 0;
				NoiseListColumn type = 0;
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				const gchar* _tmp14_ = NULL;
				gint _tmp15_ = 0;
				gint visible_val = 0;
				gchar** _tmp16_ = NULL;
				gint _tmp16__length1 = 0;
				const gchar* _tmp17_ = NULL;
				gint _tmp18_ = 0;
				gboolean _tmp19_ = FALSE;
				gint _tmp20_ = 0;
				GeeTreeSet* _tmp22_ = NULL;
				NoiseListColumn _tmp23_ = 0;
				gint _tmp24_ = 0;
				GtkTreeViewColumn* _tmp25_ = NULL;
				GtkTreeViewColumn* _tmp26_ = NULL;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				if (!_tmp4_) {
#line 453 "TreeViewSetup.c"
					gint _tmp5_ = 0;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					_tmp5_ = index;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					index = _tmp5_ + 1;
#line 459 "TreeViewSetup.c"
				}
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp4_ = FALSE;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp6_ = index;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp7_ = col_strings;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp7__length1 = col_strings_length1;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				if (!(_tmp6_ < (_tmp7__length1 - 1))) {
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					break;
#line 473 "TreeViewSetup.c"
				}
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp8_ = col_strings;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp8__length1 = col_strings_length1;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp9_ = index;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp10_ = _tmp8_[_tmp9_];
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp12_ = _tmp11_ = g_strsplit (_tmp10_, NOISE_TREE_VIEW_SETUP_VALUE_SEP_STRING, 0);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				pieces_of_column = _tmp12_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				pieces_of_column_length1 = _vala_array_length (_tmp11_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_pieces_of_column_size_ = pieces_of_column_length1;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp13_ = pieces_of_column;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp13__length1 = pieces_of_column_length1;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp14_ = _tmp13_[0];
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp15_ = atoi (_tmp14_);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				type = (NoiseListColumn) _tmp15_;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp16_ = pieces_of_column;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp16__length1 = pieces_of_column_length1;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp17_ = _tmp16_[1];
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp18_ = atoi (_tmp17_);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				visible_val = _tmp18_;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp20_ = visible_val;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				if (_tmp20_ != 1) {
#line 515 "TreeViewSetup.c"
					gint _tmp21_ = 0;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					_tmp21_ = visible_val;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					_tmp19_ = _tmp21_ != 0;
#line 521 "TreeViewSetup.c"
				} else {
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					_tmp19_ = FALSE;
#line 525 "TreeViewSetup.c"
				}
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				if (_tmp19_) {
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					result = FALSE;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					pieces_of_column = (_vala_array_free (pieces_of_column, pieces_of_column_length1, (GDestroyNotify) g_free), NULL);
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					_g_object_unref0 (new_columns);
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					col_strings = (_vala_array_free (col_strings, col_strings_length1, (GDestroyNotify) g_free), NULL);
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
					return result;
#line 539 "TreeViewSetup.c"
				}
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp22_ = new_columns;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp23_ = type;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp24_ = visible_val;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp25_ = noise_tree_view_setup_create_column (self, _tmp23_, _tmp24_ == 1);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp26_ = _tmp25_;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp22_, _tmp26_);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_g_object_unref0 (_tmp26_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				pieces_of_column = (_vala_array_free (pieces_of_column, pieces_of_column_length1, (GDestroyNotify) g_free), NULL);
#line 557 "TreeViewSetup.c"
			}
		}
	}
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp27_ = new_columns;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_set_columns (self, (GeeCollection*) _tmp27_);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = TRUE;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_g_object_unref0 (new_columns);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	col_strings = (_vala_array_free (col_strings, col_strings_length1, (GDestroyNotify) g_free), NULL);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 573 "TreeViewSetup.c"
}


gchar* noise_tree_view_setup_columns_to_string (NoiseTreeViewSetup* self) {
	gchar* result = NULL;
	GString* columns_string = NULL;
	GString* _tmp0_ = NULL;
	GeeCollection* columns = NULL;
	GeeCollection* _tmp1_ = NULL;
	GString* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = g_string_new ("");
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	columns_string = _tmp0_;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = noise_tree_view_setup_get_columns (self);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	columns = _tmp1_;
#line 596 "TreeViewSetup.c"
	{
		GeeIterator* _tvc_it = NULL;
		GeeCollection* _tmp2_ = NULL;
		GeeIterator* _tmp3_ = NULL;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp2_ = columns;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp3_ = gee_iterable_iterator ((GeeIterable*) _tmp2_);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tvc_it = _tmp3_;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		while (TRUE) {
#line 609 "TreeViewSetup.c"
			GeeIterator* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			GtkTreeViewColumn* tvc = NULL;
			GeeIterator* _tmp6_ = NULL;
			gpointer _tmp7_ = NULL;
			gint type = 0;
			GtkTreeViewColumn* _tmp8_ = NULL;
			NoiseListColumn* _tmp9_ = NULL;
			NoiseListColumn* _tmp10_ = NULL;
			gint _tmp11_ = 0;
			GString* _tmp12_ = NULL;
			gint _tmp13_ = 0;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			GString* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
			GtkTreeViewColumn* _tmp18_ = NULL;
			gboolean _tmp19_ = FALSE;
			gboolean _tmp20_ = FALSE;
			GString* _tmp21_ = NULL;
			GString* _tmp22_ = NULL;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp4_ = _tvc_it;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp5_ = gee_iterator_next (_tmp4_);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			if (!_tmp5_) {
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				break;
#line 639 "TreeViewSetup.c"
			}
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp6_ = _tvc_it;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp7_ = gee_iterator_get (_tmp6_);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			tvc = (GtkTreeViewColumn*) _tmp7_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp8_ = tvc;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp9_ = noise_tree_view_setup_get_column_type (_tmp8_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp10_ = _tmp9_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp11_ = *_tmp10_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_g_free0 (_tmp10_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			type = _tmp11_;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp12_ = columns_string;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp13_ = type;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp14_ = g_strdup_printf ("%i", _tmp13_);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp15_ = _tmp14_;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			g_string_append (_tmp12_, _tmp15_);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_g_free0 (_tmp15_);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp16_ = columns_string;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			g_string_append (_tmp16_, NOISE_TREE_VIEW_SETUP_VALUE_SEP_STRING);
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp18_ = tvc;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp19_ = gtk_tree_view_column_get_visible (_tmp18_);
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp20_ = _tmp19_;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			if (_tmp20_) {
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp17_ = "1";
#line 685 "TreeViewSetup.c"
			} else {
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp17_ = "0";
#line 689 "TreeViewSetup.c"
			}
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp21_ = columns_string;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			g_string_append (_tmp21_, _tmp17_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp22_ = columns_string;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			g_string_append (_tmp22_, NOISE_TREE_VIEW_SETUP_COLUMN_SEP_STRING);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_g_object_unref0 (tvc);
#line 701 "TreeViewSetup.c"
		}
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_g_object_unref0 (_tvc_it);
#line 705 "TreeViewSetup.c"
	}
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp23_ = columns_string;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp24_ = _tmp23_->str;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp25_ = g_strdup (_tmp24_);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = _tmp25_;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_g_object_unref0 (columns);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_g_string_free0 (columns_string);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 721 "TreeViewSetup.c"
}


/**
     * Creates a new treeview column for use in the views and treeview setups.
     *
     * Every column that goes into a list *must* be created by this method. Otherwise,
     * columns_to_string() won't work and bad things could happen.
     */
GtkTreeViewColumn* noise_tree_view_setup_create_column (NoiseTreeViewSetup* self, NoiseListColumn type, gboolean visible) {
	GtkTreeViewColumn* result = NULL;
	GtkTreeViewColumn* column = NULL;
	GtkTreeViewColumn* _tmp0_ = NULL;
	NoiseListColumn _tmp1_ = 0;
	NoiseListColumn _tmp2_ = 0;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = gtk_tree_view_column_new ();
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_object_ref_sink (_tmp0_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	column = _tmp0_;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = type;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_set_column_type (column, _tmp1_);
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = type;
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp3_ = noise_list_column_to_string (_tmp2_);
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp4_ = _tmp3_;
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	gtk_tree_view_column_set_title (column, _tmp4_);
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_g_free0 (_tmp4_);
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp5_ = visible;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	gtk_tree_view_column_set_visible (column, _tmp5_);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = column;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 770 "TreeViewSetup.c"
}


static NoiseListColumn* _noise_list_column_dup (NoiseListColumn* self) {
	NoiseListColumn* dup;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	dup = g_new0 (NoiseListColumn, 1);
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	memcpy (dup, self, sizeof (NoiseListColumn));
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return dup;
#line 782 "TreeViewSetup.c"
}


static gpointer __noise_list_column_dup0 (gpointer self) {
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return self ? _noise_list_column_dup (self) : NULL;
#line 789 "TreeViewSetup.c"
}


NoiseListColumn* noise_tree_view_setup_get_column_type (GtkTreeViewColumn* column) {
	NoiseListColumn* result = NULL;
	gint type = 0;
	GtkTreeViewColumn* _tmp0_ = NULL;
	gconstpointer _tmp1_ = NULL;
	NoiseListColumn _tmp5_ = 0;
	NoiseListColumn* _tmp6_ = NULL;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (column != NULL, NULL);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = column;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = g_object_get_data ((GObject*) _tmp0_, NOISE_TREE_VIEW_SETUP_TYPE_DATA_KEY);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	type = (gint) ((gintptr) _tmp1_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	if (type < 0) {
#line 810 "TreeViewSetup.c"
		GtkTreeViewColumn* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp2_ = column;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp3_ = gtk_tree_view_column_get_title (_tmp2_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		_tmp4_ = _tmp3_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		g_critical ("TreeViewSetup.vala:147: get_column_type: Column '%s' has no associated" \
" type.", _tmp4_);
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		g_return_val_if_reached (NULL);
#line 824 "TreeViewSetup.c"
	}
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp5_ = (NoiseListColumn) type;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp6_ = __noise_list_column_dup0 (&_tmp5_);
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = _tmp6_;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 834 "TreeViewSetup.c"
}


static void noise_tree_view_setup_set_column_type (GtkTreeViewColumn* column, NoiseListColumn type) {
	GtkTreeViewColumn* _tmp0_ = NULL;
	NoiseListColumn _tmp1_ = 0;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (column != NULL);
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = column;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = type;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_object_set_data_full ((GObject*) _tmp0_, NOISE_TREE_VIEW_SETUP_TYPE_DATA_KEY, (gpointer) ((gintptr) ((gint) _tmp1_)), NULL);
#line 849 "TreeViewSetup.c"
}


static void noise_tree_view_setup_create_default_columns (NoiseTreeViewSetup* self) {
	GeeLinkedList* _tmp0_ = NULL;
	NoiseViewWrapperHint _tmp1_ = 0;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = self->priv->columns;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp0_);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = self->priv->hint;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	switch (_tmp1_) {
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		case NOISE_VIEW_WRAPPER_HINT_ALBUM_LIST:
#line 868 "TreeViewSetup.c"
		{
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ICON, TRUE);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_TITLE, TRUE);
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_LENGTH, TRUE);
#line 169 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			break;
#line 878 "TreeViewSetup.c"
		}
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		case NOISE_VIEW_WRAPPER_HINT_CDROM:
#line 882 "TreeViewSetup.c"
		{
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ICON, TRUE);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_NUMBER, FALSE);
#line 174 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_TRACK, TRUE);
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_TITLE, TRUE);
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_LENGTH, TRUE);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ARTIST, FALSE);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ALBUM, FALSE);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_GENRE, FALSE);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			break;
#line 902 "TreeViewSetup.c"
		}
		default:
		{
			gboolean _tmp2_ = FALSE;
			NoiseViewWrapperHint _tmp3_ = 0;
			gboolean num_column_visible = FALSE;
			gboolean _tmp5_ = FALSE;
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ICON, TRUE);
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp3_ = self->priv->hint;
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			if (_tmp3_ == NOISE_VIEW_WRAPPER_HINT_READ_ONLY_PLAYLIST) {
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp2_ = TRUE;
#line 918 "TreeViewSetup.c"
			} else {
				NoiseViewWrapperHint _tmp4_ = 0;
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp4_ = self->priv->hint;
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
				_tmp2_ = _tmp4_ == NOISE_VIEW_WRAPPER_HINT_PLAYLIST;
#line 925 "TreeViewSetup.c"
			}
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			num_column_visible = _tmp2_;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			_tmp5_ = num_column_visible;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_NUMBER, _tmp5_);
#line 189 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_TRACK, FALSE);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_TITLE, TRUE);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_LENGTH, TRUE);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ARTIST, TRUE);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ALBUM, TRUE);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_ALBUM_ARTIST, FALSE);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_COMPOSER, FALSE);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_GENRE, TRUE);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_YEAR, FALSE);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_GROUPING, FALSE);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_BITRATE, FALSE);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_RATING, FALSE);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_PLAY_COUNT, FALSE);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_SKIP_COUNT, FALSE);
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_DATE_ADDED, FALSE);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_LAST_PLAYED, FALSE);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_BPM, FALSE);
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_FILE_LOCATION, FALSE);
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			noise_tree_view_setup_append_new_column (self, NOISE_LIST_COLUMN_FILE_SIZE, FALSE);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
			break;
#line 973 "TreeViewSetup.c"
		}
	}
}


static void noise_tree_view_setup_append_new_column (NoiseTreeViewSetup* self, NoiseListColumn column, gboolean initially_visible) {
	GeeLinkedList* _tmp0_ = NULL;
	NoiseListColumn _tmp1_ = 0;
	gboolean _tmp2_ = FALSE;
	GtkTreeViewColumn* _tmp3_ = NULL;
	GtkTreeViewColumn* _tmp4_ = NULL;
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = self->priv->columns;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = column;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = initially_visible;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp3_ = noise_tree_view_setup_create_column (self, _tmp1_, _tmp2_);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp4_ = _tmp3_;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp4_);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_g_object_unref0 (_tmp4_);
#line 1001 "TreeViewSetup.c"
}


static gint noise_tree_view_setup_column_compare_func (NoiseTreeViewSetup* self, GtkTreeViewColumn* column_a, GtkTreeViewColumn* column_b) {
	gint result = 0;
	gint a = 0;
	GtkTreeViewColumn* _tmp0_ = NULL;
	NoiseListColumn* _tmp1_ = NULL;
	gint b = 0;
	GtkTreeViewColumn* _tmp2_ = NULL;
	NoiseListColumn* _tmp3_ = NULL;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (column_a != NULL, 0);
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (column_b != NULL, 0);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = column_a;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp1_ = noise_tree_view_setup_get_column_type (_tmp0_);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	a = (gint) (*_tmp1_);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp2_ = column_b;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp3_ = noise_tree_view_setup_get_column_type (_tmp2_);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	b = (gint) (*_tmp3_);
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = ((gint) (a > b)) - ((gint) (a < b));
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 1035 "TreeViewSetup.c"
}


gint noise_tree_view_setup_get_sort_column_id (NoiseTreeViewSetup* self) {
	gint result;
	gint _tmp0_ = 0;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = self->priv->_sort_column_id;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = _tmp0_;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 1050 "TreeViewSetup.c"
}


void noise_tree_view_setup_set_sort_column_id (NoiseTreeViewSetup* self, gint value) {
	gint _tmp0_ = 0;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = value;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv->_sort_column_id = _tmp0_;
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_object_notify ((GObject *) self, "sort-column-id");
#line 1064 "TreeViewSetup.c"
}


GtkSortType noise_tree_view_setup_get_sort_direction (NoiseTreeViewSetup* self) {
	GtkSortType result;
	GtkSortType _tmp0_ = 0;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = self->priv->_sort_direction;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	result = _tmp0_;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	return result;
#line 1079 "TreeViewSetup.c"
}


void noise_tree_view_setup_set_sort_direction (NoiseTreeViewSetup* self, GtkSortType value) {
	GtkSortType _tmp0_ = 0;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_return_if_fail (self != NULL);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = value;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv->_sort_direction = _tmp0_;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_object_notify ((GObject *) self, "sort-direction");
#line 1093 "TreeViewSetup.c"
}


static void noise_tree_view_setup_class_init (NoiseTreeViewSetupClass * klass) {
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	noise_tree_view_setup_parent_class = g_type_class_peek_parent (klass);
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_type_class_add_private (klass, sizeof (NoiseTreeViewSetupPrivate));
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_tree_view_setup_get_property;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_tree_view_setup_set_property;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_tree_view_setup_finalize;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_TREE_VIEW_SETUP_SORT_COLUMN_ID, g_param_spec_int ("sort-column-id", "sort-column-id", "sort-column-id", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_TREE_VIEW_SETUP_SORT_DIRECTION, g_param_spec_enum ("sort-direction", "sort-direction", "sort-direction", GTK_TYPE_SORT_TYPE, GTK_SORT_ASCENDING, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1112 "TreeViewSetup.c"
}


static void noise_tree_view_setup_instance_init (NoiseTreeViewSetup * self) {
	GeeLinkedList* _tmp0_ = NULL;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv = NOISE_TREE_VIEW_SETUP_GET_PRIVATE (self);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv->_sort_column_id = 0;
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv->_sort_direction = GTK_SORT_ASCENDING;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_tmp0_ = gee_linked_list_new (gtk_tree_view_column_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self->priv->columns = _tmp0_;
#line 1128 "TreeViewSetup.c"
}


static void noise_tree_view_setup_finalize (GObject* obj) {
	NoiseTreeViewSetup * self;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetup);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	_g_object_unref0 (self->priv->columns);
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	G_OBJECT_CLASS (noise_tree_view_setup_parent_class)->finalize (obj);
#line 1140 "TreeViewSetup.c"
}


GType noise_tree_view_setup_get_type (void) {
	static volatile gsize noise_tree_view_setup_type_id__volatile = 0;
	if (g_once_init_enter (&noise_tree_view_setup_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseTreeViewSetupClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_tree_view_setup_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseTreeViewSetup), 0, (GInstanceInitFunc) noise_tree_view_setup_instance_init, NULL };
		GType noise_tree_view_setup_type_id;
		noise_tree_view_setup_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseTreeViewSetup", &g_define_type_info, 0);
		g_once_init_leave (&noise_tree_view_setup_type_id__volatile, noise_tree_view_setup_type_id);
	}
	return noise_tree_view_setup_type_id__volatile;
}


static void _vala_noise_tree_view_setup_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseTreeViewSetup * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetup);
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	switch (property_id) {
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		case NOISE_TREE_VIEW_SETUP_SORT_COLUMN_ID:
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		g_value_set_int (value, noise_tree_view_setup_get_sort_column_id (self));
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		break;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		case NOISE_TREE_VIEW_SETUP_SORT_DIRECTION:
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		g_value_set_enum (value, noise_tree_view_setup_get_sort_direction (self));
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		break;
#line 1173 "TreeViewSetup.c"
		default:
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		break;
#line 1179 "TreeViewSetup.c"
	}
}


static void _vala_noise_tree_view_setup_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseTreeViewSetup * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_TREE_VIEW_SETUP, NoiseTreeViewSetup);
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
	switch (property_id) {
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		case NOISE_TREE_VIEW_SETUP_SORT_COLUMN_ID:
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		noise_tree_view_setup_set_sort_column_id (self, g_value_get_int (value));
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		break;
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		case NOISE_TREE_VIEW_SETUP_SORT_DIRECTION:
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		noise_tree_view_setup_set_sort_direction (self, g_value_get_enum (value));
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		break;
#line 1201 "TreeViewSetup.c"
		default:
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ListView/Lists/TreeViewSetup.vala"
		break;
#line 1207 "TreeViewSetup.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



