/* ViewContainer.c generated by valac 0.28.1, the Vala compiler
 * generated from ViewContainer.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012 Noise Developers (http://launchpad.net/noise)
 *
 * This software is licensed under the GNU General Public License
 * (version 2 or later). See the COPYING file in this distribution.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <stdlib.h>


#define NOISE_TYPE_VIEW_CONTAINER (noise_view_container_get_type ())
#define NOISE_VIEW_CONTAINER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainer))
#define NOISE_VIEW_CONTAINER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainerClass))
#define NOISE_IS_VIEW_CONTAINER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_VIEW_CONTAINER))
#define NOISE_IS_VIEW_CONTAINER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_VIEW_CONTAINER))
#define NOISE_VIEW_CONTAINER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainerClass))

typedef struct _NoiseViewContainer NoiseViewContainer;
typedef struct _NoiseViewContainerClass NoiseViewContainerClass;
typedef struct _NoiseViewContainerPrivate NoiseViewContainerPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define NOISE_TYPE_VIEW_WRAPPER (noise_view_wrapper_get_type ())
#define NOISE_VIEW_WRAPPER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapper))
#define NOISE_VIEW_WRAPPER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapperClass))
#define NOISE_IS_VIEW_WRAPPER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_VIEW_WRAPPER))
#define NOISE_IS_VIEW_WRAPPER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_VIEW_WRAPPER))
#define NOISE_VIEW_WRAPPER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapperClass))

typedef struct _NoiseViewWrapper NoiseViewWrapper;
typedef struct _NoiseViewWrapperClass NoiseViewWrapperClass;

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;

#define NOISE_WIDGETS_TYPE_VIEW_SELECTOR (noise_widgets_view_selector_get_type ())
#define NOISE_WIDGETS_VIEW_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelector))
#define NOISE_WIDGETS_VIEW_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelectorClass))
#define NOISE_WIDGETS_IS_VIEW_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_WIDGETS_TYPE_VIEW_SELECTOR))
#define NOISE_WIDGETS_IS_VIEW_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_WIDGETS_TYPE_VIEW_SELECTOR))
#define NOISE_WIDGETS_VIEW_SELECTOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelectorClass))

typedef struct _NoiseWidgetsViewSelector NoiseWidgetsViewSelector;
typedef struct _NoiseWidgetsViewSelectorClass NoiseWidgetsViewSelectorClass;

#define NOISE_WIDGETS_VIEW_SELECTOR_TYPE_MODE (noise_widgets_view_selector_mode_get_type ())

struct _NoiseViewContainer {
	GtkStack parent_instance;
	NoiseViewContainerPrivate * priv;
};

struct _NoiseViewContainerClass {
	GtkStackClass parent_class;
};

struct _NoiseViewContainerPrivate {
	GeeHashMap* match_views;
	gint _nextview_number;
};

typedef enum  {
	NOISE_WIDGETS_VIEW_SELECTOR_MODE_GRID = 0,
	NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST = 1,
	NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN = 2
} NoiseWidgetsViewSelectorMode;


static gpointer noise_view_container_parent_class = NULL;

GType noise_view_container_get_type (void) G_GNUC_CONST;
#define NOISE_VIEW_CONTAINER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainerPrivate))
enum  {
	NOISE_VIEW_CONTAINER_DUMMY_PROPERTY
};
NoiseViewContainer* noise_view_container_new (void);
NoiseViewContainer* noise_view_container_construct (GType object_type);
gint noise_view_container_add_view (NoiseViewContainer* self, GtkWidget* view);
gboolean noise_view_container_has_view (NoiseViewContainer* self, GtkWidget* view);
static gint noise_view_container_get_nextview_number (NoiseViewContainer* self);
static void noise_view_container_set_nextview_number (NoiseViewContainer* self, gint value);
void noise_view_container_remove_view (NoiseViewContainer* self, GtkWidget* view);
GtkWidget* noise_view_container_get_view (NoiseViewContainer* self, gint index);
GtkWidget* noise_view_container_get_nth_page (NoiseViewContainer* self, gint index);
gint noise_view_container_get_view_index (NoiseViewContainer* self, GtkWidget* view);
gboolean noise_view_container_has_view_index (NoiseViewContainer* self, gint index);
gint noise_view_container_get_current_index (NoiseViewContainer* self);
GtkWidget* noise_view_container_get_current_view (NoiseViewContainer* self);
gint noise_view_container_get_n_pages (NoiseViewContainer* self);
gboolean noise_view_container_set_current_view (NoiseViewContainer* self, GtkWidget* view);
static void noise_view_container_update_visible (NoiseViewContainer* self);
gboolean noise_view_container_set_current_view_from_index (NoiseViewContainer* self, gint index);
GType noise_view_wrapper_get_type (void) G_GNUC_CONST;
void noise_view_wrapper_set_as_current_view (NoiseViewWrapper* self);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
GType noise_widgets_view_selector_get_type (void) G_GNUC_CONST;
NoiseWidgetsViewSelector* noise_library_window_get_viewSelector (NoiseLibraryWindow* self);
GType noise_widgets_view_selector_mode_get_type (void) G_GNUC_CONST;
void noise_widgets_view_selector_set_selected (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode value);
void noise_widgets_view_selector_set_sensitive (NoiseWidgetsViewSelector* self, gboolean sensitive);
GtkSearchEntry* noise_library_window_get_searchField (NoiseLibraryWindow* self);
static void noise_view_container_finalize (GObject* obj);
static void _vala_noise_view_container_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_view_container_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


NoiseViewContainer* noise_view_container_construct (GType object_type) {
	NoiseViewContainer * self = NULL;
	GeeHashMap* _tmp0_ = NULL;
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	self = (NoiseViewContainer*) g_object_new (object_type, NULL);
#line 25 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_FILL);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_FILL);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, gtk_widget_get_type (), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_g_object_unref0 (self->priv->match_views);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	self->priv->match_views = _tmp0_;
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return self;
#line 154 "ViewContainer.c"
}


NoiseViewContainer* noise_view_container_new (void) {
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return noise_view_container_construct (NOISE_TYPE_VIEW_CONTAINER);
#line 161 "ViewContainer.c"
}


/**
     * Appends a widget to the main views.
     * @return the index of the view in the view container
     */
gint noise_view_container_add_view (NoiseViewContainer* self, GtkWidget* view) {
	gint result = 0;
	GtkWidget* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GtkWidget* _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
	GeeHashMap* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	GtkWidget* _tmp6_ = NULL;
	GtkWidget* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gint _tmp11_ = 0;
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (view != NULL, 0);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = view;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = noise_view_container_has_view (self, _tmp0_);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (!_tmp1_, -1);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = view;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_object_set (_tmp2_, "expand", TRUE, NULL);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp3_ = view;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_widget_set_visible (_tmp3_, TRUE);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp4_ = self->priv->match_views;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp5_ = self->priv->_nextview_number;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp6_ = view;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp4_, (gpointer) ((gintptr) _tmp5_), _tmp6_);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp7_ = view;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp8_ = self->priv->_nextview_number;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp9_ = g_strdup_printf ("%i", _tmp8_);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp10_ = _tmp9_;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_stack_add_named ((GtkStack*) self, _tmp7_, _tmp10_);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_g_free0 (_tmp10_);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp11_ = self->priv->_nextview_number;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	noise_view_container_set_nextview_number (self, _tmp11_ + 1);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp11_;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 229 "ViewContainer.c"
}


/**
     * Removes a widget from the main views.
     * @return the index of the view in the view container
     */
void noise_view_container_remove_view (NoiseViewContainer* self, GtkWidget* view) {
	GtkWidget* _tmp18_ = NULL;
	GtkWidget* _tmp19_ = NULL;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_if_fail (self != NULL);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_if_fail (view != NULL);
#line 244 "ViewContainer.c"
	{
		GeeIterator* _entry_it = NULL;
		GeeHashMap* _tmp0_ = NULL;
		GeeSet* _tmp1_ = NULL;
		GeeSet* _tmp2_ = NULL;
		GeeSet* _tmp3_ = NULL;
		GeeIterator* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp0_ = self->priv->match_views;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp1_ = gee_abstract_map_get_entries ((GeeMap*) _tmp0_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp2_ = _tmp1_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp3_ = _tmp2_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp5_ = _tmp4_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_g_object_unref0 (_tmp3_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_entry_it = _tmp5_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		while (TRUE) {
#line 271 "ViewContainer.c"
			GeeIterator* _tmp6_ = NULL;
			gboolean _tmp7_ = FALSE;
			GeeMapEntry* entry = NULL;
			GeeIterator* _tmp8_ = NULL;
			gpointer _tmp9_ = NULL;
			GeeMapEntry* _tmp10_ = NULL;
			gconstpointer _tmp11_ = NULL;
			GtkWidget* _tmp12_ = NULL;
			GtkWidget* _tmp13_ = NULL;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp6_ = _entry_it;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp7_ = gee_iterator_next (_tmp6_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			if (!_tmp7_) {
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				break;
#line 289 "ViewContainer.c"
			}
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp8_ = _entry_it;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp9_ = gee_iterator_get (_tmp8_);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			entry = (GeeMapEntry*) _tmp9_;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp10_ = entry;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp11_ = gee_map_entry_get_value (_tmp10_);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp12_ = _tmp11_;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp13_ = view;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			if (((GtkWidget*) _tmp12_) == _tmp13_) {
#line 307 "ViewContainer.c"
				GeeHashMap* _tmp14_ = NULL;
				GeeMapEntry* _tmp15_ = NULL;
				gconstpointer _tmp16_ = NULL;
				gint _tmp17_ = 0;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp14_ = self->priv->match_views;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp15_ = entry;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp16_ = gee_map_entry_get_key (_tmp15_);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp17_ = _tmp16_;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				gee_abstract_map_unset ((GeeAbstractMap*) _tmp14_, (gpointer) ((gintptr) ((gint) ((gintptr) _tmp17_))), NULL);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_g_object_unref0 (entry);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				break;
#line 326 "ViewContainer.c"
			}
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_g_object_unref0 (entry);
#line 330 "ViewContainer.c"
		}
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_g_object_unref0 (_entry_it);
#line 334 "ViewContainer.c"
	}
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp18_ = view;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_container_remove ((GtkContainer*) self, _tmp18_);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp19_ = view;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_widget_destroy (_tmp19_);
#line 344 "ViewContainer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return self ? g_object_ref (self) : NULL;
#line 351 "ViewContainer.c"
}


GtkWidget* noise_view_container_get_view (NoiseViewContainer* self, gint index) {
	GtkWidget* result = NULL;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gpointer _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = self->priv->match_views;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = index;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp0_, (gpointer) ((gintptr) _tmp1_));
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp3_ = _g_object_ref0 ((GtkWidget*) _tmp2_);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp3_;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 375 "ViewContainer.c"
}


GtkWidget* noise_view_container_get_nth_page (NoiseViewContainer* self, gint index) {
	GtkWidget* result = NULL;
	gint _tmp0_ = 0;
	GtkWidget* _tmp1_ = NULL;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = index;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = noise_view_container_get_view (self, _tmp0_);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp1_;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 393 "ViewContainer.c"
}


gint noise_view_container_get_view_index (NoiseViewContainer* self, GtkWidget* view) {
	gint result = 0;
	gint index = 0;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (view != NULL, 0);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	index = -1;
#line 406 "ViewContainer.c"
	{
		GeeIterator* _entry_it = NULL;
		GeeHashMap* _tmp0_ = NULL;
		GeeSet* _tmp1_ = NULL;
		GeeSet* _tmp2_ = NULL;
		GeeSet* _tmp3_ = NULL;
		GeeIterator* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp0_ = self->priv->match_views;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp1_ = gee_abstract_map_get_entries ((GeeMap*) _tmp0_);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp2_ = _tmp1_;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp3_ = _tmp2_;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp5_ = _tmp4_;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_g_object_unref0 (_tmp3_);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_entry_it = _tmp5_;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		while (TRUE) {
#line 433 "ViewContainer.c"
			GeeIterator* _tmp6_ = NULL;
			gboolean _tmp7_ = FALSE;
			GeeMapEntry* entry = NULL;
			GeeIterator* _tmp8_ = NULL;
			gpointer _tmp9_ = NULL;
			GeeMapEntry* _tmp10_ = NULL;
			gconstpointer _tmp11_ = NULL;
			GtkWidget* _tmp12_ = NULL;
			GtkWidget* _tmp13_ = NULL;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp6_ = _entry_it;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp7_ = gee_iterator_next (_tmp6_);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			if (!_tmp7_) {
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				break;
#line 451 "ViewContainer.c"
			}
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp8_ = _entry_it;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp9_ = gee_iterator_get (_tmp8_);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			entry = (GeeMapEntry*) _tmp9_;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp10_ = entry;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp11_ = gee_map_entry_get_value (_tmp10_);
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp12_ = _tmp11_;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp13_ = view;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			if (((GtkWidget*) _tmp12_) == _tmp13_) {
#line 469 "ViewContainer.c"
				GeeMapEntry* _tmp14_ = NULL;
				gconstpointer _tmp15_ = NULL;
				gint _tmp16_ = 0;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp14_ = entry;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp15_ = gee_map_entry_get_key (_tmp14_);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_tmp16_ = _tmp15_;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				index = (gint) ((gintptr) _tmp16_);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				_g_object_unref0 (entry);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
				break;
#line 485 "ViewContainer.c"
			}
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_g_object_unref0 (entry);
#line 489 "ViewContainer.c"
		}
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_g_object_unref0 (_entry_it);
#line 493 "ViewContainer.c"
	}
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = index;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 499 "ViewContainer.c"
}


gboolean noise_view_container_has_view (NoiseViewContainer* self, GtkWidget* view) {
	gboolean result = FALSE;
	GtkWidget* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (view != NULL, FALSE);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = view;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = noise_view_container_get_view_index (self, _tmp0_);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp1_ >= 0;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 519 "ViewContainer.c"
}


gboolean noise_view_container_has_view_index (NoiseViewContainer* self, gint index) {
	gboolean result = FALSE;
	gint _tmp0_ = 0;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = index;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = noise_view_container_get_view (self, _tmp0_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = _tmp1_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp3_ = _tmp2_ != NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_g_object_unref0 (_tmp2_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp3_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 545 "ViewContainer.c"
}


gint noise_view_container_get_current_index (NoiseViewContainer* self) {
	gint result = 0;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = gtk_stack_get_visible_child_name ((GtkStack*) self);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = _tmp0_;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = atoi (_tmp1_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp2_;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 566 "ViewContainer.c"
}


GtkWidget* noise_view_container_get_current_view (NoiseViewContainer* self) {
	GtkWidget* result = NULL;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = _tmp0_;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp2_;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 587 "ViewContainer.c"
}


gint noise_view_container_get_n_pages (NoiseViewContainer* self) {
	gint result = 0;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = self->priv->match_views;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = _tmp1_;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp2_;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 608 "ViewContainer.c"
}


/**
     * Tries to set the given view as current.
     * @return false if fails.
     */
gboolean noise_view_container_set_current_view (NoiseViewContainer* self, GtkWidget* view) {
	gboolean result = FALSE;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (view != NULL, FALSE);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = view;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_stack_set_visible_child ((GtkStack*) self, _tmp0_);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = _tmp1_;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	if (_tmp2_ == NULL) {
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		g_critical ("ViewContainer.vala:109: Cannot set view as current view");
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		result = FALSE;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		return result;
#line 641 "ViewContainer.c"
	}
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	noise_view_container_update_visible (self);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = TRUE;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 649 "ViewContainer.c"
}


/**
     * Tries to set the given view index as current.
     * @return false if fails.
     */
gboolean noise_view_container_set_current_view_from_index (NoiseViewContainer* self, gint index) {
	gboolean result = FALSE;
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
	GtkWidget* _tmp4_ = NULL;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = index;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = _tmp1_;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	gtk_stack_set_visible_child_name ((GtkStack*) self, _tmp2_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_g_free0 (_tmp2_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp3_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp4_ = _tmp3_;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	if (_tmp4_ == NULL) {
#line 682 "ViewContainer.c"
		gint _tmp5_ = 0;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp5_ = index;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		g_critical ("ViewContainer.vala:126: Cannot set view index %i as current view", _tmp5_);
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		result = FALSE;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		return result;
#line 692 "ViewContainer.c"
	}
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	noise_view_container_update_visible (self);
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = TRUE;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 700 "ViewContainer.c"
}


static void noise_view_container_update_visible (NoiseViewContainer* self) {
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_if_fail (self != NULL);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp1_ = _tmp0_;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	if (_tmp1_ == NULL) {
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		return;
#line 719 "ViewContainer.c"
	}
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp2_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp3_ = _tmp2_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp3_, NOISE_TYPE_VIEW_WRAPPER)) {
#line 727 "ViewContainer.c"
		GtkWidget* _tmp4_ = NULL;
		GtkWidget* _tmp5_ = NULL;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp4_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp5_ = _tmp4_;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		noise_view_wrapper_set_as_current_view (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapper));
#line 736 "ViewContainer.c"
	} else {
		GtkWidget* _tmp6_ = NULL;
		GtkWidget* _tmp7_ = NULL;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp6_ = gtk_stack_get_visible_child ((GtkStack*) self);
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		_tmp7_ = _tmp6_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, gtk_grid_get_type ())) {
#line 746 "ViewContainer.c"
			NoiseLibraryWindow* _tmp8_ = NULL;
			NoiseLibraryWindow* _tmp9_ = NULL;
			NoiseWidgetsViewSelector* _tmp10_ = NULL;
			NoiseWidgetsViewSelector* _tmp11_ = NULL;
			NoiseLibraryWindow* _tmp12_ = NULL;
			NoiseLibraryWindow* _tmp13_ = NULL;
			NoiseWidgetsViewSelector* _tmp14_ = NULL;
			NoiseWidgetsViewSelector* _tmp15_ = NULL;
			NoiseLibraryWindow* _tmp16_ = NULL;
			NoiseLibraryWindow* _tmp17_ = NULL;
			GtkSearchEntry* _tmp18_ = NULL;
			GtkSearchEntry* _tmp19_ = NULL;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp8_ = noise_app_get_main_window ();
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp9_ = _tmp8_;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp10_ = noise_library_window_get_viewSelector (_tmp9_);
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp11_ = _tmp10_;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			noise_widgets_view_selector_set_selected (_tmp11_, NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp12_ = noise_app_get_main_window ();
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp13_ = _tmp12_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp14_ = noise_library_window_get_viewSelector (_tmp13_);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp15_ = _tmp14_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			noise_widgets_view_selector_set_sensitive (_tmp15_, FALSE);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp16_ = noise_app_get_main_window ();
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp17_ = _tmp16_;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp18_ = noise_library_window_get_searchField (_tmp17_);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			_tmp19_ = _tmp18_;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp19_, FALSE);
#line 789 "ViewContainer.c"
		}
	}
}


static gint noise_view_container_get_nextview_number (NoiseViewContainer* self) {
	gint result;
	gint _tmp0_ = 0;
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = self->priv->_nextview_number;
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	result = _tmp0_;
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	return result;
#line 806 "ViewContainer.c"
}


static void noise_view_container_set_nextview_number (NoiseViewContainer* self, gint value) {
	gint _tmp0_ = 0;
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_return_if_fail (self != NULL);
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_tmp0_ = value;
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	self->priv->_nextview_number = _tmp0_;
#line 818 "ViewContainer.c"
}


static void noise_view_container_class_init (NoiseViewContainerClass * klass) {
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	noise_view_container_parent_class = g_type_class_peek_parent (klass);
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	g_type_class_add_private (klass, sizeof (NoiseViewContainerPrivate));
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_view_container_get_property;
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_view_container_set_property;
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_view_container_finalize;
#line 833 "ViewContainer.c"
}


static void noise_view_container_instance_init (NoiseViewContainer * self) {
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	self->priv = NOISE_VIEW_CONTAINER_GET_PRIVATE (self);
#line 22 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	self->priv->_nextview_number = 0;
#line 842 "ViewContainer.c"
}


static void noise_view_container_finalize (GObject* obj) {
	NoiseViewContainer * self;
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainer);
#line 21 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	_g_object_unref0 (self->priv->match_views);
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	G_OBJECT_CLASS (noise_view_container_parent_class)->finalize (obj);
#line 854 "ViewContainer.c"
}


GType noise_view_container_get_type (void) {
	static volatile gsize noise_view_container_type_id__volatile = 0;
	if (g_once_init_enter (&noise_view_container_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseViewContainerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_view_container_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseViewContainer), 0, (GInstanceInitFunc) noise_view_container_instance_init, NULL };
		GType noise_view_container_type_id;
		noise_view_container_type_id = g_type_register_static (gtk_stack_get_type (), "NoiseViewContainer", &g_define_type_info, 0);
		g_once_init_leave (&noise_view_container_type_id__volatile, noise_view_container_type_id);
	}
	return noise_view_container_type_id__volatile;
}


static void _vala_noise_view_container_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseViewContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainer);
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	switch (property_id) {
#line 875 "ViewContainer.c"
		default:
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		break;
#line 881 "ViewContainer.c"
	}
}


static void _vala_noise_view_container_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseViewContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_VIEW_CONTAINER, NoiseViewContainer);
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
	switch (property_id) {
#line 891 "ViewContainer.c"
		default:
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "/usr/src/RPM/BUILD/noise-0.3.1/src/Views/ViewContainer.vala"
		break;
#line 897 "ViewContainer.c"
	}
}



