/* EqualizerPopover.c generated by valac 0.28.1, the Vala compiler
 * generated from EqualizerPopover.vala, do not modify */

/*-
 * Copyright (c) 2011-2012	Scott Ringwelski <sgringwe@mtu.edu>
 * Copyright (c) 2014 Noise Developers (http://launchpad.net/noise)
 *
 * Originally Written by Scott Ringwelski and Victor Eduardo for
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <cairo.h>
#include <gdk/gdk.h>


#define NOISE_TYPE_EQUALIZER_POPOVER (noise_equalizer_popover_get_type ())
#define NOISE_EQUALIZER_POPOVER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_EQUALIZER_POPOVER, NoiseEqualizerPopover))
#define NOISE_EQUALIZER_POPOVER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_EQUALIZER_POPOVER, NoiseEqualizerPopoverClass))
#define NOISE_IS_EQUALIZER_POPOVER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_EQUALIZER_POPOVER))
#define NOISE_IS_EQUALIZER_POPOVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_EQUALIZER_POPOVER))
#define NOISE_EQUALIZER_POPOVER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_EQUALIZER_POPOVER, NoiseEqualizerPopoverClass))

typedef struct _NoiseEqualizerPopover NoiseEqualizerPopover;
typedef struct _NoiseEqualizerPopoverClass NoiseEqualizerPopoverClass;
typedef struct _NoiseEqualizerPopoverPrivate NoiseEqualizerPopoverPrivate;

#define NOISE_TYPE_PRESET_LIST (noise_preset_list_get_type ())
#define NOISE_PRESET_LIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PRESET_LIST, NoisePresetList))
#define NOISE_PRESET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PRESET_LIST, NoisePresetListClass))
#define NOISE_IS_PRESET_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PRESET_LIST))
#define NOISE_IS_PRESET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PRESET_LIST))
#define NOISE_PRESET_LIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PRESET_LIST, NoisePresetListClass))

typedef struct _NoisePresetList NoisePresetList;
typedef struct _NoisePresetListClass NoisePresetListClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block20Data Block20Data;

#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
typedef struct _NoisePlaybackManagerPrivate NoisePlaybackManagerPrivate;

#define NOISE_TYPE_STREAMER (noise_streamer_get_type ())
#define NOISE_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_STREAMER, NoiseStreamer))
#define NOISE_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_STREAMER, NoiseStreamerClass))
#define NOISE_IS_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_STREAMER))
#define NOISE_IS_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_STREAMER))
#define NOISE_STREAMER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_STREAMER, NoiseStreamerClass))

typedef struct _NoiseStreamer NoiseStreamer;
typedef struct _NoiseStreamerClass NoiseStreamerClass;

struct _NoiseEqualizerPopover {
	GtkPopover parent_instance;
	NoiseEqualizerPopoverPrivate * priv;
};

struct _NoiseEqualizerPopoverClass {
	GtkPopoverClass parent_class;
};

struct _NoiseEqualizerPopoverPrivate {
	GtkSwitch* eq_switch;
	GtkEntry* new_preset_entry;
	GtkGrid* side_list;
	GtkGrid* scale_container;
	NoisePresetList* preset_combo;
	GeeList* scales;
	GeeList* target_levels;
	NoiseSettingsEqualizer* equalizer_settings;
	gchar* new_preset_name;
	gboolean apply_changes;
	gboolean initialized;
	gboolean adding_preset;
	gboolean in_transition;
	gboolean closing;
};

struct _Block20Data {
	int _ref_count_;
	NoiseEqualizerPopover* self;
	GtkScale* scale;
};

struct _NoisePlaybackManager {
	GObject parent_instance;
	NoisePlaybackManagerPrivate * priv;
	NoiseStaticPlaylist* queue_playlist;
	NoiseStaticPlaylist* history_playlist;
	gint next_gapless_id;
	NoiseStreamer* file_player;
	NoisePlayback* player;
};

struct _NoisePlaybackManagerClass {
	GObjectClass parent_class;
};


static gpointer noise_equalizer_popover_parent_class = NULL;

GType noise_equalizer_popover_get_type (void) G_GNUC_CONST;
GType noise_preset_list_get_type (void) G_GNUC_CONST;
#define NOISE_EQUALIZER_POPOVER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_EQUALIZER_POPOVER, NoiseEqualizerPopoverPrivate))
enum  {
	NOISE_EQUALIZER_POPOVER_DUMMY_PROPERTY
};
#define NOISE_EQUALIZER_POPOVER_ANIMATION_TIMEOUT 20
NoiseEqualizerPopover* noise_equalizer_popover_new (void);
NoiseEqualizerPopover* noise_equalizer_popover_construct (GType object_type);
static void noise_equalizer_popover_build_ui (NoiseEqualizerPopover* self);
static void noise_equalizer_popover_load_presets (NoiseEqualizerPopover* self);
void noise_preset_list_selectAutomaticPreset (NoisePresetList* self);
void noise_preset_list_selectPreset (NoisePresetList* self, const gchar* preset_name);
static void noise_equalizer_popover_on_eq_switch_toggled (NoiseEqualizerPopover* self);
static void noise_equalizer_popover_real_closed (GtkPopover* base);
static void noise_equalizer_popover_set_target_levels (NoiseEqualizerPopover* self);
static void noise_equalizer_popover_add_new_preset (NoiseEqualizerPopover* self);
static void noise_equalizer_popover_save_presets (NoiseEqualizerPopover* self);
NoiseEqualizerPreset* noise_preset_list_getSelectedPreset (NoisePresetList* self);
gboolean noise_preset_list_get_automatic_chosen (NoisePresetList* self);
gboolean noise_equalizer_popover_verify_preset_name (NoiseEqualizerPopover* self, const gchar* preset_name);
GeeCollection* noise_preset_list_getPresets (NoisePresetList* self);
static Block20Data* block20_data_ref (Block20Data* _data20_);
static void block20_data_unref (void * _userdata_);
static void ____lambda26_ (Block20Data* _data20_);
static void noise_equalizer_popover_apply_equalizer_gain (NoiseEqualizerPopover* self, gint index, gint val);
static void noise_equalizer_popover_on_default_preset_modified (NoiseEqualizerPopover* self);
static void _____lambda26__gtk_range_value_changed (GtkRange* _sender, gpointer self);
NoisePresetList* noise_preset_list_new (void);
NoisePresetList* noise_preset_list_construct (GType object_type);
static void __lambda27_ (NoiseEqualizerPopover* self, GtkAllocation* alloc);
static void ___lambda27__gtk_widget_size_allocate (GtkWidget* _sender, GtkAllocation* allocation, gpointer self);
static void _noise_equalizer_popover_on_eq_switch_toggled_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void noise_equalizer_popover_on_automatic_chosen (NoiseEqualizerPopover* self);
static void _noise_equalizer_popover_on_automatic_chosen_noise_preset_list_automatic_preset_chosen (NoisePresetList* _sender, gpointer self);
static void noise_equalizer_popover_remove_preset_clicked (NoiseEqualizerPopover* self);
static void _noise_equalizer_popover_remove_preset_clicked_noise_preset_list_delete_preset_chosen (NoisePresetList* _sender, gpointer self);
static void noise_equalizer_popover_preset_selected (NoiseEqualizerPopover* self, NoiseEqualizerPreset* p);
static void _noise_equalizer_popover_preset_selected_noise_preset_list_preset_selected (NoisePresetList* _sender, NoiseEqualizerPreset* p, gpointer self);
static void _noise_equalizer_popover_add_new_preset_gtk_entry_activate (GtkEntry* _sender, gpointer self);
static void noise_equalizer_popover_new_preset_entry_icon_pressed (NoiseEqualizerPopover* self, GtkEntryIconPosition pos, GdkEvent* event);
static void _noise_equalizer_popover_new_preset_entry_icon_pressed_gtk_entry_icon_press (GtkEntry* _sender, GtkEntryIconPosition p0, GdkEvent* p1, gpointer self);
static gboolean noise_equalizer_popover_on_entry_focus_out (NoiseEqualizerPopover* self);
static gboolean _noise_equalizer_popover_on_entry_focus_out_gtk_widget_focus_out_event (GtkWidget* _sender, GdkEventFocus* event, gpointer self);
GType noise_playback_manager_get_type (void) G_GNUC_CONST;
NoisePlaybackManager* noise_app_get_player (void);
GType noise_streamer_get_type (void) G_GNUC_CONST;
static void noise_equalizer_popover_apply_automatic_gains (NoiseEqualizerPopover* self);
void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self);
static void noise_equalizer_popover_set_sliders_sensitivity (NoiseEqualizerPopover* self, gboolean sensitivity);
void noise_preset_list_addPreset (NoisePresetList* self, NoiseEqualizerPreset* ep);
static void _vala_array_add1 (gchar*** array, int* length, int* size, gchar* value);
static gboolean noise_equalizer_popover_transition_scales (NoiseEqualizerPopover* self);
static gboolean _noise_equalizer_popover_transition_scales_gsource_func (gpointer self);
static gchar* noise_equalizer_popover_create_new_preset_name (NoiseEqualizerPopover* self, gboolean from_current);
void noise_preset_list_removeCurrentPreset (NoisePresetList* self);
static void noise_equalizer_popover_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);

static const gchar* NOISE_EQUALIZER_POPOVER_DECIBELS[10] = {"60", "170", "310", "600", "1k", "3k", "6k", "12k", "14k", "16k"};

NoiseEqualizerPopover* noise_equalizer_popover_construct (GType object_type) {
	NoiseEqualizerPopover * self = NULL;
	GeeArrayList* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	NoiseSettingsEqualizer* _tmp2_ = NULL;
	NoiseSettingsEqualizer* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self = (NoiseEqualizerPopover*) g_object_new (object_type, NULL);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = gee_array_list_new (gtk_scale_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->scales);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->scales = (GeeList*) _tmp0_;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = gee_array_list_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->target_levels);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->target_levels = (GeeList*) _tmp1_;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = noise_settings_equalizer_get_default ();
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->equalizer_settings);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->equalizer_settings = _tmp2_;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_build_ui (self);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_load_presets (self);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->initialized = TRUE;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = self->priv->equalizer_settings;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = noise_settings_equalizer_get_auto_switch_preset (_tmp3_);
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp5_ = _tmp4_;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp5_) {
#line 240 "EqualizerPopover.c"
		NoisePresetList* _tmp6_ = NULL;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp6_ = self->priv->preset_combo;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_preset_list_selectAutomaticPreset (_tmp6_);
#line 246 "EqualizerPopover.c"
	} else {
		gchar* preset = NULL;
		NoiseSettingsEqualizer* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp7_ = self->priv->equalizer_settings;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp8_ = noise_settings_equalizer_get_selected_preset (_tmp7_);
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp9_ = _tmp8_;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		preset = _tmp10_;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp11_ = preset;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		if (_tmp11_ != NULL) {
#line 268 "EqualizerPopover.c"
			NoisePresetList* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp12_ = self->priv->preset_combo;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp13_ = preset;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			noise_preset_list_selectPreset (_tmp12_, _tmp13_);
#line 277 "EqualizerPopover.c"
		}
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_free0 (preset);
#line 281 "EqualizerPopover.c"
	}
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_on_eq_switch_toggled (self);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->apply_changes = TRUE;
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return self;
#line 289 "EqualizerPopover.c"
}


NoiseEqualizerPopover* noise_equalizer_popover_new (void) {
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return noise_equalizer_popover_construct (NOISE_TYPE_EQUALIZER_POPOVER);
#line 296 "EqualizerPopover.c"
}


static void noise_equalizer_popover_real_closed (GtkPopover* base) {
	NoiseEqualizerPopover * self;
	gboolean _tmp0_ = FALSE;
	NoiseEqualizerPreset* selected_preset = NULL;
	NoisePresetList* _tmp2_ = NULL;
	NoiseEqualizerPreset* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	NoiseEqualizerPreset* _tmp5_ = NULL;
	NoiseSettingsEqualizer* _tmp8_ = NULL;
	NoiseSettingsEqualizer* _tmp9_ = NULL;
	NoisePresetList* _tmp10_ = NULL;
	gboolean _tmp11_ = FALSE;
	gboolean _tmp12_ = FALSE;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self = (NoiseEqualizerPopover*) base;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->closing = TRUE;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->in_transition;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp0_) {
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_equalizer_popover_set_target_levels (self);
#line 323 "EqualizerPopover.c"
	} else {
		gboolean _tmp1_ = FALSE;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp1_ = self->priv->adding_preset;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		if (_tmp1_) {
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			noise_equalizer_popover_add_new_preset (self);
#line 332 "EqualizerPopover.c"
		}
	}
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_save_presets (self);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = self->priv->preset_combo;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = noise_preset_list_getSelectedPreset (_tmp2_);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	selected_preset = _tmp3_;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp5_ = selected_preset;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp5_ != NULL) {
#line 347 "EqualizerPopover.c"
		NoiseEqualizerPreset* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp6_ = selected_preset;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp7_ = _tmp6_->name;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = _tmp7_;
#line 356 "EqualizerPopover.c"
	} else {
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = "";
#line 360 "EqualizerPopover.c"
	}
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp8_ = self->priv->equalizer_settings;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_settings_equalizer_set_selected_preset (_tmp8_, _tmp4_);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp9_ = self->priv->equalizer_settings;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp10_ = self->priv->preset_combo;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp11_ = noise_preset_list_get_automatic_chosen (_tmp10_);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp12_ = _tmp11_;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_settings_equalizer_set_auto_switch_preset (_tmp9_, _tmp12_);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->closing = FALSE;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (selected_preset);
#line 380 "EqualizerPopover.c"
}


gboolean noise_equalizer_popover_verify_preset_name (NoiseEqualizerPopover* self, const gchar* preset_name) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_val_if_fail (preset_name != NULL, FALSE);
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = preset_name;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp1_ == NULL) {
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = TRUE;
#line 398 "EqualizerPopover.c"
	} else {
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = preset_name;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp3_ = noise_string_is_white_space (_tmp2_);
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = _tmp3_;
#line 408 "EqualizerPopover.c"
	}
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp0_) {
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		result = FALSE;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return result;
#line 416 "EqualizerPopover.c"
	}
	{
		GeeIterator* _preset_it = NULL;
		NoisePresetList* _tmp4_ = NULL;
		GeeCollection* _tmp5_ = NULL;
		GeeCollection* _tmp6_ = NULL;
		GeeIterator* _tmp7_ = NULL;
		GeeIterator* _tmp8_ = NULL;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = self->priv->preset_combo;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp5_ = noise_preset_list_getPresets (_tmp4_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp6_ = _tmp5_;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp7_ = gee_iterable_iterator ((GeeIterable*) _tmp6_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp8_ = _tmp7_;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_tmp6_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_preset_it = _tmp8_;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		while (TRUE) {
#line 441 "EqualizerPopover.c"
			GeeIterator* _tmp9_ = NULL;
			gboolean _tmp10_ = FALSE;
			NoiseEqualizerPreset* preset = NULL;
			GeeIterator* _tmp11_ = NULL;
			gpointer _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			NoiseEqualizerPreset* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp9_ = _preset_it;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp10_ = gee_iterator_next (_tmp9_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!_tmp10_) {
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				break;
#line 458 "EqualizerPopover.c"
			}
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp11_ = _preset_it;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp12_ = gee_iterator_get (_tmp11_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			preset = (NoiseEqualizerPreset*) _tmp12_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp13_ = preset_name;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp14_ = preset;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp15_ = _tmp14_->name;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (g_strcmp0 (_tmp13_, _tmp15_) == 0) {
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				result = FALSE;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (preset);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (_preset_it);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				return result;
#line 482 "EqualizerPopover.c"
			}
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_g_object_unref0 (preset);
#line 486 "EqualizerPopover.c"
		}
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_preset_it);
#line 490 "EqualizerPopover.c"
	}
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	result = TRUE;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return result;
#line 496 "EqualizerPopover.c"
}


static Block20Data* block20_data_ref (Block20Data* _data20_) {
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_atomic_int_inc (&_data20_->_ref_count_);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return _data20_;
#line 505 "EqualizerPopover.c"
}


static void block20_data_unref (void * _userdata_) {
	Block20Data* _data20_;
	_data20_ = (Block20Data*) _userdata_;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (g_atomic_int_dec_and_test (&_data20_->_ref_count_)) {
#line 514 "EqualizerPopover.c"
		NoiseEqualizerPopover* self;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		self = _data20_->self;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_data20_->scale);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (self);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		g_slice_free (Block20Data, _data20_);
#line 524 "EqualizerPopover.c"
	}
}


static void ____lambda26_ (Block20Data* _data20_) {
	NoiseEqualizerPopover* self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self = _data20_->self;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = self->priv->initialized;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp2_) {
#line 540 "EqualizerPopover.c"
		gboolean _tmp3_ = FALSE;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp3_ = self->priv->apply_changes;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp1_ = _tmp3_;
#line 546 "EqualizerPopover.c"
	} else {
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp1_ = FALSE;
#line 550 "EqualizerPopover.c"
	}
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp1_) {
#line 554 "EqualizerPopover.c"
		NoisePresetList* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = self->priv->preset_combo;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp5_ = noise_preset_list_get_automatic_chosen (_tmp4_);
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp6_ = _tmp5_;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = !_tmp6_;
#line 566 "EqualizerPopover.c"
	} else {
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = FALSE;
#line 570 "EqualizerPopover.c"
	}
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp0_) {
#line 574 "EqualizerPopover.c"
		gint index = 0;
		GeeList* _tmp7_ = NULL;
		GtkScale* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gint val = 0;
		GtkScale* _tmp10_ = NULL;
		gdouble _tmp11_ = 0.0;
		gint _tmp12_ = 0;
		gint _tmp13_ = 0;
		gboolean _tmp14_ = FALSE;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp7_ = self->priv->scales;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp8_ = _data20_->scale;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp9_ = gee_list_index_of (_tmp7_, _tmp8_);
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		index = _tmp9_;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp10_ = _data20_->scale;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp11_ = gtk_range_get_value ((GtkRange*) _tmp10_);
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		val = (gint) _tmp11_;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp12_ = index;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp13_ = val;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_equalizer_popover_apply_equalizer_gain (self, _tmp12_, _tmp13_);
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp14_ = self->priv->in_transition;
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		if (!_tmp14_) {
#line 609 "EqualizerPopover.c"
			NoiseEqualizerPreset* selected_preset = NULL;
			NoisePresetList* _tmp15_ = NULL;
			NoiseEqualizerPreset* _tmp16_ = NULL;
			NoiseEqualizerPreset* _tmp17_ = NULL;
			gboolean _tmp18_ = FALSE;
			gboolean _tmp19_ = FALSE;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp15_ = self->priv->preset_combo;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp16_ = noise_preset_list_getSelectedPreset (_tmp15_);
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			selected_preset = _tmp16_;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp17_ = selected_preset;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp18_ = noise_equalizer_preset_get_is_default (_tmp17_);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp19_ = _tmp18_;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (_tmp19_) {
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				noise_equalizer_popover_on_default_preset_modified (self);
#line 632 "EqualizerPopover.c"
			} else {
				NoiseEqualizerPreset* _tmp20_ = NULL;
				gint _tmp21_ = 0;
				gint _tmp22_ = 0;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp20_ = selected_preset;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp21_ = index;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp22_ = val;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				noise_equalizer_preset_setGain (_tmp20_, _tmp21_, _tmp22_);
#line 645 "EqualizerPopover.c"
			}
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_g_object_unref0 (selected_preset);
#line 649 "EqualizerPopover.c"
		}
	}
}


static void _____lambda26__gtk_range_value_changed (GtkRange* _sender, gpointer self) {
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	____lambda26_ (self);
#line 658 "EqualizerPopover.c"
}


static void __lambda27_ (NoiseEqualizerPopover* self, GtkAllocation* alloc) {
	GtkEntry* _tmp0_ = NULL;
	GtkAllocation _tmp1_ = {0};
	gint _tmp2_ = 0;
	GtkAllocation _tmp3_ = {0};
	gint _tmp4_ = 0;
	GtkEntry* _tmp5_ = NULL;
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (alloc != NULL);
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->new_preset_entry;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = *alloc;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = _tmp1_.width;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = *alloc;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = _tmp3_.height;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp0_, _tmp2_, _tmp4_);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp5_ = self->priv->new_preset_entry;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_queue_resize ((GtkWidget*) _tmp5_);
#line 687 "EqualizerPopover.c"
}


static void ___lambda27__gtk_widget_size_allocate (GtkWidget* _sender, GtkAllocation* allocation, gpointer self) {
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	__lambda27_ ((NoiseEqualizerPopover*) self, allocation);
#line 694 "EqualizerPopover.c"
}


static void _noise_equalizer_popover_on_eq_switch_toggled_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_on_eq_switch_toggled ((NoiseEqualizerPopover*) self);
#line 701 "EqualizerPopover.c"
}


static void _noise_equalizer_popover_on_automatic_chosen_noise_preset_list_automatic_preset_chosen (NoisePresetList* _sender, gpointer self) {
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_on_automatic_chosen ((NoiseEqualizerPopover*) self);
#line 708 "EqualizerPopover.c"
}


static void _noise_equalizer_popover_remove_preset_clicked_noise_preset_list_delete_preset_chosen (NoisePresetList* _sender, gpointer self) {
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_remove_preset_clicked ((NoiseEqualizerPopover*) self);
#line 715 "EqualizerPopover.c"
}


static void _noise_equalizer_popover_preset_selected_noise_preset_list_preset_selected (NoisePresetList* _sender, NoiseEqualizerPreset* p, gpointer self) {
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_preset_selected ((NoiseEqualizerPopover*) self, p);
#line 722 "EqualizerPopover.c"
}


static void _noise_equalizer_popover_add_new_preset_gtk_entry_activate (GtkEntry* _sender, gpointer self) {
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_add_new_preset ((NoiseEqualizerPopover*) self);
#line 729 "EqualizerPopover.c"
}


static void _noise_equalizer_popover_new_preset_entry_icon_pressed_gtk_entry_icon_press (GtkEntry* _sender, GtkEntryIconPosition p0, GdkEvent* p1, gpointer self) {
#line 189 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_new_preset_entry_icon_pressed ((NoiseEqualizerPopover*) self, p0, p1);
#line 736 "EqualizerPopover.c"
}


static gboolean _noise_equalizer_popover_on_entry_focus_out_gtk_widget_focus_out_event (GtkWidget* _sender, GdkEventFocus* event, gpointer self) {
	gboolean result;
	result = noise_equalizer_popover_on_entry_focus_out ((NoiseEqualizerPopover*) self);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return result;
#line 745 "EqualizerPopover.c"
}


static void noise_equalizer_popover_build_ui (NoiseEqualizerPopover* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkSwitch* _tmp28_ = NULL;
	GtkSwitch* _tmp29_ = NULL;
	NoiseSettingsEqualizer* _tmp30_ = NULL;
	gboolean _tmp31_ = FALSE;
	gboolean _tmp32_ = FALSE;
	NoisePresetList* _tmp33_ = NULL;
	NoisePresetList* _tmp34_ = NULL;
	GtkGrid* _tmp35_ = NULL;
	GtkGrid* _tmp36_ = NULL;
	NoisePresetList* _tmp37_ = NULL;
	GtkEntry* _tmp38_ = NULL;
	GtkEntry* _tmp39_ = NULL;
	GtkEntry* _tmp40_ = NULL;
	const gchar* _tmp41_ = NULL;
	GtkSwitch* _tmp42_ = NULL;
	NoisePresetList* _tmp43_ = NULL;
	GtkEntry* _tmp44_ = NULL;
	NoisePresetList* _tmp45_ = NULL;
	GtkGrid* bottom_controls = NULL;
	GtkGrid* _tmp46_ = NULL;
	GtkSwitch* _tmp47_ = NULL;
	GtkGrid* _tmp48_ = NULL;
	GtkGrid* layout = NULL;
	GtkGrid* _tmp49_ = NULL;
	GtkGrid* _tmp50_ = NULL;
	GtkSeparator* _tmp51_ = NULL;
	GtkSeparator* _tmp52_ = NULL;
	GtkSwitch* _tmp53_ = NULL;
	NoisePresetList* _tmp54_ = NULL;
	NoisePresetList* _tmp55_ = NULL;
	NoisePresetList* _tmp56_ = NULL;
	GtkEntry* _tmp57_ = NULL;
	GtkEntry* _tmp58_ = NULL;
	GtkEntry* _tmp59_ = NULL;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, -1, 240);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp0_);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->scale_container);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->scale_container = _tmp0_;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = self->priv->scale_container;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_grid_set_column_spacing (_tmp1_, 12);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = self->priv->scale_container;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_set ((GtkWidget*) _tmp2_, "margin", 18, NULL);
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = self->priv->scale_container;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp3_, 0);
#line 812 "EqualizerPopover.c"
	{
		const gchar** decibel_collection = NULL;
		gint decibel_collection_length1 = 0;
		gint _decibel_collection_size_ = 0;
		gint decibel_it = 0;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		decibel_collection = NOISE_EQUALIZER_POPOVER_DECIBELS;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		decibel_collection_length1 = G_N_ELEMENTS (NOISE_EQUALIZER_POPOVER_DECIBELS);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		for (decibel_it = 0; decibel_it < G_N_ELEMENTS (NOISE_EQUALIZER_POPOVER_DECIBELS); decibel_it = decibel_it + 1) {
#line 824 "EqualizerPopover.c"
			gchar* _tmp4_ = NULL;
			gchar* decibel = NULL;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp4_ = g_strdup (decibel_collection[decibel_it]);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			decibel = _tmp4_;
#line 831 "EqualizerPopover.c"
			{
				Block20Data* _data20_;
				GtkScale* _tmp5_ = NULL;
				GtkScale* _tmp6_ = NULL;
				GtkScale* _tmp7_ = NULL;
				GtkScale* _tmp8_ = NULL;
				GtkLabel* tag = NULL;
				const gchar* _tmp9_ = NULL;
				GtkLabel* _tmp10_ = NULL;
				GtkScale* _tmp11_ = NULL;
				GtkLabel* _tmp12_ = NULL;
				GtkScale* _tmp13_ = NULL;
				GtkLabel* _tmp14_ = NULL;
				GtkGrid* holder = NULL;
				GtkGrid* _tmp15_ = NULL;
				GtkGrid* _tmp16_ = NULL;
				GtkGrid* _tmp17_ = NULL;
				GtkGrid* _tmp18_ = NULL;
				GtkGrid* _tmp19_ = NULL;
				GtkScale* _tmp20_ = NULL;
				GtkGrid* _tmp21_ = NULL;
				GtkLabel* _tmp22_ = NULL;
				GtkGrid* _tmp23_ = NULL;
				GtkGrid* _tmp24_ = NULL;
				GeeList* _tmp25_ = NULL;
				GtkScale* _tmp26_ = NULL;
				GtkScale* _tmp27_ = NULL;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_data20_ = g_slice_new0 (Block20Data);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_data20_->_ref_count_ = 1;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_data20_->self = g_object_ref (self);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp5_ = (GtkScale*) gtk_scale_new_with_range (GTK_ORIENTATION_VERTICAL, (gdouble) (-80), (gdouble) 80, (gdouble) 1);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				g_object_ref_sink (_tmp5_);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_data20_->scale = _tmp5_;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp6_ = _data20_->scale;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_scale_add_mark (_tmp6_, (gdouble) 0, GTK_POS_LEFT, NULL);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp7_ = _data20_->scale;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_scale_set_draw_value (_tmp7_, FALSE);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp8_ = _data20_->scale;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_range_set_inverted ((GtkRange*) _tmp8_, TRUE);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp9_ = decibel;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp10_ = (GtkLabel*) gtk_label_new (_tmp9_);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				g_object_ref_sink (_tmp10_);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				tag = _tmp10_;
#line 114 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp11_ = _data20_->scale;
#line 114 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp12_ = tag;
#line 114 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_CENTER);
#line 114 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_widget_set_halign ((GtkWidget*) _tmp11_, GTK_ALIGN_CENTER);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp13_ = _data20_->scale;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				g_object_set ((GtkWidget*) _tmp13_, "expand", TRUE, NULL);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp14_ = tag;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_widget_set_hexpand ((GtkWidget*) _tmp14_, TRUE);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp15_ = (GtkGrid*) gtk_grid_new ();
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				g_object_ref_sink (_tmp15_);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				holder = _tmp15_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp16_ = holder;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_orientable_set_orientation ((GtkOrientable*) _tmp16_, GTK_ORIENTATION_VERTICAL);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp17_ = holder;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				g_object_set ((GtkWidget*) _tmp17_, "expand", TRUE, NULL);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp18_ = holder;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_grid_set_row_spacing (_tmp18_, 4);
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp19_ = holder;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp20_ = _data20_->scale;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_container_add ((GtkContainer*) _tmp19_, (GtkWidget*) _tmp20_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp21_ = holder;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp22_ = tag;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp22_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp23_ = self->priv->scale_container;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp24_ = holder;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_container_add ((GtkContainer*) _tmp23_, (GtkWidget*) _tmp24_);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp25_ = self->priv->scales;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp26_ = _data20_->scale;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gee_collection_add ((GeeCollection*) _tmp25_, _tmp26_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp27_ = _data20_->scale;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				g_signal_connect_data ((GtkRange*) _tmp27_, "value-changed", (GCallback) _____lambda26__gtk_range_value_changed, block20_data_ref (_data20_), (GClosureNotify) block20_data_unref, 0);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (holder);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (tag);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_free0 (decibel);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				block20_data_unref (_data20_);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_data20_ = NULL;
#line 963 "EqualizerPopover.c"
			}
		}
	}
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp28_ = (GtkSwitch*) gtk_switch_new ();
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp28_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->eq_switch);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->eq_switch = _tmp28_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp29_ = self->priv->eq_switch;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp30_ = self->priv->equalizer_settings;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp31_ = noise_settings_equalizer_get_equalizer_enabled (_tmp30_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp32_ = _tmp31_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_switch_set_active (_tmp29_, _tmp32_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp33_ = noise_preset_list_new ();
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp33_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->preset_combo);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->preset_combo = _tmp33_;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp34_ = self->priv->preset_combo;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp34_, 165, -1);
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp35_ = (GtkGrid*) gtk_grid_new ();
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp35_);
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->side_list);
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->side_list = _tmp35_;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp36_ = self->priv->side_list;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp37_ = self->priv->preset_combo;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) _tmp36_, (GtkWidget*) _tmp37_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp38_ = (GtkEntry*) gtk_entry_new ();
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp38_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->new_preset_entry);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->new_preset_entry = _tmp38_;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp39_ = self->priv->new_preset_entry;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_set (_tmp39_, "secondary-icon-name", "document-save-symbolic", NULL);
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp40_ = self->priv->new_preset_entry;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp41_ = _ ("Save preset");
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_set (_tmp40_, "secondary-icon-tooltip-text", _tmp41_, NULL);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp42_ = self->priv->eq_switch;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp43_ = self->priv->preset_combo;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp44_ = self->priv->new_preset_entry;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp44_, GTK_ALIGN_CENTER);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp43_, GTK_ALIGN_CENTER);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp42_, GTK_ALIGN_CENTER);
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp45_ = self->priv->preset_combo;
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object ((GtkWidget*) _tmp45_, "size-allocate", (GCallback) ___lambda27__gtk_widget_size_allocate, self, 0);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp46_ = (GtkGrid*) gtk_grid_new ();
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp46_);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	bottom_controls = _tmp46_;
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_set ((GtkWidget*) bottom_controls, "margin", 12, NULL);
#line 169 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_margin_top ((GtkWidget*) bottom_controls, 0);
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp47_ = self->priv->eq_switch;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) bottom_controls, (GtkWidget*) _tmp47_);
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp48_ = self->priv->side_list;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) bottom_controls, (GtkWidget*) _tmp48_);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp49_ = (GtkGrid*) gtk_grid_new ();
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp49_);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	layout = _tmp49_;
#line 174 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) layout, GTK_ORIENTATION_VERTICAL);
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_grid_set_row_spacing (layout, 12);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp50_ = self->priv->scale_container;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) layout, (GtkWidget*) _tmp50_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp51_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_object_ref_sink (_tmp51_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp52_ = _tmp51_;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) layout, (GtkWidget*) _tmp52_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (_tmp52_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) layout, (GtkWidget*) bottom_controls);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_show_all ((GtkWidget*) layout);
#line 182 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) layout);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp53_ = self->priv->eq_switch;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object ((GObject*) _tmp53_, "notify::active", (GCallback) _noise_equalizer_popover_on_eq_switch_toggled_g_object_notify, self, 0);
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp54_ = self->priv->preset_combo;
#line 185 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object (_tmp54_, "automatic-preset-chosen", (GCallback) _noise_equalizer_popover_on_automatic_chosen_noise_preset_list_automatic_preset_chosen, self, 0);
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp55_ = self->priv->preset_combo;
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object (_tmp55_, "delete-preset-chosen", (GCallback) _noise_equalizer_popover_remove_preset_clicked_noise_preset_list_delete_preset_chosen, self, 0);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp56_ = self->priv->preset_combo;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object (_tmp56_, "preset-selected", (GCallback) _noise_equalizer_popover_preset_selected_noise_preset_list_preset_selected, self, 0);
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp57_ = self->priv->new_preset_entry;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object (_tmp57_, "activate", (GCallback) _noise_equalizer_popover_add_new_preset_gtk_entry_activate, self, 0);
#line 189 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp58_ = self->priv->new_preset_entry;
#line 189 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object (_tmp58_, "icon-press", (GCallback) _noise_equalizer_popover_new_preset_entry_icon_pressed_gtk_entry_icon_press, self, 0);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp59_ = self->priv->new_preset_entry;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_signal_connect_object ((GtkWidget*) _tmp59_, "focus-out-event", (GCallback) _noise_equalizer_popover_on_entry_focus_out_gtk_widget_focus_out_event, self, 0);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (layout);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (bottom_controls);
#line 1125 "EqualizerPopover.c"
}


static void noise_equalizer_popover_apply_equalizer_gain (NoiseEqualizerPopover* self, gint index, gint val) {
	NoisePlaybackManager* _tmp0_ = NULL;
	NoisePlaybackManager* _tmp1_ = NULL;
	NoisePlayback* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = noise_app_get_player ();
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = _tmp0_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = _tmp1_->player;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = index;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = val;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_playback_set_equalizer_gain (_tmp2_, _tmp3_, _tmp4_);
#line 1149 "EqualizerPopover.c"
}


static void noise_equalizer_popover_apply_automatic_gains (NoiseEqualizerPopover* self) {
	NoisePlaybackManager* _tmp0_ = NULL;
	NoisePlaybackManager* _tmp1_ = NULL;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = noise_app_get_player ();
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = _tmp0_;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_playback_manager_change_gains_thread (_tmp1_);
#line 1164 "EqualizerPopover.c"
}


static gboolean noise_equalizer_popover_on_entry_focus_out (NoiseEqualizerPopover* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->closing;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (!_tmp0_) {
#line 1177 "EqualizerPopover.c"
		GtkEntry* _tmp1_ = NULL;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp1_ = self->priv->new_preset_entry;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		gtk_widget_grab_focus ((GtkWidget*) _tmp1_);
#line 1183 "EqualizerPopover.c"
	}
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	result = FALSE;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return result;
#line 1189 "EqualizerPopover.c"
}


static void noise_equalizer_popover_set_sliders_sensitivity (NoiseEqualizerPopover* self, gboolean sensitivity) {
	GtkGrid* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->scale_container;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = sensitivity;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, _tmp1_);
#line 1204 "EqualizerPopover.c"
}


static void noise_equalizer_popover_on_eq_switch_toggled (NoiseEqualizerPopover* self) {
	gboolean eq_active = FALSE;
	GtkSwitch* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	NoisePresetList* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	NoiseSettingsEqualizer* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->in_transition = FALSE;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->eq_switch;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = _tmp1_;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	eq_active = _tmp2_;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = self->priv->preset_combo;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = eq_active;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, _tmp4_);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp5_ = eq_active;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_set_sliders_sensitivity (self, _tmp5_);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp6_ = self->priv->equalizer_settings;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp7_ = eq_active;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_settings_equalizer_set_equalizer_enabled (_tmp6_, _tmp7_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp8_ = eq_active;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp8_) {
#line 1251 "EqualizerPopover.c"
		NoisePresetList* _tmp9_ = NULL;
		gboolean _tmp10_ = FALSE;
		gboolean _tmp11_ = FALSE;
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp9_ = self->priv->preset_combo;
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp10_ = noise_preset_list_get_automatic_chosen (_tmp9_);
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp11_ = _tmp10_;
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		if (_tmp11_) {
#line 1263 "EqualizerPopover.c"
			NoisePresetList* _tmp12_ = NULL;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp12_ = self->priv->preset_combo;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			noise_preset_list_selectAutomaticPreset (_tmp12_);
#line 1269 "EqualizerPopover.c"
		} else {
			NoiseEqualizerPreset* selected_preset = NULL;
			NoisePresetList* _tmp13_ = NULL;
			NoiseEqualizerPreset* _tmp14_ = NULL;
			NoiseEqualizerPreset* _tmp15_ = NULL;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp13_ = self->priv->preset_combo;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp14_ = noise_preset_list_getSelectedPreset (_tmp13_);
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			selected_preset = _tmp14_;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp15_ = selected_preset;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (_tmp15_ != NULL) {
#line 1285 "EqualizerPopover.c"
				{
					gint i = 0;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					i = 0;
#line 1290 "EqualizerPopover.c"
					{
						gboolean _tmp16_ = FALSE;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						_tmp16_ = TRUE;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						while (TRUE) {
#line 1297 "EqualizerPopover.c"
							gint _tmp18_ = 0;
							GeeList* _tmp19_ = NULL;
							gint _tmp20_ = 0;
							gint _tmp21_ = 0;
							gint _tmp22_ = 0;
							NoiseEqualizerPreset* _tmp23_ = NULL;
							gint _tmp24_ = 0;
							gint _tmp25_ = 0;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							if (!_tmp16_) {
#line 1308 "EqualizerPopover.c"
								gint _tmp17_ = 0;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
								_tmp17_ = i;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
								i = _tmp17_ + 1;
#line 1314 "EqualizerPopover.c"
							}
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp16_ = FALSE;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp18_ = i;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp19_ = self->priv->scales;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp20_ = gee_collection_get_size ((GeeCollection*) _tmp19_);
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp21_ = _tmp20_;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							if (!(_tmp18_ < _tmp21_)) {
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
								break;
#line 1330 "EqualizerPopover.c"
							}
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp22_ = i;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp23_ = selected_preset;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp24_ = i;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							_tmp25_ = noise_equalizer_preset_getGain (_tmp23_, _tmp24_);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
							noise_equalizer_popover_apply_equalizer_gain (self, _tmp22_, _tmp25_);
#line 1342 "EqualizerPopover.c"
						}
					}
				}
			}
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_g_object_unref0 (selected_preset);
#line 1349 "EqualizerPopover.c"
		}
	} else {
		{
			gint i = 0;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			i = 0;
#line 1356 "EqualizerPopover.c"
			{
				gboolean _tmp26_ = FALSE;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp26_ = TRUE;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				while (TRUE) {
#line 1363 "EqualizerPopover.c"
					gint _tmp28_ = 0;
					GeeList* _tmp29_ = NULL;
					gint _tmp30_ = 0;
					gint _tmp31_ = 0;
					gint _tmp32_ = 0;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					if (!_tmp26_) {
#line 1371 "EqualizerPopover.c"
						gint _tmp27_ = 0;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						_tmp27_ = i;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						i = _tmp27_ + 1;
#line 1377 "EqualizerPopover.c"
					}
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp26_ = FALSE;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp28_ = i;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp29_ = self->priv->scales;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp30_ = gee_collection_get_size ((GeeCollection*) _tmp29_);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp31_ = _tmp30_;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					if (!(_tmp28_ < _tmp31_)) {
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						break;
#line 1393 "EqualizerPopover.c"
					}
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp32_ = i;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					noise_equalizer_popover_apply_equalizer_gain (self, _tmp32_, 0);
#line 1399 "EqualizerPopover.c"
				}
			}
		}
	}
}


static void noise_equalizer_popover_load_presets (NoiseEqualizerPopover* self) {
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 1410 "EqualizerPopover.c"
	{
		GeeIterator* _preset_it = NULL;
		GeeCollection* _tmp0_ = NULL;
		GeeCollection* _tmp1_ = NULL;
		GeeIterator* _tmp2_ = NULL;
		GeeIterator* _tmp3_ = NULL;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = noise_equalizer_get_default_presets ();
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp1_ = _tmp0_;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp3_ = _tmp2_;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_tmp1_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_preset_it = _tmp3_;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		while (TRUE) {
#line 1431 "EqualizerPopover.c"
			GeeIterator* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			NoiseEqualizerPreset* preset = NULL;
			GeeIterator* _tmp6_ = NULL;
			gpointer _tmp7_ = NULL;
			NoiseEqualizerPreset* _tmp8_ = NULL;
			NoisePresetList* _tmp9_ = NULL;
			NoiseEqualizerPreset* _tmp10_ = NULL;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp4_ = _preset_it;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp5_ = gee_iterator_next (_tmp4_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!_tmp5_) {
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				break;
#line 1448 "EqualizerPopover.c"
			}
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp6_ = _preset_it;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp7_ = gee_iterator_get (_tmp6_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			preset = (NoiseEqualizerPreset*) _tmp7_;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp8_ = preset;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			noise_equalizer_preset_set_is_default (_tmp8_, TRUE);
#line 240 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp9_ = self->priv->preset_combo;
#line 240 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp10_ = preset;
#line 240 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			noise_preset_list_addPreset (_tmp9_, _tmp10_);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_g_object_unref0 (preset);
#line 1468 "EqualizerPopover.c"
		}
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_preset_it);
#line 1472 "EqualizerPopover.c"
	}
	{
		GeeIterator* _preset_it = NULL;
		NoiseSettingsEqualizer* _tmp11_ = NULL;
		GeeCollection* _tmp12_ = NULL;
		GeeCollection* _tmp13_ = NULL;
		GeeIterator* _tmp14_ = NULL;
		GeeIterator* _tmp15_ = NULL;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp11_ = self->priv->equalizer_settings;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp12_ = noise_settings_equalizer_getPresets (_tmp11_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp13_ = _tmp12_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp14_ = gee_iterable_iterator ((GeeIterable*) _tmp13_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp15_ = _tmp14_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_tmp13_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_preset_it = _tmp15_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		while (TRUE) {
#line 1497 "EqualizerPopover.c"
			GeeIterator* _tmp16_ = NULL;
			gboolean _tmp17_ = FALSE;
			NoiseEqualizerPreset* preset = NULL;
			GeeIterator* _tmp18_ = NULL;
			gpointer _tmp19_ = NULL;
			NoisePresetList* _tmp20_ = NULL;
			NoiseEqualizerPreset* _tmp21_ = NULL;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp16_ = _preset_it;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp17_ = gee_iterator_next (_tmp16_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!_tmp17_) {
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				break;
#line 1513 "EqualizerPopover.c"
			}
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp18_ = _preset_it;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp19_ = gee_iterator_get (_tmp18_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			preset = (NoiseEqualizerPreset*) _tmp19_;
#line 244 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp20_ = self->priv->preset_combo;
#line 244 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp21_ = preset;
#line 244 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			noise_preset_list_addPreset (_tmp20_, _tmp21_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_g_object_unref0 (preset);
#line 1529 "EqualizerPopover.c"
		}
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_preset_it);
#line 1533 "EqualizerPopover.c"
	}
}


static void _vala_array_add1 (gchar*** array, int* length, int* size, gchar* value) {
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if ((*length) == (*size)) {
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 1545 "EqualizerPopover.c"
	}
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	(*array)[(*length)++] = value;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	(*array)[*length] = NULL;
#line 1551 "EqualizerPopover.c"
}


static void noise_equalizer_popover_save_presets (NoiseEqualizerPopover* self) {
	gchar** val = NULL;
	gchar** _tmp0_ = NULL;
	gint val_length1 = 0;
	gint _val_size_ = 0;
	NoiseSettingsEqualizer* _tmp16_ = NULL;
	gchar** _tmp17_ = NULL;
	gint _tmp17__length1 = 0;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = g_new0 (gchar*, 0 + 1);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	val = _tmp0_;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	val_length1 = 0;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_val_size_ = val_length1;
#line 1573 "EqualizerPopover.c"
	{
		GeeIterator* _preset_it = NULL;
		NoisePresetList* _tmp1_ = NULL;
		GeeCollection* _tmp2_ = NULL;
		GeeCollection* _tmp3_ = NULL;
		GeeIterator* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp1_ = self->priv->preset_combo;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = noise_preset_list_getPresets (_tmp1_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp3_ = _tmp2_;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp5_ = _tmp4_;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_tmp3_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_preset_it = _tmp5_;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		while (TRUE) {
#line 1597 "EqualizerPopover.c"
			GeeIterator* _tmp6_ = NULL;
			gboolean _tmp7_ = FALSE;
			NoiseEqualizerPreset* preset = NULL;
			GeeIterator* _tmp8_ = NULL;
			gpointer _tmp9_ = NULL;
			NoiseEqualizerPreset* _tmp10_ = NULL;
			gboolean _tmp11_ = FALSE;
			gboolean _tmp12_ = FALSE;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp6_ = _preset_it;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp7_ = gee_iterator_next (_tmp6_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!_tmp7_) {
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				break;
#line 1614 "EqualizerPopover.c"
			}
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp8_ = _preset_it;
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp9_ = gee_iterator_get (_tmp8_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			preset = (NoiseEqualizerPreset*) _tmp9_;
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp10_ = preset;
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp11_ = noise_equalizer_preset_get_is_default (_tmp10_);
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp12_ = _tmp11_;
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!_tmp12_) {
#line 1630 "EqualizerPopover.c"
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				NoiseEqualizerPreset* _tmp14_ = NULL;
				gchar* _tmp15_ = NULL;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp13_ = val;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp13__length1 = val_length1;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp14_ = preset;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp15_ = noise_equalizer_preset_to_string (_tmp14_);
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_vala_array_add1 (&val, &val_length1, &_val_size_, _tmp15_);
#line 1645 "EqualizerPopover.c"
			}
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_g_object_unref0 (preset);
#line 1649 "EqualizerPopover.c"
		}
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_preset_it);
#line 1653 "EqualizerPopover.c"
	}
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp16_ = self->priv->equalizer_settings;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp17_ = val;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp17__length1 = val_length1;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_settings_equalizer_set_custom_presets (_tmp16_, _tmp17_, _tmp17__length1);
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	val = (_vala_array_free (val, val_length1, (GDestroyNotify) g_free), NULL);
#line 1665 "EqualizerPopover.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return self ? g_object_ref (self) : NULL;
#line 1672 "EqualizerPopover.c"
}


static gboolean _noise_equalizer_popover_transition_scales_gsource_func (gpointer self) {
	gboolean result;
	result = noise_equalizer_popover_transition_scales ((NoiseEqualizerPopover*) self);
#line 272 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return result;
#line 1681 "EqualizerPopover.c"
}


static void noise_equalizer_popover_preset_selected (NoiseEqualizerPopover* self, NoiseEqualizerPreset* p) {
	gboolean _tmp0_ = FALSE;
	GeeList* _tmp1_ = NULL;
	gboolean _tmp16_ = FALSE;
	gboolean _tmp17_ = FALSE;
	gboolean _tmp18_ = FALSE;
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (p != NULL);
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->initialized;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (!_tmp0_) {
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return;
#line 1701 "EqualizerPopover.c"
	}
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_set_sliders_sensitivity (self, TRUE);
#line 263 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = self->priv->target_levels;
#line 263 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gee_collection_clear ((GeeCollection*) _tmp1_);
#line 1709 "EqualizerPopover.c"
	{
		GeeArrayList* _i_list = NULL;
		NoiseEqualizerPreset* _tmp2_ = NULL;
		GeeArrayList* _tmp3_ = NULL;
		GeeArrayList* _tmp4_ = NULL;
		gint _i_size = 0;
		GeeArrayList* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
		gint _i_index = 0;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = p;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp3_ = _tmp2_->gains;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = _g_object_ref0 (_tmp3_);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_i_list = _tmp4_;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp5_ = _i_list;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp5_);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp7_ = _tmp6_;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_i_size = _tmp7_;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_i_index = -1;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		while (TRUE) {
#line 1740 "EqualizerPopover.c"
			gint _tmp8_ = 0;
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			gint i = 0;
			GeeArrayList* _tmp11_ = NULL;
			gint _tmp12_ = 0;
			gpointer _tmp13_ = NULL;
			GeeList* _tmp14_ = NULL;
			gint _tmp15_ = 0;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp8_ = _i_index;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_i_index = _tmp8_ + 1;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp9_ = _i_index;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp10_ = _i_size;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				break;
#line 1762 "EqualizerPopover.c"
			}
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp11_ = _i_list;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp12_ = _i_index;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			i = (gint) ((gintptr) _tmp13_);
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp14_ = self->priv->target_levels;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp15_ = i;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			gee_collection_add ((GeeCollection*) _tmp14_, (gpointer) ((gintptr) _tmp15_));
#line 1778 "EqualizerPopover.c"
		}
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_i_list);
#line 1782 "EqualizerPopover.c"
	}
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp18_ = self->priv->closing;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp18_) {
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp17_ = TRUE;
#line 1790 "EqualizerPopover.c"
	} else {
		gboolean _tmp19_ = FALSE;
		gboolean _tmp20_ = FALSE;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp20_ = self->priv->initialized;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		if (_tmp20_) {
#line 1798 "EqualizerPopover.c"
			gboolean _tmp21_ = FALSE;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp21_ = self->priv->apply_changes;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp19_ = !_tmp21_;
#line 1804 "EqualizerPopover.c"
		} else {
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp19_ = FALSE;
#line 1808 "EqualizerPopover.c"
		}
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp17_ = _tmp19_;
#line 1812 "EqualizerPopover.c"
	}
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp17_) {
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp16_ = TRUE;
#line 1818 "EqualizerPopover.c"
	} else {
		gboolean _tmp22_ = FALSE;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp22_ = self->priv->adding_preset;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp16_ = _tmp22_;
#line 1825 "EqualizerPopover.c"
	}
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp16_) {
#line 269 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_equalizer_popover_set_target_levels (self);
#line 1831 "EqualizerPopover.c"
	} else {
		gboolean _tmp23_ = FALSE;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp23_ = self->priv->in_transition;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		if (!_tmp23_) {
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			self->priv->in_transition = TRUE;
#line 272 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) NOISE_EQUALIZER_POPOVER_ANIMATION_TIMEOUT, _noise_equalizer_popover_transition_scales_gsource_func, g_object_ref (self), g_object_unref);
#line 1842 "EqualizerPopover.c"
		}
	}
}


static void noise_equalizer_popover_set_target_levels (NoiseEqualizerPopover* self) {
#line 276 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 277 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->in_transition = FALSE;
#line 1853 "EqualizerPopover.c"
	{
		gint index = 0;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		index = 0;
#line 1858 "EqualizerPopover.c"
		{
			gboolean _tmp0_ = FALSE;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp0_ = TRUE;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			while (TRUE) {
#line 1865 "EqualizerPopover.c"
				gint _tmp2_ = 0;
				GeeList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				GtkScale* scale = NULL;
				GeeList* _tmp6_ = NULL;
				gint _tmp7_ = 0;
				gpointer _tmp8_ = NULL;
				GtkScale* _tmp9_ = NULL;
				GeeList* _tmp10_ = NULL;
				gint _tmp11_ = 0;
				gpointer _tmp12_ = NULL;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!_tmp0_) {
#line 1880 "EqualizerPopover.c"
					gint _tmp1_ = 0;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp1_ = index;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					index = _tmp1_ + 1;
#line 1886 "EqualizerPopover.c"
				}
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp0_ = FALSE;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp2_ = index;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp3_ = self->priv->scales;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp4_ = gee_collection_get_size ((GeeCollection*) _tmp3_);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp5_ = _tmp4_;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!(_tmp2_ < _tmp5_)) {
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					break;
#line 1902 "EqualizerPopover.c"
				}
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp6_ = self->priv->scales;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp7_ = index;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp8_ = gee_list_get (_tmp6_, _tmp7_);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				scale = (GtkScale*) _tmp8_;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp9_ = scale;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp10_ = self->priv->target_levels;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp11_ = index;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp12_ = gee_list_get (_tmp10_, _tmp11_);
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gtk_range_set_value ((GtkRange*) _tmp9_, (gdouble) ((gint) ((gintptr) _tmp12_)));
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (scale);
#line 1924 "EqualizerPopover.c"
			}
		}
	}
}


static gboolean noise_equalizer_popover_transition_scales (NoiseEqualizerPopover* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean is_finished = FALSE;
	gboolean _tmp33_ = FALSE;
#line 285 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->in_transition;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (!_tmp0_) {
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		result = FALSE;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return result;
#line 1946 "EqualizerPopover.c"
	}
#line 289 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	is_finished = TRUE;
#line 1950 "EqualizerPopover.c"
	{
		gint index = 0;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		index = 0;
#line 1955 "EqualizerPopover.c"
		{
			gboolean _tmp1_ = FALSE;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp1_ = TRUE;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			while (TRUE) {
#line 1962 "EqualizerPopover.c"
				gint _tmp3_ = 0;
				GeeList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				GtkScale* scale = NULL;
				GeeList* _tmp7_ = NULL;
				gint _tmp8_ = 0;
				gpointer _tmp9_ = NULL;
				gdouble current_level = 0.0;
				GtkScale* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gdouble target_level = 0.0;
				GeeList* _tmp12_ = NULL;
				gint _tmp13_ = 0;
				gpointer _tmp14_ = NULL;
				gdouble difference = 0.0;
				gdouble _tmp15_ = 0.0;
				gdouble _tmp16_ = 0.0;
				gboolean _tmp17_ = FALSE;
				gboolean _tmp18_ = FALSE;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!_tmp1_) {
#line 1985 "EqualizerPopover.c"
					gint _tmp2_ = 0;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp2_ = index;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					index = _tmp2_ + 1;
#line 1991 "EqualizerPopover.c"
				}
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp1_ = FALSE;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp3_ = index;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp4_ = self->priv->scales;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp5_ = gee_collection_get_size ((GeeCollection*) _tmp4_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp6_ = _tmp5_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!(_tmp3_ < _tmp6_)) {
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					break;
#line 2007 "EqualizerPopover.c"
				}
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp7_ = self->priv->scales;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp8_ = index;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp9_ = gee_list_get (_tmp7_, _tmp8_);
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				scale = (GtkScale*) _tmp9_;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp10_ = scale;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp11_ = gtk_range_get_value ((GtkRange*) _tmp10_);
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				current_level = _tmp11_;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp12_ = self->priv->target_levels;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp13_ = index;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp14_ = gee_list_get (_tmp12_, _tmp13_);
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				target_level = (gdouble) ((gint) ((gintptr) _tmp14_));
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp15_ = target_level;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp16_ = current_level;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				difference = _tmp15_ - _tmp16_;
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp18_ = self->priv->closing;
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (_tmp18_) {
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp17_ = TRUE;
#line 2043 "EqualizerPopover.c"
				} else {
					gdouble _tmp19_ = 0.0;
					gdouble _tmp20_ = 0.0;
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp19_ = difference;
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp20_ = fabs (_tmp19_);
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp17_ = _tmp20_ <= ((gdouble) 1);
#line 2053 "EqualizerPopover.c"
				}
#line 297 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (_tmp17_) {
#line 2057 "EqualizerPopover.c"
					GtkScale* _tmp21_ = NULL;
					gdouble _tmp22_ = 0.0;
					gboolean _tmp23_ = FALSE;
					NoisePresetList* _tmp24_ = NULL;
					gboolean _tmp25_ = FALSE;
					gboolean _tmp26_ = FALSE;
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp21_ = scale;
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp22_ = target_level;
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					gtk_range_set_value ((GtkRange*) _tmp21_, _tmp22_);
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp24_ = self->priv->preset_combo;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp25_ = noise_preset_list_get_automatic_chosen (_tmp24_);
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp26_ = _tmp25_;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					if (!_tmp26_) {
#line 2078 "EqualizerPopover.c"
						gdouble _tmp27_ = 0.0;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						_tmp27_ = target_level;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						_tmp23_ = _tmp27_ == ((gdouble) 0);
#line 2084 "EqualizerPopover.c"
					} else {
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						_tmp23_ = FALSE;
#line 2088 "EqualizerPopover.c"
					}
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					if (_tmp23_) {
#line 2092 "EqualizerPopover.c"
						gint _tmp28_ = 0;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						_tmp28_ = index;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
						noise_equalizer_popover_apply_equalizer_gain (self, _tmp28_, 0);
#line 2098 "EqualizerPopover.c"
					}
				} else {
					GtkScale* _tmp29_ = NULL;
					GtkScale* _tmp30_ = NULL;
					gdouble _tmp31_ = 0.0;
					gdouble _tmp32_ = 0.0;
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp29_ = scale;
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp30_ = scale;
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp31_ = gtk_range_get_value ((GtkRange*) _tmp30_);
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp32_ = difference;
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					gtk_range_set_value ((GtkRange*) _tmp29_, _tmp31_ + (_tmp32_ / 8.0));
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					is_finished = FALSE;
#line 2117 "EqualizerPopover.c"
				}
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (scale);
#line 2121 "EqualizerPopover.c"
			}
		}
	}
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp33_ = is_finished;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp33_) {
#line 310 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		self->priv->in_transition = FALSE;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		result = FALSE;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return result;
#line 2135 "EqualizerPopover.c"
	}
#line 317 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	result = TRUE;
#line 317 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return result;
#line 2141 "EqualizerPopover.c"
}


static void noise_equalizer_popover_on_automatic_chosen (NoiseEqualizerPopover* self) {
	NoiseSettingsEqualizer* _tmp0_ = NULL;
	NoisePresetList* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	GeeList* _tmp4_ = NULL;
	gboolean _tmp12_ = FALSE;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->equalizer_settings;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = self->priv->preset_combo;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = noise_preset_list_get_automatic_chosen (_tmp1_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = _tmp2_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_settings_equalizer_set_auto_switch_preset (_tmp0_, _tmp3_);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = self->priv->target_levels;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gee_collection_clear ((GeeCollection*) _tmp4_);
#line 2168 "EqualizerPopover.c"
	{
		gint i = 0;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		i = 0;
#line 2173 "EqualizerPopover.c"
		{
			gboolean _tmp5_ = FALSE;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp5_ = TRUE;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			while (TRUE) {
#line 2180 "EqualizerPopover.c"
				gint _tmp7_ = 0;
				GeeList* _tmp8_ = NULL;
				gint _tmp9_ = 0;
				gint _tmp10_ = 0;
				GeeList* _tmp11_ = NULL;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!_tmp5_) {
#line 2188 "EqualizerPopover.c"
					gint _tmp6_ = 0;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp6_ = i;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					i = _tmp6_ + 1;
#line 2194 "EqualizerPopover.c"
				}
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp5_ = FALSE;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp7_ = i;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp8_ = self->priv->scales;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp9_ = gee_collection_get_size ((GeeCollection*) _tmp8_);
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp10_ = _tmp9_;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!(_tmp7_ < _tmp10_)) {
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					break;
#line 2210 "EqualizerPopover.c"
				}
#line 326 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp11_ = self->priv->target_levels;
#line 326 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				gee_collection_add ((GeeCollection*) _tmp11_, (gpointer) ((gintptr) 0));
#line 2216 "EqualizerPopover.c"
			}
		}
	}
#line 328 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_set_sliders_sensitivity (self, FALSE);
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp12_ = self->priv->apply_changes;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp12_) {
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		self->priv->in_transition = TRUE;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) NOISE_EQUALIZER_POPOVER_ANIMATION_TIMEOUT, _noise_equalizer_popover_transition_scales_gsource_func, g_object_ref (self), g_object_unref);
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_equalizer_popover_save_presets (self);
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_equalizer_popover_apply_automatic_gains (self);
#line 2234 "EqualizerPopover.c"
	} else {
#line 336 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		noise_equalizer_popover_set_target_levels (self);
#line 2238 "EqualizerPopover.c"
	}
}


static void noise_equalizer_popover_on_default_preset_modified (NoiseEqualizerPopover* self) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GtkGrid* _tmp3_ = NULL;
	NoisePresetList* _tmp4_ = NULL;
	GtkGrid* _tmp5_ = NULL;
	GtkEntry* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	GtkEntry* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	GtkSwitch* _tmp11_ = NULL;
	GtkEntry* _tmp12_ = NULL;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = self->priv->adding_preset;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp1_) {
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = TRUE;
#line 2264 "EqualizerPopover.c"
	} else {
		gboolean _tmp2_ = FALSE;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = self->priv->closing;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = _tmp2_;
#line 2271 "EqualizerPopover.c"
	}
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp0_) {
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return;
#line 2277 "EqualizerPopover.c"
	}
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->adding_preset = TRUE;
#line 346 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = self->priv->side_list;
#line 346 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = self->priv->preset_combo;
#line 346 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_remove ((GtkContainer*) _tmp3_, (GtkWidget*) _tmp4_);
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp5_ = self->priv->side_list;
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp6_ = self->priv->new_preset_entry;
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) _tmp5_, (GtkWidget*) _tmp6_);
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp7_ = self->priv->side_list;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp7_);
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp8_ = noise_equalizer_popover_create_new_preset_name (self, TRUE);
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_free0 (self->priv->new_preset_name);
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->new_preset_name = _tmp8_;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp9_ = self->priv->new_preset_entry;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp10_ = self->priv->new_preset_name;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_entry_set_text (_tmp9_, _tmp10_);
#line 353 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp11_ = self->priv->eq_switch;
#line 353 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp11_, FALSE);
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp12_ = self->priv->new_preset_entry;
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp12_);
#line 2317 "EqualizerPopover.c"
}


static void noise_equalizer_popover_new_preset_entry_icon_pressed (NoiseEqualizerPopover* self, GtkEntryIconPosition pos, GdkEvent* event) {
	gboolean _tmp0_ = FALSE;
	GtkEntryIconPosition _tmp1_ = 0;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (event != NULL);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = pos;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp1_ != GTK_ENTRY_ICON_SECONDARY) {
#line 2332 "EqualizerPopover.c"
		gboolean _tmp2_ = FALSE;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = self->priv->adding_preset;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = !_tmp2_;
#line 2338 "EqualizerPopover.c"
	} else {
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = FALSE;
#line 2342 "EqualizerPopover.c"
	}
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp0_) {
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return;
#line 2348 "EqualizerPopover.c"
	}
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_add_new_preset (self);
#line 2352 "EqualizerPopover.c"
}


static void noise_equalizer_popover_add_new_preset (NoiseEqualizerPopover* self) {
	gboolean _tmp0_ = FALSE;
	gchar* new_name = NULL;
	GtkEntry* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	gint* gains = NULL;
	GeeList* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp10_ = 0;
	gint* _tmp11_ = NULL;
	gint gains_length1 = 0;
	gint _gains_size_ = 0;
	NoiseEqualizerPreset* new_preset = NULL;
	const gchar* _tmp26_ = NULL;
	gint* _tmp27_ = NULL;
	gint _tmp27__length1 = 0;
	NoiseEqualizerPreset* _tmp28_ = NULL;
	NoisePresetList* _tmp29_ = NULL;
	NoiseEqualizerPreset* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
	NoisePresetList* _tmp32_ = NULL;
	GtkGrid* _tmp33_ = NULL;
	NoisePresetList* _tmp34_ = NULL;
	GtkGrid* _tmp35_ = NULL;
	GtkEntry* _tmp36_ = NULL;
	GtkGrid* _tmp37_ = NULL;
	GtkSwitch* _tmp38_ = NULL;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->adding_preset;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (!_tmp0_) {
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		return;
#line 2394 "EqualizerPopover.c"
	}
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = self->priv->new_preset_entry;
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	new_name = _tmp3_;
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp4_ = new_name;
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp5_ = noise_equalizer_popover_verify_preset_name (self, _tmp4_);
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp5_) {
#line 2410 "EqualizerPopover.c"
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp6_ = new_name;
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp7_ = g_strdup (_tmp6_);
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_free0 (self->priv->new_preset_name);
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		self->priv->new_preset_name = _tmp7_;
#line 2421 "EqualizerPopover.c"
	}
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp8_ = self->priv->scales;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp9_ = gee_collection_get_size ((GeeCollection*) _tmp8_);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp10_ = _tmp9_;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp11_ = g_new0 (gint, _tmp10_);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gains = _tmp11_;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gains_length1 = _tmp10_;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_gains_size_ = gains_length1;
#line 2437 "EqualizerPopover.c"
	{
		gint i = 0;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		i = 0;
#line 2442 "EqualizerPopover.c"
		{
			gboolean _tmp12_ = FALSE;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp12_ = TRUE;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			while (TRUE) {
#line 2449 "EqualizerPopover.c"
				gint _tmp14_ = 0;
				GeeList* _tmp15_ = NULL;
				gint _tmp16_ = 0;
				gint _tmp17_ = 0;
				gint* _tmp18_ = NULL;
				gint _tmp18__length1 = 0;
				gint _tmp19_ = 0;
				GeeList* _tmp20_ = NULL;
				gint _tmp21_ = 0;
				gpointer _tmp22_ = NULL;
				GtkScale* _tmp23_ = NULL;
				gdouble _tmp24_ = 0.0;
				gint _tmp25_ = 0;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!_tmp12_) {
#line 2465 "EqualizerPopover.c"
					gint _tmp13_ = 0;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp13_ = i;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					i = _tmp13_ + 1;
#line 2471 "EqualizerPopover.c"
				}
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp12_ = FALSE;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp14_ = i;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp15_ = self->priv->scales;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp16_ = gee_collection_get_size ((GeeCollection*) _tmp15_);
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp17_ = _tmp16_;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!(_tmp14_ < _tmp17_)) {
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					break;
#line 2487 "EqualizerPopover.c"
				}
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp18_ = gains;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp18__length1 = gains_length1;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp19_ = i;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp20_ = self->priv->scales;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp21_ = i;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp22_ = gee_list_get (_tmp20_, _tmp21_);
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp23_ = (GtkScale*) _tmp22_;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp24_ = gtk_range_get_value ((GtkRange*) _tmp23_);
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp18_[_tmp19_] = (gint) _tmp24_;
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp25_ = _tmp18_[_tmp19_];
#line 376 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_g_object_unref0 (_tmp23_);
#line 2511 "EqualizerPopover.c"
			}
		}
	}
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp26_ = self->priv->new_preset_name;
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp27_ = gains;
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp27__length1 = gains_length1;
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp28_ = noise_equalizer_preset_new_with_gains (_tmp26_, _tmp27_, _tmp27__length1);
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	new_preset = _tmp28_;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp29_ = self->priv->preset_combo;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp30_ = new_preset;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_preset_list_addPreset (_tmp29_, _tmp30_);
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp31_ = self->priv->side_list;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp32_ = self->priv->preset_combo;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_add ((GtkContainer*) _tmp31_, (GtkWidget*) _tmp32_);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp33_ = self->priv->side_list;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp34_ = self->priv->preset_combo;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_set_focus_child ((GtkContainer*) _tmp33_, (GtkWidget*) _tmp34_);
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp35_ = self->priv->side_list;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp36_ = self->priv->new_preset_entry;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_container_remove ((GtkContainer*) _tmp35_, (GtkWidget*) _tmp36_);
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp37_ = self->priv->side_list;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp37_);
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp38_ = self->priv->eq_switch;
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp38_, TRUE);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->adding_preset = FALSE;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (new_preset);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	gains = (g_free (gains), NULL);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_free0 (new_name);
#line 2565 "EqualizerPopover.c"
}


static gchar* noise_equalizer_popover_create_new_preset_name (NoiseEqualizerPopover* self, gboolean from_current) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gchar* current_preset_name = NULL;
	gchar* _tmp6_ = NULL;
	gchar* preset_name = NULL;
	gchar* _tmp7_ = NULL;
	gboolean is_valid = FALSE;
	gint i = 0;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp1_ = from_current;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	if (_tmp1_) {
#line 2585 "EqualizerPopover.c"
		NoisePresetList* _tmp2_ = NULL;
		NoiseEqualizerPreset* _tmp3_ = NULL;
		NoiseEqualizerPreset* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp2_ = self->priv->preset_combo;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp3_ = noise_preset_list_getSelectedPreset (_tmp2_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp4_ = _tmp3_;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp5_ = _tmp4_->name;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = _tmp5_;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_g_object_unref0 (_tmp4_);
#line 2602 "EqualizerPopover.c"
	} else {
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp0_ = "";
#line 2606 "EqualizerPopover.c"
	}
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp6_ = g_strdup (_tmp0_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	current_preset_name = _tmp6_;
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp7_ = g_strdup ("");
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	preset_name = _tmp7_;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	is_valid = FALSE;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	i = 0;
#line 2620 "EqualizerPopover.c"
	{
		gboolean _tmp8_ = FALSE;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		_tmp8_ = TRUE;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
		while (TRUE) {
#line 2627 "EqualizerPopover.c"
			const gchar* _tmp10_ = NULL;
			gboolean _tmp11_ = FALSE;
			gint _tmp26_ = 0;
			const gchar* _tmp27_ = NULL;
			gboolean _tmp28_ = FALSE;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (!_tmp8_) {
#line 2635 "EqualizerPopover.c"
				gboolean _tmp9_ = FALSE;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp9_ = is_valid;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (!(!_tmp9_)) {
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					break;
#line 2643 "EqualizerPopover.c"
				}
			}
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp8_ = FALSE;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp10_ = preset_name;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			g_debug ("EqualizerPopover.vala:398: preset name %s is invalid. Looping", _tmp10_);
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp11_ = from_current;
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			if (_tmp11_) {
#line 2656 "EqualizerPopover.c"
				gint _tmp12_ = 0;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp12_ = i;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (_tmp12_ < 1) {
#line 2662 "EqualizerPopover.c"
					const gchar* _tmp13_ = NULL;
					const gchar* _tmp14_ = NULL;
					gchar* _tmp15_ = NULL;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp13_ = _ ("%s (Custom)");
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp14_ = current_preset_name;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp15_ = g_strdup_printf (_tmp13_, _tmp14_);
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_g_free0 (preset_name);
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					preset_name = _tmp15_;
#line 2676 "EqualizerPopover.c"
				} else {
					const gchar* _tmp16_ = NULL;
					const gchar* _tmp17_ = NULL;
					gint _tmp18_ = 0;
					gchar* _tmp19_ = NULL;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp16_ = _ ("%s (Custom %i)");
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp17_ = current_preset_name;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp18_ = i;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp19_ = g_strdup_printf (_tmp16_, _tmp17_, _tmp18_);
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_g_free0 (preset_name);
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					preset_name = _tmp19_;
#line 2694 "EqualizerPopover.c"
				}
			} else {
				gint _tmp20_ = 0;
#line 407 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				_tmp20_ = i;
#line 407 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
				if (_tmp20_ < 1) {
#line 2702 "EqualizerPopover.c"
					const gchar* _tmp21_ = NULL;
					gchar* _tmp22_ = NULL;
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp21_ = _ ("Custom Preset");
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp22_ = g_strdup (_tmp21_);
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_g_free0 (preset_name);
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					preset_name = _tmp22_;
#line 2713 "EqualizerPopover.c"
				} else {
					const gchar* _tmp23_ = NULL;
					gint _tmp24_ = 0;
					gchar* _tmp25_ = NULL;
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp23_ = _ ("Custom Preset %i");
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp24_ = i;
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_tmp25_ = g_strdup_printf (_tmp23_, _tmp24_);
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					_g_free0 (preset_name);
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
					preset_name = _tmp25_;
#line 2728 "EqualizerPopover.c"
				}
			}
#line 413 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp26_ = i;
#line 413 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			i = _tmp26_ + 1;
#line 414 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp27_ = preset_name;
#line 414 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			_tmp28_ = noise_equalizer_popover_verify_preset_name (self, _tmp27_);
#line 414 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
			is_valid = _tmp28_;
#line 2741 "EqualizerPopover.c"
		}
	}
#line 417 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	result = preset_name;
#line 417 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_free0 (current_preset_name);
#line 417 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	return result;
#line 2750 "EqualizerPopover.c"
}


static void noise_equalizer_popover_remove_preset_clicked (NoiseEqualizerPopover* self) {
	NoisePresetList* _tmp0_ = NULL;
#line 420 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_return_if_fail (self != NULL);
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_tmp0_ = self->priv->preset_combo;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_preset_list_removeCurrentPreset (_tmp0_);
#line 2762 "EqualizerPopover.c"
}


static void noise_equalizer_popover_class_init (NoiseEqualizerPopoverClass * klass) {
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	noise_equalizer_popover_parent_class = g_type_class_peek_parent (klass);
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	g_type_class_add_private (klass, sizeof (NoiseEqualizerPopoverPrivate));
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	((GtkPopoverClass *) klass)->closed = noise_equalizer_popover_real_closed;
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_equalizer_popover_finalize;
#line 2775 "EqualizerPopover.c"
}


static void noise_equalizer_popover_instance_init (NoiseEqualizerPopover * self) {
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv = NOISE_EQUALIZER_POPOVER_GET_PRIVATE (self);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->apply_changes = FALSE;
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->initialized = FALSE;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->adding_preset = FALSE;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->in_transition = FALSE;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self->priv->closing = FALSE;
#line 2792 "EqualizerPopover.c"
}


static void noise_equalizer_popover_finalize (GObject* obj) {
	NoiseEqualizerPopover * self;
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_EQUALIZER_POPOVER, NoiseEqualizerPopover);
#line 25 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->eq_switch);
#line 26 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->new_preset_entry);
#line 27 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->side_list);
#line 28 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->scale_container);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->preset_combo);
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->scales);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->target_levels);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_object_unref0 (self->priv->equalizer_settings);
#line 33 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	_g_free0 (self->priv->new_preset_name);
#line 24 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/EqualizerPopover.vala"
	G_OBJECT_CLASS (noise_equalizer_popover_parent_class)->finalize (obj);
#line 2820 "EqualizerPopover.c"
}


GType noise_equalizer_popover_get_type (void) {
	static volatile gsize noise_equalizer_popover_type_id__volatile = 0;
	if (g_once_init_enter (&noise_equalizer_popover_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseEqualizerPopoverClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_equalizer_popover_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseEqualizerPopover), 0, (GInstanceInitFunc) noise_equalizer_popover_instance_init, NULL };
		GType noise_equalizer_popover_type_id;
		noise_equalizer_popover_type_id = g_type_register_static (gtk_popover_get_type (), "NoiseEqualizerPopover", &g_define_type_info, 0);
		g_once_init_leave (&noise_equalizer_popover_type_id__volatile, noise_equalizer_popover_type_id);
	}
	return noise_equalizer_popover_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



