/* PresetList.c generated by valac 0.28.1, the Vala compiler
 * generated from PresetList.vala, do not modify */

/*-
 * Copyright (c) 2011-2012	   Scott Ringwelski <sgringwe@mtu.edu>
 *
 * Originally Written by Scott Ringwelski and Victor Eduardo for
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <pango/pango.h>
#include <gee.h>


#define NOISE_TYPE_PRESET_LIST (noise_preset_list_get_type ())
#define NOISE_PRESET_LIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PRESET_LIST, NoisePresetList))
#define NOISE_PRESET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PRESET_LIST, NoisePresetListClass))
#define NOISE_IS_PRESET_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PRESET_LIST))
#define NOISE_IS_PRESET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PRESET_LIST))
#define NOISE_PRESET_LIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PRESET_LIST, NoisePresetListClass))

typedef struct _NoisePresetList NoisePresetList;
typedef struct _NoisePresetListClass NoisePresetListClass;
typedef struct _NoisePresetListPrivate NoisePresetListPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoisePresetList {
	GtkComboBox parent_instance;
	NoisePresetListPrivate * priv;
	NoiseEqualizerPreset* last_selected_preset;
};

struct _NoisePresetListClass {
	GtkComboBoxClass parent_class;
	void (*listSelectionChange) (NoisePresetList* self);
};

struct _NoisePresetListPrivate {
	gint _ncustompresets;
	gboolean modifying_list;
	gboolean automatic_selected;
	GtkListStore* store;
};


static gpointer noise_preset_list_parent_class = NULL;
static gchar* noise_preset_list_AUTOMATIC_MODE;
static gchar* noise_preset_list_AUTOMATIC_MODE = NULL;
static gchar* noise_preset_list_DELETE_PRESET;
static gchar* noise_preset_list_DELETE_PRESET = NULL;

GType noise_preset_list_get_type (void) G_GNUC_CONST;
#define NOISE_PRESET_LIST_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_PRESET_LIST, NoisePresetListPrivate))
enum  {
	NOISE_PRESET_LIST_DUMMY_PROPERTY,
	NOISE_PRESET_LIST_AUTOMATIC_CHOSEN
};
#define NOISE_PRESET_LIST_SEPARATOR_NAME "<separator_item_unique_name>"
NoisePresetList* noise_preset_list_new (void);
NoisePresetList* noise_preset_list_construct (GType object_type);
static void noise_preset_list_set_ncustompresets (NoisePresetList* self, gint value);
void noise_preset_list_buildUI (NoisePresetList* self);
static void noise_preset_list_clearList (NoisePresetList* self);
void noise_preset_list_addAutomaticMode (NoisePresetList* self);
static gboolean __lambda25_ (NoisePresetList* self, GtkTreeModel* model, GtkTreeIter* iter);
static gboolean ___lambda25__gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self);
void noise_preset_list_listSelectionChange (NoisePresetList* self);
static void _noise_preset_list_listSelectionChange_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
void noise_preset_list_addSeparator (NoisePresetList* self);
void noise_preset_list_addPreset (NoisePresetList* self, NoiseEqualizerPreset* ep);
static gint noise_preset_list_get_ncustompresets (NoisePresetList* self);
void noise_preset_list_removeCurrentPreset (NoisePresetList* self);
static void noise_preset_list_remove_separator_item (NoisePresetList* self, gint index);
void noise_preset_list_selectAutomaticPreset (NoisePresetList* self);
static void noise_preset_list_real_listSelectionChange (NoisePresetList* self);
static void noise_preset_list_add_delete_preset_option (NoisePresetList* self);
static void noise_preset_list_remove_delete_option (NoisePresetList* self);
void noise_preset_list_selectPreset (NoisePresetList* self, const gchar* preset_name);
NoiseEqualizerPreset* noise_preset_list_getSelectedPreset (NoisePresetList* self);
GeeCollection* noise_preset_list_getPresets (NoisePresetList* self);
gboolean noise_preset_list_get_automatic_chosen (NoisePresetList* self);
static void noise_preset_list_finalize (GObject* obj);
static void _vala_noise_preset_list_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_preset_list_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


NoisePresetList* noise_preset_list_construct (GType object_type) {
	NoisePresetList * self = NULL;
	GtkListStore* _tmp0_ = NULL;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self = (NoisePresetList*) g_object_new (object_type, NULL);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_set_ncustompresets (self, 0);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = FALSE;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->automatic_selected = FALSE;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = gtk_list_store_new (2, G_TYPE_OBJECT, G_TYPE_STRING, -1);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (self->priv->store);
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->store = _tmp0_;
#line 57 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_buildUI (self);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_clearList (self);
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_addAutomaticMode (self);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return self;
#line 136 "PresetList.c"
}


NoisePresetList* noise_preset_list_new (void) {
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return noise_preset_list_construct (NOISE_TYPE_PRESET_LIST);
#line 143 "PresetList.c"
}


static gboolean __lambda25_ (NoisePresetList* self, GtkTreeModel* model, GtkTreeIter* iter) {
	gboolean result = FALSE;
	gchar* content = NULL;
	gchar* _tmp0_ = NULL;
	GtkTreeModel* _tmp1_ = NULL;
	GtkTreeIter _tmp2_ = {0};
	const gchar* _tmp3_ = NULL;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = g_strdup ("");
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	content = _tmp0_;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = model;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = *iter;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get (_tmp1_, &_tmp2_, 1, &content, -1);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp3_ = content;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	result = g_strcmp0 (_tmp3_, NOISE_PRESET_LIST_SEPARATOR_NAME) == 0;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_free0 (content);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return result;
#line 176 "PresetList.c"
}


static gboolean ___lambda25__gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = __lambda25_ ((NoisePresetList*) self, model, iter);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return result;
#line 185 "PresetList.c"
}


static void _noise_preset_list_listSelectionChange_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_listSelectionChange ((NoisePresetList*) self);
#line 192 "PresetList.c"
}


void noise_preset_list_buildUI (NoisePresetList* self) {
	GtkListStore* _tmp0_ = NULL;
	GtkCellRendererText* cell = NULL;
	GtkCellRendererText* _tmp1_ = NULL;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_model ((GtkComboBox*) self, (GtkTreeModel*) _tmp0_);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_id_column ((GtkComboBox*) self, 1);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_row_separator_func ((GtkComboBox*) self, ___lambda25__gtk_tree_view_row_separator_func, g_object_ref (self), g_object_unref);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_object_ref_sink (_tmp1_);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	cell = _tmp1_;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_object_set (cell, "ellipsize", PANGO_ELLIPSIZE_END, NULL);
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) self, (GtkCellRenderer*) cell, TRUE);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) self, (GtkCellRenderer*) cell, "text", 1);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_signal_connect_object ((GtkComboBox*) self, "changed", (GCallback) _noise_preset_list_listSelectionChange_gtk_combo_box_changed, self, 0);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (cell);
#line 228 "PresetList.c"
}


static void noise_preset_list_clearList (NoisePresetList* self) {
	GtkListStore* _tmp0_ = NULL;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_clear (_tmp0_);
#line 240 "PresetList.c"
}


void noise_preset_list_addAutomaticMode (NoisePresetList* self) {
	GtkTreeIter iter = {0};
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	const gchar* _tmp4_ = NULL;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_append (_tmp0_, &_tmp1_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	iter = _tmp1_;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = self->priv->store;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp3_ = iter;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp4_ = noise_preset_list_AUTOMATIC_MODE;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp2_, &_tmp3_, 0, NULL, 1, _tmp4_, -1);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_addSeparator (self);
#line 269 "PresetList.c"
}


void noise_preset_list_addSeparator (NoisePresetList* self) {
	GtkTreeIter iter = {0};
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_append (_tmp0_, &_tmp1_);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	iter = _tmp1_;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = self->priv->store;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp3_ = iter;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp2_, &_tmp3_, 0, NULL, 1, NOISE_PRESET_LIST_SEPARATOR_NAME, -1);
#line 293 "PresetList.c"
}


void noise_preset_list_addPreset (NoisePresetList* self, NoiseEqualizerPreset* ep) {
	NoiseEqualizerPreset* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp5_ = NULL;
	GtkTreeIter _tmp6_ = {0};
	GtkListStore* _tmp7_ = NULL;
	GtkTreeIter _tmp8_ = {0};
	NoiseEqualizerPreset* _tmp9_ = NULL;
	NoiseEqualizerPreset* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	GtkTreeIter _tmp12_ = {0};
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (ep != NULL);
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = TRUE;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = ep;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = noise_equalizer_preset_get_is_default (_tmp0_);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = _tmp1_;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (!_tmp2_) {
#line 324 "PresetList.c"
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp3_ = self->priv->_ncustompresets;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		if (_tmp3_ < 1) {
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			noise_preset_list_addSeparator (self);
#line 333 "PresetList.c"
		}
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp4_ = self->priv->_ncustompresets;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		noise_preset_list_set_ncustompresets (self, _tmp4_ + 1);
#line 339 "PresetList.c"
	}
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp5_ = self->priv->store;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_append (_tmp5_, &_tmp6_);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	iter = _tmp6_;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp7_ = self->priv->store;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp8_ = iter;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp9_ = ep;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp10_ = ep;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp11_ = _tmp10_->name;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp7_, &_tmp8_, 0, _tmp9_, 1, _tmp11_, -1);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = FALSE;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->automatic_selected = FALSE;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp12_ = iter;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_active_iter ((GtkComboBox*) self, &_tmp12_);
#line 367 "PresetList.c"
}


void noise_preset_list_removeCurrentPreset (NoisePresetList* self) {
	GtkTreeIter iter = {0};
	gint _tmp23_ = 0;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = TRUE;
#line 378 "PresetList.c"
	{
		gint i = 0;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		i = 0;
#line 383 "PresetList.c"
		{
			gboolean _tmp0_ = FALSE;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			_tmp0_ = TRUE;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 390 "PresetList.c"
				GtkListStore* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
				GtkTreeIter _tmp6_ = {0};
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
				GObject* o = NULL;
				GtkListStore* _tmp9_ = NULL;
				GtkTreeIter _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
				gboolean _tmp12_ = FALSE;
				GObject* _tmp13_ = NULL;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (!_tmp0_) {
#line 406 "PresetList.c"
					gint _tmp1_ = 0;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp1_ = i;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					i = _tmp1_ + 1;
#line 412 "PresetList.c"
				}
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp0_ = FALSE;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp2_ = self->priv->store;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp3_ = i;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp4_ = g_strdup_printf ("%i", _tmp3_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp5_ = _tmp4_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp7_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp2_, &_tmp6_, _tmp5_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				iter = _tmp6_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp8_ = !_tmp7_;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp5_);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp8_) {
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 436 "PresetList.c"
				}
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp9_ = self->priv->store;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp10_ = iter;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp9_, &_tmp10_, 0, &o, -1);
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp13_ = o;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp13_ != NULL) {
#line 448 "PresetList.c"
					GObject* _tmp14_ = NULL;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp14_ = o;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp12_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, NOISE_TYPE_EQUALIZER_PRESET);
#line 454 "PresetList.c"
				} else {
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp12_ = FALSE;
#line 458 "PresetList.c"
				}
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp12_) {
#line 462 "PresetList.c"
					GObject* _tmp15_ = NULL;
					NoiseEqualizerPreset* _tmp16_ = NULL;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = o;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp16_ = self->last_selected_preset;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp11_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp15_, NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPreset) == _tmp16_;
#line 471 "PresetList.c"
				} else {
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp11_ = FALSE;
#line 475 "PresetList.c"
				}
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 479 "PresetList.c"
					GObject* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
					gboolean _tmp19_ = FALSE;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp17_ = o;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp18_ = noise_equalizer_preset_get_is_default (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPreset));
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp19_ = _tmp18_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (!_tmp19_) {
#line 491 "PresetList.c"
						gint _tmp20_ = 0;
						GtkListStore* _tmp21_ = NULL;
						GtkTreeIter _tmp22_ = {0};
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp20_ = self->priv->_ncustompresets;
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						noise_preset_list_set_ncustompresets (self, _tmp20_ - 1);
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp21_ = self->priv->store;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp22_ = iter;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						gtk_list_store_remove (_tmp21_, &_tmp22_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_g_object_unref0 (o);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						break;
#line 509 "PresetList.c"
					}
				}
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_object_unref0 (o);
#line 514 "PresetList.c"
			}
		}
	}
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp23_ = self->priv->_ncustompresets;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp23_ < 1) {
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		noise_preset_list_remove_separator_item (self, -1);
#line 524 "PresetList.c"
	}
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = FALSE;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_selectAutomaticPreset (self);
#line 530 "PresetList.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return self ? g_object_ref (self) : NULL;
#line 537 "PresetList.c"
}


static void noise_preset_list_real_listSelectionChange (NoisePresetList* self) {
	gboolean _tmp0_ = FALSE;
	GtkTreeIter it = {0};
	GtkTreeIter _tmp1_ = {0};
	GObject* o = NULL;
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	gboolean _tmp4_ = FALSE;
	GObject* _tmp5_ = NULL;
	gchar* option = NULL;
	GtkListStore* _tmp15_ = NULL;
	GtkTreeIter _tmp16_ = {0};
	const gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->modifying_list;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp0_) {
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		return;
#line 561 "PresetList.c"
	}
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_get_active_iter ((GtkComboBox*) self, &_tmp1_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	it = _tmp1_;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = self->priv->store;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp3_ = it;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp2_, &_tmp3_, 0, &o, -1);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp5_ = o;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp5_ != NULL) {
#line 577 "PresetList.c"
		GObject* _tmp6_ = NULL;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp6_ = o;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp4_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, NOISE_TYPE_EQUALIZER_PRESET);
#line 583 "PresetList.c"
	} else {
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp4_ = FALSE;
#line 587 "PresetList.c"
	}
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp4_) {
#line 591 "PresetList.c"
		GObject* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		GObject* _tmp9_ = NULL;
		NoiseEqualizerPreset* _tmp10_ = NULL;
		GObject* _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
		gboolean _tmp13_ = FALSE;
		GObject* _tmp14_ = NULL;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp7_ = o;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp8_ = (G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp7_) : NULL)->name;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		gtk_combo_box_set_title ((GtkComboBox*) self, _tmp8_);
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp9_ = o;
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp10_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp9_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp9_) : NULL);
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (self->last_selected_preset);
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		self->last_selected_preset = _tmp10_;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp11_ = o;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp12_ = noise_equalizer_preset_get_is_default (G_TYPE_CHECK_INSTANCE_TYPE (_tmp11_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp11_) : NULL);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp13_ = _tmp12_;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		if (!_tmp13_) {
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			noise_preset_list_add_delete_preset_option (self);
#line 624 "PresetList.c"
		} else {
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			noise_preset_list_remove_delete_option (self);
#line 628 "PresetList.c"
		}
#line 169 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		self->priv->automatic_selected = FALSE;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp14_ = o;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		g_signal_emit_by_name (self, "preset-selected", G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp14_) : NULL);
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (o);
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		return;
#line 640 "PresetList.c"
	}
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp15_ = self->priv->store;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp16_ = it;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp15_, &_tmp16_, 1, &option, -1);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp17_ = option;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp18_ = noise_preset_list_AUTOMATIC_MODE;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (g_strcmp0 (_tmp17_, _tmp18_) == 0) {
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		self->priv->automatic_selected = TRUE;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		noise_preset_list_remove_delete_option (self);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		g_signal_emit_by_name (self, "automatic-preset-chosen");
#line 660 "PresetList.c"
	} else {
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp19_ = option;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp20_ = noise_preset_list_DELETE_PRESET;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		if (g_strcmp0 (_tmp19_, _tmp20_) == 0) {
#line 182 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			g_signal_emit_by_name (self, "delete-preset-chosen");
#line 672 "PresetList.c"
		}
	}
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_free0 (option);
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (o);
#line 679 "PresetList.c"
}


void noise_preset_list_listSelectionChange (NoisePresetList* self) {
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	NOISE_PRESET_LIST_GET_CLASS (self)->listSelectionChange (self);
#line 688 "PresetList.c"
}


void noise_preset_list_selectAutomaticPreset (NoisePresetList* self) {
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->automatic_selected = TRUE;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_signal_emit_by_name (self, "automatic-preset-chosen");
#line 189 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_active ((GtkComboBox*) self, 0);
#line 701 "PresetList.c"
}


void noise_preset_list_selectPreset (NoisePresetList* self, const gchar* preset_name) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = preset_name;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp1_ == NULL) {
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp0_ = TRUE;
#line 716 "PresetList.c"
	} else {
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp2_ = preset_name;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp3_ = strlen (_tmp2_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp4_ = _tmp3_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp0_ = _tmp4_ < 1;
#line 729 "PresetList.c"
	}
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (!_tmp0_) {
#line 733 "PresetList.c"
		GtkTreeIter iter = {0};
		{
			gint i = 0;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			i = 0;
#line 739 "PresetList.c"
			{
				gboolean _tmp5_ = FALSE;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp5_ = TRUE;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				while (TRUE) {
#line 746 "PresetList.c"
					GtkListStore* _tmp7_ = NULL;
					gint _tmp8_ = 0;
					gchar* _tmp9_ = NULL;
					gchar* _tmp10_ = NULL;
					GtkTreeIter _tmp11_ = {0};
					gboolean _tmp12_ = FALSE;
					gboolean _tmp13_ = FALSE;
					GObject* o = NULL;
					GtkListStore* _tmp14_ = NULL;
					GtkTreeIter _tmp15_ = {0};
					gboolean _tmp16_ = FALSE;
					gboolean _tmp17_ = FALSE;
					GObject* _tmp18_ = NULL;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (!_tmp5_) {
#line 762 "PresetList.c"
						gint _tmp6_ = 0;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp6_ = i;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						i = _tmp6_ + 1;
#line 768 "PresetList.c"
					}
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp5_ = FALSE;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp7_ = self->priv->store;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp8_ = i;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp9_ = g_strdup_printf ("%i", _tmp8_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp10_ = _tmp9_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp12_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp7_, &_tmp11_, _tmp10_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					iter = _tmp11_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp13_ = !_tmp12_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_g_free0 (_tmp10_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (_tmp13_) {
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						break;
#line 792 "PresetList.c"
					}
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp14_ = self->priv->store;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = iter;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					gtk_tree_model_get ((GtkTreeModel*) _tmp14_, &_tmp15_, 0, &o, -1);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp18_ = o;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (_tmp18_ != NULL) {
#line 804 "PresetList.c"
						GObject* _tmp19_ = NULL;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp19_ = o;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp17_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp19_, NOISE_TYPE_EQUALIZER_PRESET);
#line 810 "PresetList.c"
					} else {
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp17_ = FALSE;
#line 814 "PresetList.c"
					}
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (_tmp17_) {
#line 818 "PresetList.c"
						GObject* _tmp20_ = NULL;
						const gchar* _tmp21_ = NULL;
						const gchar* _tmp22_ = NULL;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp20_ = o;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp21_ = (G_TYPE_CHECK_INSTANCE_TYPE (_tmp20_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp20_) : NULL)->name;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp22_ = preset_name;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp16_ = g_strcmp0 (_tmp21_, _tmp22_) == 0;
#line 830 "PresetList.c"
					} else {
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp16_ = FALSE;
#line 834 "PresetList.c"
					}
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (_tmp16_) {
#line 838 "PresetList.c"
						GtkTreeIter _tmp23_ = {0};
						GObject* _tmp24_ = NULL;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp23_ = iter;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						gtk_combo_box_set_active_iter ((GtkComboBox*) self, &_tmp23_);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						self->priv->automatic_selected = FALSE;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp24_ = o;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						g_signal_emit_by_name (self, "preset-selected", G_TYPE_CHECK_INSTANCE_TYPE (_tmp24_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp24_) : NULL);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_g_object_unref0 (o);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						return;
#line 855 "PresetList.c"
					}
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_g_object_unref0 (o);
#line 859 "PresetList.c"
				}
			}
		}
	}
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_selectAutomaticPreset (self);
#line 866 "PresetList.c"
}


NoiseEqualizerPreset* noise_preset_list_getSelectedPreset (NoisePresetList* self) {
	NoiseEqualizerPreset* result = NULL;
	GtkTreeIter it = {0};
	GtkTreeIter _tmp0_ = {0};
	GObject* o = NULL;
	GtkListStore* _tmp1_ = NULL;
	GtkTreeIter _tmp2_ = {0};
	gboolean _tmp3_ = FALSE;
	GObject* _tmp4_ = NULL;
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_combo_box_get_active_iter ((GtkComboBox*) self, &_tmp0_);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	it = _tmp0_;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = self->priv->store;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = it;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp1_, &_tmp2_, 0, &o, -1);
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp4_ = o;
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp4_ != NULL) {
#line 895 "PresetList.c"
		GObject* _tmp5_ = NULL;
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp5_ = o;
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp3_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, NOISE_TYPE_EQUALIZER_PRESET);
#line 901 "PresetList.c"
	} else {
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp3_ = FALSE;
#line 905 "PresetList.c"
	}
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp3_) {
#line 909 "PresetList.c"
		GObject* _tmp6_ = NULL;
		NoiseEqualizerPreset* _tmp7_ = NULL;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp6_ = o;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp7_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp6_) : NULL);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		result = _tmp7_;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (o);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		return result;
#line 922 "PresetList.c"
	} else {
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		result = NULL;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (o);
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		return result;
#line 930 "PresetList.c"
	}
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (o);
#line 934 "PresetList.c"
}


GeeCollection* noise_preset_list_getPresets (NoisePresetList* self) {
	GeeCollection* result = NULL;
	GeeLinkedList* rv = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GtkTreeIter iter = {0};
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_EQUALIZER_PRESET, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	rv = _tmp0_;
#line 949 "PresetList.c"
	{
		gint i = 0;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		i = 0;
#line 954 "PresetList.c"
		{
			gboolean _tmp1_ = FALSE;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			_tmp1_ = TRUE;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 961 "PresetList.c"
				GtkListStore* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gchar* _tmp5_ = NULL;
				gchar* _tmp6_ = NULL;
				GtkTreeIter _tmp7_ = {0};
				gboolean _tmp8_ = FALSE;
				gboolean _tmp9_ = FALSE;
				GObject* o = NULL;
				GtkListStore* _tmp10_ = NULL;
				GtkTreeIter _tmp11_ = {0};
				gboolean _tmp12_ = FALSE;
				GObject* _tmp13_ = NULL;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (!_tmp1_) {
#line 976 "PresetList.c"
					gint _tmp2_ = 0;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp2_ = i;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					i = _tmp2_ + 1;
#line 982 "PresetList.c"
				}
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp1_ = FALSE;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp3_ = self->priv->store;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp4_ = i;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp5_ = g_strdup_printf ("%i", _tmp4_);
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp6_ = _tmp5_;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp8_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp3_, &_tmp7_, _tmp6_);
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				iter = _tmp7_;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp9_ = !_tmp8_;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp6_);
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp9_) {
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 1006 "PresetList.c"
				}
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp10_ = self->priv->store;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp11_ = iter;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp10_, &_tmp11_, 0, &o, -1);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp13_ = o;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp13_ != NULL) {
#line 1018 "PresetList.c"
					GObject* _tmp14_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp14_ = o;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp12_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, NOISE_TYPE_EQUALIZER_PRESET);
#line 1024 "PresetList.c"
				} else {
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp12_ = FALSE;
#line 1028 "PresetList.c"
				}
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp12_) {
#line 1032 "PresetList.c"
					GeeLinkedList* _tmp15_ = NULL;
					GObject* _tmp16_ = NULL;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = rv;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp16_ = o;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp15_, G_TYPE_CHECK_INSTANCE_TYPE (_tmp16_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp16_) : NULL);
#line 1041 "PresetList.c"
				}
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_object_unref0 (o);
#line 1045 "PresetList.c"
			}
		}
	}
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	result = (GeeCollection*) rv;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return result;
#line 1053 "PresetList.c"
}


static void noise_preset_list_remove_delete_option (NoisePresetList* self) {
	GtkTreeIter iter = {0};
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 1061 "PresetList.c"
	{
		gint i = 0;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		i = 0;
#line 1066 "PresetList.c"
		{
			gboolean _tmp0_ = FALSE;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			_tmp0_ = TRUE;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 1073 "PresetList.c"
				GtkListStore* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
				GtkTreeIter _tmp6_ = {0};
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
				gchar* text = NULL;
				GtkListStore* _tmp9_ = NULL;
				GtkTreeIter _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
				const gchar* _tmp12_ = NULL;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (!_tmp0_) {
#line 1088 "PresetList.c"
					gint _tmp1_ = 0;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp1_ = i;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					i = _tmp1_ + 1;
#line 1094 "PresetList.c"
				}
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp0_ = FALSE;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp2_ = self->priv->store;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp3_ = i;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp4_ = g_strdup_printf ("%i", _tmp3_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp5_ = _tmp4_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp7_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp2_, &_tmp6_, _tmp5_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				iter = _tmp6_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp8_ = !_tmp7_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp5_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp8_) {
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 1118 "PresetList.c"
				}
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp9_ = self->priv->store;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp10_ = iter;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp9_, &_tmp10_, 1, &text, -1);
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp12_ = text;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp12_ != NULL) {
#line 1130 "PresetList.c"
					const gchar* _tmp13_ = NULL;
					const gchar* _tmp14_ = NULL;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp13_ = text;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp14_ = noise_preset_list_DELETE_PRESET;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp11_ = g_strcmp0 (_tmp13_, _tmp14_) == 0;
#line 1139 "PresetList.c"
				} else {
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp11_ = FALSE;
#line 1143 "PresetList.c"
				}
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 1147 "PresetList.c"
					GtkListStore* _tmp15_ = NULL;
					GtkTreeIter _tmp16_ = {0};
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = self->priv->store;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp16_ = iter;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					gtk_list_store_remove (_tmp15_, &_tmp16_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					noise_preset_list_remove_separator_item (self, 1);
#line 1158 "PresetList.c"
				}
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (text);
#line 1162 "PresetList.c"
			}
		}
	}
}


static void noise_preset_list_remove_separator_item (NoisePresetList* self, gint index) {
	gint count = 0;
	gint nitems = 0;
	GtkListStore* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GtkTreeIter iter = {0};
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	count = 0;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = gtk_tree_model_iter_n_children ((GtkTreeModel*) _tmp0_, NULL);
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	nitems = _tmp1_;
#line 1185 "PresetList.c"
	{
		gint i = 0;
		gint _tmp2_ = 0;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		_tmp2_ = nitems;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		i = _tmp2_ - 1;
#line 1193 "PresetList.c"
		{
			gboolean _tmp3_ = FALSE;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			_tmp3_ = TRUE;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 1200 "PresetList.c"
				GtkListStore* _tmp5_ = NULL;
				gint _tmp6_ = 0;
				gchar* _tmp7_ = NULL;
				gchar* _tmp8_ = NULL;
				GtkTreeIter _tmp9_ = {0};
				gboolean _tmp10_ = FALSE;
				gboolean _tmp11_ = FALSE;
				gint _tmp12_ = 0;
				gchar* text = NULL;
				GtkListStore* _tmp13_ = NULL;
				GtkTreeIter _tmp14_ = {0};
				gboolean _tmp15_ = FALSE;
				gboolean _tmp16_ = FALSE;
				gboolean _tmp17_ = FALSE;
				gint _tmp18_ = 0;
				gint _tmp19_ = 0;
				gint _tmp20_ = 0;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (!_tmp3_) {
#line 1220 "PresetList.c"
					gint _tmp4_ = 0;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp4_ = i;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					i = _tmp4_ - 1;
#line 1226 "PresetList.c"
				}
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp3_ = FALSE;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp5_ = self->priv->store;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp6_ = i;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp7_ = g_strdup_printf ("%i", _tmp6_);
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp8_ = _tmp7_;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp10_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp5_, &_tmp9_, _tmp8_);
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				iter = _tmp9_;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp11_ = !_tmp10_;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp8_);
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 1250 "PresetList.c"
				}
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp12_ = count;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				count = _tmp12_ + 1;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp13_ = self->priv->store;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp14_ = iter;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp13_, &_tmp14_, 1, &text, -1);
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp18_ = nitems;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp19_ = index;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp20_ = count;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if ((_tmp18_ - _tmp19_) == _tmp20_) {
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp17_ = TRUE;
#line 1272 "PresetList.c"
				} else {
					gint _tmp21_ = 0;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp21_ = index;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp17_ = _tmp21_ == (-1);
#line 1279 "PresetList.c"
				}
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp17_) {
#line 1283 "PresetList.c"
					const gchar* _tmp22_ = NULL;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp22_ = text;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp16_ = _tmp22_ != NULL;
#line 1289 "PresetList.c"
				} else {
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp16_ = FALSE;
#line 1293 "PresetList.c"
				}
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp16_) {
#line 1297 "PresetList.c"
					const gchar* _tmp23_ = NULL;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp23_ = text;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = g_strcmp0 (_tmp23_, NOISE_PRESET_LIST_SEPARATOR_NAME) == 0;
#line 1303 "PresetList.c"
				} else {
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = FALSE;
#line 1307 "PresetList.c"
				}
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp15_) {
#line 1311 "PresetList.c"
					GtkListStore* _tmp24_ = NULL;
					GtkTreeIter _tmp25_ = {0};
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp24_ = self->priv->store;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp25_ = iter;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					gtk_list_store_remove (_tmp24_, &_tmp25_);
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_g_free0 (text);
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 1324 "PresetList.c"
				}
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (text);
#line 1328 "PresetList.c"
			}
		}
	}
}


static void noise_preset_list_add_delete_preset_option (NoisePresetList* self) {
	gboolean already_added = FALSE;
	GtkTreeIter last_iter = {0};
	GtkTreeIter new_iter = {0};
	gboolean _tmp21_ = FALSE;
	GtkListStore* _tmp22_ = NULL;
	GtkTreeIter _tmp23_ = {0};
	GtkTreeIter _tmp24_ = {0};
	GtkListStore* _tmp25_ = NULL;
	GtkTreeIter _tmp26_ = {0};
	const gchar* _tmp27_ = NULL;
	GtkTreeIter _tmp28_ = {0};
	GtkListStore* _tmp29_ = NULL;
	GtkTreeIter _tmp30_ = {0};
	GtkTreeIter _tmp31_ = {0};
	GtkListStore* _tmp32_ = NULL;
	GtkTreeIter _tmp33_ = {0};
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 272 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	already_added = FALSE;
#line 1356 "PresetList.c"
	{
		gint i = 0;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		i = 0;
#line 1361 "PresetList.c"
		{
			gboolean _tmp0_ = FALSE;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			_tmp0_ = TRUE;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 1368 "PresetList.c"
				GtkListStore* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
				GtkTreeIter _tmp6_ = {0};
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
				gchar* text = NULL;
				GtkListStore* _tmp9_ = NULL;
				GtkTreeIter _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
				const gchar* _tmp12_ = NULL;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (!_tmp0_) {
#line 1383 "PresetList.c"
					gint _tmp1_ = 0;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp1_ = i;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					i = _tmp1_ + 1;
#line 1389 "PresetList.c"
				}
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp0_ = FALSE;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp2_ = self->priv->store;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp3_ = i;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp4_ = g_strdup_printf ("%i", _tmp3_);
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp5_ = _tmp4_;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp7_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp2_, &_tmp6_, _tmp5_);
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				last_iter = _tmp6_;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp8_ = !_tmp7_;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp5_);
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp8_) {
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 1413 "PresetList.c"
				}
#line 277 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp9_ = self->priv->store;
#line 277 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp10_ = last_iter;
#line 277 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp9_, &_tmp10_, 1, &text, -1);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_tmp12_ = text;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp12_ != NULL) {
#line 1425 "PresetList.c"
					const gchar* _tmp13_ = NULL;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp13_ = text;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp11_ = g_strcmp0 (_tmp13_, NOISE_PRESET_LIST_SEPARATOR_NAME) == 0;
#line 1431 "PresetList.c"
				} else {
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp11_ = FALSE;
#line 1435 "PresetList.c"
				}
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 1439 "PresetList.c"
					GtkTreeIter _tmp14_ = {0};
					GtkListStore* _tmp15_ = NULL;
					gboolean _tmp16_ = FALSE;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp14_ = last_iter;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					new_iter = _tmp14_;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp15_ = self->priv->store;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_tmp16_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp15_, &new_iter);
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					if (_tmp16_) {
#line 1453 "PresetList.c"
						GtkListStore* _tmp17_ = NULL;
						GtkTreeIter _tmp18_ = {0};
						const gchar* _tmp19_ = NULL;
						const gchar* _tmp20_ = NULL;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp17_ = self->priv->store;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp18_ = new_iter;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						gtk_tree_model_get ((GtkTreeModel*) _tmp17_, &_tmp18_, 1, &text, -1);
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp19_ = text;
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						_tmp20_ = noise_preset_list_DELETE_PRESET;
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
						already_added = g_strcmp0 (_tmp19_, _tmp20_) == 0;
#line 1470 "PresetList.c"
					}
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					_g_free0 (text);
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
					break;
#line 1476 "PresetList.c"
				}
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
				_g_free0 (text);
#line 1480 "PresetList.c"
			}
		}
	}
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp21_ = already_added;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	if (_tmp21_) {
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		return;
#line 1490 "PresetList.c"
	}
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp22_ = self->priv->store;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp23_ = last_iter;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_insert_after (_tmp22_, &_tmp24_, &_tmp23_);
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	new_iter = _tmp24_;
#line 296 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp25_ = self->priv->store;
#line 296 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp26_ = new_iter;
#line 296 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp27_ = noise_preset_list_DELETE_PRESET;
#line 296 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp25_, &_tmp26_, 0, NULL, 1, _tmp27_, -1);
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp28_ = new_iter;
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	last_iter = _tmp28_;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp29_ = self->priv->store;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp30_ = last_iter;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_insert_after (_tmp29_, &_tmp31_, &_tmp30_);
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	new_iter = _tmp31_;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp32_ = self->priv->store;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp33_ = new_iter;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp32_, &_tmp33_, 0, NULL, 1, NOISE_PRESET_LIST_SEPARATOR_NAME, -1);
#line 1526 "PresetList.c"
}


gboolean noise_preset_list_get_automatic_chosen (NoisePresetList* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 30 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->automatic_selected;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	result = _tmp0_;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return result;
#line 1541 "PresetList.c"
}


static gint noise_preset_list_get_ncustompresets (NoisePresetList* self) {
	gint result;
	gint _tmp0_ = 0;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->_ncustompresets;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	result = _tmp0_;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	return result;
#line 1556 "PresetList.c"
}


static void noise_preset_list_set_ncustompresets (NoisePresetList* self, gint value) {
	gint _tmp0_ = 0;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = value;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv->_ncustompresets = _tmp0_;
#line 1568 "PresetList.c"
}


static void noise_preset_list_class_init (NoisePresetListClass * klass) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_parent_class = g_type_class_peek_parent (klass);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_type_class_add_private (klass, sizeof (NoisePresetListPrivate));
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	((NoisePresetListClass *) klass)->listSelectionChange = noise_preset_list_real_listSelectionChange;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_preset_list_get_property;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_preset_list_set_property;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_preset_list_finalize;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PRESET_LIST_AUTOMATIC_CHOSEN, g_param_spec_boolean ("automatic-chosen", "automatic-chosen", "automatic-chosen", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_signal_new ("preset_selected", NOISE_TYPE_PRESET_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NOISE_TYPE_EQUALIZER_PRESET);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_signal_new ("automatic_preset_chosen", NOISE_TYPE_PRESET_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	g_signal_new ("delete_preset_chosen", NOISE_TYPE_PRESET_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp0_ = _ ("Automatic");
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_AUTOMATIC_MODE = _tmp1_;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp2_ = _ ("Delete Current");
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	noise_preset_list_DELETE_PRESET = _tmp3_;
#line 1609 "PresetList.c"
}


static void noise_preset_list_instance_init (NoisePresetList * self) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self->priv = NOISE_PRESET_LIST_GET_PRIVATE (self);
#line 1616 "PresetList.c"
}


static void noise_preset_list_finalize (GObject* obj) {
	NoisePresetList * self;
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PRESET_LIST, NoisePresetList);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (self->last_selected_preset);
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (self->priv->store);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (noise_preset_list_parent_class)->finalize (obj);
#line 1630 "PresetList.c"
}


GType noise_preset_list_get_type (void) {
	static volatile gsize noise_preset_list_type_id__volatile = 0;
	if (g_once_init_enter (&noise_preset_list_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePresetListClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_preset_list_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePresetList), 0, (GInstanceInitFunc) noise_preset_list_instance_init, NULL };
		GType noise_preset_list_type_id;
		noise_preset_list_type_id = g_type_register_static (gtk_combo_box_get_type (), "NoisePresetList", &g_define_type_info, 0);
		g_once_init_leave (&noise_preset_list_type_id__volatile, noise_preset_list_type_id);
	}
	return noise_preset_list_type_id__volatile;
}


static void _vala_noise_preset_list_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoisePresetList * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PRESET_LIST, NoisePresetList);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	switch (property_id) {
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		case NOISE_PRESET_LIST_AUTOMATIC_CHOSEN:
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		g_value_set_boolean (value, noise_preset_list_get_automatic_chosen (self));
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		break;
#line 1657 "PresetList.c"
		default:
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		break;
#line 1663 "PresetList.c"
	}
}


static void _vala_noise_preset_list_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoisePresetList * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PRESET_LIST, NoisePresetList);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
	switch (property_id) {
#line 1673 "PresetList.c"
		default:
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/PresetList.vala"
		break;
#line 1679 "PresetList.c"
	}
}



