/* ViewSelector.c generated by valac 0.28.1, the Vala compiler
 * generated from ViewSelector.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <granite.h>
#include <noise-core.h>
#include <glib/gi18n-lib.h>


#define NOISE_WIDGETS_TYPE_VIEW_SELECTOR (noise_widgets_view_selector_get_type ())
#define NOISE_WIDGETS_VIEW_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelector))
#define NOISE_WIDGETS_VIEW_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelectorClass))
#define NOISE_WIDGETS_IS_VIEW_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_WIDGETS_TYPE_VIEW_SELECTOR))
#define NOISE_WIDGETS_IS_VIEW_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_WIDGETS_TYPE_VIEW_SELECTOR))
#define NOISE_WIDGETS_VIEW_SELECTOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelectorClass))

typedef struct _NoiseWidgetsViewSelector NoiseWidgetsViewSelector;
typedef struct _NoiseWidgetsViewSelectorClass NoiseWidgetsViewSelectorClass;
typedef struct _NoiseWidgetsViewSelectorPrivate NoiseWidgetsViewSelectorPrivate;

#define NOISE_WIDGETS_VIEW_SELECTOR_TYPE_MODE (noise_widgets_view_selector_mode_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))

struct _NoiseWidgetsViewSelector {
	GtkToolItem parent_instance;
	NoiseWidgetsViewSelectorPrivate * priv;
};

struct _NoiseWidgetsViewSelectorClass {
	GtkToolItemClass parent_class;
};

typedef enum  {
	NOISE_WIDGETS_VIEW_SELECTOR_MODE_GRID = 0,
	NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST = 1,
	NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN = 2
} NoiseWidgetsViewSelectorMode;

struct _NoiseWidgetsViewSelectorPrivate {
	GraniteWidgetsModeButton* mode_button;
	NoiseWidgetsViewSelectorMode mode;
};


static gpointer noise_widgets_view_selector_parent_class = NULL;

GType noise_widgets_view_selector_get_type (void) G_GNUC_CONST;
GType noise_widgets_view_selector_mode_get_type (void) G_GNUC_CONST;
#define NOISE_WIDGETS_VIEW_SELECTOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelectorPrivate))
enum  {
	NOISE_WIDGETS_VIEW_SELECTOR_DUMMY_PROPERTY,
	NOISE_WIDGETS_VIEW_SELECTOR_SELECTED
};
NoiseWidgetsViewSelector* noise_widgets_view_selector_new (void);
NoiseWidgetsViewSelector* noise_widgets_view_selector_construct (GType object_type);
static void __lambda50_ (NoiseWidgetsViewSelector* self);
void noise_widgets_view_selector_set_selected (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode value);
static void ___lambda50__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender, GtkWidget* widget, gpointer self);
static void noise_widgets_view_selector_set_mode_visible (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode mode, gboolean visible);
static gboolean noise_widgets_view_selector_get_mode_visible (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode mode);
void noise_widgets_view_selector_set_sensitive (NoiseWidgetsViewSelector* self, gboolean sensitive);
gboolean noise_widgets_view_selector_get_sensitive (NoiseWidgetsViewSelector* self);
gboolean noise_widgets_view_selector_get_column_browser_toggle_active (NoiseWidgetsViewSelector* self);
void noise_widgets_view_selector_set_column_browser_toggle_active (NoiseWidgetsViewSelector* self, gboolean active);
gboolean noise_widgets_view_selector_get_column_browser_toggle_visible (NoiseWidgetsViewSelector* self);
void noise_widgets_view_selector_set_column_browser_toggle_visible (NoiseWidgetsViewSelector* self, gboolean val);
NoiseWidgetsViewSelectorMode noise_widgets_view_selector_get_selected (NoiseWidgetsViewSelector* self);
static void noise_widgets_view_selector_finalize (GObject* obj);
static void _vala_noise_widgets_view_selector_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_widgets_view_selector_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GType noise_widgets_view_selector_mode_get_type (void) {
	static volatile gsize noise_widgets_view_selector_mode_type_id__volatile = 0;
	if (g_once_init_enter (&noise_widgets_view_selector_mode_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_WIDGETS_VIEW_SELECTOR_MODE_GRID, "NOISE_WIDGETS_VIEW_SELECTOR_MODE_GRID", "grid"}, {NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST, "NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST", "list"}, {NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN, "NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN", "column"}, {0, NULL, NULL}};
		GType noise_widgets_view_selector_mode_type_id;
		noise_widgets_view_selector_mode_type_id = g_enum_register_static ("NoiseWidgetsViewSelectorMode", values);
		g_once_init_leave (&noise_widgets_view_selector_mode_type_id__volatile, noise_widgets_view_selector_mode_type_id);
	}
	return noise_widgets_view_selector_mode_type_id__volatile;
}


static void __lambda50_ (NoiseWidgetsViewSelector* self) {
	gint new_mode = 0;
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode_button;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = granite_widgets_mode_button_get_selected (_tmp0_);
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp2_ = _tmp1_;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	new_mode = _tmp2_;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp3_ = new_mode;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	if (_tmp3_ <= 2) {
#line 135 "ViewSelector.c"
		gint _tmp4_ = 0;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp4_ = new_mode;
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		noise_widgets_view_selector_set_selected (self, (NoiseWidgetsViewSelectorMode) _tmp4_);
#line 141 "ViewSelector.c"
	} else {
		GraniteWidgetsModeButton* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
		gboolean _tmp7_ = FALSE;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp5_ = self->priv->mode_button;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp6_ = gtk_widget_get_sensitive ((GtkWidget*) _tmp5_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp7_ = _tmp6_;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		if (_tmp7_) {
#line 154 "ViewSelector.c"
			NoiseWidgetsViewSelectorMode _tmp8_ = 0;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
			_tmp8_ = self->priv->mode;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
			noise_widgets_view_selector_set_selected (self, _tmp8_);
#line 160 "ViewSelector.c"
		}
	}
}


static void ___lambda50__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender, GtkWidget* widget, gpointer self) {
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	__lambda50_ ((NoiseWidgetsViewSelector*) self);
#line 169 "ViewSelector.c"
}


NoiseWidgetsViewSelector* noise_widgets_view_selector_construct (GType object_type) {
	NoiseWidgetsViewSelector * self = NULL;
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	GraniteWidgetsModeButton* _tmp1_ = NULL;
	GraniteWidgetsModeButton* _tmp2_ = NULL;
	GtkImage* image = NULL;
	NoiseIcon* _tmp3_ = NULL;
	NoiseIcon* _tmp4_ = NULL;
	GtkImage* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	GraniteWidgetsModeButton* _tmp7_ = NULL;
	GtkImage* list = NULL;
	NoiseIcon* _tmp8_ = NULL;
	NoiseIcon* _tmp9_ = NULL;
	GtkImage* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	GraniteWidgetsModeButton* _tmp12_ = NULL;
	GtkImage* column = NULL;
	NoiseIcon* _tmp13_ = NULL;
	NoiseIcon* _tmp14_ = NULL;
	GtkImage* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	GraniteWidgetsModeButton* _tmp17_ = NULL;
	GraniteWidgetsModeButton* _tmp18_ = NULL;
	GraniteWidgetsModeButton* _tmp19_ = NULL;
	GraniteWidgetsModeButton* _tmp20_ = NULL;
	GraniteWidgetsModeButton* _tmp21_ = NULL;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	self = (NoiseWidgetsViewSelector*) g_object_new (object_type, NULL);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, 90, -1);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = granite_widgets_mode_button_new ();
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_object_ref_sink (_tmp0_);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_g_object_unref0 (self->priv->mode_button);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	self->priv->mode_button = _tmp0_;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = self->priv->mode_button;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp1_, GTK_ALIGN_CENTER);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp2_ = self->priv->mode_button;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp2_, GTK_ALIGN_START);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp3_ = noise_icons_get_VIEW_ICONS ();
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp4_ = _tmp3_;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp5_ = noise_icon_render_image (_tmp4_, GTK_ICON_SIZE_MENU);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	image = _tmp5_;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp6_ = _ ("View as Albums");
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) image, _tmp6_);
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp7_ = self->priv->mode_button;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_append (_tmp7_, (GtkWidget*) image);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp8_ = noise_icons_get_VIEW_DETAILS ();
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp9_ = _tmp8_;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp10_ = noise_icon_render_image (_tmp9_, GTK_ICON_SIZE_MENU);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	list = _tmp10_;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp11_ = _ ("View as List");
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) list, _tmp11_);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp12_ = self->priv->mode_button;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_append (_tmp12_, (GtkWidget*) list);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp13_ = noise_icons_get_VIEW_COLUMN ();
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp14_ = _tmp13_;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp15_ = noise_icon_render_image (_tmp14_, GTK_ICON_SIZE_MENU);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	column = _tmp15_;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp16_ = _ ("View in Columns");
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) column, _tmp16_);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp17_ = self->priv->mode_button;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_append (_tmp17_, (GtkWidget*) column);
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp18_ = self->priv->mode_button;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_append_text (_tmp18_, "");
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp19_ = self->priv->mode_button;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_set_item_visible (_tmp19_, 3, FALSE);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp20_ = self->priv->mode_button;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp20_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp21_ = self->priv->mode_button;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_signal_connect_object (_tmp21_, "mode-changed", (GCallback) ___lambda50__granite_widgets_mode_button_mode_changed, self, 0);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_g_object_unref0 (column);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_g_object_unref0 (list);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_g_object_unref0 (image);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return self;
#line 292 "ViewSelector.c"
}


NoiseWidgetsViewSelector* noise_widgets_view_selector_new (void) {
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return noise_widgets_view_selector_construct (NOISE_WIDGETS_TYPE_VIEW_SELECTOR);
#line 299 "ViewSelector.c"
}


static void noise_widgets_view_selector_set_mode_visible (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode mode, gboolean visible) {
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	NoiseWidgetsViewSelectorMode _tmp1_ = 0;
	gboolean _tmp2_ = FALSE;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_if_fail (self != NULL);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode_button;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = mode;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp2_ = visible;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_set_item_visible (_tmp0_, (gint) _tmp1_, _tmp2_);
#line 317 "ViewSelector.c"
}


static gboolean noise_widgets_view_selector_get_mode_visible (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode mode) {
	gboolean result = FALSE;
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
	NoiseWidgetsViewSelectorMode _tmp3_ = 0;
	gconstpointer _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode_button;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp2_ = _tmp1_;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp3_ = mode;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp4_ = g_list_nth_data (_tmp2_, (guint) ((gint) _tmp3_));
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp5_ = gtk_widget_get_visible ((GtkWidget*) _tmp4_);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp6_ = _tmp5_;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp7_ = _tmp6_;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_g_list_free0 (_tmp2_);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	result = _tmp7_;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return result;
#line 355 "ViewSelector.c"
}


void noise_widgets_view_selector_set_sensitive (NoiseWidgetsViewSelector* self, gboolean sensitive) {
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gint _tmp2_ = 0;
	gboolean _tmp3_ = FALSE;
	GraniteWidgetsModeButton* _tmp5_ = NULL;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_if_fail (self != NULL);
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode_button;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = sensitive;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, _tmp1_);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp3_ = sensitive;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	if (_tmp3_) {
#line 377 "ViewSelector.c"
		NoiseWidgetsViewSelectorMode _tmp4_ = 0;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp4_ = self->priv->mode;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp2_ = (gint) _tmp4_;
#line 383 "ViewSelector.c"
	} else {
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp2_ = 3;
#line 387 "ViewSelector.c"
	}
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp5_ = self->priv->mode_button;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_set_active (_tmp5_, _tmp2_);
#line 393 "ViewSelector.c"
}


gboolean noise_widgets_view_selector_get_sensitive (NoiseWidgetsViewSelector* self) {
	gboolean result = FALSE;
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode_button;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = gtk_widget_get_sensitive ((GtkWidget*) _tmp0_);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	result = _tmp1_;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return result;
#line 411 "ViewSelector.c"
}


gboolean noise_widgets_view_selector_get_column_browser_toggle_active (NoiseWidgetsViewSelector* self) {
	gboolean result = FALSE;
	NoiseWidgetsViewSelectorMode _tmp0_ = 0;
#line 117 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	result = _tmp0_ == NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return result;
#line 426 "ViewSelector.c"
}


void noise_widgets_view_selector_set_column_browser_toggle_active (NoiseWidgetsViewSelector* self, gboolean active) {
	gboolean _tmp0_ = FALSE;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_if_fail (self != NULL);
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = active;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	if (_tmp0_) {
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		noise_widgets_view_selector_set_selected (self, NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN);
#line 440 "ViewSelector.c"
	} else {
		gboolean _tmp1_ = FALSE;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp1_ = noise_widgets_view_selector_get_column_browser_toggle_active (self);
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		if (_tmp1_) {
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
			noise_widgets_view_selector_set_selected (self, NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST);
#line 449 "ViewSelector.c"
		}
	}
}


gboolean noise_widgets_view_selector_get_column_browser_toggle_visible (NoiseWidgetsViewSelector* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = noise_widgets_view_selector_get_mode_visible (self, NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN);
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	result = _tmp0_;
#line 130 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return result;
#line 466 "ViewSelector.c"
}


void noise_widgets_view_selector_set_column_browser_toggle_visible (NoiseWidgetsViewSelector* self, gboolean val) {
	gboolean _tmp0_ = FALSE;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_if_fail (self != NULL);
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = val;
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	noise_widgets_view_selector_set_mode_visible (self, NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN, _tmp0_);
#line 478 "ViewSelector.c"
}


NoiseWidgetsViewSelectorMode noise_widgets_view_selector_get_selected (NoiseWidgetsViewSelector* self) {
	NoiseWidgetsViewSelectorMode result;
	NoiseWidgetsViewSelectorMode _tmp0_ = 0;
	NoiseWidgetsViewSelectorMode _tmp1_ = 0;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = self->priv->mode;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	if (_tmp1_ != NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN) {
#line 492 "ViewSelector.c"
		NoiseWidgetsViewSelectorMode _tmp2_ = 0;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp2_ = self->priv->mode;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp0_ = _tmp2_;
#line 498 "ViewSelector.c"
	} else {
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp0_ = NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST;
#line 502 "ViewSelector.c"
	}
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	result = _tmp0_;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	return result;
#line 508 "ViewSelector.c"
}


void noise_widgets_view_selector_set_selected (NoiseWidgetsViewSelector* self, NoiseWidgetsViewSelectorMode value) {
	NoiseWidgetsViewSelectorMode _tmp0_ = 0;
	NoiseWidgetsViewSelectorMode _tmp1_ = 0;
	NoiseWidgetsViewSelectorMode _tmp2_ = 0;
	GraniteWidgetsModeButton* _tmp3_ = NULL;
	NoiseWidgetsViewSelectorMode _tmp4_ = 0;
	gboolean is_column_mode = FALSE;
	NoiseWidgetsViewSelectorMode _tmp5_ = 0;
	gboolean _tmp6_ = FALSE;
	NoiseWidgetsViewSelectorMode _tmp7_ = 0;
	gboolean _tmp8_ = FALSE;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_return_if_fail (self != NULL);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp0_ = self->priv->mode;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp1_ = value;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	if (_tmp0_ == _tmp1_) {
#line 46 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		return;
#line 533 "ViewSelector.c"
	}
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp2_ = value;
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	self->priv->mode = _tmp2_;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp3_ = self->priv->mode_button;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp4_ = value;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	granite_widgets_mode_button_set_active (_tmp3_, (gint) _tmp4_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp5_ = value;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	is_column_mode = _tmp5_ == NOISE_WIDGETS_VIEW_SELECTOR_MODE_COLUMN;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp6_ = is_column_mode;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_signal_emit_by_name (self, "column-browser-toggled", _tmp6_);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_tmp8_ = is_column_mode;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	if (_tmp8_) {
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp7_ = NOISE_WIDGETS_VIEW_SELECTOR_MODE_LIST;
#line 559 "ViewSelector.c"
	} else {
		NoiseWidgetsViewSelectorMode _tmp9_ = 0;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp9_ = value;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		_tmp7_ = _tmp9_;
#line 566 "ViewSelector.c"
	}
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_signal_emit_by_name (self, "mode-changed", _tmp7_);
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_object_notify ((GObject *) self, "selected");
#line 572 "ViewSelector.c"
}


static void noise_widgets_view_selector_class_init (NoiseWidgetsViewSelectorClass * klass) {
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	noise_widgets_view_selector_parent_class = g_type_class_peek_parent (klass);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_type_class_add_private (klass, sizeof (NoiseWidgetsViewSelectorPrivate));
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_widgets_view_selector_get_property;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_widgets_view_selector_set_property;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_widgets_view_selector_finalize;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_WIDGETS_VIEW_SELECTOR_SELECTED, g_param_spec_enum ("selected", "selected", "selected", NOISE_WIDGETS_VIEW_SELECTOR_TYPE_MODE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_signal_new ("mode_changed", NOISE_WIDGETS_TYPE_VIEW_SELECTOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__ENUM, G_TYPE_NONE, 1, NOISE_WIDGETS_VIEW_SELECTOR_TYPE_MODE);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	g_signal_new ("column_browser_toggled", NOISE_WIDGETS_TYPE_VIEW_SELECTOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOOLEAN, G_TYPE_NONE, 1, G_TYPE_BOOLEAN);
#line 593 "ViewSelector.c"
}


static void noise_widgets_view_selector_instance_init (NoiseWidgetsViewSelector * self) {
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	self->priv = NOISE_WIDGETS_VIEW_SELECTOR_GET_PRIVATE (self);
#line 600 "ViewSelector.c"
}


static void noise_widgets_view_selector_finalize (GObject* obj) {
	NoiseWidgetsViewSelector * self;
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelector);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	_g_object_unref0 (self->priv->mode_button);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	G_OBJECT_CLASS (noise_widgets_view_selector_parent_class)->finalize (obj);
#line 612 "ViewSelector.c"
}


GType noise_widgets_view_selector_get_type (void) {
	static volatile gsize noise_widgets_view_selector_type_id__volatile = 0;
	if (g_once_init_enter (&noise_widgets_view_selector_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseWidgetsViewSelectorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_widgets_view_selector_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseWidgetsViewSelector), 0, (GInstanceInitFunc) noise_widgets_view_selector_instance_init, NULL };
		GType noise_widgets_view_selector_type_id;
		noise_widgets_view_selector_type_id = g_type_register_static (gtk_tool_item_get_type (), "NoiseWidgetsViewSelector", &g_define_type_info, 0);
		g_once_init_leave (&noise_widgets_view_selector_type_id__volatile, noise_widgets_view_selector_type_id);
	}
	return noise_widgets_view_selector_type_id__volatile;
}


static void _vala_noise_widgets_view_selector_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseWidgetsViewSelector * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelector);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	switch (property_id) {
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		case NOISE_WIDGETS_VIEW_SELECTOR_SELECTED:
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		g_value_set_enum (value, noise_widgets_view_selector_get_selected (self));
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		break;
#line 639 "ViewSelector.c"
		default:
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		break;
#line 645 "ViewSelector.c"
	}
}


static void _vala_noise_widgets_view_selector_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseWidgetsViewSelector * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_WIDGETS_TYPE_VIEW_SELECTOR, NoiseWidgetsViewSelector);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
	switch (property_id) {
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		case NOISE_WIDGETS_VIEW_SELECTOR_SELECTED:
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		noise_widgets_view_selector_set_selected (self, g_value_get_enum (value));
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		break;
#line 661 "ViewSelector.c"
		default:
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/usr/src/RPM/BUILD/noise-0.3.1/src/Widgets/ViewSelector.vala"
		break;
#line 667 "ViewSelector.c"
	}
}



