/* AudioPlayerLibrary.c generated by valac 0.28.1, the Vala compiler
 * generated from AudioPlayerLibrary.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2013 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <noise.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <gtk/gtk.h>
#include <time.h>


#define NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY (noise_plugins_audio_player_library_get_type ())
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibrary))
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibraryClass))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY))
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibraryClass))

typedef struct _NoisePluginsAudioPlayerLibrary NoisePluginsAudioPlayerLibrary;
typedef struct _NoisePluginsAudioPlayerLibraryClass NoisePluginsAudioPlayerLibraryClass;
typedef struct _NoisePluginsAudioPlayerLibraryPrivate NoisePluginsAudioPlayerLibraryPrivate;

#define NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE (noise_plugins_audio_player_device_get_type ())
#define NOISE_PLUGINS_AUDIO_PLAYER_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE, NoisePluginsAudioPlayerDevice))
#define NOISE_PLUGINS_AUDIO_PLAYER_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE, NoisePluginsAudioPlayerDeviceClass))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE))
#define NOISE_PLUGINS_AUDIO_PLAYER_DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE, NoisePluginsAudioPlayerDeviceClass))

typedef struct _NoisePluginsAudioPlayerDevice NoisePluginsAudioPlayerDevice;
typedef struct _NoisePluginsAudioPlayerDeviceClass NoisePluginsAudioPlayerDeviceClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NoisePluginsAudioPlayerLibrarySyncMediasAsyncData NoisePluginsAudioPlayerLibrarySyncMediasAsyncData;
typedef struct _Block1Data Block1Data;

struct _NoisePluginsAudioPlayerLibrary {
	NoiseLibrary parent_instance;
	NoisePluginsAudioPlayerLibraryPrivate * priv;
	gint medias_rowid;
	gint playlists_rowid;
	gint smartplaylists_rowid;
	NoiseGStreamerTagger* tagger;
};

struct _NoisePluginsAudioPlayerLibraryClass {
	NoiseLibraryClass parent_class;
};

struct _NoisePluginsAudioPlayerLibraryPrivate {
	NoisePluginsAudioPlayerDevice* device;
	GeeLinkedList* medias;
	GRecMutex __lock_medias;
	GeeLinkedList* searched_medias;
	GRecMutex __lock_searched_medias;
	GeeLinkedList* playlists;
	gboolean operation_cancelled;
	gboolean is_doing_file_operations;
	gboolean queue_is_finished;
	GeeLinkedList* imported_files;
	gboolean is_initialized;
};

struct _NoisePluginsAudioPlayerLibrarySyncMediasAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoisePluginsAudioPlayerLibrary* self;
	GeeCollection* songs;
	GeeLinkedList* medias_to_remove;
	GeeLinkedList* _tmp0_;
	GeeLinkedList* _tmp1_;
	NoisePluginsAudioPlayerDevice* _tmp2_;
	GeeLinkedList* _tmp3_;
	GeeCollection* _tmp4_;
	GeeCollection* _tmp5_;
	GeeCollection* _tmp6_;
	GeeLinkedList* medias_to_sync;
	GeeLinkedList* _tmp7_;
	GeeLinkedList* _tmp8_;
	NoisePluginsAudioPlayerDevice* _tmp9_;
	GeeCollection* _tmp10_;
	GeeLinkedList* _tmp11_;
	GeeCollection* _tmp12_;
	GeeCollection* _tmp13_;
	gint total_medias;
	GeeLinkedList* _tmp14_;
	gint _tmp15_;
	gint _tmp16_;
	GeeLinkedList* _tmp17_;
	gint _tmp18_;
	gint _tmp19_;
	gint sub_index;
	gint _tmp20_;
	NoisePluginsAudioPlayerDevice* _tmp21_;
	GeeLinkedList* _tmp22_;
	GeeLinkedList* _tmp23_;
	gboolean _tmp24_;
	GeeLinkedList* _m_list;
	GeeLinkedList* _tmp25_;
	GeeLinkedList* _tmp26_;
	gint _m_size;
	GeeLinkedList* _tmp27_;
	gint _tmp28_;
	gint _tmp29_;
	gint _m_index;
	gint _tmp30_;
	gint _tmp31_;
	gint _tmp32_;
	NoiseMedia* m;
	GeeLinkedList* _tmp33_;
	gint _tmp34_;
	gpointer _tmp35_;
	gboolean _tmp36_;
	NoiseMedia* _tmp37_;
	gint _tmp38_;
	NoiseLibrariesManager* _tmp39_;
	gint _tmp40_;
	gint _tmp41_;
	GeeLinkedList* _tmp42_;
	GeeLinkedList* _vala1__m_list;
	GeeLinkedList* _tmp43_;
	GeeLinkedList* _tmp44_;
	gint _vala1__m_size;
	GeeLinkedList* _tmp45_;
	gint _tmp46_;
	gint _tmp47_;
	gint _vala1__m_index;
	gint _tmp48_;
	gint _tmp49_;
	gint _tmp50_;
	NoiseMedia* _vala1_m;
	GeeLinkedList* _tmp51_;
	gint _tmp52_;
	gpointer _tmp53_;
	gboolean _tmp54_;
	NoiseMedia* _tmp55_;
	gint _tmp56_;
	NoiseLibrariesManager* _tmp57_;
	gint _tmp58_;
	gint _tmp59_;
	NoiseGStreamerTagger* _tmp60_;
	GeeLinkedList* _tmp61_;
	gboolean _tmp62_;
	NoiseLibrariesManager* _tmp63_;
	const gchar* _tmp64_;
	gchar* _tmp65_;
	NoiseLibrariesManager* _tmp66_;
	const gchar* _tmp67_;
	gchar* _tmp68_;
	NoiseLibrariesManager* _tmp69_;
	NoisePluginsAudioPlayerDevice* _tmp70_;
	const gchar* _tmp71_;
	NoiseLibrariesManager* _tmp72_;
	const gchar* _tmp73_;
	gchar* _tmp74_;
};

struct _Block1Data {
	int _ref_count_;
	NoisePluginsAudioPlayerLibrary* self;
	NoiseStaticPlaylist* p;
};


static gpointer noise_plugins_audio_player_library_parent_class = NULL;
static GType noise_plugins_audio_player_library_type_id = 0;

GType noise_plugins_audio_player_library_get_type (void) G_GNUC_CONST;
GType noise_plugins_audio_player_library_register_type (GTypeModule * module);
GType noise_plugins_audio_player_device_get_type (void) G_GNUC_CONST;
GType noise_plugins_audio_player_device_register_type (GTypeModule * module);
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibraryPrivate))
enum  {
	NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_DUMMY_PROPERTY
};
NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_new (NoisePluginsAudioPlayerDevice* device);
NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_construct (GType object_type, NoisePluginsAudioPlayerDevice* device);
static void noise_plugins_audio_player_library_media_imported_from_tagger (NoisePluginsAudioPlayerLibrary* self, NoiseMedia* m);
static void _noise_plugins_audio_player_library_media_imported_from_tagger_noise_gstreamer_tagger_media_imported (NoiseGStreamerTagger* _sender, NoiseMedia* m, gpointer self);
static void noise_plugins_audio_player_library_import_error (NoisePluginsAudioPlayerLibrary* self, const gchar* file);
static void _noise_plugins_audio_player_library_import_error_noise_gstreamer_tagger_import_error (NoiseGStreamerTagger* _sender, const gchar* file_uri, GError* _error_, gpointer self);
void noise_plugins_audio_player_library_queue_finished (NoisePluginsAudioPlayerLibrary* self);
static void _noise_plugins_audio_player_library_queue_finished_noise_gstreamer_tagger_queue_finished (NoiseGStreamerTagger* _sender, gpointer self);
static void __lambda4_ (NoisePluginsAudioPlayerLibrary* self);
static void ___lambda4__noise_notification_manager_progress_canceled (NoiseNotificationManager* _sender, gpointer self);
static void noise_plugins_audio_player_library_real_initialize_library (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_files_to_library (NoiseLibrary* base, GeeCollection* files);
static GeeCollection* noise_plugins_audio_player_library_real_get_medias (NoiseLibrary* base);
static GeeCollection* noise_plugins_audio_player_library_real_get_playlists (NoiseLibrary* base);
static GeeCollection* noise_plugins_audio_player_library_real_get_smart_playlists (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_search_medias (NoiseLibrary* base, const gchar* search);
static GeeCollection* noise_plugins_audio_player_library_real_get_search_result (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_media (NoiseLibrary* base, NoiseMedia* m);
gchar* noise_plugins_audio_player_device_get_music_folder (NoisePluginsAudioPlayerDevice* self);
static void noise_plugins_audio_player_library_real_add_medias (NoiseLibrary* base, GeeCollection* list);
static gboolean _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func (gpointer self);
void noise_plugins_audio_player_library_sync_medias (NoisePluginsAudioPlayerLibrary* self);
void noise_plugins_audio_player_library_sync_medias_async (NoisePluginsAudioPlayerLibrary* self, GeeCollection* songs, GAsyncReadyCallback _callback_, gpointer _user_data_);
void noise_plugins_audio_player_library_sync_medias_finish (NoisePluginsAudioPlayerLibrary* self, GAsyncResult* _res_);
static void noise_plugins_audio_player_library_sync_medias_async_data_free (gpointer _data);
static gboolean noise_plugins_audio_player_library_sync_medias_async_co (NoisePluginsAudioPlayerLibrarySyncMediasAsyncData* _data_);
static gboolean __lambda5_ (NoisePluginsAudioPlayerLibrary* self);
static gboolean ___lambda5__gsource_func (gpointer self);
static NoiseMedia* noise_plugins_audio_player_library_real_media_from_id (NoiseLibrary* base, gint id);
static GeeCollection* noise_plugins_audio_player_library_real_medias_from_ids (NoiseLibrary* base, GeeCollection* ids);
static GeeCollection* noise_plugins_audio_player_library_real_medias_from_uris (NoiseLibrary* base, GeeCollection* uris);
static NoiseMedia* noise_plugins_audio_player_library_real_find_media (NoiseLibrary* base, NoiseMedia* to_find);
static NoiseMedia* noise_plugins_audio_player_library_real_media_from_file (NoiseLibrary* base, GFile* file);
static NoiseMedia* noise_plugins_audio_player_library_real_media_from_uri (NoiseLibrary* base, const gchar* uri);
static void noise_plugins_audio_player_library_real_update_media (NoiseLibrary* base, NoiseMedia* s, gboolean updateMeta, gboolean record_time);
static void noise_plugins_audio_player_library_real_update_medias (NoiseLibrary* base, GeeCollection* updates, gboolean updateMeta, gboolean record_time);
static void noise_plugins_audio_player_library_real_remove_media (NoiseLibrary* base, NoiseMedia* m, gboolean trash);
static void noise_plugins_audio_player_library_real_remove_medias (NoiseLibrary* base, GeeCollection* list, gboolean trash);
static gboolean noise_plugins_audio_player_library_real_support_smart_playlists (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_smart_playlist (NoiseLibrary* base, NoiseSmartPlaylist* p);
static void noise_plugins_audio_player_library_real_remove_smart_playlist (NoiseLibrary* base, gint id);
static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_id (NoiseLibrary* base, gint id);
static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_name (NoiseLibrary* base, const gchar* name);
static gboolean noise_plugins_audio_player_library_real_support_playlists (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_playlist (NoiseLibrary* base, NoiseStaticPlaylist* p);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void noise_plugins_audio_player_library_keep_playlist_synchronized (NoisePluginsAudioPlayerLibrary* self, NoiseStaticPlaylist* p);
static void __lambda6_ (Block1Data* _data1_);
static void ___lambda6__noise_playlist_media_added (NoisePlaylist* _sender, GeeCollection* media, gpointer self);
static void __lambda7_ (Block1Data* _data1_);
static void ___lambda7__noise_playlist_media_removed (NoisePlaylist* _sender, GeeCollection* media, gpointer self);
static void __lambda8_ (Block1Data* _data1_, const gchar* old_name);
static void noise_plugins_audio_player_library_remove_playlist_from_name (NoisePluginsAudioPlayerLibrary* self, const gchar* name);
static void ___lambda8__noise_playlist_updated (NoisePlaylist* _sender, const gchar* old_name, gpointer self);
static void noise_plugins_audio_player_library_real_remove_playlist (NoiseLibrary* base, gint id);
static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_id (NoiseLibrary* base, gint id);
static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_name (NoiseLibrary* base, const gchar* name);
static gboolean noise_plugins_audio_player_library_real_start_file_operations (NoiseLibrary* base, const gchar* message);
static gboolean noise_plugins_audio_player_library_real_doing_file_operations (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_finish_file_operations (NoiseLibrary* base);
static void noise_plugins_audio_player_library_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return self ? g_object_ref (self) : NULL;
#line 285 "AudioPlayerLibrary.c"
}


static void _noise_plugins_audio_player_library_media_imported_from_tagger_noise_gstreamer_tagger_media_imported (NoiseGStreamerTagger* _sender, NoiseMedia* m, gpointer self) {
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_media_imported_from_tagger ((NoisePluginsAudioPlayerLibrary*) self, m);
#line 292 "AudioPlayerLibrary.c"
}


static void _noise_plugins_audio_player_library_import_error_noise_gstreamer_tagger_import_error (NoiseGStreamerTagger* _sender, const gchar* file_uri, GError* _error_, gpointer self) {
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_import_error ((NoisePluginsAudioPlayerLibrary*) self, file_uri);
#line 299 "AudioPlayerLibrary.c"
}


static void _noise_plugins_audio_player_library_queue_finished_noise_gstreamer_tagger_queue_finished (NoiseGStreamerTagger* _sender, gpointer self) {
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_queue_finished ((NoisePluginsAudioPlayerLibrary*) self);
#line 306 "AudioPlayerLibrary.c"
}


static void __lambda4_ (NoisePluginsAudioPlayerLibrary* self) {
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->operation_cancelled = TRUE;
#line 313 "AudioPlayerLibrary.c"
}


static void ___lambda4__noise_notification_manager_progress_canceled (NoiseNotificationManager* _sender, gpointer self) {
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda4_ ((NoisePluginsAudioPlayerLibrary*) self);
#line 320 "AudioPlayerLibrary.c"
}


NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_construct (GType object_type, NoisePluginsAudioPlayerDevice* device) {
	NoisePluginsAudioPlayerLibrary * self = NULL;
	NoisePluginsAudioPlayerDevice* _tmp0_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
	GeeLinkedList* _tmp3_ = NULL;
	GeeLinkedList* _tmp4_ = NULL;
	GeeLinkedList* _tmp5_ = NULL;
	NoiseGStreamerTagger* _tmp6_ = NULL;
	NoiseGStreamerTagger* _tmp7_ = NULL;
	NoiseGStreamerTagger* _tmp8_ = NULL;
	NoiseGStreamerTagger* _tmp9_ = NULL;
	NoiseNotificationManager* _tmp10_ = NULL;
	NoiseNotificationManager* _tmp11_ = NULL;
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) noise_library_construct (object_type);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = device;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->device);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->device = _tmp1_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->medias);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->medias = _tmp2_;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->searched_medias);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->searched_medias = _tmp3_;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = gee_linked_list_new (NOISE_TYPE_STATIC_PLAYLIST, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->playlists);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->playlists = _tmp4_;
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->imported_files);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->imported_files = _tmp5_;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = noise_gstreamer_tagger_new (NULL);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->tagger);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->tagger = _tmp6_;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = self->tagger;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp7_, "media-imported", (GCallback) _noise_plugins_audio_player_library_media_imported_from_tagger_noise_gstreamer_tagger_media_imported, self, 0);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = self->tagger;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp8_, "import-error", (GCallback) _noise_plugins_audio_player_library_import_error_noise_gstreamer_tagger_import_error, self, 0);
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = self->tagger;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp9_, "queue-finished", (GCallback) _noise_plugins_audio_player_library_queue_finished_noise_gstreamer_tagger_queue_finished, self, 0);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = noise_notification_manager_get_default ();
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp11_, "progress-canceled", (GCallback) ___lambda4__noise_notification_manager_progress_canceled, self, 0);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp11_);
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return self;
#line 402 "AudioPlayerLibrary.c"
}


NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_new (NoisePluginsAudioPlayerDevice* device) {
#line 49 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return noise_plugins_audio_player_library_construct (NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, device);
#line 409 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_media_imported_from_tagger (NoisePluginsAudioPlayerLibrary* self, NoiseMedia* m) {
	NoiseMedia* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	NoiseMedia* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	gboolean _tmp6_ = FALSE;
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (m != NULL);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = m;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_media_set_isTemporary (_tmp0_, TRUE);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->medias;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = m;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, _tmp2_);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = m;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = self->medias_rowid;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_media_set_rowid (_tmp3_, _tmp4_);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = self->medias_rowid;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->medias_rowid = _tmp5_ + 1;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = self->priv->queue_is_finished;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp6_) {
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_signal_emit_by_name ((NoiseLibrary*) self, "file-operations-done");
#line 451 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_import_error (NoisePluginsAudioPlayerLibrary* self, const gchar* file) {
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (file != NULL);
#line 461 "AudioPlayerLibrary.c"
}


void noise_plugins_audio_player_library_queue_finished (NoisePluginsAudioPlayerLibrary* self) {
	NoiseLibrariesManager* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->queue_is_finished = TRUE;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_libraries_manager;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_->progress = (gdouble) 1;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->is_initialized;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp1_ == FALSE) {
#line 480 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerDevice* _tmp2_ = NULL;
		NoisePluginsAudioPlayerDevice* _tmp3_ = NULL;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		self->priv->is_initialized = TRUE;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp2_ = self->priv->device;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp3_ = self->priv->device;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_signal_emit_by_name ((NoiseDevice*) _tmp2_, "initialized", (NoiseDevice*) _tmp3_);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		noise_library_search_medias ((NoiseLibrary*) self, "");
#line 493 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_real_initialize_library (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 502 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_files_to_library (NoiseLibrary* base, GeeCollection* files) {
	NoisePluginsAudioPlayerLibrary * self;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (files != NULL);
#line 512 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_medias (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->medias;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp1_;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 531 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->playlists;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp1_;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 550 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_smart_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
#line 100 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_SMART_PLAYLIST, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = (GeeCollection*) _tmp0_;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 566 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_search_medias (NoiseLibrary* base, const gchar* search) {
	NoisePluginsAudioPlayerLibrary * self;
	GError * _inner_error_ = NULL;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (search != NULL);
#line 577 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->searched_medias;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_searched_medias);
#line 584 "AudioPlayerLibrary.c"
		{
			GeeLinkedList* _tmp1_ = NULL;
			gboolean _tmp2_ = FALSE;
			const gchar* _tmp3_ = NULL;
			gint parsed_rating = 0;
			gchar* parsed_search_string = NULL;
			const gchar* _tmp8_ = NULL;
			gint _tmp9_ = 0;
			gchar* _tmp10_ = NULL;
			gboolean rating_search = FALSE;
			gint _tmp11_ = 0;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp1_ = self->priv->searched_medias;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp1_);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp3_ = search;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (g_strcmp0 (_tmp3_, "") == 0) {
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = TRUE;
#line 606 "AudioPlayerLibrary.c"
			} else {
				const gchar* _tmp4_ = NULL;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = search;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _tmp4_ == NULL;
#line 613 "AudioPlayerLibrary.c"
			}
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (_tmp2_) {
#line 617 "AudioPlayerLibrary.c"
				GeeLinkedList* _tmp5_ = NULL;
				GeeLinkedList* _tmp6_ = NULL;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = self->priv->searched_medias;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp6_ = self->priv->medias;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				gee_collection_add_all ((GeeCollection*) _tmp5_, (GeeCollection*) _tmp6_);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_signal_emit_by_name ((NoiseLibrary*) self, "search-finished");
#line 628 "AudioPlayerLibrary.c"
				{
					GeeLinkedList* _tmp7_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = self->priv->searched_medias;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_rec_mutex_unlock (&self->priv->__lock_searched_medias);
#line 635 "AudioPlayerLibrary.c"
				}
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return;
#line 639 "AudioPlayerLibrary.c"
			}
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp8_ = search;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_string_base_search_method (_tmp8_, &_tmp9_, &_tmp10_);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			parsed_rating = _tmp9_;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (parsed_search_string);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			parsed_search_string = _tmp10_;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp11_ = parsed_rating;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			rating_search = _tmp11_ > 0;
#line 655 "AudioPlayerLibrary.c"
			{
				GeeLinkedList* _tmp12_ = NULL;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp12_ = self->priv->medias;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_rec_mutex_lock (&self->priv->__lock_medias);
#line 662 "AudioPlayerLibrary.c"
				{
					{
						GeeLinkedList* _m_list = NULL;
						GeeLinkedList* _tmp13_ = NULL;
						GeeLinkedList* _tmp14_ = NULL;
						gint _m_size = 0;
						GeeLinkedList* _tmp15_ = NULL;
						gint _tmp16_ = 0;
						gint _tmp17_ = 0;
						gint _m_index = 0;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp13_ = self->priv->medias;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp14_ = _g_object_ref0 (_tmp13_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_m_list = _tmp14_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp15_ = _m_list;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp16_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp15_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp17_ = _tmp16_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_m_size = _tmp17_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_m_index = -1;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						while (TRUE) {
#line 691 "AudioPlayerLibrary.c"
							gint _tmp18_ = 0;
							gint _tmp19_ = 0;
							gint _tmp20_ = 0;
							NoiseMedia* m = NULL;
							GeeLinkedList* _tmp21_ = NULL;
							gint _tmp22_ = 0;
							gpointer _tmp23_ = NULL;
							gboolean _tmp24_ = FALSE;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp18_ = _m_index;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_m_index = _tmp18_ + 1;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp19_ = _m_index;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp20_ = _m_size;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							if (!(_tmp19_ < _tmp20_)) {
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								break;
#line 712 "AudioPlayerLibrary.c"
							}
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp21_ = _m_list;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp22_ = _m_index;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp23_ = gee_abstract_list_get ((GeeAbstractList*) _tmp21_, _tmp22_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							m = (NoiseMedia*) _tmp23_;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp24_ = rating_search;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							if (_tmp24_) {
#line 726 "AudioPlayerLibrary.c"
								NoiseMedia* _tmp25_ = NULL;
								guint _tmp26_ = 0U;
								guint _tmp27_ = 0U;
								gint _tmp28_ = 0;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp25_ = m;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp26_ = noise_media_get_rating (_tmp25_);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp27_ = _tmp26_;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp28_ = parsed_rating;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								if (_tmp27_ == ((guint) _tmp28_)) {
#line 741 "AudioPlayerLibrary.c"
									GeeLinkedList* _tmp29_ = NULL;
									NoiseMedia* _tmp30_ = NULL;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp29_ = self->priv->searched_medias;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp30_ = m;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									gee_abstract_collection_add ((GeeAbstractCollection*) _tmp29_, _tmp30_);
#line 750 "AudioPlayerLibrary.c"
								}
							} else {
								NoiseMedia* _tmp31_ = NULL;
								const gchar* _tmp32_ = NULL;
								gboolean _tmp33_ = FALSE;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp31_ = m;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp32_ = parsed_search_string;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp33_ = noise_search_match_string_to_media (_tmp31_, _tmp32_);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								if (_tmp33_) {
#line 764 "AudioPlayerLibrary.c"
									GeeLinkedList* _tmp34_ = NULL;
									NoiseMedia* _tmp35_ = NULL;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp34_ = self->priv->searched_medias;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp35_ = m;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									gee_abstract_collection_add ((GeeAbstractCollection*) _tmp34_, _tmp35_);
#line 773 "AudioPlayerLibrary.c"
								}
							}
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_g_object_unref0 (m);
#line 778 "AudioPlayerLibrary.c"
						}
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 782 "AudioPlayerLibrary.c"
					}
				}
				__finally6:
				{
					GeeLinkedList* _tmp36_ = NULL;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp36_ = self->priv->medias;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 792 "AudioPlayerLibrary.c"
				}
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (parsed_search_string);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (parsed_search_string);
#line 800 "AudioPlayerLibrary.c"
					{
						GeeLinkedList* _tmp37_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp37_ = self->priv->searched_medias;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						g_rec_mutex_unlock (&self->priv->__lock_searched_medias);
#line 807 "AudioPlayerLibrary.c"
					}
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_clear_error (&_inner_error_);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					return;
#line 815 "AudioPlayerLibrary.c"
				}
			}
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (parsed_search_string);
#line 820 "AudioPlayerLibrary.c"
		}
		__finally5:
		{
			GeeLinkedList* _tmp38_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp38_ = self->priv->searched_medias;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_searched_medias);
#line 829 "AudioPlayerLibrary.c"
		}
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return;
#line 839 "AudioPlayerLibrary.c"
		}
	}
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "search-finished");
#line 844 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_search_result (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->searched_medias;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp1_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 863 "AudioPlayerLibrary.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1282 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1282 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1282 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 876 "AudioPlayerLibrary.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 907 "AudioPlayerLibrary.c"
				goto __catch7_g_regex_error;
			}
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			return NULL;
#line 916 "AudioPlayerLibrary.c"
		}
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) (-1), 0, _tmp7_, 0, &_inner_error_);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 932 "AudioPlayerLibrary.c"
				goto __catch7_g_regex_error;
			}
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			return NULL;
#line 943 "AudioPlayerLibrary.c"
		}
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		return result;
#line 957 "AudioPlayerLibrary.c"
	}
	goto __finally7;
	__catch7_g_regex_error:
	{
		GError* e = NULL;
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1287 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 971 "AudioPlayerLibrary.c"
	}
	__finally7:
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		return NULL;
#line 982 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_real_add_media (NoiseLibrary* base, NoiseMedia* m) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* _tmp0_ = NULL;
	gchar* current_operation = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	NoiseMedia* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	NoiseMedia* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	NoiseLibrariesManager* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	NoiseMedia* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	NoiseMedia* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	const gchar* _tmp27_ = NULL;
	GFile* file = NULL;
	NoiseMedia* _tmp28_ = NULL;
	gchar* _tmp29_ = NULL;
	gchar* _tmp30_ = NULL;
	gchar* _tmp31_ = NULL;
	GFile* _tmp32_ = NULL;
	GFile* _tmp33_ = NULL;
	GFile* destination_file = NULL;
	NoisePluginsAudioPlayerDevice* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	GFile* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	gchar* _tmp40_ = NULL;
	gchar* _tmp41_ = NULL;
	GFile* _tmp42_ = NULL;
	GFile* _tmp43_ = NULL;
	GeeLinkedList* _tmp51_ = NULL;
	GFile* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	gchar* _tmp54_ = NULL;
	GError * _inner_error_ = NULL;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (m != NULL);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = m;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_ == NULL) {
#line 138 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1050 "AudioPlayerLibrary.c"
	}
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _ ("Adding <b>$NAME</b> by <b>$ARTIST</b> to $DEVICE");
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp2_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = m;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = noise_media_get_title (_tmp4_);
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = _tmp5_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _tmp6_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp3_ == NULL) {
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp3_ = "";
#line 1070 "AudioPlayerLibrary.c"
	}
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = current_operation;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = string_replace (_tmp7_, "$NAME", _tmp3_);
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp8_;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = m;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = noise_media_get_artist (_tmp10_);
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = _tmp11_;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp12_;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp9_ == NULL) {
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp9_ = "";
#line 1092 "AudioPlayerLibrary.c"
	}
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = current_operation;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = string_replace (_tmp13_, "$ARTIST", _tmp9_);
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp14_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = self->priv->device;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = noise_device_getDisplayName ((NoiseDevice*) _tmp16_);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = _tmp17_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp15_ == NULL) {
#line 1110 "AudioPlayerLibrary.c"
		gchar* _tmp18_ = NULL;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp18_ = g_strdup ("");
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp15_);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp15_ = _tmp18_;
#line 1118 "AudioPlayerLibrary.c"
	}
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = noise_libraries_manager;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = current_operation;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = string_replace (_tmp20_, "$DEVICE", _tmp15_);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp19_->current_operation);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_->current_operation = _tmp21_;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = m;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp23_ = noise_media_get_title (_tmp22_);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp24_ = _tmp23_;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp25_ = m;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp26_ = noise_media_get_artist (_tmp25_);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp27_ = _tmp26_;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_debug ("AudioPlayerLibrary.vala:144: Adding media %s by %s\n", _tmp24_, _tmp27_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp28_ = m;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp29_ = noise_media_get_uri (_tmp28_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp30_ = _tmp29_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp31_ = _tmp30_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp32_ = g_file_new_for_uri (_tmp31_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp33_ = _tmp32_;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp31_);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	file = _tmp33_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp34_ = self->priv->device;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp35_ = noise_plugins_audio_player_device_get_music_folder (_tmp34_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp36_ = _tmp35_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp37_ = file;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp38_ = g_file_get_basename (_tmp37_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp39_ = _tmp38_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp40_ = g_strconcat (_tmp36_, _tmp39_, NULL);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp41_ = _tmp40_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp42_ = g_file_new_for_uri (_tmp41_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp43_ = _tmp42_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp41_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp39_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp36_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	destination_file = _tmp43_;
#line 1188 "AudioPlayerLibrary.c"
	{
		GFile* _tmp44_ = NULL;
		GFile* _tmp45_ = NULL;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp44_ = file;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp45_ = destination_file;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_file_copy (_tmp44_, _tmp45_, G_FILE_COPY_ALL_METADATA, NULL, NULL, NULL, &_inner_error_);
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1200 "AudioPlayerLibrary.c"
			goto __catch8_g_error;
		}
	}
	goto __finally8;
	__catch8_g_error:
	{
		GError* err = NULL;
		NoiseMedia* _tmp46_ = NULL;
		const gchar* _tmp47_ = NULL;
		const gchar* _tmp48_ = NULL;
		GError* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		err = _inner_error_;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_inner_error_ = NULL;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp46_ = m;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp47_ = noise_media_get_title (_tmp46_);
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp48_ = _tmp47_;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp49_ = err;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp50_ = _tmp49_->message;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:152: Failed to copy track %s : %s\n", _tmp48_, _tmp50_);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_error_free0 (err);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (destination_file);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp15_);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (current_operation);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1241 "AudioPlayerLibrary.c"
	}
	__finally8:
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (destination_file);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp15_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (current_operation);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_clear_error (&_inner_error_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1260 "AudioPlayerLibrary.c"
	}
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp51_ = self->priv->imported_files;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp52_ = destination_file;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp53_ = g_file_get_uri (_tmp52_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp54_ = _tmp53_;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp51_, _tmp54_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp54_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (destination_file);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (file);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp15_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 1282 "AudioPlayerLibrary.c"
}


static gboolean _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func (gpointer self) {
	gboolean result;
	result = noise_libraries_manager_do_progress_notification_with_timeout ((NoiseLibrariesManager*) self);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1291 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_medias (NoiseLibrary* base, GeeCollection* list) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean _tmp0_ = FALSE;
	NoiseLibrariesManager* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	NoiseLibrariesManager* _tmp7_ = NULL;
	gint sub_index = 0;
	GeeLinkedList* medias_to_sync = NULL;
	GeeLinkedList* _tmp8_ = NULL;
	GeeLinkedList* _tmp9_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp10_ = NULL;
	GeeCollection* _tmp11_ = NULL;
	GeeLinkedList* _tmp12_ = NULL;
	GeeCollection* _tmp13_ = NULL;
	GeeCollection* _tmp14_ = NULL;
	GeeLinkedList* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	gint total_medias = 0;
	GeeLinkedList* _tmp18_ = NULL;
	gint _tmp19_ = 0;
	gint _tmp20_ = 0;
	gint _tmp21_ = 0;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (list != NULL);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:160: Tried to add when already syncing\n");
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1334 "AudioPlayerLibrary.c"
	}
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_libraries_manager;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _ ("Syncing <b>%s</b>…");
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = self->priv->device;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_device_getDisplayName ((NoiseDevice*) _tmp3_);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = g_strdup_printf (_tmp2_, _tmp5_);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp1_->current_operation);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_->current_operation = _tmp6_;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp5_);
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_doing_file_operations = TRUE;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = noise_libraries_manager;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func, g_object_ref (_tmp7_), g_object_unref);
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	sub_index = 0;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	medias_to_sync = _tmp8_;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = medias_to_sync;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = self->priv->device;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = list;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = self->priv->medias;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = noise_device_delete_doubles ((NoiseDevice*) _tmp10_, _tmp11_, (GeeCollection*) _tmp12_);
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = _tmp13_;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_collection_add_all ((GeeCollection*) _tmp9_, _tmp14_);
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp14_);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = medias_to_sync;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp15_);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = _tmp16_;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_message ("AudioPlayerLibrary.vala:172: Found %d medias to add.", _tmp17_);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = medias_to_sync;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp18_);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = _tmp19_;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	total_medias = _tmp20_;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = total_medias;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp21_ > 0) {
#line 1402 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerDevice* _tmp22_ = NULL;
		GeeLinkedList* _tmp23_ = NULL;
		gboolean _tmp24_ = FALSE;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp22_ = self->priv->device;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp23_ = medias_to_sync;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp24_ = noise_device_will_fit ((NoiseDevice*) _tmp22_, (GeeCollection*) _tmp23_);
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp24_) {
#line 1414 "AudioPlayerLibrary.c"
			GeeLinkedList* _tmp25_ = NULL;
			NoiseGStreamerTagger* _tmp42_ = NULL;
			GeeLinkedList* _tmp43_ = NULL;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp25_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (self->priv->imported_files);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			self->priv->imported_files = _tmp25_;
#line 1424 "AudioPlayerLibrary.c"
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp26_ = NULL;
				GeeLinkedList* _tmp27_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp28_ = NULL;
				gint _tmp29_ = 0;
				gint _tmp30_ = 0;
				gint _m_index = 0;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp26_ = medias_to_sync;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp27_ = _g_object_ref0 (_tmp26_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp27_;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp28_ = _m_list;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp29_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp28_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp30_ = _tmp29_;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp30_;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 1452 "AudioPlayerLibrary.c"
					gint _tmp31_ = 0;
					gint _tmp32_ = 0;
					gint _tmp33_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp34_ = NULL;
					gint _tmp35_ = 0;
					gpointer _tmp36_ = NULL;
					NoiseMedia* _tmp37_ = NULL;
					gint _tmp38_ = 0;
					NoiseLibrariesManager* _tmp39_ = NULL;
					gint _tmp40_ = 0;
					gint _tmp41_ = 0;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp31_ = _m_index;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp31_ + 1;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp32_ = _m_index;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp33_ = _m_size;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp32_ < _tmp33_)) {
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1477 "AudioPlayerLibrary.c"
					}
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp34_ = _m_list;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp35_ = _m_index;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp36_ = gee_abstract_list_get ((GeeAbstractList*) _tmp34_, _tmp35_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp36_;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp37_ = m;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					noise_library_add_media ((NoiseLibrary*) self, _tmp37_);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp38_ = sub_index;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					sub_index = _tmp38_ + 1;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp39_ = noise_libraries_manager;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp40_ = sub_index;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp41_ = total_medias;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp39_->progress = (gdouble) (_tmp40_ / _tmp41_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 1505 "AudioPlayerLibrary.c"
				}
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 1509 "AudioPlayerLibrary.c"
			}
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp42_ = self->tagger;
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp43_ = self->priv->imported_files;
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_gstreamer_tagger_discoverer_import_media (_tmp42_, (GeeCollection*) _tmp43_);
#line 1517 "AudioPlayerLibrary.c"
		}
	}
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (medias_to_sync);
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return;
#line 1524 "AudioPlayerLibrary.c"
}


void noise_plugins_audio_player_library_sync_medias (NoisePluginsAudioPlayerLibrary* self) {
	gboolean _tmp0_ = FALSE;
	NoisePlaylist* playlist = NULL;
	NoisePluginsAudioPlayerDevice* _tmp1_ = NULL;
	NoiseDevicePreferences* _tmp2_ = NULL;
	NoiseDevicePreferences* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	NoiseLibrariesManager* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	NoiseLibrariesManager* _tmp20_ = NULL;
	NoisePlaylist* _tmp21_ = NULL;
#line 189 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:191: Tried to add when already syncing\n");
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1555 "AudioPlayerLibrary.c"
	}
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	playlist = NULL;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->device;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = noise_device_get_preferences ((NoiseDevice*) _tmp1_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _tmp2_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_device_preferences_get_sync_all_music (_tmp3_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = _tmp5_ == FALSE;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp3_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp6_) {
#line 1575 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerDevice* _tmp7_ = NULL;
		NoiseDevicePreferences* _tmp8_ = NULL;
		NoiseDevicePreferences* _tmp9_ = NULL;
		NoisePlaylist* _tmp10_ = NULL;
		NoisePlaylist* _tmp11_ = NULL;
		NoisePlaylist* _tmp12_ = NULL;
		NoisePlaylist* _tmp13_ = NULL;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp7_ = self->priv->device;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = noise_device_get_preferences ((NoiseDevice*) _tmp7_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp9_ = _tmp8_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp10_ = noise_device_preferences_get_music_playlist (_tmp9_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp11_ = _tmp10_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = _g_object_ref0 (_tmp11_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (playlist);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		playlist = _tmp12_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_tmp9_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp13_ = playlist;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp13_ == NULL) {
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (playlist);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return;
#line 1609 "AudioPlayerLibrary.c"
		}
	}
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = noise_libraries_manager;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = _ ("Syncing <b>%s</b>…");
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = self->priv->device;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = noise_device_getDisplayName ((NoiseDevice*) _tmp16_);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = _tmp17_;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = g_strdup_printf (_tmp15_, _tmp18_);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp14_->current_operation);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_->current_operation = _tmp19_;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp18_);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_doing_file_operations = TRUE;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = noise_libraries_manager;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func, g_object_ref (_tmp20_), g_object_unref);
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = playlist;
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp21_ == NULL) {
#line 1640 "AudioPlayerLibrary.c"
		NoiseLibrariesManager* _tmp22_ = NULL;
		NoiseLibrary* _tmp23_ = NULL;
		GeeCollection* _tmp24_ = NULL;
		GeeCollection* _tmp25_ = NULL;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp22_ = noise_libraries_manager;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp23_ = _tmp22_->local_library;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp24_ = noise_library_get_medias (_tmp23_);
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp25_ = _tmp24_;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		noise_plugins_audio_player_library_sync_medias_async (self, _tmp25_, NULL, NULL);
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_tmp25_);
#line 1657 "AudioPlayerLibrary.c"
	} else {
		NoisePlaylist* _tmp26_ = NULL;
		GeeArrayQueue* _tmp27_ = NULL;
		GeeArrayQueue* _tmp28_ = NULL;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp26_ = playlist;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp27_ = noise_playlist_get_medias (_tmp26_);
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp28_ = _tmp27_;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		noise_plugins_audio_player_library_sync_medias_async (self, (GeeCollection*) _tmp28_, NULL, NULL);
#line 1670 "AudioPlayerLibrary.c"
	}
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (playlist);
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return;
#line 1676 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_sync_medias_async_data_free (gpointer _data) {
	NoisePluginsAudioPlayerLibrarySyncMediasAsyncData* _data_;
	_data_ = _data;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->songs);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->self);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_slice_free (NoisePluginsAudioPlayerLibrarySyncMediasAsyncData, _data_);
#line 1689 "AudioPlayerLibrary.c"
}


void noise_plugins_audio_player_library_sync_medias_async (NoisePluginsAudioPlayerLibrary* self, GeeCollection* songs, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoisePluginsAudioPlayerLibrarySyncMediasAsyncData* _data_;
	NoisePluginsAudioPlayerLibrary* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_ = g_slice_new0 (NoisePluginsAudioPlayerLibrarySyncMediasAsyncData);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, noise_plugins_audio_player_library_sync_medias_async);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_plugins_audio_player_library_sync_medias_async_data_free);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->self = _tmp0_;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = songs;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->songs);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->songs = _tmp2_;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_sync_medias_async_co (_data_);
#line 1718 "AudioPlayerLibrary.c"
}


void noise_plugins_audio_player_library_sync_medias_finish (NoisePluginsAudioPlayerLibrary* self, GAsyncResult* _res_) {
	NoisePluginsAudioPlayerLibrarySyncMediasAsyncData* _data_;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 1726 "AudioPlayerLibrary.c"
}


static gboolean __lambda5_ (NoisePluginsAudioPlayerLibrary* self) {
	gboolean result = FALSE;
	NoiseLibrariesManager* _tmp0_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp1_ = NULL;
	NoiseDevicePreferences* _tmp2_ = NULL;
	NoiseDevicePreferences* _tmp3_ = NULL;
	time_t _tmp4_ = 0;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_libraries_manager;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_->progress = (gdouble) 1;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->device;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = noise_device_get_preferences ((NoiseDevice*) _tmp1_);
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _tmp2_;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = time (NULL);
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_device_preferences_set_last_sync_time (_tmp3_, (gint) _tmp4_);
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp3_);
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_doing_file_operations = FALSE;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "file-operations-done");
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->operation_cancelled = FALSE;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = FALSE;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1763 "AudioPlayerLibrary.c"
}


static gboolean ___lambda5__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda5_ ((NoisePluginsAudioPlayerLibrary*) self);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1772 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_sync_medias_async_co (NoisePluginsAudioPlayerLibrarySyncMediasAsyncData* _data_) {
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	switch (_data_->_state_) {
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		case 0:
#line 1781 "AudioPlayerLibrary.c"
		goto _state_0;
		default:
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_assert_not_reached ();
#line 1786 "AudioPlayerLibrary.c"
	}
	_state_0:
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp0_ = NULL;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->medias_to_remove = _data_->_tmp0_;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp1_ = NULL;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp1_ = _data_->medias_to_remove;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp2_ = NULL;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp2_ = _data_->self->priv->device;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp3_ = NULL;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp3_ = _data_->self->priv->medias;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp4_ = NULL;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp4_ = _data_->songs;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp5_ = NULL;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp5_ = noise_device_delete_doubles ((NoiseDevice*) _data_->_tmp2_, (GeeCollection*) _data_->_tmp3_, _data_->_tmp4_);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp6_ = NULL;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_collection_add_all ((GeeCollection*) _data_->_tmp1_, _data_->_tmp6_);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->_tmp6_);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp7_ = NULL;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp7_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->medias_to_sync = _data_->_tmp7_;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp8_ = NULL;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp8_ = _data_->medias_to_sync;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp9_ = NULL;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp9_ = _data_->self->priv->device;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp10_ = NULL;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp10_ = _data_->songs;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp11_ = NULL;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp11_ = _data_->self->priv->medias;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp12_ = NULL;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp12_ = noise_device_delete_doubles ((NoiseDevice*) _data_->_tmp9_, _data_->_tmp10_, (GeeCollection*) _data_->_tmp11_);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp13_ = NULL;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp13_ = _data_->_tmp12_;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_collection_add_all ((GeeCollection*) _data_->_tmp8_, _data_->_tmp13_);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->_tmp13_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp14_ = NULL;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp14_ = _data_->medias_to_remove;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp15_ = 0;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp15_ = gee_abstract_collection_get_size ((GeeCollection*) _data_->_tmp14_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp16_ = 0;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp16_ = _data_->_tmp15_;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp17_ = NULL;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp17_ = _data_->medias_to_sync;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp18_ = 0;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp18_ = gee_abstract_collection_get_size ((GeeCollection*) _data_->_tmp17_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp19_ = 0;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp19_ = _data_->_tmp18_;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->total_medias = _data_->_tmp16_ + _data_->_tmp19_;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->sub_index = 0;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp20_ = 0;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data_->_tmp20_ = _data_->total_medias;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_data_->_tmp20_ > 0) {
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp21_ = NULL;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp21_ = _data_->self->priv->device;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp22_ = NULL;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp22_ = _data_->medias_to_sync;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp23_ = NULL;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp23_ = _data_->medias_to_remove;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp24_ = FALSE;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_data_->_tmp24_ = noise_device_will_fit_without ((NoiseDevice*) _data_->_tmp21_, (GeeCollection*) _data_->_tmp22_, (GeeCollection*) _data_->_tmp23_);
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_data_->_tmp24_) {
#line 1909 "AudioPlayerLibrary.c"
			{
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp25_ = NULL;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp25_ = _data_->medias_to_remove;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp26_ = NULL;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp26_ = _g_object_ref0 (_data_->_tmp25_);
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_m_list = _data_->_tmp26_;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp27_ = NULL;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp27_ = _data_->_m_list;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp28_ = 0;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp28_ = gee_abstract_collection_get_size ((GeeCollection*) _data_->_tmp27_);
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp29_ = 0;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp29_ = _data_->_tmp28_;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_m_size = _data_->_tmp29_;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_m_index = -1;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp30_ = 0;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp30_ = _data_->_m_index;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_m_index = _data_->_tmp30_ + 1;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp31_ = 0;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp31_ = _data_->_m_index;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp32_ = 0;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp32_ = _data_->_m_size;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_data_->_tmp31_ < _data_->_tmp32_)) {
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1957 "AudioPlayerLibrary.c"
					}
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp33_ = NULL;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp33_ = _data_->_m_list;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp34_ = 0;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp34_ = _data_->_m_index;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp35_ = NULL;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp35_ = gee_abstract_list_get ((GeeAbstractList*) _data_->_tmp33_, _data_->_tmp34_);
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->m = (NoiseMedia*) _data_->_tmp35_;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp36_ = FALSE;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp36_ = _data_->self->priv->operation_cancelled;
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!_data_->_tmp36_) {
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_data_->_tmp37_ = NULL;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_data_->_tmp37_ = _data_->m;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						noise_library_remove_media ((NoiseLibrary*) _data_->self, _data_->_tmp37_, TRUE);
#line 1985 "AudioPlayerLibrary.c"
					}
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp38_ = 0;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp38_ = _data_->sub_index;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->sub_index = _data_->_tmp38_ + 1;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp39_ = NULL;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp39_ = noise_libraries_manager;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp40_ = 0;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp40_ = _data_->sub_index;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp41_ = 0;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp41_ = _data_->total_medias;
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp39_->progress = (gdouble) (_data_->_tmp40_ / _data_->_tmp41_);
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (_data_->m);
#line 2009 "AudioPlayerLibrary.c"
				}
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_data_->_m_list);
#line 2013 "AudioPlayerLibrary.c"
			}
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->sub_index = 0;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp42_ = NULL;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp42_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (_data_->self->priv->imported_files);
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->self->priv->imported_files = _data_->_tmp42_;
#line 2025 "AudioPlayerLibrary.c"
			{
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp43_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp43_ = _data_->medias_to_sync;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp44_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp44_ = _g_object_ref0 (_data_->_tmp43_);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_vala1__m_list = _data_->_tmp44_;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp45_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp45_ = _data_->_vala1__m_list;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp46_ = 0;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp46_ = gee_abstract_collection_get_size ((GeeCollection*) _data_->_tmp45_);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp47_ = 0;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp47_ = _data_->_tmp46_;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_vala1__m_size = _data_->_tmp47_;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_vala1__m_index = -1;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp48_ = 0;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp48_ = _data_->_vala1__m_index;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_vala1__m_index = _data_->_tmp48_ + 1;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp49_ = 0;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp49_ = _data_->_vala1__m_index;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp50_ = 0;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp50_ = _data_->_vala1__m_size;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_data_->_tmp49_ < _data_->_tmp50_)) {
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2073 "AudioPlayerLibrary.c"
					}
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp51_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp51_ = _data_->_vala1__m_list;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp52_ = 0;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp52_ = _data_->_vala1__m_index;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp53_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp53_ = gee_abstract_list_get ((GeeAbstractList*) _data_->_tmp51_, _data_->_tmp52_);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_vala1_m = (NoiseMedia*) _data_->_tmp53_;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp54_ = FALSE;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp54_ = _data_->self->priv->operation_cancelled;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!_data_->_tmp54_) {
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_data_->_tmp55_ = NULL;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_data_->_tmp55_ = _data_->_vala1_m;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						noise_library_add_media ((NoiseLibrary*) _data_->self, _data_->_tmp55_);
#line 2101 "AudioPlayerLibrary.c"
					}
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp56_ = 0;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp56_ = _data_->sub_index;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->sub_index = _data_->_tmp56_ + 1;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp57_ = NULL;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp57_ = noise_libraries_manager;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp58_ = 0;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp58_ = _data_->sub_index;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp59_ = 0;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp59_ = _data_->total_medias;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_data_->_tmp57_->progress = (gdouble) (_data_->_tmp58_ / _data_->_tmp59_);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (_data_->_vala1_m);
#line 2125 "AudioPlayerLibrary.c"
				}
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_data_->_vala1__m_list);
#line 2129 "AudioPlayerLibrary.c"
			}
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp60_ = NULL;
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp60_ = _data_->self->tagger;
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp61_ = NULL;
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp61_ = _data_->self->priv->imported_files;
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_gstreamer_tagger_discoverer_import_media (_data_->_tmp60_, (GeeCollection*) _data_->_tmp61_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp62_ = FALSE;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp62_ = _data_->self->priv->operation_cancelled;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (!_data_->_tmp62_) {
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp63_ = NULL;
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp63_ = noise_libraries_manager;
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp64_ = NULL;
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp64_ = _ ("Finishing sync process…");
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp65_ = NULL;
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp65_ = g_strdup (_data_->_tmp64_);
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_data_->_tmp63_->current_operation);
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp63_->current_operation = _data_->_tmp65_;
#line 2163 "AudioPlayerLibrary.c"
			} else {
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp66_ = NULL;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp66_ = noise_libraries_manager;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp67_ = NULL;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp67_ = _ ("Cancelling Sync…");
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp68_ = NULL;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp68_ = g_strdup (_data_->_tmp67_);
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_data_->_tmp66_->current_operation);
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp66_->current_operation = _data_->_tmp68_;
#line 257 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp69_ = NULL;
#line 257 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp69_ = noise_libraries_manager;
#line 257 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_data_->_tmp69_->progress = (gdouble) 1;
#line 2187 "AudioPlayerLibrary.c"
			}
		} else {
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp70_ = NULL;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp70_ = _data_->self->priv->device;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp71_ = NULL;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp71_ = _ ("There is not enough space on Device to complete the Sync…");
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_signal_emit_by_name ((NoiseDevice*) _data_->_tmp70_, "infobar-message", _data_->_tmp71_, GTK_MESSAGE_INFO);
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp72_ = NULL;
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp72_ = noise_libraries_manager;
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp73_ = NULL;
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp73_ = _ ("There is not enough space on Device to complete the Sync…");
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp74_ = NULL;
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp74_ = g_strdup (_data_->_tmp73_);
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (_data_->_tmp72_->current_operation);
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_data_->_tmp72_->current_operation = _data_->_tmp74_;
#line 2216 "AudioPlayerLibrary.c"
		}
	}
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda5__gsource_func, g_object_ref (_data_->self), g_object_unref);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->medias_to_sync);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data_->medias_to_remove);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_data_->_state_ == 0) {
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 2229 "AudioPlayerLibrary.c"
	} else {
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 2233 "AudioPlayerLibrary.c"
	}
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_object_unref (_data_->_async_result);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return FALSE;
#line 2239 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_media_from_id (NoiseLibrary* base, gint id) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	GError * _inner_error_ = NULL;
#line 277 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 2249 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2256 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp3_);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2285 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					NoiseMedia* _tmp12_ = NULL;
					gint _tmp13_ = 0;
					gint _tmp14_ = 0;
					gint _tmp15_ = 0;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2309 "AudioPlayerLibrary.c"
					}
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp12_ = m;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = noise_media_get_rowid (_tmp12_);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = _tmp13_;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = id;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp14_ == _tmp15_) {
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						result = m;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 2333 "AudioPlayerLibrary.c"
						{
							GeeLinkedList* _tmp16_ = NULL;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp16_ = self->priv->medias;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2340 "AudioPlayerLibrary.c"
						}
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						return result;
#line 2344 "AudioPlayerLibrary.c"
					}
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2348 "AudioPlayerLibrary.c"
				}
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2352 "AudioPlayerLibrary.c"
			}
		}
		__finally9:
		{
			GeeLinkedList* _tmp17_ = NULL;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp17_ = self->priv->medias;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2362 "AudioPlayerLibrary.c"
		}
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2372 "AudioPlayerLibrary.c"
		}
	}
#line 285 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 285 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2379 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_medias_from_ids (NoiseLibrary* base, GeeCollection* ids) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* media_collection = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (ids != NULL, NULL);
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	media_collection = _tmp0_;
#line 2397 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp1_ = NULL;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp1_ = self->priv->medias;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2404 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				GeeLinkedList* _tmp3_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				gint _m_index = 0;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = self->priv->medias;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _g_object_ref0 (_tmp2_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp3_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = _m_list;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp6_ = _tmp5_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp6_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2433 "AudioPlayerLibrary.c"
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					gint _tmp9_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp10_ = NULL;
					gint _tmp11_ = 0;
					gpointer _tmp12_ = NULL;
					GeeCollection* _tmp13_ = NULL;
					NoiseMedia* _tmp14_ = NULL;
					gint _tmp15_ = 0;
					gint _tmp16_ = 0;
					gboolean _tmp17_ = FALSE;
					GeeLinkedList* _tmp20_ = NULL;
					gint _tmp21_ = 0;
					gint _tmp22_ = 0;
					GeeCollection* _tmp23_ = NULL;
					gint _tmp24_ = 0;
					gint _tmp25_ = 0;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp7_ + 1;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_index;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_size;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp8_ < _tmp9_)) {
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2464 "AudioPlayerLibrary.c"
					}
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_list;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = _m_index;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp12_;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = ids;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = m;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = noise_media_get_rowid (_tmp14_);
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp16_ = _tmp15_;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp17_ = gee_collection_contains (_tmp13_, (gpointer) ((gintptr) _tmp16_));
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp17_) {
#line 2486 "AudioPlayerLibrary.c"
						GeeLinkedList* _tmp18_ = NULL;
						NoiseMedia* _tmp19_ = NULL;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp18_ = media_collection;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp19_ = m;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp18_, _tmp19_);
#line 2495 "AudioPlayerLibrary.c"
					}
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp20_ = media_collection;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp21_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp20_);
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp22_ = _tmp21_;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp23_ = ids;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp24_ = gee_collection_get_size (_tmp23_);
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp25_ = _tmp24_;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp22_ == _tmp25_) {
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (m);
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2515 "AudioPlayerLibrary.c"
					}
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2519 "AudioPlayerLibrary.c"
				}
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2523 "AudioPlayerLibrary.c"
			}
		}
		__finally10:
		{
			GeeLinkedList* _tmp26_ = NULL;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp26_ = self->priv->medias;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2533 "AudioPlayerLibrary.c"
		}
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (media_collection);
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2545 "AudioPlayerLibrary.c"
		}
	}
#line 299 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = (GeeCollection*) media_collection;
#line 299 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2552 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_medias_from_uris (NoiseLibrary* base, GeeCollection* uris) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* media_collection = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (uris != NULL, NULL);
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	media_collection = _tmp0_;
#line 2570 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp1_ = NULL;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp1_ = self->priv->medias;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2577 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				GeeLinkedList* _tmp3_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				gint _m_index = 0;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = self->priv->medias;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _g_object_ref0 (_tmp2_);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp3_;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = _m_list;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp6_ = _tmp5_;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp6_;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2606 "AudioPlayerLibrary.c"
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					gint _tmp9_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp10_ = NULL;
					gint _tmp11_ = 0;
					gpointer _tmp12_ = NULL;
					GeeCollection* _tmp13_ = NULL;
					NoiseMedia* _tmp14_ = NULL;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
					gboolean _tmp19_ = FALSE;
					GeeLinkedList* _tmp22_ = NULL;
					gint _tmp23_ = 0;
					gint _tmp24_ = 0;
					GeeCollection* _tmp25_ = NULL;
					gint _tmp26_ = 0;
					gint _tmp27_ = 0;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp7_ + 1;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_index;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_size;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp8_ < _tmp9_)) {
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2639 "AudioPlayerLibrary.c"
					}
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_list;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = _m_index;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp12_;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = uris;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = m;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = noise_media_get_uri (_tmp14_);
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp16_ = _tmp15_;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp17_ = _tmp16_;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp18_ = gee_collection_contains (_tmp13_, _tmp17_);
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp19_ = _tmp18_;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (_tmp17_);
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp19_) {
#line 2667 "AudioPlayerLibrary.c"
						GeeLinkedList* _tmp20_ = NULL;
						NoiseMedia* _tmp21_ = NULL;
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp20_ = media_collection;
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp21_ = m;
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp20_, _tmp21_);
#line 2676 "AudioPlayerLibrary.c"
					}
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp22_ = media_collection;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp23_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp22_);
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp24_ = _tmp23_;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp25_ = uris;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp26_ = gee_collection_get_size (_tmp25_);
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp27_ = _tmp26_;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp24_ == _tmp27_) {
#line 310 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (m);
#line 310 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2696 "AudioPlayerLibrary.c"
					}
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2700 "AudioPlayerLibrary.c"
				}
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2704 "AudioPlayerLibrary.c"
			}
		}
		__finally11:
		{
			GeeLinkedList* _tmp28_ = NULL;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp28_ = self->priv->medias;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2714 "AudioPlayerLibrary.c"
		}
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (media_collection);
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2726 "AudioPlayerLibrary.c"
		}
	}
#line 314 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = (GeeCollection*) media_collection;
#line 314 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2733 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_find_media (NoiseLibrary* base, NoiseMedia* to_find) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	NoiseMedia* found = NULL;
	GError * _inner_error_ = NULL;
#line 317 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 317 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (to_find != NULL, NULL);
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	found = NULL;
#line 2748 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2755 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp3_);
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2784 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					NoiseMedia* _tmp13_ = NULL;
					const gchar* _tmp14_ = NULL;
					const gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					NoiseMedia* _tmp18_ = NULL;
					const gchar* _tmp19_ = NULL;
					const gchar* _tmp20_ = NULL;
					gchar* _tmp21_ = NULL;
					gchar* _tmp22_ = NULL;
					gboolean _tmp23_ = FALSE;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2816 "AudioPlayerLibrary.c"
					}
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = to_find;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = noise_media_get_title (_tmp13_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = _tmp14_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp16_ = g_utf8_strdown (_tmp15_, (gssize) (-1));
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp17_ = _tmp16_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp18_ = m;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp19_ = noise_media_get_title (_tmp18_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp20_ = _tmp19_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp21_ = g_utf8_strdown (_tmp20_, (gssize) (-1));
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp22_ = _tmp21_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp23_ = g_strcmp0 (_tmp17_, _tmp22_) == 0;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (_tmp22_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (_tmp17_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp23_) {
#line 2854 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp24_ = NULL;
						const gchar* _tmp25_ = NULL;
						const gchar* _tmp26_ = NULL;
						gchar* _tmp27_ = NULL;
						gchar* _tmp28_ = NULL;
						NoiseMedia* _tmp29_ = NULL;
						const gchar* _tmp30_ = NULL;
						const gchar* _tmp31_ = NULL;
						gchar* _tmp32_ = NULL;
						gchar* _tmp33_ = NULL;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp24_ = to_find;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp25_ = noise_media_get_artist (_tmp24_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp26_ = _tmp25_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp27_ = g_utf8_strdown (_tmp26_, (gssize) (-1));
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp28_ = _tmp27_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp29_ = m;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp30_ = noise_media_get_artist (_tmp29_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp31_ = _tmp30_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp32_ = g_utf8_strdown (_tmp31_, (gssize) (-1));
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp33_ = _tmp32_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = g_strcmp0 (_tmp28_, _tmp33_) == 0;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_free0 (_tmp33_);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_free0 (_tmp28_);
#line 2891 "AudioPlayerLibrary.c"
					} else {
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = FALSE;
#line 2895 "AudioPlayerLibrary.c"
					}
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp12_) {
#line 2899 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp34_ = NULL;
						NoiseMedia* _tmp35_ = NULL;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp34_ = m;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp35_ = _g_object_ref0 (_tmp34_);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (found);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						found = _tmp35_;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (m);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2914 "AudioPlayerLibrary.c"
					}
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2918 "AudioPlayerLibrary.c"
				}
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2922 "AudioPlayerLibrary.c"
			}
		}
		__finally12:
		{
			GeeLinkedList* _tmp36_ = NULL;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp36_ = self->priv->medias;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2932 "AudioPlayerLibrary.c"
		}
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (found);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2944 "AudioPlayerLibrary.c"
		}
	}
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = found;
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2951 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_media_from_file (NoiseLibrary* base, GFile* file) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	GError * _inner_error_ = NULL;
#line 329 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 329 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 2963 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2970 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp3_);
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2999 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					NoiseMedia* _tmp13_ = NULL;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 3021 "AudioPlayerLibrary.c"
					}
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = m;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp13_ != NULL) {
#line 3035 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp14_ = NULL;
						GFile* _tmp15_ = NULL;
						GFile* _tmp16_ = NULL;
						GFile* _tmp17_ = NULL;
						gboolean _tmp18_ = FALSE;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp14_ = m;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp15_ = noise_media_get_file (_tmp14_);
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp16_ = _tmp15_;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp17_ = file;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp18_ = g_file_equal (_tmp16_, _tmp17_);
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = _tmp18_;
#line 3053 "AudioPlayerLibrary.c"
					} else {
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = FALSE;
#line 3057 "AudioPlayerLibrary.c"
					}
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp12_) {
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						result = m;
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 3065 "AudioPlayerLibrary.c"
						{
							GeeLinkedList* _tmp19_ = NULL;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp19_ = self->priv->medias;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 3072 "AudioPlayerLibrary.c"
						}
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						return result;
#line 3076 "AudioPlayerLibrary.c"
					}
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 3080 "AudioPlayerLibrary.c"
				}
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 3084 "AudioPlayerLibrary.c"
			}
		}
		__finally13:
		{
			GeeLinkedList* _tmp20_ = NULL;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp20_ = self->priv->medias;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 3094 "AudioPlayerLibrary.c"
		}
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 3104 "AudioPlayerLibrary.c"
		}
	}
#line 337 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 337 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3111 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_media_from_uri (NoiseLibrary* base, const gchar* uri) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	GError * _inner_error_ = NULL;
#line 339 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 339 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 3123 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 3130 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp3_);
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 3159 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					NoiseMedia* _tmp13_ = NULL;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 3181 "AudioPlayerLibrary.c"
					}
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = m;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp13_ != NULL) {
#line 3195 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp14_ = NULL;
						gchar* _tmp15_ = NULL;
						gchar* _tmp16_ = NULL;
						gchar* _tmp17_ = NULL;
						const gchar* _tmp18_ = NULL;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp14_ = m;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp15_ = noise_media_get_uri (_tmp14_);
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp16_ = _tmp15_;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp17_ = _tmp16_;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp18_ = uri;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = g_strcmp0 (_tmp17_, _tmp18_) == 0;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_free0 (_tmp17_);
#line 3215 "AudioPlayerLibrary.c"
					} else {
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = FALSE;
#line 3219 "AudioPlayerLibrary.c"
					}
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp12_) {
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						result = m;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 3227 "AudioPlayerLibrary.c"
						{
							GeeLinkedList* _tmp19_ = NULL;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp19_ = self->priv->medias;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 3234 "AudioPlayerLibrary.c"
						}
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						return result;
#line 3238 "AudioPlayerLibrary.c"
					}
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 3242 "AudioPlayerLibrary.c"
				}
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 3246 "AudioPlayerLibrary.c"
			}
		}
		__finally14:
		{
			GeeLinkedList* _tmp20_ = NULL;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp20_ = self->priv->medias;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 3256 "AudioPlayerLibrary.c"
		}
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 3266 "AudioPlayerLibrary.c"
		}
	}
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3273 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_update_media (NoiseLibrary* base, NoiseMedia* s, gboolean updateMeta, gboolean record_time) {
	NoisePluginsAudioPlayerLibrary * self;
#line 349 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 349 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (s != NULL);
#line 3283 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_update_medias (NoiseLibrary* base, GeeCollection* updates, gboolean updateMeta, gboolean record_time) {
	NoisePluginsAudioPlayerLibrary * self;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (updates != NULL);
#line 3293 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_media (NoiseLibrary* base, NoiseMedia* m, gboolean trash) {
	NoisePluginsAudioPlayerLibrary * self;
	gchar* current_operation = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	NoiseMedia* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	NoiseLibrariesManager* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	NoiseMedia* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gboolean _tmp25_ = FALSE;
	GError * _inner_error_ = NULL;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (m != NULL);
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _ ("Removing <b>$NAME</b> by <b>$ARTIST</b> from $DEVICE");
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp1_;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = m;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_media_get_title (_tmp3_);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp5_;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp2_ == NULL) {
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp2_ = "";
#line 3348 "AudioPlayerLibrary.c"
	}
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = current_operation;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = string_replace (_tmp6_, "$NAME", _tmp2_);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp7_;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = m;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = noise_media_get_artist (_tmp9_);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = _tmp11_;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp8_ == NULL) {
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = "";
#line 3370 "AudioPlayerLibrary.c"
	}
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = current_operation;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = string_replace (_tmp12_, "$ARTIST", _tmp8_);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp13_;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = self->priv->device;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = noise_device_getDisplayName ((NoiseDevice*) _tmp15_);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = _tmp16_;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp14_ == NULL) {
#line 3388 "AudioPlayerLibrary.c"
		gchar* _tmp17_ = NULL;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp17_ = g_strdup ("");
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp14_);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp14_ = _tmp17_;
#line 3396 "AudioPlayerLibrary.c"
	}
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = noise_libraries_manager;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = current_operation;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = string_replace (_tmp19_, "$DEVICE", _tmp14_);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp18_->current_operation);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_->current_operation = _tmp20_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = m;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = noise_media_get_uri (_tmp21_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp23_ = _tmp22_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp24_ = _tmp23_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp25_ = _tmp24_ != NULL;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp24_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp25_) {
#line 3422 "AudioPlayerLibrary.c"
		GFile* file = NULL;
		NoiseMedia* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		GFile* _tmp30_ = NULL;
		GFile* _tmp31_ = NULL;
		GFile* _tmp32_ = NULL;
		gboolean _tmp33_ = FALSE;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp26_ = m;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp27_ = noise_media_get_uri (_tmp26_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp28_ = _tmp27_;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp29_ = _tmp28_;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp30_ = g_file_new_for_uri (_tmp29_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp31_ = _tmp30_;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp29_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		file = _tmp31_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp32_ = file;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp33_ = g_file_query_exists (_tmp32_, NULL);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp33_) {
#line 3454 "AudioPlayerLibrary.c"
			GeeArrayList* media_list = NULL;
			GeeArrayList* _tmp34_ = NULL;
			GeeArrayList* _tmp35_ = NULL;
			NoiseMedia* _tmp36_ = NULL;
			GeeArrayList* _tmp37_ = NULL;
			GeeLinkedList* _tmp38_ = NULL;
			NoiseMedia* _tmp39_ = NULL;
			NoiseMedia* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp34_ = gee_array_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			media_list = _tmp34_;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp35_ = media_list;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp36_ = m;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp35_, _tmp36_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp37_ = media_list;
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_signal_emit_by_name ((NoiseLibrary*) self, "media-removed", (GeeCollection*) _tmp37_);
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp38_ = self->priv->medias;
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp39_ = m;
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp38_, _tmp39_);
#line 3486 "AudioPlayerLibrary.c"
			{
				GFile* _tmp40_ = NULL;
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp40_ = file;
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_file_delete (_tmp40_, NULL, &_inner_error_);
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3495 "AudioPlayerLibrary.c"
					goto __catch15_g_error;
				}
			}
			goto __finally15;
			__catch15_g_error:
			{
				GError* err = NULL;
				NoiseMedia* _tmp41_ = NULL;
				gchar* _tmp42_ = NULL;
				gchar* _tmp43_ = NULL;
				gchar* _tmp44_ = NULL;
				GError* _tmp45_ = NULL;
				const gchar* _tmp46_ = NULL;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				err = _inner_error_;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_inner_error_ = NULL;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp41_ = m;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp42_ = noise_media_get_uri (_tmp41_);
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp43_ = _tmp42_;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp44_ = _tmp43_;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp45_ = err;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp46_ = _tmp45_->message;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_warning ("AudioPlayerLibrary.vala:372: Could not delete File at %s: %s", _tmp44_, _tmp46_);
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_tmp44_);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_error_free0 (err);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (media_list);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (file);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_tmp14_);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (current_operation);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return;
#line 3541 "AudioPlayerLibrary.c"
			}
			__finally15:
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (media_list);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (file);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_tmp14_);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (current_operation);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_clear_error (&_inner_error_);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return;
#line 3560 "AudioPlayerLibrary.c"
			}
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp47_ = m;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp48_ = noise_media_get_uri (_tmp47_);
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp49_ = _tmp48_;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp50_ = _tmp49_;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_debug ("AudioPlayerLibrary.vala:375: Successfully removed music file %s", _tmp50_);
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (_tmp50_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (media_list);
#line 3576 "AudioPlayerLibrary.c"
		} else {
			NoiseMedia* _tmp51_ = NULL;
			gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
#line 377 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp51_ = m;
#line 377 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp52_ = noise_media_get_uri (_tmp51_);
#line 377 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp53_ = _tmp52_;
#line 377 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp54_ = _tmp53_;
#line 377 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_warning ("AudioPlayerLibrary.vala:377: File not found, could not delete File at " \
"%s. File may already be deleted", _tmp54_);
#line 377 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (_tmp54_);
#line 3594 "AudioPlayerLibrary.c"
		}
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file);
#line 3598 "AudioPlayerLibrary.c"
	}
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp14_);
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 3604 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_medias (NoiseLibrary* base, GeeCollection* list, gboolean trash) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean _tmp0_ = FALSE;
	NoiseLibrariesManager* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint total = 0;
	GeeCollection* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	NoiseLibrariesManager* _tmp10_ = NULL;
	gint sub_index = 0;
	NoiseLibrariesManager* _tmp22_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (list != NULL);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:383: Tried to add when already syncing\n");
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 3636 "AudioPlayerLibrary.c"
	}
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_libraries_manager;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _ ("Removing from <b>%s</b>…");
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = self->priv->device;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_device_getDisplayName ((NoiseDevice*) _tmp3_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = g_strdup_printf (_tmp2_, _tmp5_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp1_->current_operation);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_->current_operation = _tmp6_;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp5_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = list;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = gee_collection_get_size (_tmp7_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp8_;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	total = _tmp9_;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = noise_libraries_manager;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func, g_object_ref (_tmp10_), g_object_unref);
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	sub_index = 0;
#line 3670 "AudioPlayerLibrary.c"
	{
		GeeIterator* _m_it = NULL;
		GeeCollection* _tmp11_ = NULL;
		GeeIterator* _tmp12_ = NULL;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp11_ = list;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = gee_iterable_iterator ((GeeIterable*) _tmp11_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_m_it = _tmp12_;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		while (TRUE) {
#line 3683 "AudioPlayerLibrary.c"
			GeeIterator* _tmp13_ = NULL;
			gboolean _tmp14_ = FALSE;
			NoiseMedia* m = NULL;
			GeeIterator* _tmp15_ = NULL;
			gpointer _tmp16_ = NULL;
			NoiseMedia* _tmp17_ = NULL;
			gint _tmp18_ = 0;
			NoiseLibrariesManager* _tmp19_ = NULL;
			gint _tmp20_ = 0;
			gint _tmp21_ = 0;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp13_ = _m_it;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp14_ = gee_iterator_next (_tmp13_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (!_tmp14_) {
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				break;
#line 3702 "AudioPlayerLibrary.c"
			}
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp15_ = _m_it;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp16_ = gee_iterator_get (_tmp15_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			m = (NoiseMedia*) _tmp16_;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp17_ = m;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_library_remove_media ((NoiseLibrary*) self, _tmp17_, TRUE);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp18_ = sub_index;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			sub_index = _tmp18_ + 1;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp19_ = noise_libraries_manager;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp20_ = sub_index;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp21_ = total;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp19_->progress = (gdouble) (_tmp20_ / _tmp21_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (m);
#line 3728 "AudioPlayerLibrary.c"
		}
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_m_it);
#line 3732 "AudioPlayerLibrary.c"
	}
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = noise_libraries_manager;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_->progress = (gdouble) 1;
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "file-operations-done");
#line 3740 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_real_support_smart_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = FALSE;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3753 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_smart_playlist (NoiseLibrary* base, NoiseSmartPlaylist* p) {
	NoisePluginsAudioPlayerLibrary * self;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (p != NULL);
#line 3763 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_smart_playlist (NoiseLibrary* base, gint id) {
	NoisePluginsAudioPlayerLibrary * self;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 3771 "AudioPlayerLibrary.c"
}


static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_id (NoiseLibrary* base, gint id) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseSmartPlaylist* result = NULL;
#line 412 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 413 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 413 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3784 "AudioPlayerLibrary.c"
}


static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_name (NoiseLibrary* base, const gchar* name) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseSmartPlaylist* result = NULL;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3799 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_real_support_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 420 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = FALSE;
#line 420 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3812 "AudioPlayerLibrary.c"
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return _data1_;
#line 3821 "AudioPlayerLibrary.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 3830 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerLibrary* self;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		self = _data1_->self;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_data1_->p);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (self);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_slice_free (Block1Data, _data1_);
#line 3840 "AudioPlayerLibrary.c"
	}
}


static void __lambda6_ (Block1Data* _data1_) {
	NoisePluginsAudioPlayerLibrary* self;
	NoiseStaticPlaylist* _tmp0_ = NULL;
#line 428 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = _data1_->self;
#line 428 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _data1_->p;
#line 428 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp0_);
#line 3854 "AudioPlayerLibrary.c"
}


static void ___lambda6__noise_playlist_media_added (NoisePlaylist* _sender, GeeCollection* media, gpointer self) {
#line 428 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda6_ (self);
#line 3861 "AudioPlayerLibrary.c"
}


static void __lambda7_ (Block1Data* _data1_) {
	NoisePluginsAudioPlayerLibrary* self;
	NoiseStaticPlaylist* _tmp0_ = NULL;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = _data1_->self;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _data1_->p;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp0_);
#line 3874 "AudioPlayerLibrary.c"
}


static void ___lambda7__noise_playlist_media_removed (NoisePlaylist* _sender, GeeCollection* media, gpointer self) {
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda7_ (self);
#line 3881 "AudioPlayerLibrary.c"
}


static void __lambda8_ (Block1Data* _data1_, const gchar* old_name) {
	NoisePluginsAudioPlayerLibrary* self;
	const gchar* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = _data1_->self;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = old_name;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_remove_playlist_from_name (self, _tmp0_);
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _data1_->p;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp1_);
#line 3899 "AudioPlayerLibrary.c"
}


static void ___lambda8__noise_playlist_updated (NoisePlaylist* _sender, const gchar* old_name, gpointer self) {
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda8_ (self, old_name);
#line 3906 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_playlist (NoiseLibrary* base, NoiseStaticPlaylist* p) {
	NoisePluginsAudioPlayerLibrary * self;
	Block1Data* _data1_;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
	NoiseStaticPlaylist* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
	NoiseStaticPlaylist* _tmp6_ = NULL;
	NoiseStaticPlaylist* _tmp7_ = NULL;
	NoiseStaticPlaylist* _tmp8_ = NULL;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (p != NULL);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_->_ref_count_ = 1;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_->self = g_object_ref (self);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = p;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data1_->p);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_->p = _tmp1_;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = self->priv->playlists;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _data1_->p;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp2_, _tmp3_);
#line 426 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = _data1_->p;
#line 426 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "playlist-added", _tmp4_);
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _data1_->p;
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp5_);
#line 428 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = _data1_->p;
#line 428 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_data ((NoisePlaylist*) _tmp6_, "media-added", (GCallback) ___lambda6__noise_playlist_media_added, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = _data1_->p;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_data ((NoisePlaylist*) _tmp7_, "media-removed", (GCallback) ___lambda7__noise_playlist_media_removed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = _data1_->p;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_data ((NoisePlaylist*) _tmp8_, "updated", (GCallback) ___lambda8__noise_playlist_updated, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	block1_data_unref (_data1_);
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_ = NULL;
#line 3970 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_playlist (NoiseLibrary* base, gint id) {
	NoisePluginsAudioPlayerLibrary * self;
	gint _tmp0_ = 0;
	GeeCollection* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 432 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = id;
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp1_;
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = gee_collection_get_size (_tmp2_);
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = _tmp3_;
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp0_ < _tmp4_;
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp2_);
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp5_) {
#line 4000 "AudioPlayerLibrary.c"
		GeeArrayList* array_v = NULL;
		GeeArrayList* _tmp6_ = NULL;
		GeeArrayList* _tmp7_ = NULL;
		GeeLinkedList* _tmp8_ = NULL;
		NoiseStaticPlaylist* p = NULL;
		GeeArrayList* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		gpointer _tmp11_ = NULL;
		NoiseStaticPlaylist* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		NoiseStaticPlaylist* _tmp15_ = NULL;
		GeeLinkedList* _tmp16_ = NULL;
		NoiseStaticPlaylist* _tmp17_ = NULL;
#line 434 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp6_ = gee_array_list_new (NOISE_TYPE_STATIC_PLAYLIST, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 434 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		array_v = _tmp6_;
#line 435 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp7_ = array_v;
#line 435 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = self->priv->playlists;
#line 435 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		gee_array_list_add_all (_tmp7_, (GeeCollection*) _tmp8_);
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp9_ = array_v;
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp10_ = id;
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		p = (NoiseStaticPlaylist*) _tmp11_;
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = p;
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp13_ = noise_playlist_get_name ((NoisePlaylist*) _tmp12_);
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp14_ = _tmp13_;
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		noise_plugins_audio_player_library_remove_playlist_from_name (self, _tmp14_);
#line 438 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp15_ = p;
#line 438 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_signal_emit_by_name ((NoiseLibrary*) self, "playlist-removed", _tmp15_);
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp16_ = self->priv->playlists;
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp17_ = p;
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp16_, _tmp17_);
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (p);
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (array_v);
#line 4055 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_remove_playlist_from_name (NoisePluginsAudioPlayerLibrary* self, const gchar* name) {
	GFile* dest = NULL;
	NoisePluginsAudioPlayerDevice* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	GFile* _tmp10_ = NULL;
	GFile* _tmp11_ = NULL;
	GError * _inner_error_ = NULL;
#line 443 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 443 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (name != NULL);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->device;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_plugins_audio_player_device_get_music_folder (_tmp0_);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp1_;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = name;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = string_replace (_tmp3_, "/", "_");
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = g_strconcat (_tmp5_, ".m3u", NULL);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = _tmp6_;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = g_build_path ("/", _tmp2_, "Playlists", _tmp7_, NULL);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp8_;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = g_file_new_for_uri (_tmp9_);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp9_);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp7_);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp5_);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp2_);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	dest = _tmp11_;
#line 4113 "AudioPlayerLibrary.c"
	{
		GFile* _tmp12_ = NULL;
		gboolean _tmp13_ = FALSE;
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = dest;
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp13_ = g_file_query_exists (_tmp12_, NULL);
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp13_) {
#line 4123 "AudioPlayerLibrary.c"
			GFile* _tmp14_ = NULL;
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp14_ = dest;
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_file_delete (_tmp14_, NULL, &_inner_error_);
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 4131 "AudioPlayerLibrary.c"
				goto __catch16_g_error;
			}
		}
	}
	goto __finally16;
	__catch16_g_error:
	{
		GError* err = NULL;
		const gchar* _tmp15_ = NULL;
		GFile* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		GError* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		err = _inner_error_;
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_inner_error_ = NULL;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp15_ = name;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp16_ = dest;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp17_ = g_file_get_path (_tmp16_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp18_ = _tmp17_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp19_ = err;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp20_ = _tmp19_->message;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:452: Could not remove playlist %s to file %s: " \
"%s", _tmp15_, _tmp18_, _tmp20_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp18_);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_error_free0 (err);
#line 4168 "AudioPlayerLibrary.c"
	}
	__finally16:
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (dest);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_clear_error (&_inner_error_);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 4181 "AudioPlayerLibrary.c"
	}
#line 443 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (dest);
#line 4185 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_keep_playlist_synchronized (NoisePluginsAudioPlayerLibrary* self, NoiseStaticPlaylist* p) {
	gchar* content = NULL;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	GFile* _tmp10_ = NULL;
	GFile* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	GFile* dest = NULL;
	NoisePluginsAudioPlayerDevice* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	NoiseStaticPlaylist* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	GFile* _tmp27_ = NULL;
	GFile* _tmp28_ = NULL;
	GError * _inner_error_ = NULL;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (p != NULL);
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = p;
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->device;
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = noise_device_get_uri ((NoiseDevice*) _tmp1_);
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _tmp2_;
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_playlists_utils_get_playlist_m3u_file ((NoisePlaylist*) _tmp0_, _tmp3_);
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp3_);
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	content = _tmp5_;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = content;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = self->priv->device;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = noise_device_get_uri ((NoiseDevice*) _tmp7_);
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp8_;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = g_file_new_for_uri (_tmp9_);
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = g_file_get_path (_tmp11_);
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = _tmp12_;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = string_replace (_tmp6_, _tmp13_, "");
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (content);
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	content = _tmp14_;
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp13_);
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp11_);
#line 458 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp9_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = self->priv->device;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = noise_plugins_audio_player_device_get_music_folder (_tmp15_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = _tmp16_;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = p;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = noise_playlist_get_name ((NoisePlaylist*) _tmp18_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = _tmp19_;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = string_replace (_tmp20_, "/", "_");
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = _tmp21_;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp23_ = g_strconcat (_tmp22_, ".m3u", NULL);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp24_ = _tmp23_;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp25_ = g_build_path ("/", _tmp17_, "Playlists", _tmp24_, NULL);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp26_ = _tmp25_;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp27_ = g_file_new_for_uri (_tmp26_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp28_ = _tmp27_;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp26_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp24_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp22_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp17_);
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	dest = _tmp28_;
#line 4308 "AudioPlayerLibrary.c"
	{
		GFile* _tmp29_ = NULL;
		gboolean _tmp30_ = FALSE;
		GFileOutputStream* file_stream = NULL;
		GFile* _tmp32_ = NULL;
		GFileOutputStream* _tmp33_ = NULL;
		GDataOutputStream* data_stream = NULL;
		GFileOutputStream* _tmp34_ = NULL;
		GDataOutputStream* _tmp35_ = NULL;
		GDataOutputStream* _tmp36_ = NULL;
		const gchar* _tmp37_ = NULL;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp29_ = dest;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp30_ = g_file_query_exists (_tmp29_, NULL);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp30_) {
#line 4326 "AudioPlayerLibrary.c"
			GFile* _tmp31_ = NULL;
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp31_ = dest;
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_file_delete (_tmp31_, NULL, &_inner_error_);
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 4334 "AudioPlayerLibrary.c"
				goto __catch17_g_error;
			}
		}
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp32_ = dest;
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp33_ = g_file_create (_tmp32_, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		file_stream = _tmp33_;
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 4346 "AudioPlayerLibrary.c"
			goto __catch17_g_error;
		}
#line 470 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp34_ = file_stream;
#line 470 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp35_ = g_data_output_stream_new ((GOutputStream*) _tmp34_);
#line 470 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		data_stream = _tmp35_;
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp36_ = data_stream;
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp37_ = content;
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_data_output_stream_put_string (_tmp36_, _tmp37_, NULL, &_inner_error_);
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (data_stream);
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (file_stream);
#line 4367 "AudioPlayerLibrary.c"
			goto __catch17_g_error;
		}
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (data_stream);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file_stream);
#line 4374 "AudioPlayerLibrary.c"
	}
	goto __finally17;
	__catch17_g_error:
	{
		GError* err = NULL;
		NoiseStaticPlaylist* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		const gchar* _tmp40_ = NULL;
		GFile* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		GError* _tmp44_ = NULL;
		const gchar* _tmp45_ = NULL;
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		err = _inner_error_;
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_inner_error_ = NULL;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp38_ = p;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp39_ = noise_playlist_get_name ((NoisePlaylist*) _tmp38_);
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp40_ = _tmp39_;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp41_ = dest;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp42_ = g_file_get_path (_tmp41_);
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp43_ = _tmp42_;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp44_ = err;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp45_ = _tmp44_->message;
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:474: Could not save playlist %s to m3u file %s" \
": %s\n", _tmp40_, _tmp43_, _tmp45_);
#line 474 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp43_);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_error_free0 (err);
#line 4414 "AudioPlayerLibrary.c"
	}
	__finally17:
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (dest);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (content);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_clear_error (&_inner_error_);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 4429 "AudioPlayerLibrary.c"
	}
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (dest);
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (content);
#line 4435 "AudioPlayerLibrary.c"
}


static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_id (NoiseLibrary* base, gint id) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseStaticPlaylist* result = NULL;
	gint _tmp0_ = 0;
	GeeCollection* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 478 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = id;
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp1_;
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = gee_collection_get_size (_tmp2_);
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = _tmp3_;
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp0_ < _tmp4_;
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp2_);
#line 479 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp5_) {
#line 4466 "AudioPlayerLibrary.c"
		GeeArrayList* array = NULL;
		GeeArrayList* _tmp6_ = NULL;
		GeeArrayList* _tmp7_ = NULL;
		GeeCollection* _tmp8_ = NULL;
		GeeCollection* _tmp9_ = NULL;
		GeeArrayList* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gpointer _tmp12_ = NULL;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp6_ = gee_array_list_new (NOISE_TYPE_STATIC_PLAYLIST, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		array = _tmp6_;
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp7_ = array;
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp9_ = _tmp8_;
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		gee_array_list_add_all (_tmp7_, _tmp9_);
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_tmp9_);
#line 482 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp10_ = array;
#line 482 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp11_ = id;
#line 482 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 482 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		result = (NoiseStaticPlaylist*) _tmp12_;
#line 482 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (array);
#line 482 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return result;
#line 4501 "AudioPlayerLibrary.c"
	}
#line 484 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 484 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 4507 "AudioPlayerLibrary.c"
}


static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_name (NoiseLibrary* base, const gchar* name) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseStaticPlaylist* result = NULL;
#line 486 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 486 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 4518 "AudioPlayerLibrary.c"
	{
		GeeIterator* _playlist_it = NULL;
		GeeCollection* _tmp0_ = NULL;
		GeeCollection* _tmp1_ = NULL;
		GeeIterator* _tmp2_ = NULL;
		GeeIterator* _tmp3_ = NULL;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp1_ = _tmp0_;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp3_ = _tmp2_;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_tmp1_);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_playlist_it = _tmp3_;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		while (TRUE) {
#line 4539 "AudioPlayerLibrary.c"
			GeeIterator* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			NoiseStaticPlaylist* playlist = NULL;
			GeeIterator* _tmp6_ = NULL;
			gpointer _tmp7_ = NULL;
			NoiseStaticPlaylist* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			const gchar* _tmp11_ = NULL;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp4_ = _playlist_it;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp5_ = gee_iterator_next (_tmp4_);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (!_tmp5_) {
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				break;
#line 4557 "AudioPlayerLibrary.c"
			}
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp6_ = _playlist_it;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp7_ = gee_iterator_get (_tmp6_);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			playlist = (NoiseStaticPlaylist*) _tmp7_;
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp8_ = playlist;
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp9_ = noise_playlist_get_name ((NoisePlaylist*) _tmp8_);
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp10_ = _tmp9_;
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp11_ = name;
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (g_strcmp0 (_tmp10_, _tmp11_) == 0) {
#line 489 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				result = playlist;
#line 489 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_playlist_it);
#line 489 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return result;
#line 4581 "AudioPlayerLibrary.c"
			}
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (playlist);
#line 4585 "AudioPlayerLibrary.c"
		}
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_playlist_it);
#line 4589 "AudioPlayerLibrary.c"
	}
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 4595 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_real_start_file_operations (NoiseLibrary* base, const gchar* message) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 498 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		result = TRUE;
#line 498 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return result;
#line 4613 "AudioPlayerLibrary.c"
	} else {
#line 500 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		result = FALSE;
#line 500 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return result;
#line 4619 "AudioPlayerLibrary.c"
	}
}


static gboolean noise_plugins_audio_player_library_real_doing_file_operations (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 502 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->is_doing_file_operations;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp0_;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 4636 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_finish_file_operations (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 4644 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_class_init (NoisePluginsAudioPlayerLibraryClass * klass) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_parent_class = g_type_class_peek_parent (klass);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_type_class_add_private (klass, sizeof (NoisePluginsAudioPlayerLibraryPrivate));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->initialize_library = noise_plugins_audio_player_library_real_initialize_library;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_files_to_library = noise_plugins_audio_player_library_real_add_files_to_library;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_medias = noise_plugins_audio_player_library_real_get_medias;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_playlists = noise_plugins_audio_player_library_real_get_playlists;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_smart_playlists = noise_plugins_audio_player_library_real_get_smart_playlists;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->search_medias = noise_plugins_audio_player_library_real_search_medias;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_search_result = noise_plugins_audio_player_library_real_get_search_result;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_media = noise_plugins_audio_player_library_real_add_media;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_medias = noise_plugins_audio_player_library_real_add_medias;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->media_from_id = noise_plugins_audio_player_library_real_media_from_id;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->medias_from_ids = noise_plugins_audio_player_library_real_medias_from_ids;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->medias_from_uris = noise_plugins_audio_player_library_real_medias_from_uris;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->find_media = noise_plugins_audio_player_library_real_find_media;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->media_from_file = noise_plugins_audio_player_library_real_media_from_file;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->media_from_uri = noise_plugins_audio_player_library_real_media_from_uri;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->update_media = noise_plugins_audio_player_library_real_update_media;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->update_medias = noise_plugins_audio_player_library_real_update_medias;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_media = noise_plugins_audio_player_library_real_remove_media;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_medias = noise_plugins_audio_player_library_real_remove_medias;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->support_smart_playlists = noise_plugins_audio_player_library_real_support_smart_playlists;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_smart_playlist = noise_plugins_audio_player_library_real_add_smart_playlist;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_smart_playlist = noise_plugins_audio_player_library_real_remove_smart_playlist;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->smart_playlist_from_id = noise_plugins_audio_player_library_real_smart_playlist_from_id;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->smart_playlist_from_name = noise_plugins_audio_player_library_real_smart_playlist_from_name;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->support_playlists = noise_plugins_audio_player_library_real_support_playlists;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_playlist = noise_plugins_audio_player_library_real_add_playlist;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_playlist = noise_plugins_audio_player_library_real_remove_playlist;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->playlist_from_id = noise_plugins_audio_player_library_real_playlist_from_id;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->playlist_from_name = noise_plugins_audio_player_library_real_playlist_from_name;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->start_file_operations = noise_plugins_audio_player_library_real_start_file_operations;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->doing_file_operations = noise_plugins_audio_player_library_real_doing_file_operations;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->finish_file_operations = noise_plugins_audio_player_library_real_finish_file_operations;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_plugins_audio_player_library_finalize;
#line 4719 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_instance_init (NoisePluginsAudioPlayerLibrary * self) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv = NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_GET_PRIVATE (self);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_init (&self->priv->__lock_medias);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_init (&self->priv->__lock_searched_medias);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->operation_cancelled = FALSE;
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_doing_file_operations = FALSE;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->queue_is_finished = FALSE;
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_initialized = FALSE;
#line 43 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->medias_rowid = 0;
#line 44 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->playlists_rowid = 0;
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->smartplaylists_rowid = 0;
#line 4744 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_finalize (GObject* obj) {
	NoisePluginsAudioPlayerLibrary * self;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibrary);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->device);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_clear (&self->priv->__lock_medias);
#line 35 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->medias);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_clear (&self->priv->__lock_searched_medias);
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->searched_medias);
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->playlists);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->imported_files);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->tagger);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	G_OBJECT_CLASS (noise_plugins_audio_player_library_parent_class)->finalize (obj);
#line 4770 "AudioPlayerLibrary.c"
}


GType noise_plugins_audio_player_library_get_type (void) {
	return noise_plugins_audio_player_library_type_id;
}


GType noise_plugins_audio_player_library_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (NoisePluginsAudioPlayerLibraryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_plugins_audio_player_library_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePluginsAudioPlayerLibrary), 0, (GInstanceInitFunc) noise_plugins_audio_player_library_instance_init, NULL };
	noise_plugins_audio_player_library_type_id = g_type_module_register_type (module, NOISE_TYPE_LIBRARY, "NoisePluginsAudioPlayerLibrary", &g_define_type_info, 0);
	return noise_plugins_audio_player_library_type_id;
}



