/* MediaEditor.c generated by valac 0.28.1, the Vala compiler
 * generated from MediaEditor.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2013 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <noise-core.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <pango/pango.h>
#include <time.h>


#define NOISE_TYPE_MEDIA_EDITOR (noise_media_editor_get_type ())
#define NOISE_MEDIA_EDITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditor))
#define NOISE_MEDIA_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditorClass))
#define NOISE_IS_MEDIA_EDITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA_EDITOR))
#define NOISE_IS_MEDIA_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA_EDITOR))
#define NOISE_MEDIA_EDITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditorClass))

typedef struct _NoiseMediaEditor NoiseMediaEditor;
typedef struct _NoiseMediaEditorClass NoiseMediaEditorClass;
typedef struct _NoiseMediaEditorPrivate NoiseMediaEditorPrivate;

#define NOISE_TYPE_LYRIC_FETCHER (noise_lyric_fetcher_get_type ())
#define NOISE_LYRIC_FETCHER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LYRIC_FETCHER, NoiseLyricFetcher))
#define NOISE_LYRIC_FETCHER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LYRIC_FETCHER, NoiseLyricFetcherClass))
#define NOISE_IS_LYRIC_FETCHER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LYRIC_FETCHER))
#define NOISE_IS_LYRIC_FETCHER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LYRIC_FETCHER))
#define NOISE_LYRIC_FETCHER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LYRIC_FETCHER, NoiseLyricFetcherClass))

typedef struct _NoiseLyricFetcher NoiseLyricFetcher;
typedef struct _NoiseLyricFetcherClass NoiseLyricFetcherClass;

#define NOISE_TYPE_FIELD_EDITOR (noise_field_editor_get_type ())
#define NOISE_FIELD_EDITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_FIELD_EDITOR, NoiseFieldEditor))
#define NOISE_FIELD_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_FIELD_EDITOR, NoiseFieldEditorClass))
#define NOISE_IS_FIELD_EDITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_FIELD_EDITOR))
#define NOISE_IS_FIELD_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_FIELD_EDITOR))
#define NOISE_FIELD_EDITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_FIELD_EDITOR, NoiseFieldEditorClass))

typedef struct _NoiseFieldEditor NoiseFieldEditor;
typedef struct _NoiseFieldEditorClass NoiseFieldEditorClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;

#define NOISE_WIDGETS_TYPE_NAVIGATION_ARROWS (noise_widgets_navigation_arrows_get_type ())
#define NOISE_WIDGETS_NAVIGATION_ARROWS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_WIDGETS_TYPE_NAVIGATION_ARROWS, NoiseWidgetsNavigationArrows))
#define NOISE_WIDGETS_NAVIGATION_ARROWS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_WIDGETS_TYPE_NAVIGATION_ARROWS, NoiseWidgetsNavigationArrowsClass))
#define NOISE_WIDGETS_IS_NAVIGATION_ARROWS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_WIDGETS_TYPE_NAVIGATION_ARROWS))
#define NOISE_WIDGETS_IS_NAVIGATION_ARROWS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_WIDGETS_TYPE_NAVIGATION_ARROWS))
#define NOISE_WIDGETS_NAVIGATION_ARROWS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_WIDGETS_TYPE_NAVIGATION_ARROWS, NoiseWidgetsNavigationArrowsClass))

typedef struct _NoiseWidgetsNavigationArrows NoiseWidgetsNavigationArrows;
typedef struct _NoiseWidgetsNavigationArrowsClass NoiseWidgetsNavigationArrowsClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define GRANITE_WIDGETS_TYPE_RATING (granite_widgets_rating_get_type ())
#define GRANITE_WIDGETS_RATING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRating))
#define GRANITE_WIDGETS_RATING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRatingClass))
#define GRANITE_WIDGETS_IS_RATING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRANITE_WIDGETS_TYPE_RATING))
#define GRANITE_WIDGETS_IS_RATING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRANITE_WIDGETS_TYPE_RATING))
#define GRANITE_WIDGETS_RATING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRatingClass))

typedef struct _GraniteWidgetsRating GraniteWidgetsRating;
typedef struct _GraniteWidgetsRatingClass GraniteWidgetsRatingClass;
typedef struct _noise_media_editor_fetchLyricsClickedData noise_media_editor_fetchLyricsClickedData;
typedef struct _NoiseMediaEditorFetchLyricsData NoiseMediaEditorFetchLyricsData;
typedef struct _Block30Data Block30Data;
typedef struct _NoiseFieldEditorPrivate NoiseFieldEditorPrivate;

#define NOISE_TYPE_STATS_DISPLAY (noise_stats_display_get_type ())
#define NOISE_STATS_DISPLAY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_STATS_DISPLAY, NoiseStatsDisplay))
#define NOISE_STATS_DISPLAY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_STATS_DISPLAY, NoiseStatsDisplayClass))
#define NOISE_IS_STATS_DISPLAY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_STATS_DISPLAY))
#define NOISE_IS_STATS_DISPLAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_STATS_DISPLAY))
#define NOISE_STATS_DISPLAY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_STATS_DISPLAY, NoiseStatsDisplayClass))

typedef struct _NoiseStatsDisplay NoiseStatsDisplay;
typedef struct _NoiseStatsDisplayClass NoiseStatsDisplayClass;
typedef struct _NoiseStatsDisplayPrivate NoiseStatsDisplayPrivate;

struct _NoiseMediaEditor {
	GtkDialog parent_instance;
	NoiseMediaEditorPrivate * priv;
};

struct _NoiseMediaEditorClass {
	GtkDialogClass parent_class;
	void (*saveClicked) (NoiseMediaEditor* self);
};

struct _NoiseMediaEditorPrivate {
	NoiseLyricFetcher* lf;
	GeeLinkedList* _allMedias;
	GeeLinkedList* _medias;
	GtkStack* stack;
	GeeHashMap* fields;
	GtkTextView* lyricsText;
	GtkButton* save_button;
	GtkButton* close_button;
	GtkLabel* lyricsInfobarLabel;
	NoiseLibrary* library;
};

struct _noise_media_editor_fetchLyricsClickedData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseMediaEditor* self;
};

struct _NoiseMediaEditorFetchLyricsData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseMediaEditor* self;
	gboolean overwrite;
	GtkLabel* _tmp0_;
	NoiseMedia* s;
	NoiseLibrary* _tmp1_;
	GeeLinkedList* _tmp2_;
	gpointer _tmp3_;
	NoiseMedia* _tmp4_;
	gboolean _tmp5_;
	NoiseMedia* _tmp6_;
	const gchar* _tmp7_;
	const gchar* _tmp8_;
	gboolean _tmp9_;
	gboolean _tmp10_;
	NoiseMedia* _tmp11_;
	NoiseLyricFetcher* _tmp12_;
	NoiseMedia* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	NoiseMedia* current_media;
	NoiseLibrary* _tmp16_;
	GeeLinkedList* _tmp17_;
	gpointer _tmp18_;
	NoiseMedia* _tmp19_;
	NoiseMedia* _tmp20_;
	NoiseMedia* _tmp21_;
	NoiseMedia* _tmp22_;
};

struct _Block30Data {
	int _ref_count_;
	NoiseMediaEditor* self;
	NoiseMedia* m;
};

struct _NoiseFieldEditor {
	GtkBox parent_instance;
	NoiseFieldEditorPrivate * priv;
};

struct _NoiseFieldEditorClass {
	GtkBoxClass parent_class;
	void (*entryChanged) (NoiseFieldEditor* self);
	void (*textViewChanged) (NoiseFieldEditor* self);
	void (*spinButtonChanged) (NoiseFieldEditor* self);
	void (*ratingChanged) (NoiseFieldEditor* self, gint new_rating);
	void (*resetClicked) (NoiseFieldEditor* self);
};

struct _NoiseFieldEditorPrivate {
	gchar* _name;
	gchar* _original;
	GtkBox* nameBox;
	GtkCheckButton* check;
	GtkLabel* label;
	GtkEntry* entry;
	GtkTextView* textView;
	GtkSpinButton* spinButton;
	GraniteWidgetsRating* ratingWidget;
	GtkImage* image;
};

struct _NoiseStatsDisplay {
	GtkBox parent_instance;
	NoiseStatsDisplayPrivate * priv;
	gint plays;
	gint skips;
	gint last_played;
};

struct _NoiseStatsDisplayClass {
	GtkBoxClass parent_class;
	void (*resetClicked) (NoiseStatsDisplay* self);
};

struct _NoiseStatsDisplayPrivate {
	GtkLabel* header;
	GtkLabel* info;
	GtkButton* reset;
};


static gpointer noise_media_editor_parent_class = NULL;
static gpointer noise_field_editor_parent_class = NULL;
static gpointer noise_stats_display_parent_class = NULL;

GType noise_media_editor_get_type (void) G_GNUC_CONST;
GType noise_lyric_fetcher_get_type (void) G_GNUC_CONST;
GType noise_field_editor_get_type (void) G_GNUC_CONST;
#define NOISE_MEDIA_EDITOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditorPrivate))
enum  {
	NOISE_MEDIA_EDITOR_DUMMY_PROPERTY
};
NoiseMediaEditor* noise_media_editor_new (GeeCollection* allMedias, GeeCollection* medias, NoiseLibrary* library);
NoiseMediaEditor* noise_media_editor_construct (GType object_type, GeeCollection* allMedias, GeeCollection* medias, NoiseLibrary* library);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
NoiseLyricFetcher* noise_lyric_fetcher_new (void);
NoiseLyricFetcher* noise_lyric_fetcher_construct (GType object_type);
GtkBox* noise_media_editor_createBasicContent (NoiseMediaEditor* self);
GtkBox* noise_media_editor_createLyricsContent (NoiseMediaEditor* self);
GType noise_widgets_navigation_arrows_get_type (void) G_GNUC_CONST;
NoiseWidgetsNavigationArrows* noise_widgets_navigation_arrows_new (void);
NoiseWidgetsNavigationArrows* noise_widgets_navigation_arrows_construct (GType object_type);
void noise_field_editor_set_check_visible (NoiseFieldEditor* self, gboolean val);
static void noise_media_editor_fetch_lyrics (NoiseMediaEditor* self, gboolean overwrite, GAsyncReadyCallback _callback_, gpointer _user_data_);
static void noise_media_editor_fetch_lyrics_finish (NoiseMediaEditor* self, GAsyncResult* _res_);
void noise_media_editor_previousClicked (NoiseMediaEditor* self);
static void _noise_media_editor_previousClicked_noise_widgets_navigation_arrows_previous_clicked (NoiseWidgetsNavigationArrows* _sender, gpointer self);
void noise_media_editor_nextClicked (NoiseMediaEditor* self);
static void _noise_media_editor_nextClicked_noise_widgets_navigation_arrows_next_clicked (NoiseWidgetsNavigationArrows* _sender, gpointer self);
void noise_media_editor_saveClicked (NoiseMediaEditor* self);
static void _noise_media_editor_saveClicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda39_ (NoiseMediaEditor* self);
static void ___lambda39__gtk_button_clicked (GtkButton* _sender, gpointer self);
NoiseFieldEditor* noise_field_editor_new (const gchar* name, const gchar* original, GtkWidget* w);
NoiseFieldEditor* noise_field_editor_construct (GType object_type, const gchar* name, const gchar* original, GtkWidget* w);
GraniteWidgetsRating* granite_widgets_rating_new (gboolean centered, GtkIconSize size, gboolean symbolic);
GraniteWidgetsRating* granite_widgets_rating_construct (GType object_type, gboolean centered, GtkIconSize size, gboolean symbolic);
GType granite_widgets_rating_get_type (void) G_GNUC_CONST;
static void noise_media_editor_fetchLyricsClicked_data_free (gpointer _data);
void noise_media_editor_fetchLyricsClicked (NoiseMediaEditor* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
void noise_media_editor_fetchLyricsClicked_finish (NoiseMediaEditor* self, GAsyncResult* _res_);
static gboolean noise_media_editor_fetchLyricsClicked_co (noise_media_editor_fetchLyricsClickedData* _data_);
static void noise_media_editor_fetchLyricsClicked_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void noise_media_editor_fetch_lyrics_data_free (gpointer _data);
static gboolean noise_media_editor_fetch_lyrics_co (NoiseMediaEditorFetchLyricsData* _data_);
void noise_lyric_fetcher_fetch_lyrics_async (NoiseLyricFetcher* self, NoiseMedia* m, GAsyncReadyCallback _callback_, gpointer _user_data_);
gchar* noise_lyric_fetcher_fetch_lyrics_finish (NoiseLyricFetcher* self, GAsyncResult* _res_);
static void noise_media_editor_fetch_lyrics_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
void noise_media_editor_lyricsFetched (NoiseMediaEditor* self, NoiseMedia* m);
static Block30Data* block30_data_ref (Block30Data* _data30_);
static void block30_data_unref (void * _userdata_);
static gboolean __lambda38_ (Block30Data* _data30_);
static gboolean ___lambda38__gsource_func (gpointer self);
void noise_media_editor_save_medias (NoiseMediaEditor* self);
void noise_media_editor_change_media (NoiseMediaEditor* self, GeeLinkedList* newMedias);
void noise_field_editor_set_value (NoiseFieldEditor* self, const gchar* val);
gboolean noise_field_editor_checked (NoiseFieldEditor* self);
gchar* noise_field_editor_get_value (NoiseFieldEditor* self);
static void noise_media_editor_real_saveClicked (NoiseMediaEditor* self);
static void noise_media_editor_finalize (GObject* obj);
#define NOISE_FIELD_EDITOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_FIELD_EDITOR, NoiseFieldEditorPrivate))
enum  {
	NOISE_FIELD_EDITOR_DUMMY_PROPERTY
};
void noise_field_editor_entryChanged (NoiseFieldEditor* self);
static void _noise_field_editor_entryChanged_gtk_editable_changed (GtkEditable* _sender, gpointer self);
void noise_field_editor_textViewChanged (NoiseFieldEditor* self);
static void _noise_field_editor_textViewChanged_gtk_text_buffer_changed (GtkTextBuffer* _sender, gpointer self);
void noise_field_editor_spinButtonChanged (NoiseFieldEditor* self);
static void _noise_field_editor_spinButtonChanged_gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
void granite_widgets_rating_set_rating (GraniteWidgetsRating* self, gint value);
void noise_field_editor_ratingChanged (NoiseFieldEditor* self, gint new_rating);
static void _noise_field_editor_ratingChanged_granite_widgets_rating_rating_changed (GraniteWidgetsRating* _sender, gint new_rating, gpointer self);
static void noise_field_editor_real_entryChanged (NoiseFieldEditor* self);
static void noise_field_editor_real_textViewChanged (NoiseFieldEditor* self);
static void noise_field_editor_real_spinButtonChanged (NoiseFieldEditor* self);
static void noise_field_editor_real_ratingChanged (NoiseFieldEditor* self, gint new_rating);
gint granite_widgets_rating_get_rating (GraniteWidgetsRating* self);
void noise_field_editor_resetClicked (NoiseFieldEditor* self);
static void noise_field_editor_real_resetClicked (NoiseFieldEditor* self);
static void noise_field_editor_finalize (GObject* obj);
GType noise_stats_display_get_type (void) G_GNUC_CONST;
#define NOISE_STATS_DISPLAY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_STATS_DISPLAY, NoiseStatsDisplayPrivate))
enum  {
	NOISE_STATS_DISPLAY_DUMMY_PROPERTY
};
NoiseStatsDisplay* noise_stats_display_new (gint plays, gint skips, gint last_played);
NoiseStatsDisplay* noise_stats_display_construct (GType object_type, gint plays, gint skips, gint last_played);
static void noise_stats_display_setInfoText (NoiseStatsDisplay* self);
void noise_stats_display_resetClicked (NoiseStatsDisplay* self);
static void _noise_stats_display_resetClicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void noise_stats_display_real_resetClicked (NoiseStatsDisplay* self);
static void noise_stats_display_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return self ? g_object_ref (self) : NULL;
#line 348 "MediaEditor.c"
}


static void _noise_media_editor_previousClicked_noise_widgets_navigation_arrows_previous_clicked (NoiseWidgetsNavigationArrows* _sender, gpointer self) {
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_previousClicked ((NoiseMediaEditor*) self);
#line 355 "MediaEditor.c"
}


static void _noise_media_editor_nextClicked_noise_widgets_navigation_arrows_next_clicked (NoiseWidgetsNavigationArrows* _sender, gpointer self) {
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_nextClicked ((NoiseMediaEditor*) self);
#line 362 "MediaEditor.c"
}


static void _noise_media_editor_saveClicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_saveClicked ((NoiseMediaEditor*) self);
#line 369 "MediaEditor.c"
}


static void __lambda39_ (NoiseMediaEditor* self) {
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 376 "MediaEditor.c"
}


static void ___lambda39__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	__lambda39_ ((NoiseMediaEditor*) self);
#line 383 "MediaEditor.c"
}


NoiseMediaEditor* noise_media_editor_construct (GType object_type, GeeCollection* allMedias, GeeCollection* medias, NoiseLibrary* library) {
	NoiseMediaEditor * self = NULL;
	NoiseLibrary* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	NoiseLibraryWindow* _tmp2_ = NULL;
	NoiseLibraryWindow* _tmp3_ = NULL;
	NoiseLyricFetcher* _tmp4_ = NULL;
	GeeLinkedList* _tmp5_ = NULL;
	GeeCollection* _tmp6_ = NULL;
	GeeLinkedList* _tmp7_ = NULL;
	GeeCollection* _tmp8_ = NULL;
	GtkStack* _tmp9_ = NULL;
	GtkStackSwitcher* stack_switcher = NULL;
	GtkStackSwitcher* _tmp10_ = NULL;
	GtkStackSwitcher* _tmp11_ = NULL;
	GtkStack* _tmp12_ = NULL;
	GtkStackSwitcher* _tmp13_ = NULL;
	GtkStackSwitcher* _tmp14_ = NULL;
	GtkStackSwitcher* _tmp15_ = NULL;
	GtkStack* _tmp16_ = NULL;
	GtkBox* _tmp17_ = NULL;
	GtkBox* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	GeeLinkedList* _tmp20_ = NULL;
	gint _tmp21_ = 0;
	gint _tmp22_ = 0;
	NoiseWidgetsNavigationArrows* arrows = NULL;
	NoiseWidgetsNavigationArrows* _tmp27_ = NULL;
	const gchar* _tmp28_ = NULL;
	GtkButton* _tmp29_ = NULL;
	GtkButton* _tmp30_ = NULL;
	GtkStyleContext* _tmp31_ = NULL;
	const gchar* _tmp32_ = NULL;
	GtkButton* _tmp33_ = NULL;
	GtkButtonBox* buttons = NULL;
	GtkButtonBox* _tmp34_ = NULL;
	GtkButtonBox* _tmp35_ = NULL;
	GtkButtonBox* _tmp36_ = NULL;
	GtkButtonBox* _tmp37_ = NULL;
	GtkButtonBox* _tmp38_ = NULL;
	NoiseWidgetsNavigationArrows* _tmp39_ = NULL;
	GtkButtonBox* _tmp40_ = NULL;
	GtkButton* _tmp41_ = NULL;
	GtkButtonBox* _tmp42_ = NULL;
	GtkButton* _tmp43_ = NULL;
	GtkButtonBox* _tmp44_ = NULL;
	NoiseWidgetsNavigationArrows* _tmp45_ = NULL;
	GtkGrid* main_grid = NULL;
	GtkGrid* _tmp46_ = NULL;
	GtkGrid* _tmp47_ = NULL;
	GtkStack* _tmp48_ = NULL;
	GtkGrid* _tmp49_ = NULL;
	GtkButtonBox* _tmp50_ = NULL;
	GtkContainer* content = NULL;
	GtkBox* _tmp51_ = NULL;
	GtkContainer* _tmp52_ = NULL;
	GtkContainer* _tmp53_ = NULL;
	GtkContainer* _tmp54_ = NULL;
	GtkContainer* _tmp55_ = NULL;
	GtkGrid* _tmp56_ = NULL;
	NoiseWidgetsNavigationArrows* _tmp57_ = NULL;
	GeeCollection* _tmp58_ = NULL;
	gint _tmp59_ = 0;
	gint _tmp60_ = 0;
	GeeLinkedList* _tmp61_ = NULL;
	gint _tmp62_ = 0;
	gint _tmp63_ = 0;
	NoiseWidgetsNavigationArrows* _tmp75_ = NULL;
	NoiseWidgetsNavigationArrows* _tmp76_ = NULL;
	GtkButton* _tmp77_ = NULL;
	GtkButton* _tmp78_ = NULL;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (allMedias != NULL, NULL);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (medias != NULL, NULL);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (library != NULL, NULL);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = (NoiseMediaEditor*) g_object_new (object_type, NULL);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = library;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->library);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->library = _tmp1_;
#line 60 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_set ((GtkWindow*) self, "window-position", GTK_WIN_POS_CENTER, NULL);
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_type_hint ((GtkWindow*) self, GDK_WINDOW_TYPE_HINT_DIALOG);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_modal ((GtkWindow*) self, FALSE);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = noise_app_get_main_window ();
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = _tmp2_;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp3_);
#line 64 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_destroy_with_parent ((GtkWindow*) self, TRUE);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, 520, -1);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = noise_lyric_fetcher_new ();
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->lf);
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->lf = _tmp4_;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = self->priv->_allMedias;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = allMedias;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_collection_add_all ((GeeCollection*) _tmp5_, _tmp6_);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = self->priv->_medias;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = medias;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_collection_add_all ((GeeCollection*) _tmp7_, _tmp8_);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = (GtkStack*) gtk_stack_new ();
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp9_);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->stack);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->stack = _tmp9_;
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = (GtkStackSwitcher*) gtk_stack_switcher_new ();
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp10_);
#line 77 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	stack_switcher = _tmp10_;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = stack_switcher;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = self->priv->stack;
#line 78 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_stack_switcher_set_stack (_tmp11_, _tmp12_);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = stack_switcher;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp13_, GTK_ALIGN_CENTER);
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = stack_switcher;
#line 80 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp14_, 24);
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = stack_switcher;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp15_, 12);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = self->priv->stack;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = noise_media_editor_createBasicContent (self);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = _tmp17_;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = _ ("Details");
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_stack_add_titled (_tmp16_, (GtkWidget*) _tmp18_, "metadata", _tmp19_);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp18_);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = self->priv->_medias;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp21_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp20_);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp22_ = _tmp21_;
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp22_ == 1) {
#line 564 "MediaEditor.c"
		GtkStack* _tmp23_ = NULL;
		GtkBox* _tmp24_ = NULL;
		GtkBox* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp23_ = self->priv->stack;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp24_ = noise_media_editor_createLyricsContent (self);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp25_ = _tmp24_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp26_ = _ ("Lyrics");
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_stack_add_titled (_tmp23_, (GtkWidget*) _tmp25_, "lyrics", _tmp26_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_tmp25_);
#line 581 "MediaEditor.c"
	} else {
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (self->priv->lyricsText);
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		self->priv->lyricsText = NULL;
#line 587 "MediaEditor.c"
	}
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp27_ = noise_widgets_navigation_arrows_new ();
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp27_);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	arrows = _tmp27_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp28_ = _ (NOISE_STRING_SAVE);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp29_ = (GtkButton*) gtk_button_new_with_label (_tmp28_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp29_);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->save_button);
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->save_button = _tmp29_;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp30_ = self->priv->save_button;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp31_ = gtk_widget_get_style_context ((GtkWidget*) _tmp30_);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_style_context_add_class (_tmp31_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp32_ = _ ("Close");
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp33_ = (GtkButton*) gtk_button_new_with_label (_tmp32_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp33_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->close_button);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->close_button = _tmp33_;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp34_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp34_);
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	buttons = _tmp34_;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp35_ = buttons;
#line 97 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_button_box_set_layout (_tmp35_, GTK_BUTTONBOX_END);
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp36_ = buttons;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp36_, 6);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp37_ = buttons;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp37_, 6);
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp38_ = buttons;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp39_ = arrows;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start ((GtkBox*) _tmp38_, (GtkWidget*) _tmp39_, FALSE, FALSE, (guint) 0);
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp40_ = buttons;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp41_ = self->priv->close_button;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_end ((GtkBox*) _tmp40_, (GtkWidget*) _tmp41_, FALSE, FALSE, (guint) 0);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp42_ = buttons;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp43_ = self->priv->save_button;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_end ((GtkBox*) _tmp42_, (GtkWidget*) _tmp43_, FALSE, FALSE, (guint) 0);
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp44_ = buttons;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp45_ = arrows;
#line 104 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_button_box_set_child_secondary (_tmp44_, (GtkWidget*) _tmp45_, TRUE);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp46_ = (GtkGrid*) gtk_grid_new ();
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp46_);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	main_grid = _tmp46_;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp47_ = main_grid;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp48_ = self->priv->stack;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp47_, (GtkWidget*) _tmp48_, 0, 0, 1, 1);
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp49_ = main_grid;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp50_ = buttons;
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp49_, (GtkWidget*) _tmp50_, 0, 1, 1, 1);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp51_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp52_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp51_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp51_) : NULL);
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	content = _tmp52_;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp53_ = content;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp54_ = content;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp54_, 12);
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_left ((GtkWidget*) _tmp53_, 12);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp55_ = content;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp56_ = main_grid;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add (_tmp55_, (GtkWidget*) _tmp56_);
#line 114 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp57_ = arrows;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp58_ = allMedias;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp59_ = gee_collection_get_size (_tmp58_);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp60_ = _tmp59_;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp57_, _tmp60_ > 1);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp61_ = self->priv->_medias;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp62_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp61_);
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp63_ = _tmp62_;
#line 118 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp63_ == 1) {
#line 721 "MediaEditor.c"
		{
			GeeIterator* _fe_it = NULL;
			GeeHashMap* _tmp64_ = NULL;
			GeeCollection* _tmp65_ = NULL;
			GeeCollection* _tmp66_ = NULL;
			GeeCollection* _tmp67_ = NULL;
			GeeIterator* _tmp68_ = NULL;
			GeeIterator* _tmp69_ = NULL;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp64_ = self->priv->fields;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp65_ = gee_abstract_map_get_values ((GeeMap*) _tmp64_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp66_ = _tmp65_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp67_ = _tmp66_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp68_ = gee_iterable_iterator ((GeeIterable*) _tmp67_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp69_ = _tmp68_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp67_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_fe_it = _tmp69_;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			while (TRUE) {
#line 748 "MediaEditor.c"
				GeeIterator* _tmp70_ = NULL;
				gboolean _tmp71_ = FALSE;
				NoiseFieldEditor* fe = NULL;
				GeeIterator* _tmp72_ = NULL;
				gpointer _tmp73_ = NULL;
				NoiseFieldEditor* _tmp74_ = NULL;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp70_ = _fe_it;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp71_ = gee_iterator_next (_tmp70_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (!_tmp71_) {
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					break;
#line 763 "MediaEditor.c"
				}
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp72_ = _fe_it;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp73_ = gee_iterator_get (_tmp72_);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				fe = (NoiseFieldEditor*) _tmp73_;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp74_ = fe;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_field_editor_set_check_visible (_tmp74_, FALSE);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (fe);
#line 777 "MediaEditor.c"
			}
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_fe_it);
#line 781 "MediaEditor.c"
		}
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		noise_media_editor_fetch_lyrics (self, FALSE, NULL, NULL);
#line 785 "MediaEditor.c"
	}
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp75_ = arrows;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp75_, "previous-clicked", (GCallback) _noise_media_editor_previousClicked_noise_widgets_navigation_arrows_previous_clicked, self, 0);
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp76_ = arrows;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp76_, "next-clicked", (GCallback) _noise_media_editor_nextClicked_noise_widgets_navigation_arrows_next_clicked, self, 0);
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp77_ = self->priv->save_button;
#line 127 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp77_, "clicked", (GCallback) _noise_media_editor_saveClicked_gtk_button_clicked, self, 0);
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp78_ = self->priv->close_button;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp78_, "clicked", (GCallback) ___lambda39__gtk_button_clicked, self, 0);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (content);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (main_grid);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (buttons);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (arrows);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (stack_switcher);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return self;
#line 815 "MediaEditor.c"
}


NoiseMediaEditor* noise_media_editor_new (GeeCollection* allMedias, GeeCollection* medias, NoiseLibrary* library) {
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return noise_media_editor_construct (NOISE_TYPE_MEDIA_EDITOR, allMedias, medias, library);
#line 822 "MediaEditor.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1282 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1282 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1282 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 835 "MediaEditor.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 866 "MediaEditor.c"
				goto __catch103_g_regex_error;
			}
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1284 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			return NULL;
#line 875 "MediaEditor.c"
		}
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) (-1), 0, _tmp7_, 0, &_inner_error_);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 891 "MediaEditor.c"
				goto __catch103_g_regex_error;
			}
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
			return NULL;
#line 902 "MediaEditor.c"
		}
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1285 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		return result;
#line 916 "MediaEditor.c"
	}
	goto __finally103;
	__catch103_g_regex_error:
	{
		GError* e = NULL;
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1287 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 930 "MediaEditor.c"
	}
	__finally103:
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1283 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		return NULL;
#line 941 "MediaEditor.c"
	}
}


GtkBox* noise_media_editor_createBasicContent (NoiseMediaEditor* self) {
	GtkBox* result = NULL;
	GeeHashMap* _tmp0_ = NULL;
	NoiseMedia* sum = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	NoiseMedia* _tmp4_ = NULL;
	NoiseMedia* _tmp5_ = NULL;
	NoiseMedia* _tmp6_ = NULL;
	NoiseMedia* _tmp7_ = NULL;
	GeeLinkedList* _tmp120_ = NULL;
	gint _tmp121_ = 0;
	gint _tmp122_ = 0;
	NoiseMedia* _tmp149_ = NULL;
	guint _tmp150_ = 0U;
	guint _tmp151_ = 0U;
	GeeHashMap* _tmp155_ = NULL;
	const gchar* _tmp156_ = NULL;
	NoiseMedia* _tmp157_ = NULL;
	const gchar* _tmp158_ = NULL;
	const gchar* _tmp159_ = NULL;
	GtkEntry* _tmp160_ = NULL;
	GtkEntry* _tmp161_ = NULL;
	NoiseFieldEditor* _tmp162_ = NULL;
	NoiseFieldEditor* _tmp163_ = NULL;
	GeeHashMap* _tmp164_ = NULL;
	const gchar* _tmp165_ = NULL;
	NoiseMedia* _tmp166_ = NULL;
	const gchar* _tmp167_ = NULL;
	const gchar* _tmp168_ = NULL;
	GtkEntry* _tmp169_ = NULL;
	GtkEntry* _tmp170_ = NULL;
	NoiseFieldEditor* _tmp171_ = NULL;
	NoiseFieldEditor* _tmp172_ = NULL;
	GeeHashMap* _tmp173_ = NULL;
	const gchar* _tmp174_ = NULL;
	NoiseMedia* _tmp175_ = NULL;
	const gchar* _tmp176_ = NULL;
	const gchar* _tmp177_ = NULL;
	GtkEntry* _tmp178_ = NULL;
	GtkEntry* _tmp179_ = NULL;
	NoiseFieldEditor* _tmp180_ = NULL;
	NoiseFieldEditor* _tmp181_ = NULL;
	GeeHashMap* _tmp182_ = NULL;
	const gchar* _tmp183_ = NULL;
	NoiseMedia* _tmp184_ = NULL;
	const gchar* _tmp185_ = NULL;
	const gchar* _tmp186_ = NULL;
	GtkEntry* _tmp187_ = NULL;
	GtkEntry* _tmp188_ = NULL;
	NoiseFieldEditor* _tmp189_ = NULL;
	NoiseFieldEditor* _tmp190_ = NULL;
	GeeHashMap* _tmp191_ = NULL;
	const gchar* _tmp192_ = NULL;
	NoiseMedia* _tmp193_ = NULL;
	const gchar* _tmp194_ = NULL;
	const gchar* _tmp195_ = NULL;
	GtkEntry* _tmp196_ = NULL;
	GtkEntry* _tmp197_ = NULL;
	NoiseFieldEditor* _tmp198_ = NULL;
	NoiseFieldEditor* _tmp199_ = NULL;
	GeeHashMap* _tmp200_ = NULL;
	const gchar* _tmp201_ = NULL;
	NoiseMedia* _tmp202_ = NULL;
	const gchar* _tmp203_ = NULL;
	const gchar* _tmp204_ = NULL;
	GtkEntry* _tmp205_ = NULL;
	GtkEntry* _tmp206_ = NULL;
	NoiseFieldEditor* _tmp207_ = NULL;
	NoiseFieldEditor* _tmp208_ = NULL;
	GeeHashMap* _tmp209_ = NULL;
	const gchar* _tmp210_ = NULL;
	NoiseMedia* _tmp211_ = NULL;
	const gchar* _tmp212_ = NULL;
	const gchar* _tmp213_ = NULL;
	GtkEntry* _tmp214_ = NULL;
	GtkEntry* _tmp215_ = NULL;
	NoiseFieldEditor* _tmp216_ = NULL;
	NoiseFieldEditor* _tmp217_ = NULL;
	GeeHashMap* _tmp218_ = NULL;
	const gchar* _tmp219_ = NULL;
	NoiseMedia* _tmp220_ = NULL;
	const gchar* _tmp221_ = NULL;
	const gchar* _tmp222_ = NULL;
	GtkTextView* _tmp223_ = NULL;
	GtkTextView* _tmp224_ = NULL;
	NoiseFieldEditor* _tmp225_ = NULL;
	NoiseFieldEditor* _tmp226_ = NULL;
	GeeHashMap* _tmp227_ = NULL;
	const gchar* _tmp228_ = NULL;
	NoiseMedia* _tmp229_ = NULL;
	guint _tmp230_ = 0U;
	guint _tmp231_ = 0U;
	gchar* _tmp232_ = NULL;
	gchar* _tmp233_ = NULL;
	GtkSpinButton* _tmp234_ = NULL;
	GtkSpinButton* _tmp235_ = NULL;
	NoiseFieldEditor* _tmp236_ = NULL;
	NoiseFieldEditor* _tmp237_ = NULL;
	GeeHashMap* _tmp238_ = NULL;
	const gchar* _tmp239_ = NULL;
	NoiseMedia* _tmp240_ = NULL;
	guint _tmp241_ = 0U;
	guint _tmp242_ = 0U;
	gchar* _tmp243_ = NULL;
	gchar* _tmp244_ = NULL;
	GtkSpinButton* _tmp245_ = NULL;
	GtkSpinButton* _tmp246_ = NULL;
	NoiseFieldEditor* _tmp247_ = NULL;
	NoiseFieldEditor* _tmp248_ = NULL;
	GeeHashMap* _tmp249_ = NULL;
	const gchar* _tmp250_ = NULL;
	NoiseMedia* _tmp251_ = NULL;
	guint _tmp252_ = 0U;
	guint _tmp253_ = 0U;
	gchar* _tmp254_ = NULL;
	gchar* _tmp255_ = NULL;
	GtkSpinButton* _tmp256_ = NULL;
	GtkSpinButton* _tmp257_ = NULL;
	NoiseFieldEditor* _tmp258_ = NULL;
	NoiseFieldEditor* _tmp259_ = NULL;
	GeeHashMap* _tmp260_ = NULL;
	const gchar* _tmp261_ = NULL;
	NoiseMedia* _tmp262_ = NULL;
	guint _tmp263_ = 0U;
	guint _tmp264_ = 0U;
	gchar* _tmp265_ = NULL;
	gchar* _tmp266_ = NULL;
	GraniteWidgetsRating* _tmp267_ = NULL;
	GraniteWidgetsRating* _tmp268_ = NULL;
	NoiseFieldEditor* _tmp269_ = NULL;
	NoiseFieldEditor* _tmp270_ = NULL;
	GtkBox* vert = NULL;
	GtkBox* _tmp271_ = NULL;
	GtkBox* horiz = NULL;
	GtkBox* _tmp272_ = NULL;
	GtkBox* textVert = NULL;
	GtkBox* _tmp273_ = NULL;
	GtkBox* numerVert = NULL;
	GtkBox* _tmp274_ = NULL;
	GeeHashMap* _tmp275_ = NULL;
	gpointer _tmp276_ = NULL;
	NoiseFieldEditor* _tmp277_ = NULL;
	GeeHashMap* _tmp278_ = NULL;
	gpointer _tmp279_ = NULL;
	NoiseFieldEditor* _tmp280_ = NULL;
	GeeHashMap* _tmp281_ = NULL;
	gpointer _tmp282_ = NULL;
	NoiseFieldEditor* _tmp283_ = NULL;
	GeeHashMap* _tmp284_ = NULL;
	gpointer _tmp285_ = NULL;
	NoiseFieldEditor* _tmp286_ = NULL;
	GeeHashMap* _tmp287_ = NULL;
	gpointer _tmp288_ = NULL;
	NoiseFieldEditor* _tmp289_ = NULL;
	GeeHashMap* _tmp290_ = NULL;
	gpointer _tmp291_ = NULL;
	NoiseFieldEditor* _tmp292_ = NULL;
	GeeHashMap* _tmp293_ = NULL;
	gpointer _tmp294_ = NULL;
	NoiseFieldEditor* _tmp295_ = NULL;
	GeeHashMap* _tmp296_ = NULL;
	gpointer _tmp297_ = NULL;
	NoiseFieldEditor* _tmp298_ = NULL;
	GeeHashMap* _tmp299_ = NULL;
	gpointer _tmp300_ = NULL;
	NoiseFieldEditor* _tmp301_ = NULL;
	GeeHashMap* _tmp302_ = NULL;
	gpointer _tmp303_ = NULL;
	NoiseFieldEditor* _tmp304_ = NULL;
	GeeHashMap* _tmp305_ = NULL;
	gpointer _tmp306_ = NULL;
	NoiseFieldEditor* _tmp307_ = NULL;
	GeeHashMap* _tmp308_ = NULL;
	gpointer _tmp309_ = NULL;
	NoiseFieldEditor* _tmp310_ = NULL;
	GtkWidget* _tmp311_ = NULL;
	GtkWidget* _tmp312_ = NULL;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NOISE_TYPE_FIELD_EDITOR, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->fields);
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->fields = _tmp0_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = self->priv->library;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->_medias;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gee_abstract_list_get ((GeeAbstractList*) _tmp2_, 0);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = noise_library_media_from_id (_tmp1_, (gint) ((gintptr) _tmp3_));
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = _tmp4_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = noise_media_copy (_tmp5_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = _tmp6_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp5_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	sum = _tmp7_;
#line 1151 "MediaEditor.c"
	{
		GeeLinkedList* _i_list = NULL;
		GeeLinkedList* _tmp8_ = NULL;
		GeeLinkedList* _tmp9_ = NULL;
		gint _i_size = 0;
		GeeLinkedList* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gint _tmp12_ = 0;
		gint _i_index = 0;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp8_ = self->priv->_medias;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = _g_object_ref0 (_tmp8_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_i_list = _tmp9_;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp10_ = _i_list;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp11_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp10_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp12_ = _tmp11_;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_i_size = _tmp12_;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_i_index = -1;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		while (TRUE) {
#line 1179 "MediaEditor.c"
			gint _tmp13_ = 0;
			gint _tmp14_ = 0;
			gint _tmp15_ = 0;
			gint i = 0;
			GeeLinkedList* _tmp16_ = NULL;
			gint _tmp17_ = 0;
			gpointer _tmp18_ = NULL;
			NoiseMedia* s = NULL;
			NoiseLibrary* _tmp19_ = NULL;
			gint _tmp20_ = 0;
			NoiseMedia* _tmp21_ = NULL;
			NoiseMedia* _tmp22_ = NULL;
			guint _tmp23_ = 0U;
			guint _tmp24_ = 0U;
			NoiseMedia* _tmp25_ = NULL;
			guint _tmp26_ = 0U;
			guint _tmp27_ = 0U;
			NoiseMedia* _tmp29_ = NULL;
			guint _tmp30_ = 0U;
			guint _tmp31_ = 0U;
			NoiseMedia* _tmp32_ = NULL;
			guint _tmp33_ = 0U;
			guint _tmp34_ = 0U;
			NoiseMedia* _tmp36_ = NULL;
			const gchar* _tmp37_ = NULL;
			const gchar* _tmp38_ = NULL;
			NoiseMedia* _tmp39_ = NULL;
			const gchar* _tmp40_ = NULL;
			const gchar* _tmp41_ = NULL;
			NoiseMedia* _tmp43_ = NULL;
			const gchar* _tmp44_ = NULL;
			const gchar* _tmp45_ = NULL;
			NoiseMedia* _tmp46_ = NULL;
			const gchar* _tmp47_ = NULL;
			const gchar* _tmp48_ = NULL;
			NoiseMedia* _tmp50_ = NULL;
			const gchar* _tmp51_ = NULL;
			const gchar* _tmp52_ = NULL;
			NoiseMedia* _tmp53_ = NULL;
			const gchar* _tmp54_ = NULL;
			const gchar* _tmp55_ = NULL;
			NoiseMedia* _tmp57_ = NULL;
			const gchar* _tmp58_ = NULL;
			const gchar* _tmp59_ = NULL;
			NoiseMedia* _tmp60_ = NULL;
			const gchar* _tmp61_ = NULL;
			const gchar* _tmp62_ = NULL;
			NoiseMedia* _tmp64_ = NULL;
			const gchar* _tmp65_ = NULL;
			const gchar* _tmp66_ = NULL;
			NoiseMedia* _tmp67_ = NULL;
			const gchar* _tmp68_ = NULL;
			const gchar* _tmp69_ = NULL;
			NoiseMedia* _tmp71_ = NULL;
			const gchar* _tmp72_ = NULL;
			const gchar* _tmp73_ = NULL;
			NoiseMedia* _tmp74_ = NULL;
			const gchar* _tmp75_ = NULL;
			const gchar* _tmp76_ = NULL;
			NoiseMedia* _tmp78_ = NULL;
			guint _tmp79_ = 0U;
			guint _tmp80_ = 0U;
			NoiseMedia* _tmp81_ = NULL;
			guint _tmp82_ = 0U;
			guint _tmp83_ = 0U;
			NoiseMedia* _tmp85_ = NULL;
			guint _tmp86_ = 0U;
			guint _tmp87_ = 0U;
			NoiseMedia* _tmp88_ = NULL;
			guint _tmp89_ = 0U;
			guint _tmp90_ = 0U;
			NoiseMedia* _tmp92_ = NULL;
			const gchar* _tmp93_ = NULL;
			const gchar* _tmp94_ = NULL;
			NoiseMedia* _tmp95_ = NULL;
			const gchar* _tmp96_ = NULL;
			const gchar* _tmp97_ = NULL;
			NoiseMedia* _tmp99_ = NULL;
			const gchar* _tmp100_ = NULL;
			const gchar* _tmp101_ = NULL;
			NoiseMedia* _tmp102_ = NULL;
			const gchar* _tmp103_ = NULL;
			const gchar* _tmp104_ = NULL;
			NoiseMedia* _tmp106_ = NULL;
			guint _tmp107_ = 0U;
			guint _tmp108_ = 0U;
			NoiseMedia* _tmp109_ = NULL;
			guint _tmp110_ = 0U;
			guint _tmp111_ = 0U;
			NoiseMedia* _tmp113_ = NULL;
			guint _tmp114_ = 0U;
			guint _tmp115_ = 0U;
			NoiseMedia* _tmp116_ = NULL;
			guint _tmp117_ = 0U;
			guint _tmp118_ = 0U;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp13_ = _i_index;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_i_index = _tmp13_ + 1;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp14_ = _i_index;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp15_ = _i_size;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (!(_tmp14_ < _tmp15_)) {
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				break;
#line 1287 "MediaEditor.c"
			}
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp16_ = _i_list;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp17_ = _i_index;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp18_ = gee_abstract_list_get ((GeeAbstractList*) _tmp16_, _tmp17_);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			i = (gint) ((gintptr) _tmp18_);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp19_ = self->priv->library;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp20_ = i;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp21_ = noise_library_media_from_id (_tmp19_, _tmp20_);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			s = _tmp21_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp22_ = s;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp23_ = noise_media_get_track (_tmp22_);
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp24_ = _tmp23_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp25_ = sum;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp26_ = noise_media_get_track (_tmp25_);
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp27_ = _tmp26_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp24_ != _tmp27_) {
#line 1319 "MediaEditor.c"
				NoiseMedia* _tmp28_ = NULL;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp28_ = sum;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_track (_tmp28_, (guint) 0);
#line 1325 "MediaEditor.c"
			}
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp29_ = s;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp30_ = noise_media_get_album_number (_tmp29_);
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp31_ = _tmp30_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp32_ = sum;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp33_ = noise_media_get_album_number (_tmp32_);
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp34_ = _tmp33_;
#line 141 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp31_ != _tmp34_) {
#line 1341 "MediaEditor.c"
				NoiseMedia* _tmp35_ = NULL;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp35_ = sum;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album_number (_tmp35_, (guint) 0);
#line 1347 "MediaEditor.c"
			}
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp36_ = s;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp37_ = noise_media_get_title (_tmp36_);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp38_ = _tmp37_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp39_ = sum;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp40_ = noise_media_get_title (_tmp39_);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp41_ = _tmp40_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp38_, _tmp41_) != 0) {
#line 1363 "MediaEditor.c"
				NoiseMedia* _tmp42_ = NULL;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp42_ = sum;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_title (_tmp42_, "");
#line 1369 "MediaEditor.c"
			}
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp43_ = s;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp44_ = noise_media_get_artist (_tmp43_);
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp45_ = _tmp44_;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp46_ = sum;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp47_ = noise_media_get_artist (_tmp46_);
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp48_ = _tmp47_;
#line 145 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp45_, _tmp48_) != 0) {
#line 1385 "MediaEditor.c"
				NoiseMedia* _tmp49_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp49_ = sum;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_artist (_tmp49_, "");
#line 1391 "MediaEditor.c"
			}
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp50_ = s;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp51_ = noise_media_get_album_artist (_tmp50_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp52_ = _tmp51_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp53_ = sum;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp54_ = noise_media_get_album_artist (_tmp53_);
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp55_ = _tmp54_;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp52_, _tmp55_) != 0) {
#line 1407 "MediaEditor.c"
				NoiseMedia* _tmp56_ = NULL;
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp56_ = sum;
#line 148 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album_artist (_tmp56_, "");
#line 1413 "MediaEditor.c"
			}
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp57_ = s;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp58_ = noise_media_get_album (_tmp57_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp59_ = _tmp58_;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp60_ = sum;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp61_ = noise_media_get_album (_tmp60_);
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp62_ = _tmp61_;
#line 149 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp59_, _tmp62_) != 0) {
#line 1429 "MediaEditor.c"
				NoiseMedia* _tmp63_ = NULL;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp63_ = sum;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album (_tmp63_, "");
#line 1435 "MediaEditor.c"
			}
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp64_ = s;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp65_ = noise_media_get_genre (_tmp64_);
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp66_ = _tmp65_;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp67_ = sum;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp68_ = noise_media_get_genre (_tmp67_);
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp69_ = _tmp68_;
#line 151 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp66_, _tmp69_) != 0) {
#line 1451 "MediaEditor.c"
				NoiseMedia* _tmp70_ = NULL;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp70_ = sum;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_genre (_tmp70_, "");
#line 1457 "MediaEditor.c"
			}
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp71_ = s;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp72_ = noise_media_get_comment (_tmp71_);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp73_ = _tmp72_;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp74_ = sum;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp75_ = noise_media_get_comment (_tmp74_);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp76_ = _tmp75_;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp73_, _tmp76_) != 0) {
#line 1473 "MediaEditor.c"
				NoiseMedia* _tmp77_ = NULL;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp77_ = sum;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_comment (_tmp77_, "");
#line 1479 "MediaEditor.c"
			}
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp78_ = s;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp79_ = noise_media_get_year (_tmp78_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp80_ = _tmp79_;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp81_ = sum;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp82_ = noise_media_get_year (_tmp81_);
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp83_ = _tmp82_;
#line 155 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp80_ != _tmp83_) {
#line 1495 "MediaEditor.c"
				NoiseMedia* _tmp84_ = NULL;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp84_ = sum;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_year (_tmp84_, (guint) 0);
#line 1501 "MediaEditor.c"
			}
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp85_ = s;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp86_ = noise_media_get_bitrate (_tmp85_);
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp87_ = _tmp86_;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp88_ = sum;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp89_ = noise_media_get_bitrate (_tmp88_);
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp90_ = _tmp89_;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp87_ != _tmp90_) {
#line 1517 "MediaEditor.c"
				NoiseMedia* _tmp91_ = NULL;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp91_ = sum;
#line 158 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_bitrate (_tmp91_, (guint) 0);
#line 1523 "MediaEditor.c"
			}
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp92_ = s;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp93_ = noise_media_get_composer (_tmp92_);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp94_ = _tmp93_;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp95_ = sum;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp96_ = noise_media_get_composer (_tmp95_);
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp97_ = _tmp96_;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp94_, _tmp97_) != 0) {
#line 1539 "MediaEditor.c"
				NoiseMedia* _tmp98_ = NULL;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp98_ = sum;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_composer (_tmp98_, "");
#line 1545 "MediaEditor.c"
			}
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp99_ = s;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp100_ = noise_media_get_grouping (_tmp99_);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp101_ = _tmp100_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp102_ = sum;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp103_ = noise_media_get_grouping (_tmp102_);
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp104_ = _tmp103_;
#line 161 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (g_strcmp0 (_tmp101_, _tmp104_) != 0) {
#line 1561 "MediaEditor.c"
				NoiseMedia* _tmp105_ = NULL;
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp105_ = sum;
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_grouping (_tmp105_, "");
#line 1567 "MediaEditor.c"
			}
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp106_ = s;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp107_ = noise_media_get_bpm (_tmp106_);
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp108_ = _tmp107_;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp109_ = sum;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp110_ = noise_media_get_bpm (_tmp109_);
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp111_ = _tmp110_;
#line 165 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp108_ != _tmp111_) {
#line 1583 "MediaEditor.c"
				NoiseMedia* _tmp112_ = NULL;
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp112_ = sum;
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_bpm (_tmp112_, (guint) 0);
#line 1589 "MediaEditor.c"
			}
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp113_ = s;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp114_ = noise_media_get_rating (_tmp113_);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp115_ = _tmp114_;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp116_ = sum;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp117_ = noise_media_get_rating (_tmp116_);
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp118_ = _tmp117_;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp115_ != _tmp118_) {
#line 1605 "MediaEditor.c"
				NoiseMedia* _tmp119_ = NULL;
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp119_ = sum;
#line 168 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_rating (_tmp119_, (guint) 0);
#line 1611 "MediaEditor.c"
			}
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (s);
#line 1615 "MediaEditor.c"
		}
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_i_list);
#line 1619 "MediaEditor.c"
	}
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp120_ = self->priv->_medias;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp121_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp120_);
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp122_ = _tmp121_;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp122_ == 1) {
#line 1629 "MediaEditor.c"
		NoiseMedia* _tmp123_ = NULL;
		const gchar* _tmp124_ = NULL;
		const gchar* _tmp125_ = NULL;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp123_ = sum;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp124_ = noise_media_get_artist (_tmp123_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp125_ = _tmp124_;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (g_strcmp0 (_tmp125_, "") != 0) {
#line 1641 "MediaEditor.c"
			const gchar* _tmp126_ = NULL;
			NoiseMedia* _tmp127_ = NULL;
			const gchar* _tmp128_ = NULL;
			const gchar* _tmp129_ = NULL;
			gchar* _tmp130_ = NULL;
			gchar* _tmp131_ = NULL;
			NoiseMedia* _tmp132_ = NULL;
			const gchar* _tmp133_ = NULL;
			const gchar* _tmp134_ = NULL;
			gchar* _tmp135_ = NULL;
			gchar* _tmp136_ = NULL;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp126_ = _ ("Editing $NAME by $ARTIST");
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp127_ = sum;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp128_ = noise_media_get_title (_tmp127_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp129_ = _tmp128_;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp130_ = string_replace (_tmp126_, "$NAME", _tmp129_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp131_ = _tmp130_;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp132_ = sum;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp133_ = noise_media_get_artist (_tmp132_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp134_ = _tmp133_;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp135_ = string_replace (_tmp131_, "$ARTIST", _tmp134_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp136_ = _tmp135_;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_window_set_title ((GtkWindow*) self, _tmp136_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_free0 (_tmp136_);
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_free0 (_tmp131_);
#line 1681 "MediaEditor.c"
		} else {
			const gchar* _tmp137_ = NULL;
			NoiseMedia* _tmp138_ = NULL;
			const gchar* _tmp139_ = NULL;
			const gchar* _tmp140_ = NULL;
			gchar* _tmp141_ = NULL;
			gchar* _tmp142_ = NULL;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp137_ = _ ("Editing %s");
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp138_ = sum;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp139_ = noise_media_get_title (_tmp138_);
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp140_ = _tmp139_;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp141_ = g_strdup_printf (_tmp137_, _tmp140_);
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp142_ = _tmp141_;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_window_set_title ((GtkWindow*) self, _tmp142_);
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_free0 (_tmp142_);
#line 1705 "MediaEditor.c"
		}
	} else {
		const gchar* _tmp143_ = NULL;
		GeeLinkedList* _tmp144_ = NULL;
		gint _tmp145_ = 0;
		gint _tmp146_ = 0;
		gchar* _tmp147_ = NULL;
		gchar* _tmp148_ = NULL;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp143_ = _ ("Editing %i songs");
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp144_ = self->priv->_medias;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp145_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp144_);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp146_ = _tmp145_;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp147_ = g_strdup_printf (_tmp143_, _tmp146_);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp148_ = _tmp147_;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_window_set_title ((GtkWindow*) self, _tmp148_);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_tmp148_);
#line 1730 "MediaEditor.c"
	}
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp149_ = sum;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp150_ = noise_media_get_year (_tmp149_);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp151_ = _tmp150_;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp151_ == ((guint) (-1))) {
#line 1740 "MediaEditor.c"
		NoiseMedia* _tmp152_ = NULL;
		struct tm _tmp153_ = {0};
		gint _tmp154_ = 0;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp152_ = sum;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		memset (&_tmp153_, 0, sizeof (struct tm));
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp154_ = _tmp153_.tm_year;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		noise_media_set_year (_tmp152_, (guint) _tmp154_);
#line 1752 "MediaEditor.c"
	}
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp155_ = self->priv->fields;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp156_ = _ ("Title");
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp157_ = sum;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp158_ = noise_media_get_title (_tmp157_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp159_ = _tmp158_;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp160_ = (GtkEntry*) gtk_entry_new ();
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp160_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp161_ = _tmp160_;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp162_ = noise_field_editor_new (_tmp156_, _tmp159_, (GtkWidget*) _tmp161_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp162_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp163_ = _tmp162_;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp155_, "Title", _tmp163_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp163_);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp161_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp164_ = self->priv->fields;
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp165_ = _ ("Artist");
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp166_ = sum;
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp167_ = noise_media_get_artist (_tmp166_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp168_ = _tmp167_;
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp169_ = (GtkEntry*) gtk_entry_new ();
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp169_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp170_ = _tmp169_;
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp171_ = noise_field_editor_new (_tmp165_, _tmp168_, (GtkWidget*) _tmp170_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp171_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp172_ = _tmp171_;
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp164_, "Artist", _tmp172_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp172_);
#line 191 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp170_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp173_ = self->priv->fields;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp174_ = _ ("Album Artist");
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp175_ = sum;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp176_ = noise_media_get_album_artist (_tmp175_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp177_ = _tmp176_;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp178_ = (GtkEntry*) gtk_entry_new ();
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp178_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp179_ = _tmp178_;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp180_ = noise_field_editor_new (_tmp174_, _tmp177_, (GtkWidget*) _tmp179_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp180_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp181_ = _tmp180_;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp173_, "Album Artist", _tmp181_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp181_);
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp179_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp182_ = self->priv->fields;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp183_ = _ ("Album");
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp184_ = sum;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp185_ = noise_media_get_album (_tmp184_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp186_ = _tmp185_;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp187_ = (GtkEntry*) gtk_entry_new ();
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp187_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp188_ = _tmp187_;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp189_ = noise_field_editor_new (_tmp183_, _tmp186_, (GtkWidget*) _tmp188_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp189_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp190_ = _tmp189_;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp182_, "Album", _tmp190_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp190_);
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp188_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp191_ = self->priv->fields;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp192_ = _ ("Genre");
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp193_ = sum;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp194_ = noise_media_get_genre (_tmp193_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp195_ = _tmp194_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp196_ = (GtkEntry*) gtk_entry_new ();
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp196_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp197_ = _tmp196_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp198_ = noise_field_editor_new (_tmp192_, _tmp195_, (GtkWidget*) _tmp197_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp198_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp199_ = _tmp198_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp191_, "Genre", _tmp199_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp199_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp197_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp200_ = self->priv->fields;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp201_ = _ ("Composer");
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp202_ = sum;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp203_ = noise_media_get_composer (_tmp202_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp204_ = _tmp203_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp205_ = (GtkEntry*) gtk_entry_new ();
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp205_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp206_ = _tmp205_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp207_ = noise_field_editor_new (_tmp201_, _tmp204_, (GtkWidget*) _tmp206_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp207_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp208_ = _tmp207_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp200_, "Composer", _tmp208_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp208_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp206_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp209_ = self->priv->fields;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp210_ = _ ("Grouping");
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp211_ = sum;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp212_ = noise_media_get_grouping (_tmp211_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp213_ = _tmp212_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp214_ = (GtkEntry*) gtk_entry_new ();
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp214_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp215_ = _tmp214_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp216_ = noise_field_editor_new (_tmp210_, _tmp213_, (GtkWidget*) _tmp215_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp216_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp217_ = _tmp216_;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp209_, "Grouping", _tmp217_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp217_);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp215_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp218_ = self->priv->fields;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp219_ = _ ("Comment");
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp220_ = sum;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp221_ = noise_media_get_comment (_tmp220_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp222_ = _tmp221_;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp223_ = (GtkTextView*) gtk_text_view_new ();
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp223_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp224_ = _tmp223_;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp225_ = noise_field_editor_new (_tmp219_, _tmp222_, (GtkWidget*) _tmp224_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp225_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp226_ = _tmp225_;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp218_, "Comment", _tmp226_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp226_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp224_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp227_ = self->priv->fields;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp228_ = _ ("Track");
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp229_ = sum;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp230_ = noise_media_get_track (_tmp229_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp231_ = _tmp230_;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp232_ = g_strdup_printf ("%u", _tmp231_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp233_ = _tmp232_;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp234_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 500, (gdouble) 1);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp234_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp235_ = _tmp234_;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp236_ = noise_field_editor_new (_tmp228_, _tmp233_, (GtkWidget*) _tmp235_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp236_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp237_ = _tmp236_;
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp227_, "Track", _tmp237_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp237_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp235_);
#line 198 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp233_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp238_ = self->priv->fields;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp239_ = _ ("Disc");
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp240_ = sum;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp241_ = noise_media_get_album_number (_tmp240_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp242_ = _tmp241_;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp243_ = g_strdup_printf ("%u", _tmp242_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp244_ = _tmp243_;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp245_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 500, (gdouble) 1);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp245_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp246_ = _tmp245_;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp247_ = noise_field_editor_new (_tmp239_, _tmp244_, (GtkWidget*) _tmp246_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp247_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp248_ = _tmp247_;
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp238_, "Disc", _tmp248_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp248_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp246_);
#line 199 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp244_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp249_ = self->priv->fields;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp250_ = _ ("Year");
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp251_ = sum;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp252_ = noise_media_get_year (_tmp251_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp253_ = _tmp252_;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp254_ = g_strdup_printf ("%u", _tmp253_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp255_ = _tmp254_;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp256_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 9999, (gdouble) 1);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp256_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp257_ = _tmp256_;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp258_ = noise_field_editor_new (_tmp250_, _tmp255_, (GtkWidget*) _tmp257_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp258_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp259_ = _tmp258_;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp249_, "Year", _tmp259_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp259_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp257_);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp255_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp260_ = self->priv->fields;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp261_ = _ ("Rating");
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp262_ = sum;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp263_ = noise_media_get_rating (_tmp262_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp264_ = _tmp263_;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp265_ = g_strdup_printf ("%u", _tmp264_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp266_ = _tmp265_;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp267_ = granite_widgets_rating_new (FALSE, GTK_ICON_SIZE_MENU, FALSE);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp267_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp268_ = _tmp267_;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp269_ = noise_field_editor_new (_tmp261_, _tmp266_, (GtkWidget*) _tmp268_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp269_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp270_ = _tmp269_;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp260_, "Rating", _tmp270_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp270_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp268_);
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp266_);
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp271_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp271_);
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	vert = _tmp271_;
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp272_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp272_);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	horiz = _tmp272_;
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp273_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp273_);
#line 205 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	textVert = _tmp273_;
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp274_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp274_);
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	numerVert = _tmp274_;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp275_ = self->priv->fields;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp276_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp275_, "Title");
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp277_ = (NoiseFieldEditor*) _tmp276_;
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (textVert, (GtkWidget*) _tmp277_, FALSE, TRUE, (guint) 0);
#line 208 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp277_);
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp278_ = self->priv->fields;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp279_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp278_, "Artist");
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp280_ = (NoiseFieldEditor*) _tmp279_;
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (textVert, (GtkWidget*) _tmp280_, FALSE, TRUE, (guint) 5);
#line 209 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp280_);
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp281_ = self->priv->fields;
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp282_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp281_, "Album Artist");
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp283_ = (NoiseFieldEditor*) _tmp282_;
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (textVert, (GtkWidget*) _tmp283_, FALSE, TRUE, (guint) 5);
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp283_);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp284_ = self->priv->fields;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp285_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp284_, "Composer");
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp286_ = (NoiseFieldEditor*) _tmp285_;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (textVert, (GtkWidget*) _tmp286_, FALSE, TRUE, (guint) 5);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp286_);
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp287_ = self->priv->fields;
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp288_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp287_, "Album");
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp289_ = (NoiseFieldEditor*) _tmp288_;
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (textVert, (GtkWidget*) _tmp289_, FALSE, TRUE, (guint) 5);
#line 212 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp289_);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp290_ = self->priv->fields;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp291_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp290_, "Comment");
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp292_ = (NoiseFieldEditor*) _tmp291_;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (textVert, (GtkWidget*) _tmp292_, FALSE, TRUE, (guint) 5);
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp292_);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp293_ = self->priv->fields;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp294_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp293_, "Track");
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp295_ = (NoiseFieldEditor*) _tmp294_;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (numerVert, (GtkWidget*) _tmp295_, FALSE, TRUE, (guint) 0);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp295_);
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp296_ = self->priv->fields;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp297_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp296_, "Disc");
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp298_ = (NoiseFieldEditor*) _tmp297_;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (numerVert, (GtkWidget*) _tmp298_, FALSE, TRUE, (guint) 5);
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp298_);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp299_ = self->priv->fields;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp300_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp299_, "Genre");
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp301_ = (NoiseFieldEditor*) _tmp300_;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (numerVert, (GtkWidget*) _tmp301_, FALSE, TRUE, (guint) 5);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp301_);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp302_ = self->priv->fields;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp303_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp302_, "Grouping");
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp304_ = (NoiseFieldEditor*) _tmp303_;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (numerVert, (GtkWidget*) _tmp304_, FALSE, TRUE, (guint) 5);
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp304_);
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp305_ = self->priv->fields;
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp306_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp305_, "Year");
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp307_ = (NoiseFieldEditor*) _tmp306_;
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (numerVert, (GtkWidget*) _tmp307_, FALSE, TRUE, (guint) 5);
#line 219 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp307_);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp308_ = self->priv->fields;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp309_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp308_, "Rating");
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp310_ = (NoiseFieldEditor*) _tmp309_;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (numerVert, (GtkWidget*) _tmp310_, FALSE, TRUE, (guint) 5);
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp310_);
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp311_ = noise_ui_wrap_alignment ((GtkWidget*) textVert, 0, 30, 0, 0);
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp312_ = _tmp311_;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (horiz, _tmp312_, FALSE, TRUE, (guint) 0);
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp312_);
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_end (horiz, (GtkWidget*) numerVert, FALSE, TRUE, (guint) 0);
#line 226 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (vert, (GtkWidget*) horiz, TRUE, TRUE, (guint) 0);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	result = vert;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (numerVert);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (textVert);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (horiz);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (sum);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return result;
#line 2282 "MediaEditor.c"
}


GtkBox* noise_media_editor_createLyricsContent (NoiseMediaEditor* self) {
	GtkBox* result = NULL;
	GtkBox* lyricsContent = NULL;
	GtkBox* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkTextView* _tmp5_ = NULL;
	GtkTextView* _tmp6_ = NULL;
	GtkTextView* _tmp7_ = NULL;
	GtkTextBuffer* _tmp8_ = NULL;
	NoiseLibrary* _tmp9_ = NULL;
	GeeLinkedList* _tmp10_ = NULL;
	gpointer _tmp11_ = NULL;
	NoiseMedia* _tmp12_ = NULL;
	NoiseMedia* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	GtkScrolledWindow* text_scroll = NULL;
	GtkScrolledWindow* _tmp16_ = NULL;
	GtkTextView* _tmp17_ = NULL;
	GtkFrame* frame = NULL;
	GtkFrame* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkTextView* _tmp20_ = NULL;
#line 231 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 10);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp0_);
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	lyricsContent = _tmp0_;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new ("");
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp1_);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->lyricsInfobarLabel);
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->lyricsInfobarLabel = _tmp1_;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->lyricsInfobarLabel;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_justify (_tmp2_, GTK_JUSTIFY_LEFT);
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = self->priv->lyricsInfobarLabel;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_single_line_mode (_tmp3_, TRUE);
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = self->priv->lyricsInfobarLabel;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_ellipsize (_tmp4_, PANGO_ELLIPSIZE_END);
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = (GtkTextView*) gtk_text_view_new ();
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp5_);
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->lyricsText);
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->lyricsText = _tmp5_;
#line 242 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = self->priv->lyricsText;
#line 242 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_text_view_set_wrap_mode (_tmp6_, GTK_WRAP_WORD_CHAR);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = self->priv->lyricsText;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = gtk_text_view_get_buffer (_tmp7_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = self->priv->library;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = self->priv->_medias;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, 0);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = noise_library_media_from_id (_tmp9_, (gint) ((gintptr) _tmp11_));
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = _tmp12_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = noise_media_get_lyrics (_tmp13_);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = _tmp14_;
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_set (_tmp8_, "text", _tmp15_, NULL);
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp13_);
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp16_);
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	text_scroll = _tmp16_;
#line 246 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_scrolled_window_set_policy (text_scroll, GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = self->priv->lyricsText;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add ((GtkContainer*) text_scroll, (GtkWidget*) _tmp17_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = (GtkFrame*) gtk_frame_new (NULL);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp18_);
#line 250 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	frame = _tmp18_;
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add ((GtkContainer*) frame, (GtkWidget*) text_scroll);
#line 253 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (lyricsContent, (GtkWidget*) frame, TRUE, TRUE, (guint) 0);
#line 254 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = self->priv->lyricsInfobarLabel;
#line 254 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (lyricsContent, (GtkWidget*) _tmp19_, FALSE, TRUE, (guint) 5);
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = self->priv->lyricsText;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp20_, 400, -1);
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	result = lyricsContent;
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (frame);
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (text_scroll);
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return result;
#line 2412 "MediaEditor.c"
}


static void noise_media_editor_fetchLyricsClicked_data_free (gpointer _data) {
	noise_media_editor_fetchLyricsClickedData* _data_;
	_data_ = _data;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_data_->self);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_slice_free (noise_media_editor_fetchLyricsClickedData, _data_);
#line 2423 "MediaEditor.c"
}


void noise_media_editor_fetchLyricsClicked (NoiseMediaEditor* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	noise_media_editor_fetchLyricsClickedData* _data_;
	NoiseMediaEditor* _tmp0_ = NULL;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_ = g_slice_new0 (noise_media_editor_fetchLyricsClickedData);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, noise_media_editor_fetchLyricsClicked);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_media_editor_fetchLyricsClicked_data_free);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->self = _tmp0_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetchLyricsClicked_co (_data_);
#line 2442 "MediaEditor.c"
}


void noise_media_editor_fetchLyricsClicked_finish (NoiseMediaEditor* self, GAsyncResult* _res_) {
	noise_media_editor_fetchLyricsClickedData* _data_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 2450 "MediaEditor.c"
}


static void noise_media_editor_fetchLyricsClicked_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	noise_media_editor_fetchLyricsClickedData* _data_;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_ = _user_data_;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_source_object_ = source_object;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_res_ = _res_;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetchLyricsClicked_co (_data_);
#line 2464 "MediaEditor.c"
}


static gboolean noise_media_editor_fetchLyricsClicked_co (noise_media_editor_fetchLyricsClickedData* _data_) {
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	switch (_data_->_state_) {
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		case 0:
#line 2473 "MediaEditor.c"
		goto _state_0;
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		case 1:
#line 2477 "MediaEditor.c"
		goto _state_1;
		default:
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_assert_not_reached ();
#line 2482 "MediaEditor.c"
	}
	_state_0:
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_state_ = 1;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetch_lyrics (_data_->self, TRUE, noise_media_editor_fetchLyricsClicked_ready, _data_);
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return FALSE;
#line 2491 "MediaEditor.c"
	_state_1:
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetch_lyrics_finish (_data_->self, _data_->_res_);
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_data_->_state_ == 0) {
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 2499 "MediaEditor.c"
	} else {
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 2503 "MediaEditor.c"
	}
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_unref (_data_->_async_result);
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return FALSE;
#line 2509 "MediaEditor.c"
}


static void noise_media_editor_fetch_lyrics_data_free (gpointer _data) {
	NoiseMediaEditorFetchLyricsData* _data_;
	_data_ = _data;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_data_->self);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_slice_free (NoiseMediaEditorFetchLyricsData, _data_);
#line 2520 "MediaEditor.c"
}


static void noise_media_editor_fetch_lyrics (NoiseMediaEditor* self, gboolean overwrite, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoiseMediaEditorFetchLyricsData* _data_;
	NoiseMediaEditor* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_ = g_slice_new0 (NoiseMediaEditorFetchLyricsData);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, noise_media_editor_fetch_lyrics);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_media_editor_fetch_lyrics_data_free);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->self = _tmp0_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = overwrite;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->overwrite = _tmp1_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetch_lyrics_co (_data_);
#line 2544 "MediaEditor.c"
}


static void noise_media_editor_fetch_lyrics_finish (NoiseMediaEditor* self, GAsyncResult* _res_) {
	NoiseMediaEditorFetchLyricsData* _data_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 2552 "MediaEditor.c"
}


static void noise_media_editor_fetch_lyrics_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NoiseMediaEditorFetchLyricsData* _data_;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_ = _user_data_;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_source_object_ = source_object;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_res_ = _res_;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetch_lyrics_co (_data_);
#line 2566 "MediaEditor.c"
}


static gboolean noise_media_editor_fetch_lyrics_co (NoiseMediaEditorFetchLyricsData* _data_) {
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	switch (_data_->_state_) {
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		case 0:
#line 2575 "MediaEditor.c"
		goto _state_0;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		case 1:
#line 2579 "MediaEditor.c"
		goto _state_1;
		default:
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_assert_not_reached ();
#line 2584 "MediaEditor.c"
	}
	_state_0:
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp0_ = NULL;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp0_ = _data_->self->priv->lyricsInfobarLabel;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_hide ((GtkWidget*) _data_->_tmp0_);
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp1_ = NULL;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp1_ = _data_->self->priv->library;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp2_ = NULL;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp2_ = _data_->self->priv->_medias;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp3_ = NULL;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp3_ = gee_abstract_list_get ((GeeAbstractList*) _data_->_tmp2_, 0);
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp4_ = NULL;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp4_ = noise_library_media_from_id (_data_->_tmp1_, (gint) ((gintptr) _data_->_tmp3_));
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->s = _data_->_tmp4_;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp6_ = NULL;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp6_ = _data_->s;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp7_ = NULL;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp7_ = noise_media_get_lyrics (_data_->_tmp6_);
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp8_ = NULL;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp8_ = _data_->_tmp7_;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp9_ = FALSE;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data_->_tmp9_ = noise_string_is_white_space (_data_->_tmp8_);
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (!_data_->_tmp9_) {
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp10_ = FALSE;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp10_ = _data_->overwrite;
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp5_ = !_data_->_tmp10_;
#line 2635 "MediaEditor.c"
	} else {
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp5_ = FALSE;
#line 2639 "MediaEditor.c"
	}
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (!_data_->_tmp5_) {
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp11_ = NULL;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp11_ = _data_->s;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp12_ = NULL;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp12_ = _data_->self->priv->lf;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp13_ = NULL;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp13_ = _data_->s;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_state_ = 1;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		noise_lyric_fetcher_fetch_lyrics_async (_data_->_tmp12_, _data_->_tmp13_, noise_media_editor_fetch_lyrics_ready, _data_);
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		return FALSE;
#line 2661 "MediaEditor.c"
		_state_1:
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp14_ = NULL;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp14_ = noise_lyric_fetcher_fetch_lyrics_finish (_data_->_tmp12_, _data_->_res_);
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp15_ = NULL;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp15_ = _data_->_tmp14_;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		noise_media_set_lyrics (_data_->_tmp11_, _data_->_tmp15_);
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_data_->_tmp15_);
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp16_ = NULL;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp16_ = _data_->self->priv->library;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp17_ = NULL;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp17_ = _data_->self->priv->_medias;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp18_ = NULL;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp18_ = gee_abstract_list_get ((GeeAbstractList*) _data_->_tmp17_, 0);
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp19_ = NULL;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp19_ = noise_library_media_from_id (_data_->_tmp16_, (gint) ((gintptr) _data_->_tmp18_));
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->current_media = _data_->_tmp19_;
#line 274 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp20_ = NULL;
#line 274 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp20_ = _data_->current_media;
#line 274 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp21_ = NULL;
#line 274 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_data_->_tmp21_ = _data_->s;
#line 274 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (_data_->_tmp20_ == _data_->_tmp21_) {
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_data_->_tmp22_ = NULL;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_data_->_tmp22_ = _data_->s;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			noise_media_editor_lyricsFetched (_data_->self, _data_->_tmp22_);
#line 2709 "MediaEditor.c"
		}
#line 270 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_data_->current_media);
#line 2713 "MediaEditor.c"
	}
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_data_->s);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_data_->_state_ == 0) {
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 2721 "MediaEditor.c"
	} else {
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 2725 "MediaEditor.c"
	}
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_unref (_data_->_async_result);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return FALSE;
#line 2731 "MediaEditor.c"
}


static Block30Data* block30_data_ref (Block30Data* _data30_) {
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_atomic_int_inc (&_data30_->_ref_count_);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return _data30_;
#line 2740 "MediaEditor.c"
}


static void block30_data_unref (void * _userdata_) {
	Block30Data* _data30_;
	_data30_ = (Block30Data*) _userdata_;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (g_atomic_int_dec_and_test (&_data30_->_ref_count_)) {
#line 2749 "MediaEditor.c"
		NoiseMediaEditor* self;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		self = _data30_->self;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_data30_->m);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (self);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_slice_free (Block30Data, _data30_);
#line 2759 "MediaEditor.c"
	}
}


static gboolean __lambda38_ (Block30Data* _data30_) {
	NoiseMediaEditor* self;
	gboolean result = FALSE;
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	NoiseMedia* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = _data30_->self;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->lyricsInfobarLabel;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_text (_tmp0_, "");
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = self->priv->lyricsInfobarLabel;
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_hide ((GtkWidget*) _tmp1_);
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = _data30_->m;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = noise_media_get_lyrics (_tmp2_);
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = _tmp3_;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = noise_string_is_white_space (_tmp4_);
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (!_tmp5_) {
#line 2793 "MediaEditor.c"
		GtkTextView* _tmp6_ = NULL;
		GtkTextBuffer* _tmp7_ = NULL;
		NoiseMedia* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp6_ = self->priv->lyricsText;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp7_ = gtk_text_view_get_buffer (_tmp6_);
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp8_ = _data30_->m;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = noise_media_get_lyrics (_tmp8_);
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp10_ = _tmp9_;
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_object_set (_tmp7_, "text", _tmp10_, NULL);
#line 2811 "MediaEditor.c"
	} else {
		GtkLabel* _tmp11_ = NULL;
		GtkLabel* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		NoiseMedia* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp11_ = self->priv->lyricsInfobarLabel;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp11_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp12_ = self->priv->lyricsInfobarLabel;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp13_ = _ ("Lyrics not found for %s");
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp14_ = _data30_->m;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp15_ = noise_media_get_title (_tmp14_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp16_ = _tmp15_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp17_ = noise_string_escape (_tmp16_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp18_ = _tmp17_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp19_ = g_strconcat ("<i>", _tmp18_, NULL);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp20_ = _tmp19_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp21_ = g_strconcat (_tmp20_, "</i>", NULL);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp22_ = _tmp21_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp23_ = g_strdup_printf (_tmp13_, _tmp22_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp24_ = _tmp23_;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_label_set_markup (_tmp12_, _tmp24_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_tmp24_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_tmp22_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_tmp20_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_tmp18_);
#line 2867 "MediaEditor.c"
	}
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	result = FALSE;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return result;
#line 2873 "MediaEditor.c"
}


static gboolean ___lambda38__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda38_ (self);
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return result;
#line 2882 "MediaEditor.c"
}


void noise_media_editor_lyricsFetched (NoiseMediaEditor* self, NoiseMedia* m) {
	Block30Data* _data30_;
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (m != NULL);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data30_ = g_slice_new0 (Block30Data);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data30_->_ref_count_ = 1;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data30_->self = g_object_ref (self);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = m;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_data30_->m);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data30_->m = _tmp1_;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda38__gsource_func, block30_data_ref (_data30_), block30_data_unref);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	block30_data_unref (_data30_);
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_data30_ = NULL;
#line 2914 "MediaEditor.c"
}


void noise_media_editor_previousClicked (NoiseMediaEditor* self) {
	gint i = 0;
	gint indexOfCurrentFirst = 0;
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	GeeLinkedList* newMedias = NULL;
	GeeLinkedList* _tmp13_ = NULL;
	gint _tmp14_ = 0;
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 299 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_save_medias (self);
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	i = 0;
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->_allMedias;
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = self->priv->_medias;
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = gee_abstract_list_get ((GeeAbstractList*) _tmp1_, 0);
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp0_, (gpointer) ((gintptr) ((gint) ((gintptr) _tmp2_))));
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	indexOfCurrentFirst = _tmp3_;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = indexOfCurrentFirst;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp4_ == 0) {
#line 2949 "MediaEditor.c"
		GeeLinkedList* _tmp5_ = NULL;
		GeeLinkedList* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
		gpointer _tmp9_ = NULL;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = self->priv->_allMedias;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp6_ = self->priv->_allMedias;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp6_);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp8_ = _tmp7_;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _tmp8_ - 1);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		i = (gint) ((gintptr) _tmp9_);
#line 2967 "MediaEditor.c"
	} else {
		GeeLinkedList* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gpointer _tmp12_ = NULL;
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp10_ = self->priv->_allMedias;
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp11_ = indexOfCurrentFirst;
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_ - 1);
#line 308 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		i = (gint) ((gintptr) _tmp12_);
#line 2980 "MediaEditor.c"
	}
#line 311 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = gee_linked_list_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 311 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	newMedias = _tmp13_;
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = i;
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) newMedias, (gpointer) ((gintptr) _tmp14_));
#line 314 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_change_media (self, newMedias);
#line 298 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (newMedias);
#line 2994 "MediaEditor.c"
}


void noise_media_editor_nextClicked (NoiseMediaEditor* self) {
	gint i = 0;
	gint indexOfCurrentLast = 0;
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gpointer _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	GeeLinkedList* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp10_ = 0;
	GeeLinkedList* newMedias = NULL;
	GeeLinkedList* _tmp16_ = NULL;
	gint _tmp17_ = 0;
#line 317 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_save_medias (self);
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	i = 0;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->_allMedias;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = self->priv->_medias;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->_medias;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = _tmp3_;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = gee_abstract_list_get ((GeeAbstractList*) _tmp1_, _tmp4_ - 1);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp0_, (gpointer) ((gintptr) ((gint) ((gintptr) _tmp5_))));
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	indexOfCurrentLast = _tmp6_;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = indexOfCurrentLast;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = self->priv->_allMedias;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp8_);
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = _tmp9_;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp7_ == (_tmp10_ - 1)) {
#line 3047 "MediaEditor.c"
		GeeLinkedList* _tmp11_ = NULL;
		gpointer _tmp12_ = NULL;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp11_ = self->priv->_allMedias;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, 0);
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		i = (gint) ((gintptr) _tmp12_);
#line 3056 "MediaEditor.c"
	} else {
		GeeLinkedList* _tmp13_ = NULL;
		gint _tmp14_ = 0;
		gpointer _tmp15_ = NULL;
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp13_ = self->priv->_allMedias;
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp14_ = indexOfCurrentLast;
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp15_ = gee_abstract_list_get ((GeeAbstractList*) _tmp13_, _tmp14_ + 1);
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		i = (gint) ((gintptr) _tmp15_);
#line 3069 "MediaEditor.c"
	}
#line 329 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = gee_linked_list_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 329 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	newMedias = _tmp16_;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = i;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) newMedias, (gpointer) ((gintptr) _tmp17_));
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_change_media (self, newMedias);
#line 317 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (newMedias);
#line 3083 "MediaEditor.c"
}


void noise_media_editor_change_media (NoiseMediaEditor* self, GeeLinkedList* newMedias) {
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	NoiseMedia* sum = NULL;
	NoiseLibrary* _tmp2_ = NULL;
	GeeLinkedList* _tmp3_ = NULL;
	gpointer _tmp4_ = NULL;
	NoiseMedia* _tmp5_ = NULL;
	GeeLinkedList* _tmp6_ = NULL;
	gint _tmp7_ = 0;
	gint _tmp8_ = 0;
	GeeHashMap* _tmp46_ = NULL;
	gpointer _tmp47_ = NULL;
	NoiseFieldEditor* _tmp48_ = NULL;
	NoiseMedia* _tmp49_ = NULL;
	const gchar* _tmp50_ = NULL;
	const gchar* _tmp51_ = NULL;
	GeeHashMap* _tmp52_ = NULL;
	gpointer _tmp53_ = NULL;
	NoiseFieldEditor* _tmp54_ = NULL;
	NoiseMedia* _tmp55_ = NULL;
	const gchar* _tmp56_ = NULL;
	const gchar* _tmp57_ = NULL;
	GeeHashMap* _tmp58_ = NULL;
	gpointer _tmp59_ = NULL;
	NoiseFieldEditor* _tmp60_ = NULL;
	NoiseMedia* _tmp61_ = NULL;
	const gchar* _tmp62_ = NULL;
	const gchar* _tmp63_ = NULL;
	GeeHashMap* _tmp64_ = NULL;
	gpointer _tmp65_ = NULL;
	NoiseFieldEditor* _tmp66_ = NULL;
	NoiseMedia* _tmp67_ = NULL;
	const gchar* _tmp68_ = NULL;
	const gchar* _tmp69_ = NULL;
	GeeHashMap* _tmp70_ = NULL;
	gpointer _tmp71_ = NULL;
	NoiseFieldEditor* _tmp72_ = NULL;
	NoiseMedia* _tmp73_ = NULL;
	const gchar* _tmp74_ = NULL;
	const gchar* _tmp75_ = NULL;
	GeeHashMap* _tmp76_ = NULL;
	gpointer _tmp77_ = NULL;
	NoiseFieldEditor* _tmp78_ = NULL;
	NoiseMedia* _tmp79_ = NULL;
	const gchar* _tmp80_ = NULL;
	const gchar* _tmp81_ = NULL;
	GeeHashMap* _tmp82_ = NULL;
	gpointer _tmp83_ = NULL;
	NoiseFieldEditor* _tmp84_ = NULL;
	NoiseMedia* _tmp85_ = NULL;
	guint _tmp86_ = 0U;
	guint _tmp87_ = 0U;
	gchar* _tmp88_ = NULL;
	gchar* _tmp89_ = NULL;
	GeeHashMap* _tmp90_ = NULL;
	gpointer _tmp91_ = NULL;
	NoiseFieldEditor* _tmp92_ = NULL;
	NoiseMedia* _tmp93_ = NULL;
	guint _tmp94_ = 0U;
	guint _tmp95_ = 0U;
	gchar* _tmp96_ = NULL;
	gchar* _tmp97_ = NULL;
	GeeHashMap* _tmp98_ = NULL;
	gpointer _tmp99_ = NULL;
	NoiseFieldEditor* _tmp100_ = NULL;
	NoiseMedia* _tmp101_ = NULL;
	guint _tmp102_ = 0U;
	guint _tmp103_ = 0U;
	gchar* _tmp104_ = NULL;
	gchar* _tmp105_ = NULL;
	GeeHashMap* _tmp106_ = NULL;
	gpointer _tmp107_ = NULL;
	NoiseFieldEditor* _tmp108_ = NULL;
	NoiseMedia* _tmp109_ = NULL;
	guint _tmp110_ = 0U;
	guint _tmp111_ = 0U;
	gchar* _tmp112_ = NULL;
	gchar* _tmp113_ = NULL;
	GeeHashMap* _tmp114_ = NULL;
	gpointer _tmp115_ = NULL;
	NoiseFieldEditor* _tmp116_ = NULL;
	NoiseMedia* _tmp117_ = NULL;
	const gchar* _tmp118_ = NULL;
	const gchar* _tmp119_ = NULL;
	GeeHashMap* _tmp120_ = NULL;
	gpointer _tmp121_ = NULL;
	NoiseFieldEditor* _tmp122_ = NULL;
	NoiseMedia* _tmp123_ = NULL;
	const gchar* _tmp124_ = NULL;
	const gchar* _tmp125_ = NULL;
	GtkTextView* _tmp126_ = NULL;
	GtkTextView* _tmp132_ = NULL;
	GtkTextBuffer* _tmp133_ = NULL;
	NoiseMedia* _tmp134_ = NULL;
	const gchar* _tmp135_ = NULL;
	const gchar* _tmp136_ = NULL;
#line 335 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 335 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (newMedias != NULL);
#line 336 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = newMedias;
#line 336 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 336 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->_medias);
#line 336 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->_medias = _tmp1_;
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->library;
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = newMedias;
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = gee_abstract_list_get ((GeeAbstractList*) _tmp3_, 0);
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = noise_library_media_from_id (_tmp2_, (gint) ((gintptr) _tmp4_));
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	sum = _tmp5_;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = self->priv->_medias;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp6_);
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = _tmp7_;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp8_ == 1) {
#line 3214 "MediaEditor.c"
		NoiseMedia* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = sum;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp10_ = noise_media_get_artist (_tmp9_);
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp11_ = _tmp10_;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (g_strcmp0 (_tmp11_, "") != 0) {
#line 3226 "MediaEditor.c"
			const gchar* _tmp12_ = NULL;
			NoiseMedia* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			gchar* _tmp17_ = NULL;
			NoiseMedia* _tmp18_ = NULL;
			const gchar* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
			gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp12_ = _ ("Editing $NAME by $ARTIST");
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp13_ = sum;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp14_ = noise_media_get_title (_tmp13_);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp15_ = _tmp14_;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp16_ = string_replace (_tmp12_, "$NAME", _tmp15_);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp17_ = _tmp16_;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp18_ = sum;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp19_ = noise_media_get_artist (_tmp18_);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp20_ = _tmp19_;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp21_ = string_replace (_tmp17_, "$ARTIST", _tmp20_);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp22_ = _tmp21_;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_window_set_title ((GtkWindow*) self, _tmp22_);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_free0 (_tmp22_);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_free0 (_tmp17_);
#line 3266 "MediaEditor.c"
		} else {
			const gchar* _tmp23_ = NULL;
			NoiseMedia* _tmp24_ = NULL;
			const gchar* _tmp25_ = NULL;
			const gchar* _tmp26_ = NULL;
			gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp23_ = _ ("Editing %s");
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp24_ = sum;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp25_ = noise_media_get_title (_tmp24_);
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp26_ = _tmp25_;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp27_ = g_strdup_printf (_tmp23_, _tmp26_);
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp28_ = _tmp27_;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_window_set_title ((GtkWindow*) self, _tmp28_);
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_free0 (_tmp28_);
#line 3290 "MediaEditor.c"
		}
	} else {
		const gchar* _tmp29_ = NULL;
		GeeLinkedList* _tmp30_ = NULL;
		gint _tmp31_ = 0;
		gint _tmp32_ = 0;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp29_ = _ ("Editing %i songs");
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp30_ = self->priv->_medias;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp31_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp30_);
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp32_ = _tmp31_;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp33_ = g_strdup_printf (_tmp29_, _tmp32_);
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp34_ = _tmp33_;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_window_set_title ((GtkWindow*) self, _tmp34_);
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_free0 (_tmp34_);
#line 3315 "MediaEditor.c"
	}
	{
		GeeIterator* _fe_it = NULL;
		GeeHashMap* _tmp35_ = NULL;
		GeeCollection* _tmp36_ = NULL;
		GeeCollection* _tmp37_ = NULL;
		GeeCollection* _tmp38_ = NULL;
		GeeIterator* _tmp39_ = NULL;
		GeeIterator* _tmp40_ = NULL;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp35_ = self->priv->fields;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp36_ = gee_abstract_map_get_values ((GeeMap*) _tmp35_);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp37_ = _tmp36_;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp38_ = _tmp37_;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp39_ = gee_iterable_iterator ((GeeIterable*) _tmp38_);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp40_ = _tmp39_;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_tmp38_);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_fe_it = _tmp40_;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		while (TRUE) {
#line 3343 "MediaEditor.c"
			GeeIterator* _tmp41_ = NULL;
			gboolean _tmp42_ = FALSE;
			NoiseFieldEditor* fe = NULL;
			GeeIterator* _tmp43_ = NULL;
			gpointer _tmp44_ = NULL;
			NoiseFieldEditor* _tmp45_ = NULL;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp41_ = _fe_it;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp42_ = gee_iterator_next (_tmp41_);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (!_tmp42_) {
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				break;
#line 3358 "MediaEditor.c"
			}
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp43_ = _fe_it;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp44_ = gee_iterator_get (_tmp43_);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			fe = (NoiseFieldEditor*) _tmp44_;
#line 353 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp45_ = fe;
#line 353 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			noise_field_editor_set_check_visible (_tmp45_, FALSE);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (fe);
#line 3372 "MediaEditor.c"
		}
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_fe_it);
#line 3376 "MediaEditor.c"
	}
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp46_ = self->priv->fields;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp47_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp46_, "Title");
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp48_ = (NoiseFieldEditor*) _tmp47_;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp49_ = sum;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp50_ = noise_media_get_title (_tmp49_);
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp51_ = _tmp50_;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp48_, _tmp51_);
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp48_);
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp52_ = self->priv->fields;
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp53_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp52_, "Artist");
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp54_ = (NoiseFieldEditor*) _tmp53_;
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp55_ = sum;
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp56_ = noise_media_get_artist (_tmp55_);
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp57_ = _tmp56_;
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp54_, _tmp57_);
#line 356 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp54_);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp58_ = self->priv->fields;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp59_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp58_, "Album Artist");
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp60_ = (NoiseFieldEditor*) _tmp59_;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp61_ = sum;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp62_ = noise_media_get_album_artist (_tmp61_);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp63_ = _tmp62_;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp60_, _tmp63_);
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp60_);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp64_ = self->priv->fields;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp65_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp64_, "Album");
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp66_ = (NoiseFieldEditor*) _tmp65_;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp67_ = sum;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp68_ = noise_media_get_album (_tmp67_);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp69_ = _tmp68_;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp66_, _tmp69_);
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp66_);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp70_ = self->priv->fields;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp71_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp70_, "Genre");
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp72_ = (NoiseFieldEditor*) _tmp71_;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp73_ = sum;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp74_ = noise_media_get_genre (_tmp73_);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp75_ = _tmp74_;
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp72_, _tmp75_);
#line 359 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp72_);
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp76_ = self->priv->fields;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp77_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp76_, "Comment");
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp78_ = (NoiseFieldEditor*) _tmp77_;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp79_ = sum;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp80_ = noise_media_get_comment (_tmp79_);
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp81_ = _tmp80_;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp78_, _tmp81_);
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp78_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp82_ = self->priv->fields;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp83_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp82_, "Track");
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp84_ = (NoiseFieldEditor*) _tmp83_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp85_ = sum;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp86_ = noise_media_get_track (_tmp85_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp87_ = _tmp86_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp88_ = g_strdup_printf ("%u", _tmp87_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp89_ = _tmp88_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp84_, _tmp89_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp89_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp84_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp90_ = self->priv->fields;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp91_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp90_, "Disc");
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp92_ = (NoiseFieldEditor*) _tmp91_;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp93_ = sum;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp94_ = noise_media_get_album_number (_tmp93_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp95_ = _tmp94_;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp96_ = g_strdup_printf ("%u", _tmp95_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp97_ = _tmp96_;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp92_, _tmp97_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp97_);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp92_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp98_ = self->priv->fields;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp99_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp98_, "Year");
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp100_ = (NoiseFieldEditor*) _tmp99_;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp101_ = sum;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp102_ = noise_media_get_year (_tmp101_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp103_ = _tmp102_;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp104_ = g_strdup_printf ("%u", _tmp103_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp105_ = _tmp104_;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp100_, _tmp105_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp105_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp100_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp106_ = self->priv->fields;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp107_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp106_, "Rating");
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp108_ = (NoiseFieldEditor*) _tmp107_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp109_ = sum;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp110_ = noise_media_get_rating (_tmp109_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp111_ = _tmp110_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp112_ = g_strdup_printf ("%u", _tmp111_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp113_ = _tmp112_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp108_, _tmp113_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp113_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp108_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp114_ = self->priv->fields;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp115_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp114_, "Composer");
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp116_ = (NoiseFieldEditor*) _tmp115_;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp117_ = sum;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp118_ = noise_media_get_composer (_tmp117_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp119_ = _tmp118_;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp116_, _tmp119_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp116_);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp120_ = self->priv->fields;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp121_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp120_, "Grouping");
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp122_ = (NoiseFieldEditor*) _tmp121_;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp123_ = sum;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp124_ = noise_media_get_grouping (_tmp123_);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp125_ = _tmp124_;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_set_value (_tmp122_, _tmp125_);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp122_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp126_ = self->priv->lyricsText;
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp126_ == NULL) {
#line 3598 "MediaEditor.c"
		GtkBox* lyrics = NULL;
		GtkBox* _tmp127_ = NULL;
		GtkStack* _tmp128_ = NULL;
		GtkBox* _tmp129_ = NULL;
		const gchar* _tmp130_ = NULL;
		GtkBox* _tmp131_ = NULL;
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp127_ = noise_media_editor_createLyricsContent (self);
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		lyrics = _tmp127_;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp128_ = self->priv->stack;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp129_ = lyrics;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp130_ = _ ("Lyrics");
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_stack_add_titled (_tmp128_, (GtkWidget*) _tmp129_, "lyrics", _tmp130_);
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp131_ = lyrics;
#line 370 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp131_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (lyrics);
#line 3623 "MediaEditor.c"
	}
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp132_ = self->priv->lyricsText;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp133_ = gtk_text_view_get_buffer (_tmp132_);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp134_ = sum;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp135_ = noise_media_get_lyrics (_tmp134_);
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp136_ = _tmp135_;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_set (_tmp133_, "text", _tmp136_, NULL);
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_fetch_lyrics (self, FALSE, NULL, NULL);
#line 335 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (sum);
#line 3641 "MediaEditor.c"
}


void noise_media_editor_save_medias (NoiseMediaEditor* self) {
	GeeLinkedList* _tmp159_ = NULL;
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 3649 "MediaEditor.c"
	{
		GeeLinkedList* _i_list = NULL;
		GeeLinkedList* _tmp0_ = NULL;
		GeeLinkedList* _tmp1_ = NULL;
		gint _i_size = 0;
		GeeLinkedList* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		gint _i_index = 0;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp0_ = self->priv->_medias;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_i_list = _tmp1_;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp2_ = _i_list;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp4_ = _tmp3_;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_i_size = _tmp4_;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_i_index = -1;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		while (TRUE) {
#line 3677 "MediaEditor.c"
			gint _tmp5_ = 0;
			gint _tmp6_ = 0;
			gint _tmp7_ = 0;
			gint i = 0;
			GeeLinkedList* _tmp8_ = NULL;
			gint _tmp9_ = 0;
			gpointer _tmp10_ = NULL;
			NoiseMedia* s = NULL;
			NoiseLibrary* _tmp11_ = NULL;
			gint _tmp12_ = 0;
			NoiseMedia* _tmp13_ = NULL;
			GeeHashMap* _tmp14_ = NULL;
			gpointer _tmp15_ = NULL;
			NoiseFieldEditor* _tmp16_ = NULL;
			gboolean _tmp17_ = FALSE;
			gboolean _tmp18_ = FALSE;
			GeeHashMap* _tmp25_ = NULL;
			gpointer _tmp26_ = NULL;
			NoiseFieldEditor* _tmp27_ = NULL;
			gboolean _tmp28_ = FALSE;
			gboolean _tmp29_ = FALSE;
			GeeHashMap* _tmp36_ = NULL;
			gpointer _tmp37_ = NULL;
			NoiseFieldEditor* _tmp38_ = NULL;
			gboolean _tmp39_ = FALSE;
			gboolean _tmp40_ = FALSE;
			GeeHashMap* _tmp47_ = NULL;
			gpointer _tmp48_ = NULL;
			NoiseFieldEditor* _tmp49_ = NULL;
			gboolean _tmp50_ = FALSE;
			gboolean _tmp51_ = FALSE;
			GeeHashMap* _tmp58_ = NULL;
			gpointer _tmp59_ = NULL;
			NoiseFieldEditor* _tmp60_ = NULL;
			gboolean _tmp61_ = FALSE;
			gboolean _tmp62_ = FALSE;
			GeeHashMap* _tmp69_ = NULL;
			gpointer _tmp70_ = NULL;
			NoiseFieldEditor* _tmp71_ = NULL;
			gboolean _tmp72_ = FALSE;
			gboolean _tmp73_ = FALSE;
			GeeHashMap* _tmp80_ = NULL;
			gpointer _tmp81_ = NULL;
			NoiseFieldEditor* _tmp82_ = NULL;
			gboolean _tmp83_ = FALSE;
			gboolean _tmp84_ = FALSE;
			GeeHashMap* _tmp91_ = NULL;
			gpointer _tmp92_ = NULL;
			NoiseFieldEditor* _tmp93_ = NULL;
			gboolean _tmp94_ = FALSE;
			gboolean _tmp95_ = FALSE;
			GeeHashMap* _tmp102_ = NULL;
			gpointer _tmp103_ = NULL;
			NoiseFieldEditor* _tmp104_ = NULL;
			gboolean _tmp105_ = FALSE;
			gboolean _tmp106_ = FALSE;
			GeeHashMap* _tmp114_ = NULL;
			gpointer _tmp115_ = NULL;
			NoiseFieldEditor* _tmp116_ = NULL;
			gboolean _tmp117_ = FALSE;
			gboolean _tmp118_ = FALSE;
			GeeHashMap* _tmp126_ = NULL;
			gpointer _tmp127_ = NULL;
			NoiseFieldEditor* _tmp128_ = NULL;
			gboolean _tmp129_ = FALSE;
			gboolean _tmp130_ = FALSE;
			GeeHashMap* _tmp138_ = NULL;
			gpointer _tmp139_ = NULL;
			NoiseFieldEditor* _tmp140_ = NULL;
			gboolean _tmp141_ = FALSE;
			gboolean _tmp142_ = FALSE;
			GtkTextView* _tmp150_ = NULL;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp5_ = _i_index;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_i_index = _tmp5_ + 1;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp6_ = _i_index;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp7_ = _i_size;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				break;
#line 3762 "MediaEditor.c"
			}
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp8_ = _i_list;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp9_ = _i_index;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			i = (gint) ((gintptr) _tmp10_);
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp11_ = self->priv->library;
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp12_ = i;
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp13_ = noise_library_media_from_id (_tmp11_, _tmp12_);
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			s = _tmp13_;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp14_ = self->priv->fields;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp15_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp14_, "Title");
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp16_ = (NoiseFieldEditor*) _tmp15_;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp17_ = noise_field_editor_checked (_tmp16_);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp18_ = _tmp17_;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp16_);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp18_) {
#line 3794 "MediaEditor.c"
				NoiseMedia* _tmp19_ = NULL;
				GeeHashMap* _tmp20_ = NULL;
				gpointer _tmp21_ = NULL;
				NoiseFieldEditor* _tmp22_ = NULL;
				gchar* _tmp23_ = NULL;
				gchar* _tmp24_ = NULL;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp19_ = s;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp20_ = self->priv->fields;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp21_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp20_, "Title");
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp22_ = (NoiseFieldEditor*) _tmp21_;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp23_ = noise_field_editor_get_value (_tmp22_);
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp24_ = _tmp23_;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_title (_tmp19_, _tmp24_);
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp24_);
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp22_);
#line 3819 "MediaEditor.c"
			}
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp25_ = self->priv->fields;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp26_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp25_, "Artist");
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp27_ = (NoiseFieldEditor*) _tmp26_;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp28_ = noise_field_editor_checked (_tmp27_);
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp29_ = _tmp28_;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp27_);
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp29_) {
#line 3835 "MediaEditor.c"
				NoiseMedia* _tmp30_ = NULL;
				GeeHashMap* _tmp31_ = NULL;
				gpointer _tmp32_ = NULL;
				NoiseFieldEditor* _tmp33_ = NULL;
				gchar* _tmp34_ = NULL;
				gchar* _tmp35_ = NULL;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp30_ = s;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp31_ = self->priv->fields;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp32_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp31_, "Artist");
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp33_ = (NoiseFieldEditor*) _tmp32_;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp34_ = noise_field_editor_get_value (_tmp33_);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp35_ = _tmp34_;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_artist (_tmp30_, _tmp35_);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp35_);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp33_);
#line 3860 "MediaEditor.c"
			}
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp36_ = self->priv->fields;
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp37_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp36_, "Album Artist");
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp38_ = (NoiseFieldEditor*) _tmp37_;
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp39_ = noise_field_editor_checked (_tmp38_);
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp40_ = _tmp39_;
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp38_);
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp40_) {
#line 3876 "MediaEditor.c"
				NoiseMedia* _tmp41_ = NULL;
				GeeHashMap* _tmp42_ = NULL;
				gpointer _tmp43_ = NULL;
				NoiseFieldEditor* _tmp44_ = NULL;
				gchar* _tmp45_ = NULL;
				gchar* _tmp46_ = NULL;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp41_ = s;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp42_ = self->priv->fields;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp43_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp42_, "Album Artist");
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp44_ = (NoiseFieldEditor*) _tmp43_;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp45_ = noise_field_editor_get_value (_tmp44_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp46_ = _tmp45_;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album_artist (_tmp41_, _tmp46_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp46_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp44_);
#line 3901 "MediaEditor.c"
			}
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp47_ = self->priv->fields;
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp48_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp47_, "Album");
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp49_ = (NoiseFieldEditor*) _tmp48_;
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp50_ = noise_field_editor_checked (_tmp49_);
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp51_ = _tmp50_;
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp49_);
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp51_) {
#line 3917 "MediaEditor.c"
				NoiseMedia* _tmp52_ = NULL;
				GeeHashMap* _tmp53_ = NULL;
				gpointer _tmp54_ = NULL;
				NoiseFieldEditor* _tmp55_ = NULL;
				gchar* _tmp56_ = NULL;
				gchar* _tmp57_ = NULL;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp52_ = s;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp53_ = self->priv->fields;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp54_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp53_, "Album");
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp55_ = (NoiseFieldEditor*) _tmp54_;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp56_ = noise_field_editor_get_value (_tmp55_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp57_ = _tmp56_;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album (_tmp52_, _tmp57_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp57_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp55_);
#line 3942 "MediaEditor.c"
			}
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp58_ = self->priv->fields;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp59_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp58_, "Genre");
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp60_ = (NoiseFieldEditor*) _tmp59_;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp61_ = noise_field_editor_checked (_tmp60_);
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp62_ = _tmp61_;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp60_);
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp62_) {
#line 3958 "MediaEditor.c"
				NoiseMedia* _tmp63_ = NULL;
				GeeHashMap* _tmp64_ = NULL;
				gpointer _tmp65_ = NULL;
				NoiseFieldEditor* _tmp66_ = NULL;
				gchar* _tmp67_ = NULL;
				gchar* _tmp68_ = NULL;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp63_ = s;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp64_ = self->priv->fields;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp65_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp64_, "Genre");
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp66_ = (NoiseFieldEditor*) _tmp65_;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp67_ = noise_field_editor_get_value (_tmp66_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp68_ = _tmp67_;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_genre (_tmp63_, _tmp68_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp68_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp66_);
#line 3983 "MediaEditor.c"
			}
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp69_ = self->priv->fields;
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp70_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp69_, "Composer");
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp71_ = (NoiseFieldEditor*) _tmp70_;
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp72_ = noise_field_editor_checked (_tmp71_);
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp73_ = _tmp72_;
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp71_);
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp73_) {
#line 3999 "MediaEditor.c"
				NoiseMedia* _tmp74_ = NULL;
				GeeHashMap* _tmp75_ = NULL;
				gpointer _tmp76_ = NULL;
				NoiseFieldEditor* _tmp77_ = NULL;
				gchar* _tmp78_ = NULL;
				gchar* _tmp79_ = NULL;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp74_ = s;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp75_ = self->priv->fields;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp76_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp75_, "Composer");
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp77_ = (NoiseFieldEditor*) _tmp76_;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp78_ = noise_field_editor_get_value (_tmp77_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp79_ = _tmp78_;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_composer (_tmp74_, _tmp79_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp79_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp77_);
#line 4024 "MediaEditor.c"
			}
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp80_ = self->priv->fields;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp81_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp80_, "Grouping");
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp82_ = (NoiseFieldEditor*) _tmp81_;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp83_ = noise_field_editor_checked (_tmp82_);
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp84_ = _tmp83_;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp82_);
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp84_) {
#line 4040 "MediaEditor.c"
				NoiseMedia* _tmp85_ = NULL;
				GeeHashMap* _tmp86_ = NULL;
				gpointer _tmp87_ = NULL;
				NoiseFieldEditor* _tmp88_ = NULL;
				gchar* _tmp89_ = NULL;
				gchar* _tmp90_ = NULL;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp85_ = s;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp86_ = self->priv->fields;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp87_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp86_, "Grouping");
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp88_ = (NoiseFieldEditor*) _tmp87_;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp89_ = noise_field_editor_get_value (_tmp88_);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp90_ = _tmp89_;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_grouping (_tmp85_, _tmp90_);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp90_);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp88_);
#line 4065 "MediaEditor.c"
			}
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp91_ = self->priv->fields;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp92_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp91_, "Comment");
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp93_ = (NoiseFieldEditor*) _tmp92_;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp94_ = noise_field_editor_checked (_tmp93_);
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp95_ = _tmp94_;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp93_);
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp95_) {
#line 4081 "MediaEditor.c"
				NoiseMedia* _tmp96_ = NULL;
				GeeHashMap* _tmp97_ = NULL;
				gpointer _tmp98_ = NULL;
				NoiseFieldEditor* _tmp99_ = NULL;
				gchar* _tmp100_ = NULL;
				gchar* _tmp101_ = NULL;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp96_ = s;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp97_ = self->priv->fields;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp98_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp97_, "Comment");
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp99_ = (NoiseFieldEditor*) _tmp98_;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp100_ = noise_field_editor_get_value (_tmp99_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp101_ = _tmp100_;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_comment (_tmp96_, _tmp101_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp101_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp99_);
#line 4106 "MediaEditor.c"
			}
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp102_ = self->priv->fields;
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp103_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp102_, "Track");
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp104_ = (NoiseFieldEditor*) _tmp103_;
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp105_ = noise_field_editor_checked (_tmp104_);
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp106_ = _tmp105_;
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp104_);
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp106_) {
#line 4122 "MediaEditor.c"
				NoiseMedia* _tmp107_ = NULL;
				GeeHashMap* _tmp108_ = NULL;
				gpointer _tmp109_ = NULL;
				NoiseFieldEditor* _tmp110_ = NULL;
				gchar* _tmp111_ = NULL;
				gchar* _tmp112_ = NULL;
				gint _tmp113_ = 0;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp107_ = s;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp108_ = self->priv->fields;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp109_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp108_, "Track");
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp110_ = (NoiseFieldEditor*) _tmp109_;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp111_ = noise_field_editor_get_value (_tmp110_);
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp112_ = _tmp111_;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp113_ = atoi (_tmp112_);
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_track (_tmp107_, (guint) _tmp113_);
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp112_);
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp110_);
#line 4150 "MediaEditor.c"
			}
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp114_ = self->priv->fields;
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp115_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp114_, "Disc");
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp116_ = (NoiseFieldEditor*) _tmp115_;
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp117_ = noise_field_editor_checked (_tmp116_);
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp118_ = _tmp117_;
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp116_);
#line 401 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp118_) {
#line 4166 "MediaEditor.c"
				NoiseMedia* _tmp119_ = NULL;
				GeeHashMap* _tmp120_ = NULL;
				gpointer _tmp121_ = NULL;
				NoiseFieldEditor* _tmp122_ = NULL;
				gchar* _tmp123_ = NULL;
				gchar* _tmp124_ = NULL;
				gint _tmp125_ = 0;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp119_ = s;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp120_ = self->priv->fields;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp121_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp120_, "Disc");
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp122_ = (NoiseFieldEditor*) _tmp121_;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp123_ = noise_field_editor_get_value (_tmp122_);
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp124_ = _tmp123_;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp125_ = atoi (_tmp124_);
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album_number (_tmp119_, (guint) _tmp125_);
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp124_);
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp122_);
#line 4194 "MediaEditor.c"
			}
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp126_ = self->priv->fields;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp127_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp126_, "Year");
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp128_ = (NoiseFieldEditor*) _tmp127_;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp129_ = noise_field_editor_checked (_tmp128_);
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp130_ = _tmp129_;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp128_);
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp130_) {
#line 4210 "MediaEditor.c"
				NoiseMedia* _tmp131_ = NULL;
				GeeHashMap* _tmp132_ = NULL;
				gpointer _tmp133_ = NULL;
				NoiseFieldEditor* _tmp134_ = NULL;
				gchar* _tmp135_ = NULL;
				gchar* _tmp136_ = NULL;
				gint _tmp137_ = 0;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp131_ = s;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp132_ = self->priv->fields;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp133_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp132_, "Year");
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp134_ = (NoiseFieldEditor*) _tmp133_;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp135_ = noise_field_editor_get_value (_tmp134_);
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp136_ = _tmp135_;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp137_ = atoi (_tmp136_);
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_year (_tmp131_, (guint) _tmp137_);
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp136_);
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp134_);
#line 4238 "MediaEditor.c"
			}
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp138_ = self->priv->fields;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp139_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp138_, "Rating");
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp140_ = (NoiseFieldEditor*) _tmp139_;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp141_ = noise_field_editor_checked (_tmp140_);
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp142_ = _tmp141_;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (_tmp140_);
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp142_) {
#line 4254 "MediaEditor.c"
				NoiseMedia* _tmp143_ = NULL;
				GeeHashMap* _tmp144_ = NULL;
				gpointer _tmp145_ = NULL;
				NoiseFieldEditor* _tmp146_ = NULL;
				gchar* _tmp147_ = NULL;
				gchar* _tmp148_ = NULL;
				gint _tmp149_ = 0;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp143_ = s;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp144_ = self->priv->fields;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp145_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp144_, "Rating");
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp146_ = (NoiseFieldEditor*) _tmp145_;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp147_ = noise_field_editor_get_value (_tmp146_);
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp148_ = _tmp147_;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp149_ = atoi (_tmp148_);
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_rating (_tmp143_, (guint) _tmp149_);
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (_tmp148_);
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (_tmp146_);
#line 4282 "MediaEditor.c"
			}
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp150_ = self->priv->lyricsText;
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp150_ != NULL) {
#line 4288 "MediaEditor.c"
				gchar* lyrics = NULL;
				GtkTextView* _tmp151_ = NULL;
				GtkTextBuffer* _tmp152_ = NULL;
				gchar* _tmp153_ = NULL;
				gchar* _tmp154_ = NULL;
				const gchar* _tmp155_ = NULL;
				gboolean _tmp156_ = FALSE;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp151_ = self->priv->lyricsText;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp152_ = gtk_text_view_get_buffer (_tmp151_);
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				g_object_get (_tmp152_, "text", &_tmp153_, NULL);
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp154_ = _tmp153_;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				lyrics = _tmp154_;
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp155_ = lyrics;
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp156_ = noise_string_is_white_space (_tmp155_);
#line 410 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (!_tmp156_) {
#line 4312 "MediaEditor.c"
					NoiseMedia* _tmp157_ = NULL;
					const gchar* _tmp158_ = NULL;
#line 411 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp157_ = s;
#line 411 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp158_ = lyrics;
#line 411 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					noise_media_set_lyrics (_tmp157_, _tmp158_);
#line 4321 "MediaEditor.c"
				}
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_free0 (lyrics);
#line 4325 "MediaEditor.c"
			}
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (s);
#line 4329 "MediaEditor.c"
		}
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_i_list);
#line 4333 "MediaEditor.c"
	}
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp159_ = self->priv->_medias;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_emit_by_name (self, "medias-saved", (GeeCollection*) _tmp159_);
#line 4339 "MediaEditor.c"
}


static void noise_media_editor_real_saveClicked (NoiseMediaEditor* self) {
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_save_medias (self);
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 4348 "MediaEditor.c"
}


void noise_media_editor_saveClicked (NoiseMediaEditor* self) {
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_MEDIA_EDITOR_GET_CLASS (self)->saveClicked (self);
#line 4357 "MediaEditor.c"
}


static void noise_media_editor_class_init (NoiseMediaEditorClass * klass) {
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_parent_class = g_type_class_peek_parent (klass);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_type_class_add_private (klass, sizeof (NoiseMediaEditorPrivate));
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseMediaEditorClass *) klass)->saveClicked = noise_media_editor_real_saveClicked;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_media_editor_finalize;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_new ("medias_saved", NOISE_TYPE_MEDIA_EDITOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, GEE_TYPE_COLLECTION);
#line 4372 "MediaEditor.c"
}


static void noise_media_editor_instance_init (NoiseMediaEditor * self) {
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv = NOISE_MEDIA_EDITOR_GET_PRIVATE (self);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = gee_linked_list_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->_allMedias = _tmp0_;
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = gee_linked_list_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->_medias = _tmp1_;
#line 4389 "MediaEditor.c"
}


static void noise_media_editor_finalize (GObject* obj) {
	NoiseMediaEditor * self;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditor);
#line 39 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->lf);
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->_allMedias);
#line 42 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->_medias);
#line 45 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->stack);
#line 47 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->fields);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->lyricsText);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->save_button);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->close_button);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->lyricsInfobarLabel);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->library);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (noise_media_editor_parent_class)->finalize (obj);
#line 4419 "MediaEditor.c"
}


/**
 * TODO: make this dialog edit and handle Media objects and not media rowids.
 *       We need this in order to allow editing temporary tracks (such as Audio
 *       CDs before importing their media to the library).
 */
GType noise_media_editor_get_type (void) {
	static volatile gsize noise_media_editor_type_id__volatile = 0;
	if (g_once_init_enter (&noise_media_editor_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseMediaEditorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_media_editor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseMediaEditor), 0, (GInstanceInitFunc) noise_media_editor_instance_init, NULL };
		GType noise_media_editor_type_id;
		noise_media_editor_type_id = g_type_register_static (gtk_dialog_get_type (), "NoiseMediaEditor", &g_define_type_info, 0);
		g_once_init_leave (&noise_media_editor_type_id__volatile, noise_media_editor_type_id);
	}
	return noise_media_editor_type_id__volatile;
}


static void _noise_field_editor_entryChanged_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 469 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_entryChanged ((NoiseFieldEditor*) self);
#line 4443 "MediaEditor.c"
}


static void _noise_field_editor_textViewChanged_gtk_text_buffer_changed (GtkTextBuffer* _sender, gpointer self) {
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_textViewChanged ((NoiseFieldEditor*) self);
#line 4450 "MediaEditor.c"
}


static gdouble double_parse (const gchar* str) {
	gdouble result = 0.0;
	const gchar* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 789 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0.0);
#line 790 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 790 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtod (_tmp0_, NULL);
#line 790 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 790 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return result;
#line 4468 "MediaEditor.c"
}


static void _noise_field_editor_spinButtonChanged_gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_spinButtonChanged ((NoiseFieldEditor*) self);
#line 4475 "MediaEditor.c"
}


static void _noise_field_editor_ratingChanged_granite_widgets_rating_rating_changed (GraniteWidgetsRating* _sender, gint new_rating, gpointer self) {
#line 513 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_ratingChanged ((NoiseFieldEditor*) self, new_rating);
#line 4482 "MediaEditor.c"
}


NoiseFieldEditor* noise_field_editor_construct (GType object_type, const gchar* name, const gchar* original, GtkWidget* w) {
	NoiseFieldEditor * self = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GtkCheckButton* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkBox* _tmp7_ = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkLabel* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	GtkBox* _tmp16_ = NULL;
	GtkCheckButton* _tmp17_ = NULL;
	GtkBox* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkBox* _tmp20_ = NULL;
	gboolean _tmp21_ = FALSE;
	GtkWidget* _tmp22_ = NULL;
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (original != NULL, NULL);
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (w != NULL, NULL);
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = (NoiseFieldEditor*) g_object_new (object_type, NULL);
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = name;
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (self->priv->_name);
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->_name = _tmp1_;
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = original;
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (self->priv->_original);
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->_original = _tmp3_;
#line 443 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_set_spacing ((GtkBox*) self, 0);
#line 446 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = (GtkCheckButton*) gtk_check_button_new ();
#line 446 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp4_);
#line 446 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->check);
#line 446 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->check = _tmp4_;
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = self->priv->_name;
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new (_tmp5_);
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp6_);
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->label);
#line 447 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->label = _tmp6_;
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp7_);
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->nameBox);
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->nameBox = _tmp7_;
#line 450 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = self->priv->label;
#line 450 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_justify (_tmp8_, GTK_JUSTIFY_LEFT);
#line 451 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = self->priv->label;
#line 451 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp9_, GTK_ALIGN_START);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = self->priv->label;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = self->priv->_name;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = g_strconcat ("<b>", _tmp11_, NULL);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = _tmp12_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = g_strconcat (_tmp13_, "</b>", NULL);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = _tmp14_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_markup (_tmp10_, _tmp15_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp15_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp13_);
#line 454 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = self->priv->nameBox;
#line 454 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = self->priv->check;
#line 454 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (_tmp16_, (GtkWidget*) _tmp17_, FALSE, FALSE, (guint) 0);
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = self->priv->nameBox;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = self->priv->label;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start (_tmp18_, (GtkWidget*) _tmp19_, FALSE, TRUE, (guint) 0);
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = self->priv->nameBox;
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp20_, FALSE, FALSE, (guint) 0);
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp22_ = w;
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp22_, gtk_entry_get_type ())) {
#line 4611 "MediaEditor.c"
		GtkWidget* _tmp23_ = NULL;
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp23_ = w;
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp21_ = !G_TYPE_CHECK_INSTANCE_TYPE (_tmp23_, gtk_spin_button_get_type ());
#line 4617 "MediaEditor.c"
	} else {
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp21_ = FALSE;
#line 4621 "MediaEditor.c"
	}
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp21_) {
#line 4625 "MediaEditor.c"
		GtkCheckButton* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		GtkWidget* _tmp26_ = NULL;
		GtkEntry* _tmp27_ = NULL;
		gboolean _tmp28_ = FALSE;
		const gchar* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		GtkEntry* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		GtkEntry* _tmp37_ = NULL;
		GtkEntry* _tmp38_ = NULL;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp24_ = self->priv->check;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp25_ = original;
#line 460 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp24_, g_strcmp0 (_tmp25_, "") != 0);
#line 462 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp26_ = w;
#line 462 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp27_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, gtk_entry_get_type (), GtkEntry));
#line 462 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (self->priv->entry);
#line 462 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		self->priv->entry = _tmp27_;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp29_ = name;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp30_ = _ ("Genre");
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (g_strcmp0 (_tmp29_, _tmp30_) != 0) {
#line 4657 "MediaEditor.c"
			const gchar* _tmp31_ = NULL;
			const gchar* _tmp32_ = NULL;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp31_ = name;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp32_ = _ ("Grouping");
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp28_ = g_strcmp0 (_tmp31_, _tmp32_) != 0;
#line 4666 "MediaEditor.c"
		} else {
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp28_ = FALSE;
#line 4670 "MediaEditor.c"
		}
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (_tmp28_) {
#line 4674 "MediaEditor.c"
			GtkEntry* _tmp33_ = NULL;
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp33_ = self->priv->entry;
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_widget_set_size_request ((GtkWidget*) _tmp33_, 300, -1);
#line 4680 "MediaEditor.c"
		} else {
			GtkEntry* _tmp34_ = NULL;
#line 466 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp34_ = self->priv->entry;
#line 466 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_widget_set_size_request ((GtkWidget*) _tmp34_, 100, -1);
#line 4687 "MediaEditor.c"
		}
#line 468 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp35_ = self->priv->entry;
#line 468 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp36_ = original;
#line 468 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_entry_set_text (_tmp35_, _tmp36_);
#line 469 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp37_ = self->priv->entry;
#line 469 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		g_signal_connect_object ((GtkEditable*) _tmp37_, "changed", (GCallback) _noise_field_editor_entryChanged_gtk_editable_changed, self, 0);
#line 470 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp38_ = self->priv->entry;
#line 470 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp38_, TRUE, TRUE, (guint) 0);
#line 4703 "MediaEditor.c"
	} else {
		GtkWidget* _tmp39_ = NULL;
#line 472 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp39_ = w;
#line 472 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp39_, gtk_text_view_get_type ())) {
#line 4710 "MediaEditor.c"
			GtkCheckButton* _tmp40_ = NULL;
			const gchar* _tmp41_ = NULL;
			GtkWidget* _tmp42_ = NULL;
			GtkTextView* _tmp43_ = NULL;
			GtkTextView* _tmp44_ = NULL;
			GtkTextView* _tmp45_ = NULL;
			GtkTextView* _tmp46_ = NULL;
			GtkTextBuffer* _tmp47_ = NULL;
			const gchar* _tmp48_ = NULL;
			GtkScrolledWindow* scroll = NULL;
			GtkScrolledWindow* _tmp49_ = NULL;
			GtkScrolledWindow* _tmp50_ = NULL;
			GtkScrolledWindow* _tmp51_ = NULL;
			GtkTextView* _tmp52_ = NULL;
			GtkScrolledWindow* _tmp53_ = NULL;
			GtkTextView* _tmp54_ = NULL;
			GtkTextBuffer* _tmp55_ = NULL;
			GtkTextBuffer* _tmp56_ = NULL;
			GtkScrolledWindow* _tmp57_ = NULL;
#line 473 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp40_ = self->priv->check;
#line 473 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp41_ = original;
#line 473 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp40_, g_strcmp0 (_tmp41_, "") != 0);
#line 475 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp42_ = w;
#line 475 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp43_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp42_, gtk_text_view_get_type (), GtkTextView));
#line 475 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (self->priv->textView);
#line 475 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			self->priv->textView = _tmp43_;
#line 476 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp44_ = self->priv->textView;
#line 476 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_widget_set_size_request ((GtkWidget*) _tmp44_, 300, 90);
#line 477 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp45_ = self->priv->textView;
#line 477 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_text_view_set_wrap_mode (_tmp45_, GTK_WRAP_WORD_CHAR);
#line 478 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp46_ = self->priv->textView;
#line 478 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp47_ = gtk_text_view_get_buffer (_tmp46_);
#line 478 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp48_ = original;
#line 478 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			g_object_set (_tmp47_, "text", _tmp48_, NULL);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp49_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			g_object_ref_sink (_tmp49_);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			scroll = _tmp49_;
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp50_ = scroll;
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_scrolled_window_set_policy (_tmp50_, GTK_POLICY_NEVER, GTK_POLICY_AUTOMATIC);
#line 483 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp51_ = scroll;
#line 483 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp52_ = self->priv->textView;
#line 483 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_container_add ((GtkContainer*) _tmp51_, (GtkWidget*) _tmp52_);
#line 485 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp53_ = scroll;
#line 485 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_widget_set_size_request ((GtkWidget*) _tmp53_, 300, 100);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp54_ = self->priv->textView;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp55_ = gtk_text_view_get_buffer (_tmp54_);
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp56_ = _tmp55_;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			g_signal_connect_object (_tmp56_, "changed", (GCallback) _noise_field_editor_textViewChanged_gtk_text_buffer_changed, self, 0);
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp57_ = scroll;
#line 488 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp57_, TRUE, TRUE, (guint) 0);
#line 472 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (scroll);
#line 4794 "MediaEditor.c"
		} else {
			GtkWidget* _tmp58_ = NULL;
#line 490 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp58_ = w;
#line 490 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp58_, gtk_spin_button_get_type ())) {
#line 4801 "MediaEditor.c"
				GtkCheckButton* _tmp59_ = NULL;
				const gchar* _tmp60_ = NULL;
				GtkWidget* _tmp61_ = NULL;
				GtkSpinButton* _tmp62_ = NULL;
				GtkSpinButton* _tmp63_ = NULL;
				gdouble _tmp64_ = 0.0;
				GtkCheckButton* _tmp65_ = NULL;
				gboolean _tmp66_ = FALSE;
				GtkSpinButton* _tmp69_ = NULL;
				GtkSpinButton* _tmp70_ = NULL;
				GtkAdjustment* _tmp71_ = NULL;
				GtkAdjustment* _tmp72_ = NULL;
				GtkSpinButton* _tmp73_ = NULL;
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp59_ = self->priv->check;
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp60_ = original;
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				gtk_toggle_button_set_active ((GtkToggleButton*) _tmp59_, g_strcmp0 (_tmp60_, "0") != 0);
#line 493 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp61_ = w;
#line 493 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp62_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp61_, gtk_spin_button_get_type (), GtkSpinButton));
#line 493 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (self->priv->spinButton);
#line 493 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				self->priv->spinButton = _tmp62_;
#line 494 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp63_ = self->priv->spinButton;
#line 494 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				gtk_widget_set_size_request ((GtkWidget*) _tmp63_, 100, -1);
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp65_ = self->priv->check;
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp66_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp65_);
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (_tmp66_) {
#line 4839 "MediaEditor.c"
					const gchar* _tmp67_ = NULL;
					gdouble _tmp68_ = 0.0;
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp67_ = original;
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp68_ = double_parse (_tmp67_);
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp64_ = _tmp68_;
#line 4848 "MediaEditor.c"
				} else {
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp64_ = 0.0;
#line 4852 "MediaEditor.c"
				}
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp69_ = self->priv->spinButton;
#line 495 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				gtk_spin_button_set_value (_tmp69_, _tmp64_);
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp70_ = self->priv->spinButton;
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp71_ = gtk_spin_button_get_adjustment (_tmp70_);
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp72_ = _tmp71_;
#line 496 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				g_signal_connect_object (_tmp72_, "value-changed", (GCallback) _noise_field_editor_spinButtonChanged_gtk_adjustment_value_changed, self, 0);
#line 497 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp73_ = self->priv->spinButton;
#line 497 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp73_, TRUE, TRUE, (guint) 0);
#line 4870 "MediaEditor.c"
			} else {
				GtkWidget* _tmp74_ = NULL;
#line 499 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp74_ = w;
#line 499 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp74_, gtk_image_get_type ())) {
#line 4877 "MediaEditor.c"
					GtkCheckButton* _tmp75_ = NULL;
					const gchar* _tmp76_ = NULL;
					GtkWidget* _tmp77_ = NULL;
					GtkImage* _tmp78_ = NULL;
					GtkImage* _tmp79_ = NULL;
					GtkImage* _tmp80_ = NULL;
					const gchar* _tmp81_ = NULL;
					GtkImage* _tmp82_ = NULL;
#line 500 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp75_ = self->priv->check;
#line 500 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp76_ = original;
#line 500 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp75_, g_strcmp0 (_tmp76_, "") != 0);
#line 502 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp77_ = w;
#line 502 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp78_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp77_, gtk_image_get_type (), GtkImage));
#line 502 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_g_object_unref0 (self->priv->image);
#line 502 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					self->priv->image = _tmp78_;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp79_ = self->priv->image;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					gtk_widget_set_size_request ((GtkWidget*) _tmp79_, 100, 100);
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp80_ = self->priv->image;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp81_ = original;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					gtk_image_set_from_file (_tmp80_, _tmp81_);
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp82_ = self->priv->image;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp82_, TRUE, TRUE, (guint) 0);
#line 4914 "MediaEditor.c"
				} else {
					GtkWidget* _tmp83_ = NULL;
#line 508 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp83_ = w;
#line 508 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp83_, GRANITE_WIDGETS_TYPE_RATING)) {
#line 4921 "MediaEditor.c"
						GtkCheckButton* _tmp84_ = NULL;
						const gchar* _tmp85_ = NULL;
						GtkWidget* _tmp86_ = NULL;
						GraniteWidgetsRating* _tmp87_ = NULL;
						GraniteWidgetsRating* _tmp88_ = NULL;
						const gchar* _tmp89_ = NULL;
						gint _tmp90_ = 0;
						GraniteWidgetsRating* _tmp91_ = NULL;
						GraniteWidgetsRating* _tmp92_ = NULL;
#line 509 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp84_ = self->priv->check;
#line 509 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp85_ = original;
#line 509 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						gtk_toggle_button_set_active ((GtkToggleButton*) _tmp84_, g_strcmp0 (_tmp85_, "0") != 0);
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp86_ = w;
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp87_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp86_, GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRating));
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_g_object_unref0 (self->priv->ratingWidget);
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						self->priv->ratingWidget = _tmp87_;
#line 512 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp88_ = self->priv->ratingWidget;
#line 512 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp89_ = original;
#line 512 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp90_ = atoi (_tmp89_);
#line 512 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						granite_widgets_rating_set_rating (_tmp88_, _tmp90_);
#line 513 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp91_ = self->priv->ratingWidget;
#line 513 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						g_signal_connect_object (_tmp91_, "rating-changed", (GCallback) _noise_field_editor_ratingChanged_granite_widgets_rating_rating_changed, self, 0);
#line 515 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp92_ = self->priv->ratingWidget;
#line 515 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp92_, TRUE, TRUE, (guint) 0);
#line 4961 "MediaEditor.c"
					}
				}
			}
		}
	}
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return self;
#line 4969 "MediaEditor.c"
}


NoiseFieldEditor* noise_field_editor_new (const gchar* name, const gchar* original, GtkWidget* w) {
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return noise_field_editor_construct (NOISE_TYPE_FIELD_EDITOR, name, original, w);
#line 4976 "MediaEditor.c"
}


void noise_field_editor_set_check_visible (NoiseFieldEditor* self, gboolean val) {
	GtkCheckButton* _tmp0_ = NULL;
#line 519 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 520 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->check;
#line 520 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp0_, FALSE);
#line 4988 "MediaEditor.c"
}


static void noise_field_editor_real_entryChanged (NoiseFieldEditor* self) {
	GtkEntry* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->entry;
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = _tmp1_;
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = self->priv->_original;
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (g_strcmp0 (_tmp2_, _tmp3_) != 0) {
#line 5007 "MediaEditor.c"
		GtkCheckButton* _tmp4_ = NULL;
#line 525 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp4_ = self->priv->check;
#line 525 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp4_, TRUE);
#line 5013 "MediaEditor.c"
	} else {
		GtkCheckButton* _tmp5_ = NULL;
#line 527 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = self->priv->check;
#line 527 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp5_, FALSE);
#line 5020 "MediaEditor.c"
	}
}


void noise_field_editor_entryChanged (NoiseFieldEditor* self) {
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_FIELD_EDITOR_GET_CLASS (self)->entryChanged (self);
#line 5030 "MediaEditor.c"
}


static void noise_field_editor_real_textViewChanged (NoiseFieldEditor* self) {
	GtkTextView* _tmp0_ = NULL;
	GtkTextBuffer* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->textView;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = gtk_text_view_get_buffer (_tmp0_);
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_get (_tmp1_, "text", &_tmp2_, NULL);
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = _tmp2_;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = _tmp3_;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = self->priv->_original;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = g_strcmp0 (_tmp4_, _tmp5_) != 0;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp4_);
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp6_) {
#line 5060 "MediaEditor.c"
		GtkCheckButton* _tmp7_ = NULL;
#line 532 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp7_ = self->priv->check;
#line 532 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp7_, TRUE);
#line 5066 "MediaEditor.c"
	} else {
		GtkCheckButton* _tmp8_ = NULL;
#line 534 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp8_ = self->priv->check;
#line 534 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp8_, FALSE);
#line 5073 "MediaEditor.c"
	}
}


void noise_field_editor_textViewChanged (NoiseFieldEditor* self) {
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_FIELD_EDITOR_GET_CLASS (self)->textViewChanged (self);
#line 5083 "MediaEditor.c"
}


static void noise_field_editor_real_spinButtonChanged (NoiseFieldEditor* self) {
	GtkSpinButton* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
	const gchar* _tmp3_ = NULL;
	gdouble _tmp4_ = 0.0;
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->spinButton;
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = gtk_spin_button_get_value (_tmp0_);
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = _tmp1_;
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = self->priv->_original;
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = double_parse (_tmp3_);
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp2_ != _tmp4_) {
#line 5105 "MediaEditor.c"
		GtkCheckButton* _tmp5_ = NULL;
#line 539 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = self->priv->check;
#line 539 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp5_, TRUE);
#line 5111 "MediaEditor.c"
	} else {
		GtkCheckButton* _tmp6_ = NULL;
#line 541 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp6_ = self->priv->check;
#line 541 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp6_, FALSE);
#line 5118 "MediaEditor.c"
	}
}


void noise_field_editor_spinButtonChanged (NoiseFieldEditor* self) {
#line 537 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 537 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_FIELD_EDITOR_GET_CLASS (self)->spinButtonChanged (self);
#line 5128 "MediaEditor.c"
}


static void noise_field_editor_real_ratingChanged (NoiseFieldEditor* self, gint new_rating) {
	GraniteWidgetsRating* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	const gchar* _tmp3_ = NULL;
	gint _tmp4_ = 0;
#line 545 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->ratingWidget;
#line 545 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = granite_widgets_rating_get_rating (_tmp0_);
#line 545 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = _tmp1_;
#line 545 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = self->priv->_original;
#line 545 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = atoi (_tmp3_);
#line 545 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp2_ != _tmp4_) {
#line 5150 "MediaEditor.c"
		GtkCheckButton* _tmp5_ = NULL;
#line 546 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = self->priv->check;
#line 546 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp5_, TRUE);
#line 5156 "MediaEditor.c"
	} else {
		GtkCheckButton* _tmp6_ = NULL;
#line 548 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp6_ = self->priv->check;
#line 548 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp6_, FALSE);
#line 5163 "MediaEditor.c"
	}
}


void noise_field_editor_ratingChanged (NoiseFieldEditor* self, gint new_rating) {
#line 544 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 544 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_FIELD_EDITOR_GET_CLASS (self)->ratingChanged (self, new_rating);
#line 5173 "MediaEditor.c"
}


gboolean noise_field_editor_checked (NoiseFieldEditor* self) {
	gboolean result = FALSE;
	GtkCheckButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 551 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 552 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->check;
#line 552 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 552 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	result = _tmp1_;
#line 552 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return result;
#line 5191 "MediaEditor.c"
}


static void noise_field_editor_real_resetClicked (NoiseFieldEditor* self) {
	GtkEntry* _tmp0_ = NULL;
#line 556 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->entry;
#line 556 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp0_ != NULL) {
#line 5201 "MediaEditor.c"
		GtkEntry* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 557 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp1_ = self->priv->entry;
#line 557 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp2_ = self->priv->_original;
#line 557 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_entry_set_text (_tmp1_, _tmp2_);
#line 5210 "MediaEditor.c"
	} else {
		GtkTextView* _tmp3_ = NULL;
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp3_ = self->priv->textView;
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (_tmp3_ != NULL) {
#line 5217 "MediaEditor.c"
			GtkTextView* _tmp4_ = NULL;
			GtkTextBuffer* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
#line 560 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp4_ = self->priv->textView;
#line 560 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp5_ = gtk_text_view_get_buffer (_tmp4_);
#line 560 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp6_ = self->priv->_original;
#line 560 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			g_object_set (_tmp5_, "text", _tmp6_, NULL);
#line 5229 "MediaEditor.c"
		} else {
			GtkSpinButton* _tmp7_ = NULL;
#line 562 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp7_ = self->priv->spinButton;
#line 562 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp7_ != NULL) {
#line 5236 "MediaEditor.c"
				GtkSpinButton* _tmp8_ = NULL;
				const gchar* _tmp9_ = NULL;
				gdouble _tmp10_ = 0.0;
#line 563 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp8_ = self->priv->spinButton;
#line 563 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp9_ = self->priv->_original;
#line 563 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp10_ = double_parse (_tmp9_);
#line 563 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				gtk_spin_button_set_value (_tmp8_, _tmp10_);
#line 5248 "MediaEditor.c"
			} else {
				GtkImage* _tmp11_ = NULL;
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp11_ = self->priv->image;
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (_tmp11_ != NULL) {
#line 5255 "MediaEditor.c"
					GtkImage* _tmp12_ = NULL;
					const gchar* _tmp13_ = NULL;
#line 566 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp12_ = self->priv->image;
#line 566 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp13_ = self->priv->_original;
#line 566 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					gtk_image_set_from_file (_tmp12_, _tmp13_);
#line 5264 "MediaEditor.c"
				} else {
					GraniteWidgetsRating* _tmp14_ = NULL;
#line 568 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp14_ = self->priv->ratingWidget;
#line 568 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					if (_tmp14_ != NULL) {
#line 5271 "MediaEditor.c"
						GraniteWidgetsRating* _tmp15_ = NULL;
						const gchar* _tmp16_ = NULL;
						gint _tmp17_ = 0;
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp15_ = self->priv->ratingWidget;
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp16_ = self->priv->_original;
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp17_ = atoi (_tmp16_);
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						granite_widgets_rating_set_rating (_tmp15_, _tmp17_);
#line 5283 "MediaEditor.c"
					}
				}
			}
		}
	}
}


void noise_field_editor_resetClicked (NoiseFieldEditor* self) {
#line 555 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 555 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_FIELD_EDITOR_GET_CLASS (self)->resetClicked (self);
#line 5297 "MediaEditor.c"
}


static gchar* double_to_string (gdouble self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, G_ASCII_DTOSTR_BUF_SIZE);
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1__length1 = G_ASCII_DTOSTR_BUF_SIZE;
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_dtostr (_tmp1_, G_ASCII_DTOSTR_BUF_SIZE, self);
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp3_ = g_strdup (_tmp2_);
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = (g_free (_tmp1_), NULL);
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 783 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return result;
#line 5327 "MediaEditor.c"
}


gchar* noise_field_editor_get_value (NoiseFieldEditor* self) {
	gchar* result = NULL;
	GtkEntry* _tmp0_ = NULL;
	gchar* _tmp24_ = NULL;
#line 573 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->entry;
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp0_ != NULL) {
#line 5341 "MediaEditor.c"
		GtkEntry* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp1_ = self->priv->entry;
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp3_ = _tmp2_;
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp4_ = g_strdup (_tmp3_);
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		result = _tmp4_;
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		return result;
#line 5358 "MediaEditor.c"
	} else {
		GtkTextView* _tmp5_ = NULL;
#line 577 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = self->priv->textView;
#line 577 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (_tmp5_ != NULL) {
#line 5365 "MediaEditor.c"
			GtkTextView* _tmp6_ = NULL;
			GtkTextBuffer* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
			gchar* _tmp9_ = NULL;
#line 578 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp6_ = self->priv->textView;
#line 578 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp7_ = gtk_text_view_get_buffer (_tmp6_);
#line 578 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			g_object_get (_tmp7_, "text", &_tmp8_, NULL);
#line 578 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp9_ = _tmp8_;
#line 578 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			result = _tmp9_;
#line 578 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			return result;
#line 5382 "MediaEditor.c"
		} else {
			GtkSpinButton* _tmp10_ = NULL;
#line 580 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp10_ = self->priv->spinButton;
#line 580 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp10_ != NULL) {
#line 5389 "MediaEditor.c"
				GtkSpinButton* _tmp11_ = NULL;
				gdouble _tmp12_ = 0.0;
				gdouble _tmp13_ = 0.0;
				gchar* _tmp14_ = NULL;
#line 581 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp11_ = self->priv->spinButton;
#line 581 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp12_ = gtk_spin_button_get_value (_tmp11_);
#line 581 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp13_ = _tmp12_;
#line 581 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp14_ = double_to_string (_tmp13_);
#line 581 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				result = _tmp14_;
#line 581 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				return result;
#line 5406 "MediaEditor.c"
			} else {
				GtkImage* _tmp15_ = NULL;
#line 583 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp15_ = self->priv->image;
#line 583 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (_tmp15_ != NULL) {
#line 5413 "MediaEditor.c"
					GtkImage* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 584 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp16_ = self->priv->image;
#line 584 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					g_object_get (_tmp16_, "file", &_tmp17_, NULL);
#line 584 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp18_ = _tmp17_;
#line 584 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					result = _tmp18_;
#line 584 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					return result;
#line 5427 "MediaEditor.c"
				} else {
					GraniteWidgetsRating* _tmp19_ = NULL;
#line 586 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp19_ = self->priv->ratingWidget;
#line 586 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					if (_tmp19_ != NULL) {
#line 5434 "MediaEditor.c"
						GraniteWidgetsRating* _tmp20_ = NULL;
						gint _tmp21_ = 0;
						gint _tmp22_ = 0;
						gchar* _tmp23_ = NULL;
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp20_ = self->priv->ratingWidget;
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp21_ = granite_widgets_rating_get_rating (_tmp20_);
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp22_ = _tmp21_;
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp23_ = g_strdup_printf ("%i", _tmp22_);
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						result = _tmp23_;
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						return result;
#line 5451 "MediaEditor.c"
					}
				}
			}
		}
	}
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp24_ = g_strdup ("");
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	result = _tmp24_;
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return result;
#line 5463 "MediaEditor.c"
}


void noise_field_editor_set_value (NoiseFieldEditor* self, const gchar* val) {
	GtkEntry* _tmp0_ = NULL;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (val != NULL);
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->entry;
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp0_ != NULL) {
#line 5477 "MediaEditor.c"
		GtkEntry* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp1_ = self->priv->entry;
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp2_ = val;
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		gtk_entry_set_text (_tmp1_, _tmp2_);
#line 5486 "MediaEditor.c"
	} else {
		GtkTextView* _tmp3_ = NULL;
#line 597 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp3_ = self->priv->textView;
#line 597 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		if (_tmp3_ != NULL) {
#line 5493 "MediaEditor.c"
			GtkTextView* _tmp4_ = NULL;
			GtkTextBuffer* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp4_ = self->priv->textView;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp5_ = gtk_text_view_get_buffer (_tmp4_);
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp6_ = val;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			g_object_set (_tmp5_, "text", _tmp6_, NULL);
#line 5505 "MediaEditor.c"
		} else {
			GtkSpinButton* _tmp7_ = NULL;
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			_tmp7_ = self->priv->spinButton;
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
			if (_tmp7_ != NULL) {
#line 5512 "MediaEditor.c"
				GtkSpinButton* _tmp8_ = NULL;
				const gchar* _tmp9_ = NULL;
				gdouble _tmp10_ = 0.0;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp8_ = self->priv->spinButton;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp9_ = val;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp10_ = double_parse (_tmp9_);
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				gtk_spin_button_set_value (_tmp8_, _tmp10_);
#line 5524 "MediaEditor.c"
			} else {
				GtkImage* _tmp11_ = NULL;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				_tmp11_ = self->priv->image;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
				if (_tmp11_ != NULL) {
#line 5531 "MediaEditor.c"
					GtkImage* _tmp12_ = NULL;
					const gchar* _tmp13_ = NULL;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp12_ = self->priv->image;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp13_ = val;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					g_object_set (_tmp12_, "file", _tmp13_, NULL);
#line 5540 "MediaEditor.c"
				} else {
					GraniteWidgetsRating* _tmp14_ = NULL;
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					_tmp14_ = self->priv->ratingWidget;
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
					if (_tmp14_ != NULL) {
#line 5547 "MediaEditor.c"
						GraniteWidgetsRating* _tmp15_ = NULL;
						const gchar* _tmp16_ = NULL;
						gint _tmp17_ = 0;
#line 607 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp15_ = self->priv->ratingWidget;
#line 607 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp16_ = val;
#line 607 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						_tmp17_ = atoi (_tmp16_);
#line 607 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
						granite_widgets_rating_set_rating (_tmp15_, _tmp17_);
#line 5559 "MediaEditor.c"
					}
				}
			}
		}
	}
}


static void noise_field_editor_class_init (NoiseFieldEditorClass * klass) {
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_field_editor_parent_class = g_type_class_peek_parent (klass);
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_type_class_add_private (klass, sizeof (NoiseFieldEditorPrivate));
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseFieldEditorClass *) klass)->entryChanged = noise_field_editor_real_entryChanged;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseFieldEditorClass *) klass)->textViewChanged = noise_field_editor_real_textViewChanged;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseFieldEditorClass *) klass)->spinButtonChanged = noise_field_editor_real_spinButtonChanged;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseFieldEditorClass *) klass)->ratingChanged = noise_field_editor_real_ratingChanged;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseFieldEditorClass *) klass)->resetClicked = noise_field_editor_real_resetClicked;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_field_editor_finalize;
#line 5585 "MediaEditor.c"
}


static void noise_field_editor_instance_init (NoiseFieldEditor * self) {
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv = NOISE_FIELD_EDITOR_GET_PRIVATE (self);
#line 5592 "MediaEditor.c"
}


static void noise_field_editor_finalize (GObject* obj) {
	NoiseFieldEditor * self;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_FIELD_EDITOR, NoiseFieldEditor);
#line 426 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (self->priv->_name);
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (self->priv->_original);
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->nameBox);
#line 431 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->check);
#line 432 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->label);
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->entry);
#line 434 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->textView);
#line 435 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->spinButton);
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->ratingWidget);
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->image);
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (noise_field_editor_parent_class)->finalize (obj);
#line 5622 "MediaEditor.c"
}


GType noise_field_editor_get_type (void) {
	static volatile gsize noise_field_editor_type_id__volatile = 0;
	if (g_once_init_enter (&noise_field_editor_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseFieldEditorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_field_editor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseFieldEditor), 0, (GInstanceInitFunc) noise_field_editor_instance_init, NULL };
		GType noise_field_editor_type_id;
		noise_field_editor_type_id = g_type_register_static (gtk_box_get_type (), "NoiseFieldEditor", &g_define_type_info, 0);
		g_once_init_leave (&noise_field_editor_type_id__volatile, noise_field_editor_type_id);
	}
	return noise_field_editor_type_id__volatile;
}


static void _noise_stats_display_resetClicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_stats_display_resetClicked ((NoiseStatsDisplay*) self);
#line 5641 "MediaEditor.c"
}


NoiseStatsDisplay* noise_stats_display_construct (GType object_type, gint plays, gint skips, gint last_played) {
	NoiseStatsDisplay * self = NULL;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	GtkButton* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	GtkLabel* _tmp11_ = NULL;
	GtkLabel* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkLabel* _tmp14_ = NULL;
	GtkButton* _tmp15_ = NULL;
	GtkButton* _tmp16_ = NULL;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = (NoiseStatsDisplay*) g_object_new (object_type, NULL);
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = plays;
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->plays = _tmp0_;
#line 623 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = skips;
#line 623 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->skips = _tmp1_;
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = last_played;
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->last_played = _tmp2_;
#line 625 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 627 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new ("");
#line 627 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp3_);
#line 627 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->header);
#line 627 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->header = _tmp3_;
#line 628 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = (GtkLabel*) gtk_label_new ("");
#line 628 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp4_);
#line 628 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->info);
#line 628 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->info = _tmp4_;
#line 629 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = _ ("Reset");
#line 629 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = (GtkButton*) gtk_button_new_with_label (_tmp5_);
#line 629 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp6_);
#line 629 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->reset);
#line 629 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv->reset = _tmp6_;
#line 631 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = self->priv->header;
#line 631 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_justify (_tmp7_, GTK_JUSTIFY_LEFT);
#line 632 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = self->priv->header;
#line 632 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp8_, GTK_ALIGN_START);
#line 633 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = self->priv->header;
#line 633 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = _ ("<b>Stats</b>");
#line 633 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_markup (_tmp9_, _tmp10_);
#line 635 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = self->priv->info;
#line 635 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_justify (_tmp11_, GTK_JUSTIFY_LEFT);
#line 636 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = self->priv->info;
#line 636 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_START);
#line 638 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_stats_display_setInfoText (self);
#line 640 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = self->priv->header;
#line 640 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp13_, TRUE, FALSE, (guint) 0);
#line 641 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = self->priv->info;
#line 641 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp14_, TRUE, TRUE, (guint) 0);
#line 642 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = self->priv->reset;
#line 642 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp15_, TRUE, FALSE, (guint) 0);
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = self->priv->reset;
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp16_, "clicked", (GCallback) _noise_stats_display_resetClicked_gtk_button_clicked, self, 0);
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return self;
#line 5748 "MediaEditor.c"
}


NoiseStatsDisplay* noise_stats_display_new (gint plays, gint skips, gint last_played) {
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	return noise_stats_display_construct (NOISE_TYPE_STATS_DISPLAY, plays, skips, last_played);
#line 5755 "MediaEditor.c"
}


static void noise_stats_display_real_resetClicked (NoiseStatsDisplay* self) {
	GtkButton* _tmp0_ = NULL;
#line 648 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->plays = 0;
#line 649 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->skips = 0;
#line 650 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->last_played = 0;
#line 652 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_stats_display_setInfoText (self);
#line 654 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->reset;
#line 654 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, FALSE);
#line 5773 "MediaEditor.c"
}


void noise_stats_display_resetClicked (NoiseStatsDisplay* self) {
#line 647 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 647 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	NOISE_STATS_DISPLAY_GET_CLASS (self)->resetClicked (self);
#line 5782 "MediaEditor.c"
}


static void g_time_local (time_t time, struct tm* result) {
	struct tm _result_ = {0};
	struct tm _tmp0_ = {0};
#line 2515 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	localtime_r (&time, &_tmp0_);
#line 2515 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 2516 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	*result = _result_;
#line 2516 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return;
#line 5797 "MediaEditor.c"
}


static gchar* g_time_format (struct tm *self, const gchar* format) {
	gchar* result = NULL;
	gchar* buffer = NULL;
	gchar* _tmp0_ = NULL;
	gint buffer_length1 = 0;
	gint _buffer_size_ = 0;
	gchar* _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	gchar* _tmp4_ = NULL;
#line 2523 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (format != NULL, NULL);
#line 2524 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, 64);
#line 2524 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	buffer = _tmp0_;
#line 2524 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	buffer_length1 = 64;
#line 2524 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_buffer_size_ = buffer_length1;
#line 2525 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = buffer;
#line 2525 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1__length1 = buffer_length1;
#line 2525 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp2_ = format;
#line 2525 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	strftime (_tmp1_, _tmp1__length1, _tmp2_, &(*self));
#line 2526 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp3_ = buffer;
#line 2526 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp3__length1 = buffer_length1;
#line 2526 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp4_ = g_strdup ((const gchar*) _tmp3_);
#line 2526 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 2526 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	buffer = (g_free (buffer), NULL);
#line 2526 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return result;
#line 5843 "MediaEditor.c"
}


static void noise_stats_display_setInfoText (NoiseStatsDisplay* self) {
	struct tm t = {0};
	gint _tmp0_ = 0;
	struct tm _tmp1_ = {0};
	gchar* pretty_last_played = NULL;
	gchar* _tmp2_ = NULL;
	gchar* text = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gint _tmp14_ = 0;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	gint _tmp23_ = 0;
	const gchar* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	gchar* _tmp27_ = NULL;
	gchar* _tmp28_ = NULL;
	gchar* _tmp29_ = NULL;
	gchar* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	const gchar* _tmp32_ = NULL;
#line 657 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 658 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->last_played;
#line 658 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_time_local ((time_t) _tmp0_, &_tmp1_);
#line 658 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	t = _tmp1_;
#line 659 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = g_time_format (&t, "%m/%e/%Y %l:%M %p");
#line 659 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	pretty_last_played = _tmp2_;
#line 661 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = g_strdup ("");
#line 661 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	text = _tmp3_;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = text;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = self->plays;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = g_strdup_printf ("%i", _tmp5_);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = _tmp6_;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = g_strconcat ("Plays: <span gravity=\"east\">", _tmp7_, NULL);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = _tmp8_;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = g_strconcat (_tmp9_, "</span>\n", NULL);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = _tmp10_;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = g_strconcat (_tmp4_, _tmp11_, NULL);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (text);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	text = _tmp12_;
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp11_);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp9_);
#line 662 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp7_);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = text;
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = self->skips;
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = g_strdup_printf ("%i", _tmp14_);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = _tmp15_;
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = g_strconcat ("Skips: <span gravity=\"east\">", _tmp16_, NULL);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = _tmp17_;
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = g_strconcat (_tmp18_, "</span>\n", NULL);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = _tmp19_;
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp21_ = g_strconcat (_tmp13_, _tmp20_, NULL);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (text);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	text = _tmp21_;
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp20_);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp18_);
#line 663 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp16_);
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp23_ = self->last_played;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	if (_tmp23_ != 0) {
#line 5959 "MediaEditor.c"
		const gchar* _tmp24_ = NULL;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp24_ = pretty_last_played;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp22_ = _tmp24_;
#line 5965 "MediaEditor.c"
	} else {
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
		_tmp22_ = "Never";
#line 5969 "MediaEditor.c"
	}
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp25_ = text;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp26_ = g_strconcat ("Last Played: <span gravity=\"east\">", _tmp22_, NULL);
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp27_ = _tmp26_;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp28_ = g_strconcat (_tmp27_, "</span>", NULL);
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp29_ = _tmp28_;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp30_ = g_strconcat (_tmp25_, _tmp29_, NULL);
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (text);
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	text = _tmp30_;
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp29_);
#line 664 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp27_);
#line 666 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp31_ = self->priv->info;
#line 666 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_tmp32_ = text;
#line 666 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_markup (_tmp31_, _tmp32_);
#line 657 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (text);
#line 657 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (pretty_last_played);
#line 6001 "MediaEditor.c"
}


static void noise_stats_display_class_init (NoiseStatsDisplayClass * klass) {
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	noise_stats_display_parent_class = g_type_class_peek_parent (klass);
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	g_type_class_add_private (klass, sizeof (NoiseStatsDisplayPrivate));
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	((NoiseStatsDisplayClass *) klass)->resetClicked = noise_stats_display_real_resetClicked;
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_stats_display_finalize;
#line 6014 "MediaEditor.c"
}


static void noise_stats_display_instance_init (NoiseStatsDisplay * self) {
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self->priv = NOISE_STATS_DISPLAY_GET_PRIVATE (self);
#line 6021 "MediaEditor.c"
}


static void noise_stats_display_finalize (GObject* obj) {
	NoiseStatsDisplay * self;
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_STATS_DISPLAY, NoiseStatsDisplay);
#line 617 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->header);
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->info);
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->reset);
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (noise_stats_display_parent_class)->finalize (obj);
#line 6037 "MediaEditor.c"
}


GType noise_stats_display_get_type (void) {
	static volatile gsize noise_stats_display_type_id__volatile = 0;
	if (g_once_init_enter (&noise_stats_display_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseStatsDisplayClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_stats_display_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseStatsDisplay), 0, (GInstanceInitFunc) noise_stats_display_instance_init, NULL };
		GType noise_stats_display_type_id;
		noise_stats_display_type_id = g_type_register_static (gtk_box_get_type (), "NoiseStatsDisplay", &g_define_type_info, 0);
		g_once_init_leave (&noise_stats_display_type_id__volatile, noise_stats_display_type_id);
	}
	return noise_stats_display_type_id__volatile;
}



