/* LocalMedia.c generated by valac 0.28.1, the Vala compiler
 * generated from LocalMedia.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2013 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <SQLHeavy.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define NOISE_TYPE_LOCAL_MEDIA (noise_local_media_get_type ())
#define NOISE_LOCAL_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMedia))
#define NOISE_LOCAL_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMediaClass))
#define NOISE_IS_LOCAL_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LOCAL_MEDIA))
#define NOISE_IS_LOCAL_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LOCAL_MEDIA))
#define NOISE_LOCAL_MEDIA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMediaClass))

typedef struct _NoiseLocalMedia NoiseLocalMedia;
typedef struct _NoiseLocalMediaClass NoiseLocalMediaClass;
typedef struct _NoiseLocalMediaPrivate NoiseLocalMediaPrivate;

#define NOISE_TYPE_DATA_BASE_MANAGER (noise_data_base_manager_get_type ())
#define NOISE_DATA_BASE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_DATA_BASE_MANAGER, NoiseDataBaseManager))
#define NOISE_DATA_BASE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_DATA_BASE_MANAGER, NoiseDataBaseManagerClass))
#define NOISE_IS_DATA_BASE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_DATA_BASE_MANAGER))
#define NOISE_IS_DATA_BASE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_DATA_BASE_MANAGER))
#define NOISE_DATA_BASE_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_DATA_BASE_MANAGER, NoiseDataBaseManagerClass))

typedef struct _NoiseDataBaseManager NoiseDataBaseManager;
typedef struct _NoiseDataBaseManagerClass NoiseDataBaseManagerClass;
typedef struct _NoiseDataBaseManagerPrivate NoiseDataBaseManagerPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) ((var == NULL) ? NULL : (var = (g_free (var), NULL)))
#define __vala_GValue_free0(var) ((var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NoiseLocalMediaSetFieldData NoiseLocalMediaSetFieldData;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _NoiseLocalMedia {
	NoiseMedia parent_instance;
	NoiseLocalMediaPrivate * priv;
	guint* _year;
	guint* _bitrate;
	guint* _samplerate;
	guint* _length;
	guint* _play_count;
	guint* _skip_count;
	guint* _date_added;
	guint* _last_played;
	guint* _last_modified;
};

struct _NoiseLocalMediaClass {
	NoiseMediaClass parent_class;
};

struct _NoiseLocalMediaPrivate {
	SQLHeavyDatabase* database;
	guint64* _file_size;
	gchar* _title;
	guint* _track;
	guint* _track_count;
	gchar* _composer;
	gchar* _artist;
	gchar* _album_artist;
	gchar* _album;
	guint* _album_number;
	guint* _album_count;
	NoiseAlbum* _album_info;
	gchar* _grouping;
	gchar* _genre;
	gchar* _comment;
	gchar* _lyrics;
	gint _resume_pos;
};

struct _NoiseDataBaseManager {
	GObject parent_instance;
	NoiseDataBaseManagerPrivate * priv;
	SQLHeavyDatabase* database;
};

struct _NoiseDataBaseManagerClass {
	GObjectClass parent_class;
};

struct _NoiseLocalMediaSetFieldData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NoiseLocalMedia* self;
	gchar* field;
	GValue value;
	SQLHeavyDatabase* _tmp0_;
	SQLHeavyQuery* query;
	SQLHeavyDatabase* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	SQLHeavyQuery* _tmp5_;
	SQLHeavyQuery* _tmp6_;
	SQLHeavyQuery* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	GType type;
	GType _tmp10_;
	GType _tmp11_;
	SQLHeavyQuery* _tmp12_;
	const gchar* _tmp13_;
	GType _tmp14_;
	SQLHeavyQuery* _tmp15_;
	gint _tmp16_;
	GType _tmp17_;
	SQLHeavyQuery* _tmp18_;
	guint _tmp19_;
	GType _tmp20_;
	SQLHeavyQuery* _tmp21_;
	guint64 _tmp22_;
	GType _tmp23_;
	gint _tmp24_;
	gboolean _tmp25_;
	SQLHeavyQuery* _tmp26_;
	SQLHeavyQuery* _tmp27_;
	SQLHeavyQueryResult* _tmp28_;
	SQLHeavyQueryResult* _tmp29_;
	GError* err;
	const gchar* _tmp30_;
	GError* _tmp31_;
	const gchar* _tmp32_;
	GError * _inner_error_;
};


static gpointer noise_local_media_parent_class = NULL;

GType noise_local_media_get_type (void) G_GNUC_CONST;
#define NOISE_LOCAL_MEDIA_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMediaPrivate))
enum  {
	NOISE_LOCAL_MEDIA_DUMMY_PROPERTY,
	NOISE_LOCAL_MEDIA_FILE_SIZE,
	NOISE_LOCAL_MEDIA_TITLE,
	NOISE_LOCAL_MEDIA_TRACK,
	NOISE_LOCAL_MEDIA_TRACK_COUNT,
	NOISE_LOCAL_MEDIA_COMPOSER,
	NOISE_LOCAL_MEDIA_ARTIST,
	NOISE_LOCAL_MEDIA_ALBUM_ARTIST,
	NOISE_LOCAL_MEDIA_ALBUM,
	NOISE_LOCAL_MEDIA_ALBUM_NUMBER,
	NOISE_LOCAL_MEDIA_ALBUM_COUNT,
	NOISE_LOCAL_MEDIA_ALBUM_INFO,
	NOISE_LOCAL_MEDIA_GROUPING,
	NOISE_LOCAL_MEDIA_GENRE,
	NOISE_LOCAL_MEDIA_COMMENT,
	NOISE_LOCAL_MEDIA_LYRICS,
	NOISE_LOCAL_MEDIA_YEAR,
	NOISE_LOCAL_MEDIA_BITRATE,
	NOISE_LOCAL_MEDIA_SAMPLERATE,
	NOISE_LOCAL_MEDIA_LENGTH,
	NOISE_LOCAL_MEDIA_RATING,
	NOISE_LOCAL_MEDIA_PLAY_COUNT,
	NOISE_LOCAL_MEDIA_SKIP_COUNT,
	NOISE_LOCAL_MEDIA_DATE_ADDED,
	NOISE_LOCAL_MEDIA_LAST_PLAYED,
	NOISE_LOCAL_MEDIA_LAST_MODIFIED,
	NOISE_LOCAL_MEDIA_RESUME_POS
};
GType noise_data_base_manager_get_type (void) G_GNUC_CONST;
NoiseDataBaseManager* noise_data_base_manager_get_default (void);
NoiseLocalMedia* noise_local_media_new (gint rowid);
NoiseLocalMedia* noise_local_media_construct (GType object_type, gint rowid);
static GValue* noise_local_media_query_field (NoiseLocalMedia* self, const gchar* field);
static void _vala_GValue_free (GValue* self);
static guint64 noise_local_media_common_uint64_getter (NoiseLocalMedia* self, const gchar* field, guint64** temp);
static guint64* _uint64_dup (guint64* self);
static void noise_local_media_common_uint64_setter (NoiseLocalMedia* self, const gchar* field, guint64 value, guint64** temp);
static void noise_local_media_set_field (NoiseLocalMedia* self, const gchar* field, GValue* value, GAsyncReadyCallback _callback_, gpointer _user_data_);
static void noise_local_media_set_field_finish (NoiseLocalMedia* self, GAsyncResult* _res_);
static guint noise_local_media_common_uint_getter (NoiseLocalMedia* self, const gchar* field, guint** temp);
static guint* _uint_dup (guint* self);
static void noise_local_media_common_uint_setter (NoiseLocalMedia* self, const gchar* field, guint value, guint** temp);
static gchar* noise_local_media_common_string_getter (NoiseLocalMedia* self, const gchar* field, gchar** temp);
static void noise_local_media_common_string_setter (NoiseLocalMedia* self, const gchar* field, const gchar* value, gchar** temp);
static GValue* _g_value_dup (GValue* self);
static void noise_local_media_set_field_data_free (gpointer _data);
static gboolean noise_local_media_set_field_co (NoiseLocalMediaSetFieldData* _data_);
static void noise_local_media_finalize (GObject* obj);
static void _vala_noise_local_media_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_local_media_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return self ? g_object_ref (self) : NULL;
#line 231 "LocalMedia.c"
}


static void _vala_GValue_free (GValue* self) {
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_unset (self);
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_free (self);
#line 240 "LocalMedia.c"
}


NoiseLocalMedia* noise_local_media_construct (GType object_type, gint rowid) {
	NoiseLocalMedia * self = NULL;
	gint _tmp0_ = 0;
	GValue* query = NULL;
	GValue* _tmp1_ = NULL;
	GValue* _tmp2_ = NULL;
#line 289 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) noise_media_construct (object_type, "");
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = rowid;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_media_set_rowid ((NoiseMedia*) self, _tmp0_);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = noise_local_media_query_field (self, "uri");
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	query = _tmp1_;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = query;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp2_ != NULL) {
#line 264 "LocalMedia.c"
		GValue* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp3_ = query;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp4_ = g_value_dup_string (_tmp3_);
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp5_ = _tmp4_;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_uri ((NoiseMedia*) self, _tmp5_);
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_free0 (_tmp5_);
#line 278 "LocalMedia.c"
	}
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	__vala_GValue_free0 (query);
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return self;
#line 284 "LocalMedia.c"
}


NoiseLocalMedia* noise_local_media_new (gint rowid) {
#line 288 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return noise_local_media_construct (NOISE_TYPE_LOCAL_MEDIA, rowid);
#line 291 "LocalMedia.c"
}


static guint64* _uint64_dup (guint64* self) {
	guint64* dup;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	dup = g_new0 (guint64, 1);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	memcpy (dup, self, sizeof (guint64));
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return dup;
#line 303 "LocalMedia.c"
}


static gpointer __uint64_dup0 (gpointer self) {
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return self ? _uint64_dup (self) : NULL;
#line 310 "LocalMedia.c"
}


static guint64 noise_local_media_common_uint64_getter (NoiseLocalMedia* self, const gchar* field, guint64** temp) {
	guint64 result = 0ULL;
	guint64* _tmp0_ = NULL;
	GValue* query = NULL;
	const gchar* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
#line 300 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (self != NULL, 0ULL);
#line 300 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (field != NULL, 0ULL);
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = *temp;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp0_ != NULL) {
#line 329 "LocalMedia.c"
		guint64* _tmp1_ = NULL;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp1_ = *temp;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = *_tmp1_;
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 337 "LocalMedia.c"
	}
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = field;
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = noise_local_media_query_field (self, _tmp2_);
#line 304 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	query = _tmp3_;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp4_ = query;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp4_ != NULL) {
#line 349 "LocalMedia.c"
		GValue* _tmp5_ = NULL;
		gint64 _tmp6_ = 0LL;
		guint64 _tmp7_ = 0ULL;
		guint64* _tmp8_ = NULL;
		guint64* _tmp9_ = NULL;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp5_ = query;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp6_ = g_value_get_int64 (_tmp5_);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp7_ = (guint64) _tmp6_;
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp8_ = __uint64_dup0 (&_tmp7_);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_free0 (*temp);
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		*temp = _tmp8_;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp9_ = *temp;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = *_tmp9_;
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		__vala_GValue_free0 (query);
#line 307 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 375 "LocalMedia.c"
	} else {
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = (guint64) 0;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		__vala_GValue_free0 (query);
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 383 "LocalMedia.c"
	}
#line 300 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	__vala_GValue_free0 (query);
#line 387 "LocalMedia.c"
}


static void noise_local_media_common_uint64_setter (NoiseLocalMedia* self, const gchar* field, guint64 value, guint64** temp) {
	guint64 _tmp0_ = 0ULL;
	guint64* _tmp1_ = NULL;
	GValue val = {0};
	GValue _tmp2_ = {0};
	guint64 _tmp3_ = 0ULL;
	const gchar* _tmp4_ = NULL;
	GValue _tmp5_ = {0};
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (self != NULL);
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (field != NULL);
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = __uint64_dup0 (&_tmp0_);
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (*temp);
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	*temp = _tmp1_;
#line 314 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_init (&_tmp2_, G_TYPE_UINT64);
#line 314 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	val = _tmp2_;
#line 315 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = value;
#line 315 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_set_uint64 (&val, _tmp3_);
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp4_ = field;
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp5_ = val;
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_set_field (self, _tmp4_, &_tmp5_, NULL, NULL);
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 427 "LocalMedia.c"
}


static guint* _uint_dup (guint* self) {
	guint* dup;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	dup = g_new0 (guint, 1);
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	memcpy (dup, self, sizeof (guint));
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return dup;
#line 439 "LocalMedia.c"
}


static gpointer __uint_dup0 (gpointer self) {
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return self ? _uint_dup (self) : NULL;
#line 446 "LocalMedia.c"
}


static guint noise_local_media_common_uint_getter (NoiseLocalMedia* self, const gchar* field, guint** temp) {
	guint result = 0U;
	guint* _tmp0_ = NULL;
	GValue* query = NULL;
	const gchar* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (field != NULL, 0U);
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = *temp;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp0_ != NULL) {
#line 465 "LocalMedia.c"
		guint* _tmp1_ = NULL;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp1_ = *temp;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = *_tmp1_;
#line 321 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 473 "LocalMedia.c"
	}
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = field;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = noise_local_media_query_field (self, _tmp2_);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	query = _tmp3_;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp4_ = query;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp4_ != NULL) {
#line 485 "LocalMedia.c"
		GValue* _tmp5_ = NULL;
		gint64 _tmp6_ = 0LL;
		guint _tmp7_ = 0U;
		guint* _tmp8_ = NULL;
		guint* _tmp9_ = NULL;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp5_ = query;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp6_ = g_value_get_int64 (_tmp5_);
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp7_ = (guint) _tmp6_;
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp8_ = __uint_dup0 (&_tmp7_);
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_free0 (*temp);
#line 325 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		*temp = _tmp8_;
#line 326 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp9_ = *temp;
#line 326 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = *_tmp9_;
#line 326 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		__vala_GValue_free0 (query);
#line 326 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 511 "LocalMedia.c"
	} else {
#line 328 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = (guint) 0;
#line 328 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		__vala_GValue_free0 (query);
#line 328 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 519 "LocalMedia.c"
	}
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	__vala_GValue_free0 (query);
#line 523 "LocalMedia.c"
}


static void noise_local_media_common_uint_setter (NoiseLocalMedia* self, const gchar* field, guint value, guint** temp) {
	guint _tmp0_ = 0U;
	guint* _tmp1_ = NULL;
	GValue val = {0};
	GValue _tmp2_ = {0};
	guint _tmp3_ = 0U;
	const gchar* _tmp4_ = NULL;
	GValue _tmp5_ = {0};
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (self != NULL);
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (field != NULL);
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = __uint_dup0 (&_tmp0_);
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (*temp);
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	*temp = _tmp1_;
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_init (&_tmp2_, G_TYPE_UINT);
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	val = _tmp2_;
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = value;
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_set_uint (&val, _tmp3_);
#line 335 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp4_ = field;
#line 335 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp5_ = val;
#line 335 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_set_field (self, _tmp4_, &_tmp5_, NULL, NULL);
#line 331 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 563 "LocalMedia.c"
}


static gchar* noise_local_media_common_string_getter (NoiseLocalMedia* self, const gchar* field, gchar** temp) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	GValue* query = NULL;
	const gchar* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
	GValue* _tmp5_ = NULL;
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (field != NULL, NULL);
#line 339 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = *temp;
#line 339 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp0_ != NULL) {
#line 582 "LocalMedia.c"
		const gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp1_ = *temp;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp2_ = g_strdup (_tmp1_);
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = _tmp2_;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 593 "LocalMedia.c"
	}
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = field;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp4_ = noise_local_media_query_field (self, _tmp3_);
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	query = _tmp4_;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp5_ = query;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_tmp5_ != NULL) {
#line 605 "LocalMedia.c"
		GValue* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp6_ = query;
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp7_ = g_value_dup_string (_tmp6_);
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_free0 (*temp);
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		*temp = _tmp7_;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp8_ = self->priv->_composer;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp9_ = g_strdup (_tmp8_);
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = _tmp9_;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		__vala_GValue_free0 (query);
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 628 "LocalMedia.c"
	} else {
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp10_ = noise_media_UNKNOWN;
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp11_ = g_strdup (_tmp10_);
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = _tmp11_;
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		__vala_GValue_free0 (query);
#line 347 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 642 "LocalMedia.c"
	}
#line 338 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	__vala_GValue_free0 (query);
#line 646 "LocalMedia.c"
}


static void noise_local_media_common_string_setter (NoiseLocalMedia* self, const gchar* field, const gchar* value, gchar** temp) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GValue val = {0};
	GValue _tmp2_ = {0};
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GValue _tmp5_ = {0};
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (self != NULL);
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (field != NULL);
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_if_fail (value != NULL);
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (*temp);
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	*temp = _tmp1_;
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_init (&_tmp2_, G_TYPE_STRING);
#line 352 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	val = _tmp2_;
#line 353 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = value;
#line 353 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_value_set_string (&val, _tmp3_);
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp4_ = field;
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp5_ = val;
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_set_field (self, _tmp4_, &_tmp5_, NULL, NULL);
#line 350 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 688 "LocalMedia.c"
}


static GValue* _g_value_dup (GValue* self) {
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return g_boxed_copy (G_TYPE_VALUE, self);
#line 695 "LocalMedia.c"
}


static gpointer __g_value_dup0 (gpointer self) {
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return self ? _g_value_dup (self) : NULL;
#line 702 "LocalMedia.c"
}


static GValue* noise_local_media_query_field (NoiseLocalMedia* self, const gchar* field) {
	GValue* result = NULL;
	SQLHeavyDatabase* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_return_val_if_fail (field != NULL, NULL);
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->database;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_vala_assert (_tmp0_ != NULL, "database != null");
#line 718 "LocalMedia.c"
	{
		SQLHeavyQuery* query = NULL;
		SQLHeavyDatabase* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		SQLHeavyQuery* _tmp5_ = NULL;
		SQLHeavyQuery* _tmp6_ = NULL;
		SQLHeavyQuery* _tmp7_ = NULL;
		gint _tmp8_ = 0;
		gint _tmp9_ = 0;
		SQLHeavyQueryResult* _result_ = NULL;
		SQLHeavyQuery* _tmp10_ = NULL;
		SQLHeavyQueryResult* _tmp11_ = NULL;
		GValue val = {0};
		SQLHeavyQueryResult* _tmp12_ = NULL;
		GValue _tmp13_ = {0};
		GType _tmp14_ = 0UL;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp1_ = self->priv->database;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp2_ = field;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp3_ = g_strdup_printf ("SELECT `%s` FROM `media` WHERE rowid=:rowid", _tmp2_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp4_ = _tmp3_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp5_ = sql_heavy_query_new ((SQLHeavyQueryable*) _tmp1_, _tmp4_, &_inner_error_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp6_ = _tmp5_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_free0 (_tmp4_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		query = _tmp6_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 757 "LocalMedia.c"
				goto __catch49_sql_heavy_error;
			}
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_inner_error_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return NULL;
#line 766 "LocalMedia.c"
		}
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp7_ = query;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp8_ = noise_media_get_rowid ((NoiseMedia*) self);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp9_ = _tmp8_;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		sql_heavy_query_set_int (_tmp7_, ":rowid", _tmp9_, &_inner_error_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 782 "LocalMedia.c"
				goto __catch49_sql_heavy_error;
			}
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_inner_error_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return NULL;
#line 793 "LocalMedia.c"
		}
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp10_ = query;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp11_ = sql_heavy_query_execute (_tmp10_, NULL, &_inner_error_, NULL);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_result_ = _tmp11_;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 807 "LocalMedia.c"
				goto __catch49_sql_heavy_error;
			}
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_inner_error_);
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return NULL;
#line 818 "LocalMedia.c"
		}
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp12_ = _result_;
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		sql_heavy_record_fetch ((SQLHeavyRecord*) _tmp12_, 0, &_tmp13_, &_inner_error_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		val = _tmp13_;
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_result_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 834 "LocalMedia.c"
				goto __catch49_sql_heavy_error;
			}
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_result_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_inner_error_);
#line 367 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return NULL;
#line 847 "LocalMedia.c"
		}
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp14_ = G_VALUE_TYPE (&val);
#line 368 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (_tmp14_ != G_TYPE_POINTER) {
#line 853 "LocalMedia.c"
			GValue _tmp15_ = {0};
			GValue* _tmp16_ = NULL;
			GValue* _tmp17_ = NULL;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_tmp15_ = val;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_tmp16_ = __g_value_dup0 (&_tmp15_);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_tmp17_ = _tmp16_;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			G_IS_VALUE (&_tmp15_) ? (g_value_unset (&_tmp15_), NULL) : NULL;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			result = _tmp17_;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_result_);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return result;
#line 873 "LocalMedia.c"
		} else {
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			result = NULL;
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_result_);
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (query);
#line 371 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return result;
#line 885 "LocalMedia.c"
		}
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_object_unref0 (_result_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_object_unref0 (query);
#line 893 "LocalMedia.c"
	}
	goto __finally49;
	__catch49_sql_heavy_error:
	{
		GError* err = NULL;
		const gchar* _tmp18_ = NULL;
		GError* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		err = _inner_error_;
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_inner_error_ = NULL;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp18_ = field;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp19_ = err;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp20_ = _tmp19_->message;
#line 373 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_warning ("LocalMedia.vala:373: Could not query field %s: %s", _tmp18_, _tmp20_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		result = NULL;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_error_free0 (err);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return result;
#line 920 "LocalMedia.c"
	}
	__finally49:
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_clear_error (&_inner_error_);
#line 363 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return NULL;
#line 929 "LocalMedia.c"
}


static void noise_local_media_set_field_data_free (gpointer _data) {
	NoiseLocalMediaSetFieldData* _data_;
	_data_ = _data;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_data_->field);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_IS_VALUE (&_data_->value) ? (g_value_unset (&_data_->value), NULL) : NULL;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_object_unref0 (_data_->self);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_slice_free (NoiseLocalMediaSetFieldData, _data_);
#line 944 "LocalMedia.c"
}


static void noise_local_media_set_field (NoiseLocalMedia* self, const gchar* field, GValue* value, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NoiseLocalMediaSetFieldData* _data_;
	NoiseLocalMedia* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GValue _tmp3_ = {0};
	GValue _tmp4_ = {0};
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_ = g_slice_new0 (NoiseLocalMediaSetFieldData);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, noise_local_media_set_field);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, noise_local_media_set_field_data_free);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_->self = _tmp0_;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = field;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_data_->field);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_->field = _tmp2_;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = *value;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (G_IS_VALUE (&_tmp3_)) {
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_init (&_tmp4_, G_VALUE_TYPE (&_tmp3_));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_copy (&_tmp3_, &_tmp4_);
#line 981 "LocalMedia.c"
	} else {
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_tmp4_ = _tmp3_;
#line 985 "LocalMedia.c"
	}
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_IS_VALUE (&_data_->value) ? (g_value_unset (&_data_->value), NULL) : NULL;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_->value = _tmp4_;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_set_field_co (_data_);
#line 993 "LocalMedia.c"
}


static void noise_local_media_set_field_finish (NoiseLocalMedia* self, GAsyncResult* _res_) {
	NoiseLocalMediaSetFieldData* _data_;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 1001 "LocalMedia.c"
}


static gboolean noise_local_media_set_field_co (NoiseLocalMediaSetFieldData* _data_) {
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	switch (_data_->_state_) {
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case 0:
#line 1010 "LocalMedia.c"
		goto _state_0;
		default:
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_assert_not_reached ();
#line 1015 "LocalMedia.c"
	}
	_state_0:
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_->_tmp0_ = NULL;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_data_->_tmp0_ = _data_->self->priv->database;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_vala_assert (_data_->_tmp0_ != NULL, "database != null");
#line 1024 "LocalMedia.c"
	{
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp1_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp1_ = _data_->self->priv->database;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp2_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp2_ = _data_->field;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp3_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp3_ = g_strdup_printf ("UPDATE `media` SET %s=:value WHERE rowid=:rowid", _data_->_tmp2_);
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp4_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp4_ = _data_->_tmp3_;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp5_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp5_ = sql_heavy_query_new ((SQLHeavyQueryable*) _data_->_tmp1_, _data_->_tmp4_, &_data_->_inner_error_);
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp6_ = NULL;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp6_ = _data_->_tmp5_;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_free0 (_data_->_tmp4_);
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->query = _data_->_tmp6_;
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1058 "LocalMedia.c"
				goto __catch50_sql_heavy_error;
			}
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_data_->_inner_error_);
#line 381 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return FALSE;
#line 1067 "LocalMedia.c"
		}
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp7_ = NULL;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp7_ = _data_->query;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp8_ = 0;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp8_ = noise_media_get_rowid ((NoiseMedia*) _data_->self);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp9_ = 0;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp9_ = _data_->_tmp8_;
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		sql_heavy_query_set_int (_data_->_tmp7_, ":rowid", _data_->_tmp9_, &_data_->_inner_error_);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_data_->query);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1089 "LocalMedia.c"
				goto __catch50_sql_heavy_error;
			}
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_data_->query);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_data_->_inner_error_);
#line 382 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return FALSE;
#line 1100 "LocalMedia.c"
		}
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp10_ = 0UL;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp10_ = G_VALUE_TYPE (&_data_->value);
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->type = _data_->_tmp10_;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp11_ = 0UL;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp11_ = _data_->type;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (_data_->_tmp11_ == G_TYPE_STRING) {
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_data_->_tmp12_ = NULL;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_data_->_tmp12_ = _data_->query;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_data_->_tmp13_ = NULL;
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_data_->_tmp13_ = g_value_get_string (&_data_->value);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			sql_heavy_query_set_string (_data_->_tmp12_, ":value", _data_->_tmp13_, &_data_->_inner_error_);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_g_object_unref0 (_data_->query);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1130 "LocalMedia.c"
					goto __catch50_sql_heavy_error;
				}
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_g_object_unref0 (_data_->query);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				g_clear_error (&_data_->_inner_error_);
#line 385 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				return FALSE;
#line 1141 "LocalMedia.c"
			}
		} else {
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_data_->_tmp14_ = 0UL;
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_data_->_tmp14_ = _data_->type;
#line 386 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_data_->_tmp14_ == G_TYPE_INT) {
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_data_->_tmp15_ = NULL;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_data_->_tmp15_ = _data_->query;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_data_->_tmp16_ = 0;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_data_->_tmp16_ = g_value_get_int (&_data_->value);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				sql_heavy_query_set_int (_data_->_tmp15_, ":value", _data_->_tmp16_, &_data_->_inner_error_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_g_object_unref0 (_data_->query);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1166 "LocalMedia.c"
						goto __catch50_sql_heavy_error;
					}
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_g_object_unref0 (_data_->query);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					g_clear_error (&_data_->_inner_error_);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					return FALSE;
#line 1177 "LocalMedia.c"
				}
			} else {
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_data_->_tmp17_ = 0UL;
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				_data_->_tmp17_ = _data_->type;
#line 388 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
				if (_data_->_tmp17_ == G_TYPE_UINT) {
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_data_->_tmp18_ = NULL;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_data_->_tmp18_ = _data_->query;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_data_->_tmp19_ = 0U;
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_data_->_tmp19_ = g_value_get_uint (&_data_->value);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					sql_heavy_query_set_int (_data_->_tmp18_, ":value", (gint) _data_->_tmp19_, &_data_->_inner_error_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_g_object_unref0 (_data_->query);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1202 "LocalMedia.c"
							goto __catch50_sql_heavy_error;
						}
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_g_object_unref0 (_data_->query);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						g_clear_error (&_data_->_inner_error_);
#line 389 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						return FALSE;
#line 1213 "LocalMedia.c"
					}
				} else {
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_data_->_tmp20_ = 0UL;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					_data_->_tmp20_ = _data_->type;
#line 390 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
					if (_data_->_tmp20_ == G_TYPE_UINT64) {
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_data_->_tmp21_ = NULL;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_data_->_tmp21_ = _data_->query;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_data_->_tmp22_ = 0ULL;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_data_->_tmp22_ = g_value_get_uint64 (&_data_->value);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						sql_heavy_query_set_int64 (_data_->_tmp21_, ":value", (gint64) _data_->_tmp22_, &_data_->_inner_error_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_g_object_unref0 (_data_->query);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1238 "LocalMedia.c"
								goto __catch50_sql_heavy_error;
							}
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_g_object_unref0 (_data_->query);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							g_clear_error (&_data_->_inner_error_);
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							return FALSE;
#line 1249 "LocalMedia.c"
						}
					} else {
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_data_->_tmp23_ = 0UL;
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						_data_->_tmp23_ = _data_->type;
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
						if (_data_->_tmp23_ == G_TYPE_BOOLEAN) {
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_data_->_tmp25_ = FALSE;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_data_->_tmp25_ = g_value_get_boolean (&_data_->value);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							if (_data_->_tmp25_) {
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								_data_->_tmp24_ = 1;
#line 1266 "LocalMedia.c"
							} else {
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								_data_->_tmp24_ = 0;
#line 1270 "LocalMedia.c"
							}
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_data_->_tmp26_ = NULL;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_data_->_tmp26_ = _data_->query;
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							sql_heavy_query_set_int (_data_->_tmp26_, ":value", _data_->_tmp24_, &_data_->_inner_error_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								_g_object_unref0 (_data_->query);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1284 "LocalMedia.c"
									goto __catch50_sql_heavy_error;
								}
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								_g_object_unref0 (_data_->query);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								g_clear_error (&_data_->_inner_error_);
#line 393 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								return FALSE;
#line 1295 "LocalMedia.c"
							}
						} else {
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							_g_object_unref0 (_data_->query);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							if (_data_->_state_ == 0) {
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1304 "LocalMedia.c"
							} else {
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
								g_simple_async_result_complete (_data_->_async_result);
#line 1308 "LocalMedia.c"
							}
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							g_object_unref (_data_->_async_result);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
							return FALSE;
#line 1314 "LocalMedia.c"
						}
					}
				}
			}
		}
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp27_ = NULL;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp27_ = _data_->query;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp28_ = NULL;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp28_ = sql_heavy_query_execute (_data_->_tmp27_, NULL, &_data_->_inner_error_, NULL);
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp29_ = NULL;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp29_ = _data_->_tmp28_;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_object_unref0 (_data_->_tmp29_);
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_data_->query);
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			if (_data_->_inner_error_->domain == SQL_HEAVY_ERROR) {
#line 1340 "LocalMedia.c"
				goto __catch50_sql_heavy_error;
			}
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			_g_object_unref0 (_data_->query);
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			g_clear_error (&_data_->_inner_error_);
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
			return FALSE;
#line 1351 "LocalMedia.c"
		}
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_object_unref0 (_data_->query);
#line 1355 "LocalMedia.c"
	}
	goto __finally50;
	__catch50_sql_heavy_error:
	{
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->err = _data_->_inner_error_;
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_inner_error_ = NULL;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp30_ = NULL;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp30_ = _data_->field;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp31_ = NULL;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp31_ = _data_->err;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp32_ = NULL;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_data_->_tmp32_ = _data_->_tmp31_->message;
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_warning ("LocalMedia.vala:400: Could not query field %s: %s", _data_->_tmp30_, _data_->_tmp32_);
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		_g_error_free0 (_data_->err);
#line 1380 "LocalMedia.c"
	}
	__finally50:
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_clear_error (&_data_->_inner_error_);
#line 380 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		return FALSE;
#line 1391 "LocalMedia.c"
	}
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	if (_data_->_state_ == 0) {
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1397 "LocalMedia.c"
	} else {
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 1401 "LocalMedia.c"
	}
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_unref (_data_->_async_result);
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return FALSE;
#line 1407 "LocalMedia.c"
}


static guint64 noise_local_media_real_get_file_size (NoiseMedia* base) {
	guint64 result;
	NoiseLocalMedia* self;
	guint64* _tmp0_ = NULL;
#line 36 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 37 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint64_getter (self, "file_size", &self->priv->_file_size);
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_file_size;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 38 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1425 "LocalMedia.c"
}


static void noise_local_media_real_set_file_size (NoiseMedia* base, guint64 value) {
	NoiseLocalMedia* self;
	guint64 _tmp0_ = 0ULL;
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 41 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint64_setter (self, "file_size", _tmp0_, &self->priv->_file_size);
#line 40 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "file-size");
#line 1440 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_title (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "title", &self->priv->_title);
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 51 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_title;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 52 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1464 "LocalMedia.c"
}


static void noise_local_media_real_set_title (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 55 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "title", _tmp0_, &self->priv->_title);
#line 54 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "title");
#line 1479 "LocalMedia.c"
}


static guint noise_local_media_real_get_track (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 61 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "track", &self->priv->_track);
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_track;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 63 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1497 "LocalMedia.c"
}


static void noise_local_media_real_set_track (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 66 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "track", _tmp0_, &self->priv->_track);
#line 65 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "track");
#line 1512 "LocalMedia.c"
}


static guint noise_local_media_real_get_track_count (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 72 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "track_count", &self->priv->_track_count);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_track_count;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1530 "LocalMedia.c"
}


static void noise_local_media_real_set_track_count (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 76 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "track_count", _tmp0_, &self->priv->_track_count);
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "track-count");
#line 1545 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_composer (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 81 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "composer", &self->priv->_composer);
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 82 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_composer;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1569 "LocalMedia.c"
}


static void noise_local_media_real_set_composer (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 86 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "composer", _tmp0_, &self->priv->_composer);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "composer");
#line 1584 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_artist (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "artist", &self->priv->_artist);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_artist;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1608 "LocalMedia.c"
}


static void noise_local_media_real_set_artist (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 96 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "artist", _tmp0_, &self->priv->_artist);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "artist");
#line 1623 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_album_artist (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 101 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "album_artist", &self->priv->_album_artist);
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 102 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_album_artist;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 103 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1647 "LocalMedia.c"
}


static void noise_local_media_real_set_album_artist (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "album_artist", _tmp0_, &self->priv->_album_artist);
#line 105 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "album-artist");
#line 1662 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_album (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 111 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "album", &self->priv->_album);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_album;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 113 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1686 "LocalMedia.c"
}


static void noise_local_media_real_set_album (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "album", _tmp0_, &self->priv->_album);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "album");
#line 1701 "LocalMedia.c"
}


static guint noise_local_media_real_get_album_number (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 122 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "album_number", &self->priv->_album_number);
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_album_number;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 123 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1719 "LocalMedia.c"
}


static void noise_local_media_real_set_album_number (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 126 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "album_number", _tmp0_, &self->priv->_album_number);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "album-number");
#line 1734 "LocalMedia.c"
}


static guint noise_local_media_real_get_album_count (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 131 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "album_count", &self->priv->_album_count);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_album_count;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1752 "LocalMedia.c"
}


static void noise_local_media_real_set_album_count (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "album_count", _tmp0_, &self->priv->_album_count);
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "album-count");
#line 1767 "LocalMedia.c"
}


static NoiseAlbum* noise_local_media_real_get_album_info (NoiseMedia* base) {
	NoiseAlbum* result;
	NoiseLocalMedia* self;
	NoiseAlbum* _tmp0_ = NULL;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_album_info;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp0_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1783 "LocalMedia.c"
}


static void noise_local_media_real_set_album_info (NoiseMedia* base, NoiseAlbum* value) {
	NoiseLocalMedia* self;
	NoiseAlbum* _tmp0_ = NULL;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_album_info = _tmp0_;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "album-info");
#line 1798 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_grouping (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 142 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "grouping", &self->priv->_grouping);
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_grouping;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1822 "LocalMedia.c"
}


static void noise_local_media_real_set_grouping (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 147 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "grouping", _tmp0_, &self->priv->_grouping);
#line 146 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "grouping");
#line 1837 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_genre (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 152 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "genre", &self->priv->_genre);
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 153 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_genre;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 154 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1861 "LocalMedia.c"
}


static void noise_local_media_real_set_genre (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 157 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "genre", _tmp0_, &self->priv->_genre);
#line 156 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "genre");
#line 1876 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_comment (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 162 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "comment", &self->priv->_comment);
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_comment;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1900 "LocalMedia.c"
}


static void noise_local_media_real_set_comment (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 167 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "comment", _tmp0_, &self->priv->_comment);
#line 166 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "comment");
#line 1915 "LocalMedia.c"
}


static const gchar* noise_local_media_real_get_lyrics (NoiseMedia* base) {
	const gchar* result;
	NoiseLocalMedia* self;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_local_media_common_string_getter (self, "lyrics", &self->priv->_lyrics);
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (_tmp1_);
#line 174 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = self->priv->_lyrics;
#line 174 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp2_;
#line 174 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1939 "LocalMedia.c"
}


static void noise_local_media_real_set_lyrics (NoiseMedia* base, const gchar* value) {
	NoiseLocalMedia* self;
	const gchar* _tmp0_ = NULL;
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_string_setter (self, "lyrics", _tmp0_, &self->priv->_lyrics);
#line 176 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "lyrics");
#line 1954 "LocalMedia.c"
}


static guint noise_local_media_real_get_year (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 182 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 183 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "year", &self->_year);
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_year;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 184 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 1972 "LocalMedia.c"
}


static void noise_local_media_real_set_year (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "year", _tmp0_, &self->_year);
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "year");
#line 1987 "LocalMedia.c"
}


static guint noise_local_media_real_get_bitrate (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 192 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "bitrate", &self->_bitrate);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_bitrate;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2005 "LocalMedia.c"
}


static void noise_local_media_real_set_bitrate (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "bitrate", _tmp0_, &self->_bitrate);
#line 196 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "bitrate");
#line 2020 "LocalMedia.c"
}


static guint noise_local_media_real_get_samplerate (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "samplerate", &self->_samplerate);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_samplerate;
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2038 "LocalMedia.c"
}


static void noise_local_media_real_set_samplerate (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 207 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "samplerate", _tmp0_, &self->_samplerate);
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "samplerate");
#line 2053 "LocalMedia.c"
}


static guint noise_local_media_real_get_length (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 213 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "length", &self->_length);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_length;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2071 "LocalMedia.c"
}


static void noise_local_media_real_set_length (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 218 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "length", _tmp0_, &self->_length);
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "length");
#line 2086 "LocalMedia.c"
}


static guint noise_local_media_real_get_rating (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "rating", &((NoiseMedia*) self)->_rating);
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = ((NoiseMedia*) self)->_rating;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp0_;
#line 225 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2104 "LocalMedia.c"
}


static void noise_local_media_real_set_rating (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
	guint _tmp1_ = 0U;
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = CLAMP (_tmp0_, (guint) 0, (guint) 5);
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "rating", _tmp1_, &((NoiseMedia*) self)->_rating);
#line 227 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "rating");
#line 2122 "LocalMedia.c"
}


static guint noise_local_media_real_get_play_count (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "playcount", &self->_play_count);
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_play_count;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2140 "LocalMedia.c"
}


static void noise_local_media_real_set_play_count (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 242 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 242 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "playcount", _tmp0_, &self->_play_count);
#line 241 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "play-count");
#line 2155 "LocalMedia.c"
}


static guint noise_local_media_real_get_skip_count (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "skipcount", &self->_skip_count);
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_skip_count;
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2173 "LocalMedia.c"
}


static void noise_local_media_real_set_skip_count (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 252 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "skipcount", _tmp0_, &self->_skip_count);
#line 251 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "skip-count");
#line 2188 "LocalMedia.c"
}


static guint noise_local_media_real_get_date_added (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 257 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "dateadded", &self->_date_added);
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_date_added;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 259 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2206 "LocalMedia.c"
}


static void noise_local_media_real_set_date_added (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "dateadded", _tmp0_, &self->_date_added);
#line 261 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "date-added");
#line 2221 "LocalMedia.c"
}


static guint noise_local_media_real_get_last_played (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 267 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "lastplayed", &self->_last_played);
#line 269 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_last_played;
#line 269 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 269 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2239 "LocalMedia.c"
}


static void noise_local_media_real_set_last_played (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 272 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 272 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "lastplayed", _tmp0_, &self->_last_played);
#line 271 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "last-played");
#line 2254 "LocalMedia.c"
}


static guint noise_local_media_real_get_last_modified (NoiseMedia* base) {
	guint result;
	NoiseLocalMedia* self;
	guint* _tmp0_ = NULL;
#line 277 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_getter (self, "lastmodified", &self->_last_modified);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->_last_modified;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = *_tmp0_;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2272 "LocalMedia.c"
}


static void noise_local_media_real_set_last_modified (NoiseMedia* base, guint value) {
	NoiseLocalMedia* self;
	guint _tmp0_ = 0U;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_common_uint_setter (self, "lastmodified", _tmp0_, &self->_last_modified);
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "last-modified");
#line 2287 "LocalMedia.c"
}


static gint noise_local_media_real_get_resume_pos (NoiseMedia* base) {
	gint result;
	NoiseLocalMedia* self;
	gint _tmp0_ = 0;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = self->priv->_resume_pos;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	result = _tmp0_;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	return result;
#line 2303 "LocalMedia.c"
}


static void noise_local_media_real_set_resume_pos (NoiseMedia* base, gint value) {
	NoiseLocalMedia* self;
	gint _tmp0_ = 0;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = (NoiseLocalMedia*) base;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = value;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_resume_pos = _tmp0_;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_notify ((GObject *) self, "resume-pos");
#line 2318 "LocalMedia.c"
}


static void noise_local_media_class_init (NoiseLocalMediaClass * klass) {
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	noise_local_media_parent_class = g_type_class_peek_parent (klass);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_type_class_add_private (klass, sizeof (NoiseLocalMediaPrivate));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_file_size = noise_local_media_real_get_file_size;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_file_size = noise_local_media_real_set_file_size;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_title = noise_local_media_real_get_title;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_title = noise_local_media_real_set_title;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_track = noise_local_media_real_get_track;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_track = noise_local_media_real_set_track;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_track_count = noise_local_media_real_get_track_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_track_count = noise_local_media_real_set_track_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_composer = noise_local_media_real_get_composer;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_composer = noise_local_media_real_set_composer;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_artist = noise_local_media_real_get_artist;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_artist = noise_local_media_real_set_artist;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_artist = noise_local_media_real_get_album_artist;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_artist = noise_local_media_real_set_album_artist;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_album = noise_local_media_real_get_album;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_album = noise_local_media_real_set_album;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_number = noise_local_media_real_get_album_number;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_number = noise_local_media_real_set_album_number;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_count = noise_local_media_real_get_album_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_count = noise_local_media_real_set_album_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_info = noise_local_media_real_get_album_info;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_info = noise_local_media_real_set_album_info;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_grouping = noise_local_media_real_get_grouping;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_grouping = noise_local_media_real_set_grouping;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_genre = noise_local_media_real_get_genre;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_genre = noise_local_media_real_set_genre;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_comment = noise_local_media_real_get_comment;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_comment = noise_local_media_real_set_comment;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_lyrics = noise_local_media_real_get_lyrics;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_lyrics = noise_local_media_real_set_lyrics;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_year = noise_local_media_real_get_year;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_year = noise_local_media_real_set_year;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_bitrate = noise_local_media_real_get_bitrate;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_bitrate = noise_local_media_real_set_bitrate;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_samplerate = noise_local_media_real_get_samplerate;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_samplerate = noise_local_media_real_set_samplerate;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_length = noise_local_media_real_get_length;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_length = noise_local_media_real_set_length;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_rating = noise_local_media_real_get_rating;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_rating = noise_local_media_real_set_rating;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_play_count = noise_local_media_real_get_play_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_play_count = noise_local_media_real_set_play_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_skip_count = noise_local_media_real_get_skip_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_skip_count = noise_local_media_real_set_skip_count;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_date_added = noise_local_media_real_get_date_added;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_date_added = noise_local_media_real_set_date_added;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_last_played = noise_local_media_real_get_last_played;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_last_played = noise_local_media_real_set_last_played;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_last_modified = noise_local_media_real_get_last_modified;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_last_modified = noise_local_media_real_set_last_modified;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->get_resume_pos = noise_local_media_real_get_resume_pos;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	NOISE_MEDIA_CLASS (klass)->set_resume_pos = noise_local_media_real_set_resume_pos;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_local_media_get_property;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_local_media_set_property;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_local_media_finalize;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_FILE_SIZE, g_param_spec_uint64 ("file-size", "file-size", "file-size", 0, G_MAXUINT64, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_TITLE, g_param_spec_string ("title", "title", "title", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_TRACK, g_param_spec_uint ("track", "track", "track", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_TRACK_COUNT, g_param_spec_uint ("track-count", "track-count", "track-count", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_COMPOSER, g_param_spec_string ("composer", "composer", "composer", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_ARTIST, g_param_spec_string ("artist", "artist", "artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_ALBUM_ARTIST, g_param_spec_string ("album-artist", "album-artist", "album-artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_ALBUM, g_param_spec_string ("album", "album", "album", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_ALBUM_NUMBER, g_param_spec_uint ("album-number", "album-number", "album-number", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_ALBUM_COUNT, g_param_spec_uint ("album-count", "album-count", "album-count", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_ALBUM_INFO, g_param_spec_object ("album-info", "album-info", "album-info", NOISE_TYPE_ALBUM, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_GROUPING, g_param_spec_string ("grouping", "grouping", "grouping", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_GENRE, g_param_spec_string ("genre", "genre", "genre", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_COMMENT, g_param_spec_string ("comment", "comment", "comment", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_LYRICS, g_param_spec_string ("lyrics", "lyrics", "lyrics", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_YEAR, g_param_spec_uint ("year", "year", "year", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_BITRATE, g_param_spec_uint ("bitrate", "bitrate", "bitrate", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_SAMPLERATE, g_param_spec_uint ("samplerate", "samplerate", "samplerate", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_LENGTH, g_param_spec_uint ("length", "length", "length", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_RATING, g_param_spec_uint ("rating", "rating", "rating", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_PLAY_COUNT, g_param_spec_uint ("play-count", "play-count", "play-count", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_SKIP_COUNT, g_param_spec_uint ("skip-count", "skip-count", "skip-count", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_DATE_ADDED, g_param_spec_uint ("date-added", "date-added", "date-added", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_LAST_PLAYED, g_param_spec_uint ("last-played", "last-played", "last-played", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_LAST_MODIFIED, g_param_spec_uint ("last-modified", "last-modified", "last-modified", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_MEDIA_RESUME_POS, g_param_spec_int ("resume-pos", "resume-pos", "resume-pos", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2489 "LocalMedia.c"
}


static void noise_local_media_instance_init (NoiseLocalMedia * self) {
	NoiseDataBaseManager* _tmp0_ = NULL;
	NoiseDataBaseManager* _tmp1_ = NULL;
	SQLHeavyDatabase* _tmp2_ = NULL;
	SQLHeavyDatabase* _tmp3_ = NULL;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv = NOISE_LOCAL_MEDIA_GET_PRIVATE (self);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp0_ = noise_data_base_manager_get_default ();
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp1_ = _tmp0_;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp2_ = _tmp1_->database;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->database = _tmp3_;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_object_unref0 (_tmp1_);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_file_size = NULL;
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_title = NULL;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_track = NULL;
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_track_count = NULL;
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_composer = NULL;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_artist = NULL;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_album_artist = NULL;
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_album = NULL;
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_album_number = NULL;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_album_count = NULL;
#line 139 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_album_info = NULL;
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_grouping = NULL;
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_genre = NULL;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_comment = NULL;
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_lyrics = NULL;
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_year = NULL;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_bitrate = NULL;
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_samplerate = NULL;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_length = NULL;
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_play_count = NULL;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_skip_count = NULL;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_date_added = NULL;
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_last_played = NULL;
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->_last_modified = NULL;
#line 286 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self->priv->_resume_pos = 0;
#line 2562 "LocalMedia.c"
}


static void noise_local_media_finalize (GObject* obj) {
	NoiseLocalMedia * self;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMedia);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_object_unref0 (self->priv->database);
#line 34 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_file_size);
#line 48 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_title);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_track);
#line 69 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_track_count);
#line 79 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_composer);
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_artist);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_album_artist);
#line 109 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_album);
#line 119 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_album_number);
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_album_count);
#line 140 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_grouping);
#line 150 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_genre);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_comment);
#line 170 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->priv->_lyrics);
#line 180 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_year);
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_bitrate);
#line 200 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_samplerate);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_length);
#line 235 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_play_count);
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_skip_count);
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_date_added);
#line 265 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_last_played);
#line 275 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	_g_free0 (self->_last_modified);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	G_OBJECT_CLASS (noise_local_media_parent_class)->finalize (obj);
#line 2620 "LocalMedia.c"
}


GType noise_local_media_get_type (void) {
	static volatile gsize noise_local_media_type_id__volatile = 0;
	if (g_once_init_enter (&noise_local_media_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseLocalMediaClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_local_media_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseLocalMedia), 0, (GInstanceInitFunc) noise_local_media_instance_init, NULL };
		GType noise_local_media_type_id;
		noise_local_media_type_id = g_type_register_static (NOISE_TYPE_MEDIA, "NoiseLocalMedia", &g_define_type_info, 0);
		g_once_init_leave (&noise_local_media_type_id__volatile, noise_local_media_type_id);
	}
	return noise_local_media_type_id__volatile;
}


static void _vala_noise_local_media_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseLocalMedia * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMedia);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	switch (property_id) {
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_FILE_SIZE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint64 (value, noise_media_get_file_size ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_TITLE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_title ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_TRACK:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_track ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_TRACK_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_track_count ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_COMPOSER:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_composer ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ARTIST:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_artist ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_ARTIST:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_album_artist ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_album ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_NUMBER:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_album_number ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_album_count ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_INFO:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_object (value, noise_media_get_album_info ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_GROUPING:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_grouping ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_GENRE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_genre ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_COMMENT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_comment ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LYRICS:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_string (value, noise_media_get_lyrics ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_YEAR:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_year ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_BITRATE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_bitrate ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_SAMPLERATE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_samplerate ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LENGTH:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_length ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_RATING:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_rating ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_PLAY_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_play_count ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_SKIP_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_skip_count ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_DATE_ADDED:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_date_added ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LAST_PLAYED:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_last_played ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LAST_MODIFIED:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_uint (value, noise_media_get_last_modified ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_RESUME_POS:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		g_value_set_int (value, noise_media_get_resume_pos ((NoiseMedia*) self));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 2797 "LocalMedia.c"
		default:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 2803 "LocalMedia.c"
	}
}


static void _vala_noise_local_media_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseLocalMedia * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_LOCAL_MEDIA, NoiseLocalMedia);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
	switch (property_id) {
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_FILE_SIZE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_file_size ((NoiseMedia*) self, g_value_get_uint64 (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_TITLE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_title ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_TRACK:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_track ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_TRACK_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_track_count ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_COMPOSER:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_composer ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ARTIST:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_artist ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_ARTIST:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_album_artist ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_album ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_NUMBER:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_album_number ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_album_count ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_ALBUM_INFO:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_album_info ((NoiseMedia*) self, g_value_get_object (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_GROUPING:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_grouping ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_GENRE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_genre ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_COMMENT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_comment ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LYRICS:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_lyrics ((NoiseMedia*) self, g_value_get_string (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_YEAR:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_year ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_BITRATE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_bitrate ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_SAMPLERATE:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_samplerate ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LENGTH:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_length ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_RATING:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_rating ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_PLAY_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_play_count ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_SKIP_COUNT:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_skip_count ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_DATE_ADDED:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_date_added ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LAST_PLAYED:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_last_played ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_LAST_MODIFIED:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_last_modified ((NoiseMedia*) self, g_value_get_uint (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		case NOISE_LOCAL_MEDIA_RESUME_POS:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		noise_media_set_resume_pos ((NoiseMedia*) self, g_value_get_int (value));
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 2969 "LocalMedia.c"
		default:
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/usr/src/RPM/BUILD/noise-0.3.1/src/LocalBackend/LocalMedia.vala"
		break;
#line 2975 "LocalMedia.c"
	}
}



