/* PlaybackManager.c generated by valac 0.28.1, the Vala compiler
 * generated from PlaybackManager.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2013 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <gst/gst.h>
#include <gtk/gtk.h>


#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
typedef struct _NoisePlaybackManagerPrivate NoisePlaybackManagerPrivate;

#define NOISE_TYPE_STREAMER (noise_streamer_get_type ())
#define NOISE_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_STREAMER, NoiseStreamer))
#define NOISE_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_STREAMER, NoiseStreamerClass))
#define NOISE_IS_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_STREAMER))
#define NOISE_IS_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_STREAMER))
#define NOISE_STREAMER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_STREAMER, NoiseStreamerClass))

typedef struct _NoiseStreamer NoiseStreamer;
typedef struct _NoiseStreamerClass NoiseStreamerClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoisePlaybackManager {
	GObject parent_instance;
	NoisePlaybackManagerPrivate * priv;
	NoiseStaticPlaylist* queue_playlist;
	NoiseStaticPlaylist* history_playlist;
	gint next_gapless_id;
	NoiseStreamer* file_player;
	NoisePlayback* player;
};

struct _NoisePlaybackManagerClass {
	GObjectClass parent_class;
};

struct _NoisePlaybackManagerPrivate {
	GeeTreeSet* playbacks;
	GRecMutex __lock_playbacks;
	GeeHashMap* _current;
	GeeHashMap* _current_shuffled;
	gint _current_index;
	gint _current_shuffled_index;
	gboolean _playing;
	gdouble saved_volume;
	gboolean _playing_queued_song;
	NoiseMedia* _current_media;
};

struct _Block8Data {
	int _ref_count_;
	NoisePlaybackManager* self;
	NoiseMedia* m;
};


static gpointer noise_playback_manager_parent_class = NULL;
static NoisePlayerIface* noise_playback_manager_noise_player_parent_iface = NULL;

GType noise_playback_manager_get_type (void) G_GNUC_CONST;
GType noise_streamer_get_type (void) G_GNUC_CONST;
#define NOISE_PLAYBACK_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerPrivate))
enum  {
	NOISE_PLAYBACK_MANAGER_DUMMY_PROPERTY,
	NOISE_PLAYBACK_MANAGER_LIBRARY,
	NOISE_PLAYBACK_MANAGER_PLAYING,
	NOISE_PLAYBACK_MANAGER_VOLUME,
	NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA,
	NOISE_PLAYBACK_MANAGER_CURRENT_INDEX
};
NoisePlaybackManager* noise_playback_manager_new (void);
NoisePlaybackManager* noise_playback_manager_construct (GType object_type);
NoiseStreamer* noise_streamer_new (void);
NoiseStreamer* noise_streamer_construct (GType object_type);
static void noise_playback_manager_real_add_playback (NoisePlayer* base, NoisePlayback* playback);
void noise_playback_manager_queue_media (NoisePlaybackManager* self, GeeCollection* to_queue);
void noise_playback_manager_queue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids);
NoiseLibrary* noise_playback_manager_get_library (NoisePlaybackManager* self);
void noise_playback_manager_unqueue_media (NoisePlaybackManager* self, GeeCollection* to_unqueue);
void noise_playback_manager_unqueue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids);
NoiseMedia* noise_playback_manager_peek_queue (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_poll_queue (NoisePlaybackManager* self);
void noise_playback_manager_reset_already_played (NoisePlaybackManager* self);
gboolean noise_playback_manager_playing_queued_song (NoisePlaybackManager* self);
gboolean noise_playback_manager_is_shuffled (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_mediaFromCurrentIndex (NoisePlaybackManager* self, gint index_in_current);
GeeCollection* noise_playback_manager_get_current_media_list (NoisePlaybackManager* self);
void noise_playback_manager_clearCurrent (NoisePlaybackManager* self);
void noise_playback_manager_set_current_index (NoisePlaybackManager* self, gint value);
void noise_playback_manager_reshuffle (NoisePlaybackManager* self);
void noise_playback_manager_addToCurrent (NoisePlaybackManager* self, NoiseMedia* m);
void noise_playback_manager_set_repeat_mode (NoisePlaybackManager* self, NoiseSettingsRepeat mode);
void noise_playback_manager_set_shuffle_mode (NoisePlaybackManager* self, NoiseSettingsShuffle mode);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_getNext (NoisePlaybackManager* self, gboolean play);
static void noise_playback_manager_set_current_media (NoisePlaybackManager* self, NoiseMedia* value);
void noise_playback_manager_stop_playback (NoisePlaybackManager* self);
void noise_playback_manager_playMedia (NoisePlaybackManager* self, NoiseMedia* m, gboolean use_resume_pos);
NoiseMedia* noise_playback_manager_getPrevious (NoisePlaybackManager* self, gboolean play);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
void noise_playback_manager_set_volume (NoisePlaybackManager* self, gdouble value);
void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self);
gboolean noise_playback_manager_get_playing (NoisePlaybackManager* self);
static gboolean __lambda12_ (Block8Data* _data8_);
static gboolean ___lambda12__gsource_func (gpointer self);
static void noise_playback_manager_set_playing (NoisePlaybackManager* self, gboolean value);
void noise_playback_manager_start_playback (NoisePlaybackManager* self);
void noise_playback_manager_pause_playback (NoisePlaybackManager* self);
gdouble noise_playback_manager_get_volume (NoisePlaybackManager* self);
gint noise_playback_manager_get_current_index (NoisePlaybackManager* self);
static void noise_playback_manager_finalize (GObject* obj);
static void _vala_noise_playback_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_playback_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 171 "PlaybackManager.c"
}


NoisePlaybackManager* noise_playback_manager_construct (GType object_type) {
	NoisePlaybackManager * self = NULL;
	NoiseStreamer* _tmp0_ = NULL;
	GeeTreeSet* _tmp1_ = NULL;
	NoiseStreamer* _tmp2_ = NULL;
	NoiseStreamer* _tmp3_ = NULL;
	NoisePlayback* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	NoiseStaticPlaylist* _tmp7_ = NULL;
	NoiseStaticPlaylist* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	NoiseStaticPlaylist* _tmp10_ = NULL;
	NoiseStaticPlaylist* _tmp11_ = NULL;
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self = (NoisePlaybackManager*) g_object_new (object_type, NULL);
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_streamer_new ();
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->file_player);
#line 88 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->file_player = _tmp0_;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = self->priv->playbacks;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = self->file_player;
#line 89 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (NoisePlayback*) _tmp2_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = self->file_player;
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = _g_object_ref0 ((NoisePlayback*) _tmp3_);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->player);
#line 90 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->player = _tmp4_;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp5_ = self->history_playlist;
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp6_ = _ ("History");
#line 91 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playlist_set_name ((NoisePlaylist*) _tmp5_, _tmp6_);
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp7_ = self->history_playlist;
#line 92 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_static_playlist_set_read_only (_tmp7_, TRUE);
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp8_ = self->queue_playlist;
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp9_ = C_ ("Name of the playlist", "Queue");
#line 93 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playlist_set_name ((NoisePlaylist*) _tmp8_, _tmp9_);
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp10_ = self->queue_playlist;
#line 94 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_static_playlist_set_read_only (_tmp10_, TRUE);
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp11_ = self->queue_playlist;
#line 95 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_static_playlist_set_allow_duplicate (_tmp11_, TRUE);
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return self;
#line 237 "PlaybackManager.c"
}


NoisePlaybackManager* noise_playback_manager_new (void) {
#line 87 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return noise_playback_manager_construct (NOISE_TYPE_PLAYBACK_MANAGER);
#line 244 "PlaybackManager.c"
}


static void noise_playback_manager_real_add_playback (NoisePlayer* base, NoisePlayback* playback) {
	NoisePlaybackManager * self;
	GeeTreeSet* _tmp0_ = NULL;
	NoisePlayback* _tmp1_ = NULL;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self = (NoisePlaybackManager*) base;
#line 98 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (playback != NULL);
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->playbacks;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = playback;
#line 99 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 262 "PlaybackManager.c"
}


void noise_playback_manager_queue_media (NoisePlaybackManager* self, GeeCollection* to_queue) {
	GeeCollection* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	NoiseStaticPlaylist* _tmp3_ = NULL;
	GeeCollection* _tmp4_ = NULL;
	GeeCollection* _tmp5_ = NULL;
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 106 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (to_queue != NULL);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = to_queue;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = gee_collection_get_size (_tmp0_);
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 107 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp2_ < 1) {
#line 108 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return;
#line 287 "PlaybackManager.c"
	}
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = self->queue_playlist;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = to_queue;
#line 110 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playlist_add_medias ((NoisePlaylist*) _tmp3_, _tmp4_);
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp5_ = to_queue;
#line 112 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "media-queued", _tmp5_);
#line 299 "PlaybackManager.c"
}


void noise_playback_manager_queue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids) {
	NoiseLibrary* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	GeeCollection* _tmp3_ = NULL;
	GeeCollection* _tmp4_ = NULL;
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 115 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (ids != NULL);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_library (self);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = ids;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = noise_library_medias_from_ids (_tmp1_, _tmp2_);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_queue_media (self, _tmp4_);
#line 116 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 327 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_media (NoisePlaybackManager* self, GeeCollection* to_unqueue) {
	NoiseStaticPlaylist* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 120 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (to_unqueue != NULL);
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->queue_playlist;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = to_unqueue;
#line 121 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playlist_remove_medias ((NoisePlaylist*) _tmp0_, _tmp1_);
#line 344 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids) {
	NoiseLibrary* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	GeeCollection* _tmp3_ = NULL;
	GeeCollection* _tmp4_ = NULL;
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 124 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (ids != NULL);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_library (self);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = ids;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = noise_library_medias_from_ids (_tmp1_, _tmp2_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_unqueue_media (self, _tmp4_);
#line 125 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 372 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_peek_queue (NoisePlaybackManager* self) {
	NoiseMedia* result = NULL;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	GeeArrayQueue* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
#line 128 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->queue_playlist;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp0_);
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = gee_deque_peek_head ((GeeDeque*) _tmp2_);
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = (NoiseMedia*) _tmp3_;
#line 129 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 396 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_poll_queue (NoisePlaybackManager* self) {
	NoiseMedia* result = NULL;
	NoiseMedia* m = NULL;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	GeeArrayQueue* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	GeeLinkedList* unqueued = NULL;
	GeeLinkedList* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
#line 132 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->queue_playlist;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp0_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = gee_deque_poll_head ((GeeDeque*) _tmp2_);
#line 133 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	m = (NoiseMedia*) _tmp3_;
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 134 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	unqueued = _tmp4_;
#line 135 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) unqueued, m);
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp5_ = self->queue_playlist;
#line 136 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_emit_by_name ((NoisePlaylist*) _tmp5_, "media-removed", (GeeCollection*) unqueued);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = m;
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (unqueued);
#line 137 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 438 "PlaybackManager.c"
}


void noise_playback_manager_reset_already_played (NoisePlaybackManager* self) {
	NoiseStaticPlaylist* _tmp0_ = NULL;
#line 143 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->history_playlist;
#line 144 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playlist_clear ((NoisePlaylist*) _tmp0_);
#line 450 "PlaybackManager.c"
}


gboolean noise_playback_manager_playing_queued_song (NoisePlaybackManager* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 159 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_playing_queued_song;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = _tmp0_;
#line 160 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 465 "PlaybackManager.c"
}


gboolean noise_playback_manager_is_shuffled (NoisePlaybackManager* self) {
	gboolean result = FALSE;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 163 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = _tmp2_ > 0;
#line 164 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 486 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_mediaFromCurrentIndex (NoisePlaybackManager* self, gint index_in_current) {
	NoiseMedia* result = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	gboolean _tmp4_ = FALSE;
#line 186 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_ == NOISE_SETTINGS_SHUFFLE_OFF;
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp1_);
#line 187 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp4_) {
#line 513 "PlaybackManager.c"
		GeeHashMap* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		gpointer _tmp7_ = NULL;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = self->priv->_current;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = index_in_current;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp7_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp5_, (gpointer) ((gintptr) _tmp6_));
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		result = (NoiseMedia*) _tmp7_;
#line 188 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return result;
#line 527 "PlaybackManager.c"
	} else {
		GeeHashMap* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gpointer _tmp10_ = NULL;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp8_ = self->priv->_current_shuffled;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp9_ = index_in_current;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp10_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp8_, (gpointer) ((gintptr) _tmp9_));
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		result = (NoiseMedia*) _tmp10_;
#line 190 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return result;
#line 542 "PlaybackManager.c"
	}
}


GeeCollection* noise_playback_manager_get_current_media_list (NoisePlaybackManager* self) {
	GeeCollection* result = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	gboolean _tmp4_ = FALSE;
#line 193 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_ == NOISE_SETTINGS_SHUFFLE_OFF;
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp1_);
#line 194 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp4_) {
#line 570 "PlaybackManager.c"
		GeeHashMap* _tmp5_ = NULL;
		GeeCollection* _tmp6_ = NULL;
		GeeCollection* _tmp7_ = NULL;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = self->priv->_current_shuffled;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = gee_abstract_map_get_values ((GeeMap*) _tmp5_);
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp7_ = _tmp6_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		result = _tmp7_;
#line 195 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return result;
#line 584 "PlaybackManager.c"
	} else {
		GeeHashMap* _tmp8_ = NULL;
		GeeCollection* _tmp9_ = NULL;
		GeeCollection* _tmp10_ = NULL;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp8_ = self->priv->_current;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp9_ = gee_abstract_map_get_values ((GeeMap*) _tmp8_);
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp10_ = _tmp9_;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		result = _tmp10_;
#line 197 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return result;
#line 599 "PlaybackManager.c"
	}
}


void noise_playback_manager_clearCurrent (NoisePlaybackManager* self) {
	GeeHashMap* _tmp0_ = NULL;
#line 201 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 202 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "current-cleared");
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current;
#line 203 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 204 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_set_current_index (self, 0);
#line 206 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_reshuffle (self);
#line 618 "PlaybackManager.c"
}


void noise_playback_manager_addToCurrent (NoisePlaybackManager* self, NoiseMedia* m) {
	GeeHashMap* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	NoiseMedia* _tmp4_ = NULL;
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 210 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (m != NULL);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = self->priv->_current;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = gee_abstract_map_get_size ((GeeMap*) _tmp1_);
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = m;
#line 211 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp0_, (gpointer) ((gintptr) _tmp3_), _tmp4_);
#line 644 "PlaybackManager.c"
}


void noise_playback_manager_set_repeat_mode (NoisePlaybackManager* self, NoiseSettingsRepeat mode) {
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsRepeat _tmp2_ = 0;
	NoiseSettingsRepeat _tmp3_ = 0;
	NoiseSettingsRepeat _tmp4_ = 0;
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 215 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_repeat_mode (_tmp1_);
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = mode;
#line 216 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp3_ != _tmp4_) {
#line 671 "PlaybackManager.c"
		NoiseSettingsMain* _tmp5_ = NULL;
		NoiseSettingsRepeat _tmp6_ = 0;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = main_settings;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = mode;
#line 217 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_settings_main_set_repeat_mode (_tmp5_, _tmp6_);
#line 680 "PlaybackManager.c"
	}
#line 214 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 684 "PlaybackManager.c"
}


void noise_playback_manager_set_shuffle_mode (NoisePlaybackManager* self, NoiseSettingsShuffle mode) {
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	NoiseSettingsShuffle _tmp4_ = 0;
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 221 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = mode;
#line 222 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp3_ != _tmp4_) {
#line 711 "PlaybackManager.c"
		NoiseSettingsMain* _tmp5_ = NULL;
		NoiseSettingsShuffle _tmp6_ = 0;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = main_settings;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = mode;
#line 223 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_settings_main_set_shuffle_mode (_tmp5_, _tmp6_);
#line 224 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_reshuffle (self);
#line 722 "PlaybackManager.c"
	}
#line 220 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 726 "PlaybackManager.c"
}


void noise_playback_manager_reshuffle (NoisePlaybackManager* self) {
	GeeHashMap* _tmp0_ = NULL;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsMain* _tmp2_ = NULL;
	NoiseSettingsShuffle _tmp3_ = 0;
	NoiseSettingsShuffle _tmp4_ = 0;
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 229 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 230 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->_current_shuffled_index = 0;
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = noise_settings_main_get_default ();
#line 232 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	main_settings = _tmp1_;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = main_settings;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = noise_settings_main_get_shuffle_mode (_tmp2_);
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 233 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp4_ == NOISE_SETTINGS_SHUFFLE_OFF) {
#line 757 "PlaybackManager.c"
		NoiseMedia* _tmp5_ = NULL;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = self->priv->_current_media;
#line 234 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp5_ != NULL) {
#line 763 "PlaybackManager.c"
			{
				gint i = 0;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				i = 0;
#line 768 "PlaybackManager.c"
				{
					gboolean _tmp6_ = FALSE;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp6_ = TRUE;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					while (TRUE) {
#line 775 "PlaybackManager.c"
						gint _tmp8_ = 0;
						GeeHashMap* _tmp9_ = NULL;
						gint _tmp10_ = 0;
						gint _tmp11_ = 0;
						GeeHashMap* _tmp12_ = NULL;
						gint _tmp13_ = 0;
						gpointer _tmp14_ = NULL;
						NoiseMedia* _tmp15_ = NULL;
						NoiseMedia* _tmp16_ = NULL;
						gboolean _tmp17_ = FALSE;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!_tmp6_) {
#line 788 "PlaybackManager.c"
							gint _tmp7_ = 0;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp7_ = i;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							i = _tmp7_ + 1;
#line 794 "PlaybackManager.c"
						}
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp6_ = FALSE;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp8_ = i;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp9_ = self->priv->_current;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp10_ = gee_abstract_map_get_size ((GeeMap*) _tmp9_);
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp11_ = _tmp10_;
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!(_tmp8_ < _tmp11_)) {
#line 236 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							break;
#line 810 "PlaybackManager.c"
						}
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp12_ = self->priv->_current;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp13_ = i;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp14_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp12_, (gpointer) ((gintptr) _tmp13_));
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp15_ = (NoiseMedia*) _tmp14_;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp16_ = self->priv->_current_media;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp17_ = _tmp15_ == _tmp16_;
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp15_);
#line 237 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp17_) {
#line 828 "PlaybackManager.c"
							gint _tmp18_ = 0;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp18_ = i;
#line 238 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_index = _tmp18_;
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 239 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							return;
#line 838 "PlaybackManager.c"
						}
					}
				}
			}
		} else {
#line 243 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			self->priv->_current_index = 0;
#line 846 "PlaybackManager.c"
		}
	} else {
		NoiseSettingsMain* _tmp19_ = NULL;
		NoiseSettingsShuffle _tmp20_ = 0;
		NoiseSettingsShuffle _tmp21_ = 0;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp19_ = main_settings;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp20_ = noise_settings_main_get_shuffle_mode (_tmp19_);
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp21_ = _tmp20_;
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp21_ == NOISE_SETTINGS_SHUFFLE_ALL) {
#line 860 "PlaybackManager.c"
			GeeLinkedList* temp = NULL;
			GeeLinkedList* _tmp22_ = NULL;
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp22_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 247 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			temp = _tmp22_;
#line 867 "PlaybackManager.c"
			{
				GeeIterator* _m_it = NULL;
				GeeHashMap* _tmp23_ = NULL;
				GeeCollection* _tmp24_ = NULL;
				GeeCollection* _tmp25_ = NULL;
				GeeCollection* _tmp26_ = NULL;
				GeeIterator* _tmp27_ = NULL;
				GeeIterator* _tmp28_ = NULL;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp23_ = self->priv->_current;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp24_ = gee_abstract_map_get_values ((GeeMap*) _tmp23_);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp25_ = _tmp24_;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp26_ = _tmp25_;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp27_ = gee_iterable_iterator ((GeeIterable*) _tmp26_);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp28_ = _tmp27_;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (_tmp26_);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_m_it = _tmp28_;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				while (TRUE) {
#line 894 "PlaybackManager.c"
					GeeIterator* _tmp29_ = NULL;
					gboolean _tmp30_ = FALSE;
					NoiseMedia* m = NULL;
					GeeIterator* _tmp31_ = NULL;
					gpointer _tmp32_ = NULL;
					GeeLinkedList* _tmp33_ = NULL;
					NoiseMedia* _tmp34_ = NULL;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp29_ = _m_it;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp30_ = gee_iterator_next (_tmp29_);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (!_tmp30_) {
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						break;
#line 910 "PlaybackManager.c"
					}
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp31_ = _m_it;
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp32_ = gee_iterator_get (_tmp31_);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					m = (NoiseMedia*) _tmp32_;
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp33_ = temp;
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp34_ = m;
#line 249 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp33_, _tmp34_);
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (m);
#line 926 "PlaybackManager.c"
				}
#line 248 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (_m_it);
#line 930 "PlaybackManager.c"
			}
			{
				gint i = 0;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				i = 1;
#line 936 "PlaybackManager.c"
				{
					gboolean _tmp35_ = FALSE;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp35_ = TRUE;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					while (TRUE) {
#line 943 "PlaybackManager.c"
						gint _tmp37_ = 0;
						GeeHashMap* _tmp38_ = NULL;
						gint _tmp39_ = 0;
						gint _tmp40_ = 0;
						gint n_media = 0;
						GeeLinkedList* _tmp41_ = NULL;
						gint _tmp42_ = 0;
						gint _tmp43_ = 0;
						gint _tmp44_ = 0;
						gint _tmp45_ = 0;
						gint _tmp46_ = 0;
						gint random = 0;
						gboolean _tmp49_ = FALSE;
						NoiseMedia* _tmp50_ = NULL;
						GeeLinkedList* _tmp65_ = NULL;
						GeeLinkedList* _tmp66_ = NULL;
						gint _tmp67_ = 0;
						gpointer _tmp68_ = NULL;
						NoiseMedia* _tmp69_ = NULL;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!_tmp35_) {
#line 965 "PlaybackManager.c"
							gint _tmp36_ = 0;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp36_ = i;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							i = _tmp36_ + 1;
#line 971 "PlaybackManager.c"
						}
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp35_ = FALSE;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp37_ = i;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp38_ = self->priv->_current;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp39_ = gee_abstract_map_get_size ((GeeMap*) _tmp38_);
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp40_ = _tmp39_;
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!(_tmp37_ < _tmp40_)) {
#line 255 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							break;
#line 987 "PlaybackManager.c"
						}
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp41_ = temp;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp42_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp41_);
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp43_ = _tmp42_;
#line 256 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						n_media = _tmp43_;
#line 257 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp44_ = n_media;
#line 257 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp44_ == 0) {
#line 258 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							break;
#line 1003 "PlaybackManager.c"
						}
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp46_ = n_media;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp46_ <= 1) {
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp45_ = 0;
#line 1011 "PlaybackManager.c"
						} else {
							gint _tmp47_ = 0;
							gint32 _tmp48_ = 0;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp47_ = n_media;
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp48_ = g_random_int_range ((gint32) 0, (gint32) (_tmp47_ - 1));
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp45_ = (gint) _tmp48_;
#line 1021 "PlaybackManager.c"
						}
#line 260 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						random = _tmp45_;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp50_ = self->priv->_current_media;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp50_ != NULL) {
#line 1029 "PlaybackManager.c"
							GeeLinkedList* _tmp51_ = NULL;
							gint _tmp52_ = 0;
							gpointer _tmp53_ = NULL;
							NoiseMedia* _tmp54_ = NULL;
							NoiseMedia* _tmp55_ = NULL;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp51_ = temp;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp52_ = random;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp53_ = gee_abstract_list_get ((GeeAbstractList*) _tmp51_, _tmp52_);
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp54_ = (NoiseMedia*) _tmp53_;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp55_ = self->priv->_current_media;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp49_ = _tmp54_ == _tmp55_;
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp54_);
#line 1049 "PlaybackManager.c"
						} else {
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp49_ = FALSE;
#line 1053 "PlaybackManager.c"
						}
#line 262 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp49_) {
#line 1057 "PlaybackManager.c"
							GeeHashMap* _tmp56_ = NULL;
							NoiseMedia* _tmp57_ = NULL;
							gint _tmp58_ = 0;
#line 263 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp56_ = self->priv->_current_shuffled;
#line 263 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp57_ = self->priv->_current_media;
#line 263 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							gee_abstract_map_set ((GeeAbstractMap*) _tmp56_, (gpointer) ((gintptr) 0), _tmp57_);
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp58_ = i;
#line 264 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							i = _tmp58_ - 1;
#line 1071 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp59_ = NULL;
							gint _tmp60_ = 0;
							GeeLinkedList* _tmp61_ = NULL;
							gint _tmp62_ = 0;
							gpointer _tmp63_ = NULL;
							NoiseMedia* _tmp64_ = NULL;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp59_ = self->priv->_current_shuffled;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp60_ = i;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp61_ = temp;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp62_ = random;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp63_ = gee_abstract_list_get ((GeeAbstractList*) _tmp61_, _tmp62_);
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp64_ = (NoiseMedia*) _tmp63_;
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							gee_abstract_map_set ((GeeAbstractMap*) _tmp59_, (gpointer) ((gintptr) _tmp60_), _tmp64_);
#line 266 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp64_);
#line 1095 "PlaybackManager.c"
						}
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp65_ = temp;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp66_ = temp;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp67_ = random;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp68_ = gee_abstract_list_get ((GeeAbstractList*) _tmp66_, _tmp67_);
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp69_ = (NoiseMedia*) _tmp68_;
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp65_, _tmp69_);
#line 268 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp69_);
#line 1111 "PlaybackManager.c"
					}
				}
			}
#line 245 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (temp);
#line 1117 "PlaybackManager.c"
		}
	}
#line 228 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 1122 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_getNext (NoisePlaybackManager* self, gboolean play) {
	NoiseMedia* result = NULL;
	NoiseMedia* rv = NULL;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	GeeArrayQueue* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	gboolean _tmp195_ = FALSE;
#line 273 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 274 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	rv = NULL;
#line 276 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 276 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = self->queue_playlist;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp1_);
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp3_);
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp5_ = _tmp4_;
#line 278 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp5_ > 0) {
#line 1157 "PlaybackManager.c"
		NoiseMedia* _tmp6_ = NULL;
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = noise_playback_manager_poll_queue (self);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (rv);
#line 279 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		rv = _tmp6_;
#line 280 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self->priv->_playing_queued_song = TRUE;
#line 1167 "PlaybackManager.c"
	} else {
		NoiseSettingsMain* _tmp7_ = NULL;
		NoiseSettingsShuffle _tmp8_ = 0;
		NoiseSettingsShuffle _tmp9_ = 0;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp7_ = main_settings;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp8_ = noise_settings_main_get_shuffle_mode (_tmp7_);
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp9_ = _tmp8_;
#line 281 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp9_ != NOISE_SETTINGS_SHUFFLE_OFF) {
#line 1180 "PlaybackManager.c"
			GeeHashMap* _tmp10_ = NULL;
			gboolean _tmp11_ = FALSE;
			gboolean _tmp12_ = FALSE;
			NoiseMedia* _tmp24_ = NULL;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp10_ = self->priv->_current_shuffled;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp11_ = gee_map_get_is_empty ((GeeMap*) _tmp10_);
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp12_ = _tmp11_;
#line 282 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			if (_tmp12_) {
#line 1193 "PlaybackManager.c"
				{
					GeeIterator* _s_it = NULL;
					NoiseLibrary* _tmp13_ = NULL;
					NoiseLibrary* _tmp14_ = NULL;
					GeeCollection* _tmp15_ = NULL;
					GeeCollection* _tmp16_ = NULL;
					GeeIterator* _tmp17_ = NULL;
					GeeIterator* _tmp18_ = NULL;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp13_ = noise_playback_manager_get_library (self);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp14_ = _tmp13_;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp15_ = noise_library_get_medias (_tmp14_);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp16_ = _tmp15_;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp17_ = gee_iterable_iterator ((GeeIterable*) _tmp16_);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp18_ = _tmp17_;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (_tmp16_);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_s_it = _tmp18_;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					while (TRUE) {
#line 1220 "PlaybackManager.c"
						GeeIterator* _tmp19_ = NULL;
						gboolean _tmp20_ = FALSE;
						NoiseMedia* s = NULL;
						GeeIterator* _tmp21_ = NULL;
						gpointer _tmp22_ = NULL;
						NoiseMedia* _tmp23_ = NULL;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp19_ = _s_it;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp20_ = gee_iterator_next (_tmp19_);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!_tmp20_) {
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							break;
#line 1235 "PlaybackManager.c"
						}
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp21_ = _s_it;
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp22_ = gee_iterator_get (_tmp21_);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						s = (NoiseMedia*) _tmp22_;
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp23_ = s;
#line 284 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						noise_playback_manager_addToCurrent (self, _tmp23_);
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (s);
#line 1249 "PlaybackManager.c"
					}
#line 283 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (_s_it);
#line 1253 "PlaybackManager.c"
				}
#line 285 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				noise_playback_manager_reshuffle (self);
#line 1257 "PlaybackManager.c"
			}
#line 287 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			self->priv->_playing_queued_song = FALSE;
#line 289 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp24_ = self->priv->_current_media;
#line 289 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			if (_tmp24_ == NULL) {
#line 1265 "PlaybackManager.c"
				GeeHashMap* _tmp25_ = NULL;
				gpointer _tmp26_ = NULL;
#line 290 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				self->priv->_current_shuffled_index = 0;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp25_ = self->priv->_current_shuffled;
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp26_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp25_, (gpointer) ((gintptr) 0));
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 291 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp26_;
#line 1278 "PlaybackManager.c"
			} else {
				NoiseSettingsMain* _tmp27_ = NULL;
				NoiseSettingsRepeat _tmp28_ = 0;
				NoiseSettingsRepeat _tmp29_ = 0;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp27_ = main_settings;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp28_ = noise_settings_main_get_repeat_mode (_tmp27_);
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp29_ = _tmp28_;
#line 292 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp29_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 1291 "PlaybackManager.c"
					GeeHashMap* _tmp30_ = NULL;
					gint _tmp31_ = 0;
					gpointer _tmp32_ = NULL;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp30_ = self->priv->_current_shuffled;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp31_ = self->priv->_current_shuffled_index;
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp32_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp30_, (gpointer) ((gintptr) _tmp31_));
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 293 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp32_;
#line 1305 "PlaybackManager.c"
				} else {
					gint _tmp33_ = 0;
					GeeHashMap* _tmp34_ = NULL;
					gint _tmp35_ = 0;
					gint _tmp36_ = 0;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp33_ = self->priv->_current_shuffled_index;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp34_ = self->priv->_current_shuffled;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp35_ = gee_abstract_map_get_size ((GeeMap*) _tmp34_);
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp36_ = _tmp35_;
#line 294 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp33_ == (_tmp36_ - 1)) {
#line 1321 "PlaybackManager.c"
						NoiseSettingsMain* _tmp37_ = NULL;
						NoiseSettingsRepeat _tmp38_ = 0;
						NoiseSettingsRepeat _tmp39_ = 0;
						GeeHashMap* _tmp43_ = NULL;
						gpointer _tmp44_ = NULL;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp37_ = main_settings;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp38_ = noise_settings_main_get_repeat_mode (_tmp37_);
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp39_ = _tmp38_;
#line 295 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp39_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 296 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_shuffled_index = 0;
#line 1337 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp40_ = NULL;
							GeeHashMap* _tmp41_ = NULL;
							gboolean _tmp42_ = FALSE;
#line 299 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							noise_playback_manager_set_current_media (self, NULL);
#line 300 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp40_ = self->priv->_current_shuffled;
#line 300 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							gee_abstract_map_clear ((GeeAbstractMap*) _tmp40_);
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp41_ = self->priv->_current;
#line 301 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							gee_abstract_map_clear ((GeeAbstractMap*) _tmp41_);
#line 302 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_shuffled_index = 0;
#line 303 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_index = 0;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp42_ = play;
#line 305 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp42_) {
#line 306 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								noise_playback_manager_stop_playback (self);
#line 1362 "PlaybackManager.c"
							}
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							result = NULL;
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 309 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							return result;
#line 1372 "PlaybackManager.c"
						}
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp43_ = self->priv->_current_shuffled;
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp44_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp43_, (gpointer) ((gintptr) 0));
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 312 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp44_;
#line 1382 "PlaybackManager.c"
					} else {
						gboolean _tmp45_ = FALSE;
						gint _tmp46_ = 0;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp46_ = self->priv->_current_shuffled_index;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp46_ >= 0) {
#line 1390 "PlaybackManager.c"
							gint _tmp47_ = 0;
							GeeHashMap* _tmp48_ = NULL;
							gint _tmp49_ = 0;
							gint _tmp50_ = 0;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp47_ = self->priv->_current_shuffled_index;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp48_ = self->priv->_current_shuffled;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp49_ = gee_abstract_map_get_size ((GeeMap*) _tmp48_);
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp50_ = _tmp49_;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp45_ = _tmp47_ < (_tmp50_ - 1);
#line 1405 "PlaybackManager.c"
						} else {
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp45_ = FALSE;
#line 1409 "PlaybackManager.c"
						}
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp45_) {
#line 1413 "PlaybackManager.c"
							NoiseMedia* next_current = NULL;
							GeeHashMap* _tmp51_ = NULL;
							gint _tmp52_ = 0;
							gpointer _tmp53_ = NULL;
							NoiseMedia* now_current = NULL;
							GeeHashMap* _tmp54_ = NULL;
							gint _tmp55_ = 0;
							gpointer _tmp56_ = NULL;
							gboolean _tmp57_ = FALSE;
							NoiseSettingsMain* _tmp58_ = NULL;
							NoiseSettingsRepeat _tmp59_ = 0;
							NoiseSettingsRepeat _tmp60_ = 0;
							GeeHashMap* _tmp100_ = NULL;
							gint _tmp101_ = 0;
							gpointer _tmp102_ = NULL;
#line 315 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp51_ = self->priv->_current_shuffled;
#line 315 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp52_ = self->priv->_current_shuffled_index;
#line 315 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp53_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp51_, (gpointer) ((gintptr) (_tmp52_ + 1)));
#line 315 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							next_current = (NoiseMedia*) _tmp53_;
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp54_ = self->priv->_current_shuffled;
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp55_ = self->priv->_current_shuffled_index;
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp56_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp54_, (gpointer) ((gintptr) _tmp55_));
#line 316 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							now_current = (NoiseMedia*) _tmp56_;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp58_ = main_settings;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp59_ = noise_settings_main_get_repeat_mode (_tmp58_);
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp60_ = _tmp59_;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp60_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 1453 "PlaybackManager.c"
								NoiseMedia* _tmp61_ = NULL;
								const gchar* _tmp62_ = NULL;
								const gchar* _tmp63_ = NULL;
								NoiseMedia* _tmp64_ = NULL;
								const gchar* _tmp65_ = NULL;
								const gchar* _tmp66_ = NULL;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp61_ = next_current;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp62_ = noise_media_get_artist (_tmp61_);
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp63_ = _tmp62_;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp64_ = now_current;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp65_ = noise_media_get_artist (_tmp64_);
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp66_ = _tmp65_;
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp57_ = g_strcmp0 (_tmp63_, _tmp66_) != 0;
#line 1474 "PlaybackManager.c"
							} else {
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp57_ = FALSE;
#line 1478 "PlaybackManager.c"
							}
#line 318 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp57_) {
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 1484 "PlaybackManager.c"
									GeeHashMap* _tmp67_ = NULL;
									gint _tmp68_ = 0;
									gpointer _tmp69_ = NULL;
									NoiseMedia* _tmp70_ = NULL;
									const gchar* _tmp71_ = NULL;
									const gchar* _tmp72_ = NULL;
									NoiseMedia* _tmp73_ = NULL;
									const gchar* _tmp74_ = NULL;
									const gchar* _tmp75_ = NULL;
									gboolean _tmp76_ = FALSE;
									gint _tmp77_ = 0;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp67_ = self->priv->_current_shuffled;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp68_ = self->priv->_current_shuffled_index;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp69_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp67_, (gpointer) ((gintptr) (_tmp68_ - 1)));
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp70_ = (NoiseMedia*) _tmp69_;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp71_ = noise_media_get_artist (_tmp70_);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp72_ = _tmp71_;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp73_ = self->priv->_current_media;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp74_ = noise_media_get_artist (_tmp73_);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp75_ = _tmp74_;
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp76_ = !(g_strcmp0 (_tmp72_, _tmp75_) == 0);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp70_);
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (_tmp76_) {
#line 319 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 1522 "PlaybackManager.c"
									}
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp77_ = self->priv->_current_shuffled_index;
#line 320 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									self->priv->_current_shuffled_index = _tmp77_ - 1;
#line 1528 "PlaybackManager.c"
								}
							} else {
								gboolean _tmp78_ = FALSE;
								NoiseSettingsMain* _tmp79_ = NULL;
								NoiseSettingsRepeat _tmp80_ = 0;
								NoiseSettingsRepeat _tmp81_ = 0;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp79_ = main_settings;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp80_ = noise_settings_main_get_repeat_mode (_tmp79_);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp81_ = _tmp80_;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (_tmp81_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 1543 "PlaybackManager.c"
									NoiseMedia* _tmp82_ = NULL;
									const gchar* _tmp83_ = NULL;
									const gchar* _tmp84_ = NULL;
									NoiseMedia* _tmp85_ = NULL;
									const gchar* _tmp86_ = NULL;
									const gchar* _tmp87_ = NULL;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp82_ = next_current;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp83_ = noise_media_get_album (_tmp82_);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp84_ = _tmp83_;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp85_ = now_current;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp86_ = noise_media_get_album (_tmp85_);
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp87_ = _tmp86_;
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp78_ = g_strcmp0 (_tmp84_, _tmp87_) != 0;
#line 1564 "PlaybackManager.c"
								} else {
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp78_ = FALSE;
#line 1568 "PlaybackManager.c"
								}
#line 322 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (_tmp78_) {
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									while (TRUE) {
#line 1574 "PlaybackManager.c"
										GeeHashMap* _tmp88_ = NULL;
										gint _tmp89_ = 0;
										gpointer _tmp90_ = NULL;
										NoiseMedia* _tmp91_ = NULL;
										const gchar* _tmp92_ = NULL;
										const gchar* _tmp93_ = NULL;
										NoiseMedia* _tmp94_ = NULL;
										const gchar* _tmp95_ = NULL;
										const gchar* _tmp96_ = NULL;
										gboolean _tmp97_ = FALSE;
										gint _tmp98_ = 0;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp88_ = self->priv->_current_shuffled;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp89_ = self->priv->_current_shuffled_index;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp90_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp88_, (gpointer) ((gintptr) (_tmp89_ - 1)));
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp91_ = (NoiseMedia*) _tmp90_;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp92_ = noise_media_get_album (_tmp91_);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp93_ = _tmp92_;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp94_ = self->priv->_current_media;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp95_ = noise_media_get_album (_tmp94_);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp96_ = _tmp95_;
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp97_ = !(g_strcmp0 (_tmp93_, _tmp96_) == 0);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_g_object_unref0 (_tmp91_);
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										if (_tmp97_) {
#line 323 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
											break;
#line 1612 "PlaybackManager.c"
										}
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp98_ = self->priv->_current_shuffled_index;
#line 324 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										self->priv->_current_shuffled_index = _tmp98_ - 1;
#line 1618 "PlaybackManager.c"
									}
								} else {
									gint _tmp99_ = 0;
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp99_ = self->priv->_current_shuffled_index;
#line 327 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									self->priv->_current_shuffled_index = _tmp99_ + 1;
#line 1626 "PlaybackManager.c"
								}
							}
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp100_ = self->priv->_current_shuffled;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp101_ = self->priv->_current_shuffled_index;
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp102_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp100_, (gpointer) ((gintptr) _tmp101_));
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 330 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp102_;
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (now_current);
#line 313 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (next_current);
#line 1643 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp103_ = NULL;
							gpointer _tmp104_ = NULL;
#line 332 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_shuffled_index = 0;
#line 333 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							noise_playback_manager_set_shuffle_mode (self, NOISE_SETTINGS_SHUFFLE_ALL);
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp103_ = self->priv->_current_shuffled;
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp104_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp103_, (gpointer) ((gintptr) 0));
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 334 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp104_;
#line 1659 "PlaybackManager.c"
						}
					}
				}
			}
		} else {
			NoiseMedia* _tmp105_ = NULL;
#line 337 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			self->priv->_playing_queued_song = FALSE;
#line 339 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp105_ = self->priv->_current_media;
#line 339 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			if (_tmp105_ == NULL) {
#line 1672 "PlaybackManager.c"
				GeeHashMap* _tmp106_ = NULL;
				gpointer _tmp107_ = NULL;
#line 340 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				self->priv->_current_index = 0;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp106_ = self->priv->_current;
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp107_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp106_, (gpointer) ((gintptr) 0));
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 341 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp107_;
#line 1685 "PlaybackManager.c"
			} else {
				NoiseSettingsMain* _tmp108_ = NULL;
				NoiseSettingsRepeat _tmp109_ = 0;
				NoiseSettingsRepeat _tmp110_ = 0;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp108_ = main_settings;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp109_ = noise_settings_main_get_repeat_mode (_tmp108_);
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp110_ = _tmp109_;
#line 342 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp110_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 1698 "PlaybackManager.c"
					GeeHashMap* _tmp111_ = NULL;
					gint _tmp112_ = 0;
					gpointer _tmp113_ = NULL;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp111_ = self->priv->_current;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp112_ = self->priv->_current_index;
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp113_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp111_, (gpointer) ((gintptr) _tmp112_));
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 343 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp113_;
#line 1712 "PlaybackManager.c"
				} else {
					gint _tmp114_ = 0;
					GeeHashMap* _tmp115_ = NULL;
					gint _tmp116_ = 0;
					gint _tmp117_ = 0;
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp114_ = self->priv->_current_index;
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp115_ = self->priv->_current;
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp116_ = gee_abstract_map_get_size ((GeeMap*) _tmp115_);
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp117_ = _tmp116_;
#line 344 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp114_ == (_tmp117_ - 1)) {
#line 1728 "PlaybackManager.c"
						NoiseSettingsMain* _tmp118_ = NULL;
						NoiseSettingsRepeat _tmp119_ = 0;
						NoiseSettingsRepeat _tmp120_ = 0;
						GeeHashMap* _tmp122_ = NULL;
						gpointer _tmp123_ = NULL;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp118_ = main_settings;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp119_ = noise_settings_main_get_repeat_mode (_tmp118_);
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp120_ = _tmp119_;
#line 345 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp120_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 346 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_index = 0;
#line 1744 "PlaybackManager.c"
						} else {
							gboolean _tmp121_ = FALSE;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp121_ = play;
#line 348 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp121_) {
#line 349 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								noise_playback_manager_stop_playback (self);
#line 1753 "PlaybackManager.c"
							}
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							result = NULL;
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 351 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							return result;
#line 1763 "PlaybackManager.c"
						}
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp122_ = self->priv->_current;
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp123_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp122_, (gpointer) ((gintptr) 0));
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 354 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp123_;
#line 1773 "PlaybackManager.c"
					} else {
						gboolean _tmp124_ = FALSE;
						gint _tmp125_ = 0;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp125_ = self->priv->_current_index;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp125_ >= 0) {
#line 1781 "PlaybackManager.c"
							gint _tmp126_ = 0;
							GeeHashMap* _tmp127_ = NULL;
							gint _tmp128_ = 0;
							gint _tmp129_ = 0;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp126_ = self->priv->_current_index;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp127_ = self->priv->_current;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp128_ = gee_abstract_map_get_size ((GeeMap*) _tmp127_);
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp129_ = _tmp128_;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp124_ = _tmp126_ < (_tmp129_ - 1);
#line 1796 "PlaybackManager.c"
						} else {
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp124_ = FALSE;
#line 1800 "PlaybackManager.c"
						}
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp124_) {
#line 1804 "PlaybackManager.c"
							NoiseMedia* next_current = NULL;
							GeeHashMap* _tmp130_ = NULL;
							gint _tmp131_ = 0;
							gpointer _tmp132_ = NULL;
							NoiseMedia* now_current = NULL;
							GeeHashMap* _tmp133_ = NULL;
							gint _tmp134_ = 0;
							gpointer _tmp135_ = NULL;
							gboolean _tmp136_ = FALSE;
							NoiseSettingsMain* _tmp137_ = NULL;
							NoiseSettingsRepeat _tmp138_ = 0;
							NoiseSettingsRepeat _tmp139_ = 0;
							GeeHashMap* _tmp179_ = NULL;
							gint _tmp180_ = 0;
							gpointer _tmp181_ = NULL;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp130_ = self->priv->_current;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp131_ = self->priv->_current_index;
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp132_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp130_, (gpointer) ((gintptr) (_tmp131_ + 1)));
#line 357 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							next_current = (NoiseMedia*) _tmp132_;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp133_ = self->priv->_current;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp134_ = self->priv->_current_index;
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp135_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp133_, (gpointer) ((gintptr) _tmp134_));
#line 358 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							now_current = (NoiseMedia*) _tmp135_;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp137_ = main_settings;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp138_ = noise_settings_main_get_repeat_mode (_tmp137_);
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp139_ = _tmp138_;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp139_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 1844 "PlaybackManager.c"
								NoiseMedia* _tmp140_ = NULL;
								const gchar* _tmp141_ = NULL;
								const gchar* _tmp142_ = NULL;
								NoiseMedia* _tmp143_ = NULL;
								const gchar* _tmp144_ = NULL;
								const gchar* _tmp145_ = NULL;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp140_ = next_current;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp141_ = noise_media_get_artist (_tmp140_);
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp142_ = _tmp141_;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp143_ = now_current;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp144_ = noise_media_get_artist (_tmp143_);
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp145_ = _tmp144_;
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp136_ = g_strcmp0 (_tmp142_, _tmp145_) != 0;
#line 1865 "PlaybackManager.c"
							} else {
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp136_ = FALSE;
#line 1869 "PlaybackManager.c"
							}
#line 360 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp136_) {
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 1875 "PlaybackManager.c"
									GeeHashMap* _tmp146_ = NULL;
									gint _tmp147_ = 0;
									gpointer _tmp148_ = NULL;
									NoiseMedia* _tmp149_ = NULL;
									const gchar* _tmp150_ = NULL;
									const gchar* _tmp151_ = NULL;
									NoiseMedia* _tmp152_ = NULL;
									const gchar* _tmp153_ = NULL;
									const gchar* _tmp154_ = NULL;
									gboolean _tmp155_ = FALSE;
									gint _tmp156_ = 0;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp146_ = self->priv->_current;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp147_ = self->priv->_current_index;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp148_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp146_, (gpointer) ((gintptr) (_tmp147_ - 1)));
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp149_ = (NoiseMedia*) _tmp148_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp150_ = noise_media_get_artist (_tmp149_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp151_ = _tmp150_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp152_ = self->priv->_current_media;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp153_ = noise_media_get_artist (_tmp152_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp154_ = _tmp153_;
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp155_ = !(g_strcmp0 (_tmp151_, _tmp154_) == 0);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp149_);
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (_tmp155_) {
#line 361 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 1913 "PlaybackManager.c"
									}
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp156_ = self->priv->_current_index;
#line 362 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									self->priv->_current_index = _tmp156_ - 1;
#line 1919 "PlaybackManager.c"
								}
							} else {
								gboolean _tmp157_ = FALSE;
								NoiseSettingsMain* _tmp158_ = NULL;
								NoiseSettingsRepeat _tmp159_ = 0;
								NoiseSettingsRepeat _tmp160_ = 0;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp158_ = main_settings;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp159_ = noise_settings_main_get_repeat_mode (_tmp158_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp160_ = _tmp159_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (_tmp160_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 1934 "PlaybackManager.c"
									NoiseMedia* _tmp161_ = NULL;
									const gchar* _tmp162_ = NULL;
									const gchar* _tmp163_ = NULL;
									NoiseMedia* _tmp164_ = NULL;
									const gchar* _tmp165_ = NULL;
									const gchar* _tmp166_ = NULL;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp161_ = next_current;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp162_ = noise_media_get_album (_tmp161_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp163_ = _tmp162_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp164_ = now_current;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp165_ = noise_media_get_album (_tmp164_);
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp166_ = _tmp165_;
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp157_ = g_strcmp0 (_tmp163_, _tmp166_) != 0;
#line 1955 "PlaybackManager.c"
								} else {
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp157_ = FALSE;
#line 1959 "PlaybackManager.c"
								}
#line 364 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (_tmp157_) {
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									while (TRUE) {
#line 1965 "PlaybackManager.c"
										GeeHashMap* _tmp167_ = NULL;
										gint _tmp168_ = 0;
										gpointer _tmp169_ = NULL;
										NoiseMedia* _tmp170_ = NULL;
										const gchar* _tmp171_ = NULL;
										const gchar* _tmp172_ = NULL;
										NoiseMedia* _tmp173_ = NULL;
										const gchar* _tmp174_ = NULL;
										const gchar* _tmp175_ = NULL;
										gboolean _tmp176_ = FALSE;
										gint _tmp177_ = 0;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp167_ = self->priv->_current;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp168_ = self->priv->_current_index;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp169_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp167_, (gpointer) ((gintptr) (_tmp168_ - 1)));
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp170_ = (NoiseMedia*) _tmp169_;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp171_ = noise_media_get_album (_tmp170_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp172_ = _tmp171_;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp173_ = self->priv->_current_media;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp174_ = noise_media_get_album (_tmp173_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp175_ = _tmp174_;
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp176_ = !(g_strcmp0 (_tmp172_, _tmp175_) == 0);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_g_object_unref0 (_tmp170_);
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										if (_tmp176_) {
#line 365 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
											break;
#line 2003 "PlaybackManager.c"
										}
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp177_ = self->priv->_current_index;
#line 366 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										self->priv->_current_index = _tmp177_ - 1;
#line 2009 "PlaybackManager.c"
									}
								} else {
									gint _tmp178_ = 0;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp178_ = self->priv->_current_index;
#line 369 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									self->priv->_current_index = _tmp178_ + 1;
#line 2017 "PlaybackManager.c"
								}
							}
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp179_ = self->priv->_current;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp180_ = self->priv->_current_index;
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp181_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp179_, (gpointer) ((gintptr) _tmp180_));
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 372 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp181_;
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (now_current);
#line 355 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (next_current);
#line 2034 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp193_ = NULL;
							gpointer _tmp194_ = NULL;
							{
								GeeIterator* _s_it = NULL;
								NoiseLibrary* _tmp182_ = NULL;
								NoiseLibrary* _tmp183_ = NULL;
								GeeCollection* _tmp184_ = NULL;
								GeeCollection* _tmp185_ = NULL;
								GeeIterator* _tmp186_ = NULL;
								GeeIterator* _tmp187_ = NULL;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp182_ = noise_playback_manager_get_library (self);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp183_ = _tmp182_;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp184_ = noise_library_get_medias (_tmp183_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp185_ = _tmp184_;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp186_ = gee_iterable_iterator ((GeeIterable*) _tmp185_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp187_ = _tmp186_;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp185_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_s_it = _tmp187_;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 2064 "PlaybackManager.c"
									GeeIterator* _tmp188_ = NULL;
									gboolean _tmp189_ = FALSE;
									NoiseMedia* s = NULL;
									GeeIterator* _tmp190_ = NULL;
									gpointer _tmp191_ = NULL;
									NoiseMedia* _tmp192_ = NULL;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp188_ = _s_it;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp189_ = gee_iterator_next (_tmp188_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (!_tmp189_) {
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 2079 "PlaybackManager.c"
									}
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp190_ = _s_it;
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp191_ = gee_iterator_get (_tmp190_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									s = (NoiseMedia*) _tmp191_;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp192_ = s;
#line 375 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									noise_playback_manager_addToCurrent (self, _tmp192_);
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_g_object_unref0 (s);
#line 2093 "PlaybackManager.c"
								}
#line 374 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_s_it);
#line 2097 "PlaybackManager.c"
							}
#line 378 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							self->priv->_current_index = 0;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp193_ = self->priv->_current;
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp194_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp193_, (gpointer) ((gintptr) 0));
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 379 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp194_;
#line 2109 "PlaybackManager.c"
						}
					}
				}
			}
		}
	}
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp195_ = play;
#line 383 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp195_) {
#line 2120 "PlaybackManager.c"
		NoiseMedia* _tmp196_ = NULL;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp196_ = rv;
#line 384 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_playMedia (self, _tmp196_, FALSE);
#line 2126 "PlaybackManager.c"
	}
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = rv;
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 387 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 2134 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_getPrevious (NoisePlaybackManager* self, gboolean play) {
	NoiseMedia* result = NULL;
	NoiseMedia* rv = NULL;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	gboolean _tmp215_ = FALSE;
#line 391 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 392 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	rv = NULL;
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 394 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 395 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp3_ != NOISE_SETTINGS_SHUFFLE_OFF) {
#line 2163 "PlaybackManager.c"
		GeeHashMap* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
		NoiseMedia* _tmp18_ = NULL;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = self->priv->_current_shuffled;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = gee_map_get_is_empty ((GeeMap*) _tmp4_);
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = _tmp5_;
#line 396 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp6_) {
#line 2176 "PlaybackManager.c"
			{
				GeeIterator* _s_it = NULL;
				NoiseLibrary* _tmp7_ = NULL;
				NoiseLibrary* _tmp8_ = NULL;
				GeeCollection* _tmp9_ = NULL;
				GeeCollection* _tmp10_ = NULL;
				GeeIterator* _tmp11_ = NULL;
				GeeIterator* _tmp12_ = NULL;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp7_ = noise_playback_manager_get_library (self);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp8_ = _tmp7_;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp9_ = noise_library_get_medias (_tmp8_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp10_ = _tmp9_;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp11_ = gee_iterable_iterator ((GeeIterable*) _tmp10_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp12_ = _tmp11_;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (_tmp10_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_s_it = _tmp12_;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				while (TRUE) {
#line 2203 "PlaybackManager.c"
					GeeIterator* _tmp13_ = NULL;
					gboolean _tmp14_ = FALSE;
					NoiseMedia* s = NULL;
					GeeIterator* _tmp15_ = NULL;
					gpointer _tmp16_ = NULL;
					NoiseMedia* _tmp17_ = NULL;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp13_ = _s_it;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp14_ = gee_iterator_next (_tmp13_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (!_tmp14_) {
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						break;
#line 2218 "PlaybackManager.c"
					}
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp15_ = _s_it;
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp16_ = gee_iterator_get (_tmp15_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					s = (NoiseMedia*) _tmp16_;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp17_ = s;
#line 398 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					noise_playback_manager_addToCurrent (self, _tmp17_);
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (s);
#line 2232 "PlaybackManager.c"
				}
#line 397 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (_s_it);
#line 2236 "PlaybackManager.c"
			}
		}
#line 399 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_reshuffle (self);
#line 400 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self->priv->_playing_queued_song = FALSE;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp18_ = self->priv->_current_media;
#line 402 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp18_ == NULL) {
#line 2247 "PlaybackManager.c"
			GeeHashMap* _tmp19_ = NULL;
			gint _tmp20_ = 0;
			gint _tmp21_ = 0;
			GeeHashMap* _tmp22_ = NULL;
			gint _tmp23_ = 0;
			gpointer _tmp24_ = NULL;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp19_ = self->priv->_current_shuffled;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp20_ = gee_abstract_map_get_size ((GeeMap*) _tmp19_);
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp21_ = _tmp20_;
#line 403 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			self->priv->_current_shuffled_index = _tmp21_ - 1;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp22_ = self->priv->_current_shuffled;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp23_ = self->priv->_current_shuffled_index;
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp24_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp22_, (gpointer) ((gintptr) _tmp23_));
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (rv);
#line 404 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			rv = (NoiseMedia*) _tmp24_;
#line 2272 "PlaybackManager.c"
		} else {
			NoiseSettingsMain* _tmp25_ = NULL;
			NoiseSettingsRepeat _tmp26_ = 0;
			NoiseSettingsRepeat _tmp27_ = 0;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp25_ = main_settings;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp26_ = noise_settings_main_get_repeat_mode (_tmp25_);
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp27_ = _tmp26_;
#line 405 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			if (_tmp27_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 2285 "PlaybackManager.c"
				GeeHashMap* _tmp28_ = NULL;
				gint _tmp29_ = 0;
				gpointer _tmp30_ = NULL;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp28_ = self->priv->_current_shuffled;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp29_ = self->priv->_current_shuffled_index;
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp30_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp28_, (gpointer) ((gintptr) _tmp29_));
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 406 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp30_;
#line 2299 "PlaybackManager.c"
			} else {
				gint _tmp31_ = 0;
#line 407 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp31_ = self->priv->_current_shuffled_index;
#line 407 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp31_ == 0) {
#line 2306 "PlaybackManager.c"
					NoiseSettingsMain* _tmp32_ = NULL;
					NoiseSettingsRepeat _tmp33_ = 0;
					NoiseSettingsRepeat _tmp34_ = 0;
					GeeHashMap* _tmp38_ = NULL;
					gint _tmp39_ = 0;
					gpointer _tmp40_ = NULL;
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp32_ = main_settings;
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp33_ = noise_settings_main_get_repeat_mode (_tmp32_);
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp34_ = _tmp33_;
#line 408 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp34_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 2321 "PlaybackManager.c"
						GeeHashMap* _tmp35_ = NULL;
						gint _tmp36_ = 0;
						gint _tmp37_ = 0;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp35_ = self->priv->_current_shuffled;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp36_ = gee_abstract_map_get_size ((GeeMap*) _tmp35_);
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp37_ = _tmp36_;
#line 409 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						self->priv->_current_shuffled_index = _tmp37_ - 1;
#line 2333 "PlaybackManager.c"
					} else {
#line 411 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						noise_playback_manager_stop_playback (self);
#line 412 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						result = NULL;
#line 412 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (main_settings);
#line 412 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 412 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						return result;
#line 2345 "PlaybackManager.c"
					}
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp38_ = self->priv->_current_shuffled;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp39_ = self->priv->_current_shuffled_index;
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp40_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp38_, (gpointer) ((gintptr) _tmp39_));
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 415 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp40_;
#line 2357 "PlaybackManager.c"
				} else {
					gboolean _tmp41_ = FALSE;
					gint _tmp42_ = 0;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp42_ = self->priv->_current_shuffled_index;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp42_ > 0) {
#line 2365 "PlaybackManager.c"
						gint _tmp43_ = 0;
						GeeHashMap* _tmp44_ = NULL;
						gint _tmp45_ = 0;
						gint _tmp46_ = 0;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp43_ = self->priv->_current_shuffled_index;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp44_ = self->priv->_current_shuffled;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp45_ = gee_abstract_map_get_size ((GeeMap*) _tmp44_);
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp46_ = _tmp45_;
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp41_ = _tmp43_ < _tmp46_;
#line 2380 "PlaybackManager.c"
					} else {
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp41_ = FALSE;
#line 2384 "PlaybackManager.c"
					}
#line 416 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp41_) {
#line 2388 "PlaybackManager.c"
						gboolean _tmp47_ = FALSE;
						NoiseSettingsMain* _tmp48_ = NULL;
						NoiseSettingsRepeat _tmp49_ = 0;
						NoiseSettingsRepeat _tmp50_ = 0;
						GeeHashMap* _tmp102_ = NULL;
						gint _tmp103_ = 0;
						gpointer _tmp104_ = NULL;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp48_ = main_settings;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp49_ = noise_settings_main_get_repeat_mode (_tmp48_);
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp50_ = _tmp49_;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp50_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 2404 "PlaybackManager.c"
							GeeHashMap* _tmp51_ = NULL;
							gint _tmp52_ = 0;
							gpointer _tmp53_ = NULL;
							NoiseMedia* _tmp54_ = NULL;
							const gchar* _tmp55_ = NULL;
							const gchar* _tmp56_ = NULL;
							GeeHashMap* _tmp57_ = NULL;
							gint _tmp58_ = 0;
							gpointer _tmp59_ = NULL;
							NoiseMedia* _tmp60_ = NULL;
							const gchar* _tmp61_ = NULL;
							const gchar* _tmp62_ = NULL;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp51_ = self->priv->_current_shuffled;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp52_ = self->priv->_current_shuffled_index;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp53_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp51_, (gpointer) ((gintptr) (_tmp52_ - 1)));
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp54_ = (NoiseMedia*) _tmp53_;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp55_ = noise_media_get_artist (_tmp54_);
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp56_ = _tmp55_;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp57_ = self->priv->_current_shuffled;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp58_ = self->priv->_current_shuffled_index;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp59_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp57_, (gpointer) ((gintptr) _tmp58_));
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp60_ = (NoiseMedia*) _tmp59_;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp61_ = noise_media_get_artist (_tmp60_);
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp62_ = _tmp61_;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp47_ = g_strcmp0 (_tmp56_, _tmp62_) != 0;
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp60_);
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp54_);
#line 2447 "PlaybackManager.c"
						} else {
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp47_ = FALSE;
#line 2451 "PlaybackManager.c"
						}
#line 418 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp47_) {
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							while (TRUE) {
#line 2457 "PlaybackManager.c"
								GeeHashMap* _tmp63_ = NULL;
								gint _tmp64_ = 0;
								gpointer _tmp65_ = NULL;
								NoiseMedia* _tmp66_ = NULL;
								const gchar* _tmp67_ = NULL;
								const gchar* _tmp68_ = NULL;
								NoiseMedia* _tmp69_ = NULL;
								const gchar* _tmp70_ = NULL;
								const gchar* _tmp71_ = NULL;
								gboolean _tmp72_ = FALSE;
								gint _tmp73_ = 0;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp63_ = self->priv->_current_shuffled;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp64_ = self->priv->_current_shuffled_index;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp65_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp63_, (gpointer) ((gintptr) (_tmp64_ + 1)));
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp66_ = (NoiseMedia*) _tmp65_;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp67_ = noise_media_get_artist (_tmp66_);
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp68_ = _tmp67_;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp69_ = self->priv->_current_media;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp70_ = noise_media_get_artist (_tmp69_);
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp71_ = _tmp70_;
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp72_ = !(g_strcmp0 (_tmp68_, _tmp71_) == 0);
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp66_);
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (_tmp72_) {
#line 419 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									break;
#line 2495 "PlaybackManager.c"
								}
#line 420 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp73_ = self->priv->_current_shuffled_index;
#line 420 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								self->priv->_current_shuffled_index = _tmp73_ + 1;
#line 2501 "PlaybackManager.c"
							}
						} else {
							gboolean _tmp74_ = FALSE;
							NoiseSettingsMain* _tmp75_ = NULL;
							NoiseSettingsRepeat _tmp76_ = 0;
							NoiseSettingsRepeat _tmp77_ = 0;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp75_ = main_settings;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp76_ = noise_settings_main_get_repeat_mode (_tmp75_);
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp77_ = _tmp76_;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp77_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 2516 "PlaybackManager.c"
								GeeHashMap* _tmp78_ = NULL;
								gint _tmp79_ = 0;
								gpointer _tmp80_ = NULL;
								NoiseMedia* _tmp81_ = NULL;
								const gchar* _tmp82_ = NULL;
								const gchar* _tmp83_ = NULL;
								GeeHashMap* _tmp84_ = NULL;
								gint _tmp85_ = 0;
								gpointer _tmp86_ = NULL;
								NoiseMedia* _tmp87_ = NULL;
								const gchar* _tmp88_ = NULL;
								const gchar* _tmp89_ = NULL;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp78_ = self->priv->_current_shuffled;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp79_ = self->priv->_current_shuffled_index;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp80_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp78_, (gpointer) ((gintptr) (_tmp79_ - 1)));
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp81_ = (NoiseMedia*) _tmp80_;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp82_ = noise_media_get_album (_tmp81_);
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp83_ = _tmp82_;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp84_ = self->priv->_current_shuffled;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp85_ = self->priv->_current_shuffled_index;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp86_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp84_, (gpointer) ((gintptr) _tmp85_));
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp87_ = (NoiseMedia*) _tmp86_;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp88_ = noise_media_get_album (_tmp87_);
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp89_ = _tmp88_;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp74_ = g_strcmp0 (_tmp83_, _tmp89_) != 0;
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp87_);
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp81_);
#line 2559 "PlaybackManager.c"
							} else {
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp74_ = FALSE;
#line 2563 "PlaybackManager.c"
							}
#line 421 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp74_) {
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 2569 "PlaybackManager.c"
									GeeHashMap* _tmp90_ = NULL;
									gint _tmp91_ = 0;
									gpointer _tmp92_ = NULL;
									NoiseMedia* _tmp93_ = NULL;
									const gchar* _tmp94_ = NULL;
									const gchar* _tmp95_ = NULL;
									NoiseMedia* _tmp96_ = NULL;
									const gchar* _tmp97_ = NULL;
									const gchar* _tmp98_ = NULL;
									gboolean _tmp99_ = FALSE;
									gint _tmp100_ = 0;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp90_ = self->priv->_current_shuffled;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp91_ = self->priv->_current_shuffled_index;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp92_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp90_, (gpointer) ((gintptr) (_tmp91_ + 1)));
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp93_ = (NoiseMedia*) _tmp92_;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp94_ = noise_media_get_album (_tmp93_);
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp95_ = _tmp94_;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp96_ = self->priv->_current_media;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp97_ = noise_media_get_album (_tmp96_);
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp98_ = _tmp97_;
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp99_ = !(g_strcmp0 (_tmp95_, _tmp98_) == 0);
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp93_);
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (_tmp99_) {
#line 422 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 2607 "PlaybackManager.c"
									}
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp100_ = self->priv->_current_shuffled_index;
#line 423 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									self->priv->_current_shuffled_index = _tmp100_ + 1;
#line 2613 "PlaybackManager.c"
								}
							} else {
								gint _tmp101_ = 0;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp101_ = self->priv->_current_shuffled_index;
#line 425 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								self->priv->_current_shuffled_index = _tmp101_ - 1;
#line 2621 "PlaybackManager.c"
							}
						}
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp102_ = self->priv->_current_shuffled;
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp103_ = self->priv->_current_shuffled_index;
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp104_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp102_, (gpointer) ((gintptr) _tmp103_));
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 427 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp104_;
#line 2634 "PlaybackManager.c"
					} else {
						GeeHashMap* _tmp105_ = NULL;
						gint _tmp106_ = 0;
						gint _tmp107_ = 0;
						GeeHashMap* _tmp108_ = NULL;
						gint _tmp109_ = 0;
						gpointer _tmp110_ = NULL;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp105_ = self->priv->_current_shuffled;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp106_ = gee_abstract_map_get_size ((GeeMap*) _tmp105_);
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp107_ = _tmp106_;
#line 429 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						self->priv->_current_shuffled_index = _tmp107_ - 1;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp108_ = self->priv->_current_shuffled;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp109_ = self->priv->_current_shuffled_index;
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp110_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp108_, (gpointer) ((gintptr) _tmp109_));
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 430 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp110_;
#line 2660 "PlaybackManager.c"
					}
				}
			}
		}
	} else {
		NoiseMedia* _tmp111_ = NULL;
#line 433 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self->priv->_playing_queued_song = FALSE;
#line 435 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp111_ = self->priv->_current_media;
#line 435 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp111_ == NULL) {
#line 2673 "PlaybackManager.c"
			GeeHashMap* _tmp112_ = NULL;
			gint _tmp113_ = 0;
			gint _tmp114_ = 0;
			GeeHashMap* _tmp115_ = NULL;
			gint _tmp116_ = 0;
			gpointer _tmp117_ = NULL;
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp112_ = self->priv->_current;
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp113_ = gee_abstract_map_get_size ((GeeMap*) _tmp112_);
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp114_ = _tmp113_;
#line 436 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			self->priv->_current_index = _tmp114_ - 1;
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp115_ = self->priv->_current;
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp116_ = self->priv->_current_index;
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp117_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp115_, (gpointer) ((gintptr) _tmp116_));
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (rv);
#line 437 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			rv = (NoiseMedia*) _tmp117_;
#line 2698 "PlaybackManager.c"
		} else {
			NoiseSettingsMain* _tmp118_ = NULL;
			NoiseSettingsRepeat _tmp119_ = 0;
			NoiseSettingsRepeat _tmp120_ = 0;
#line 438 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp118_ = main_settings;
#line 438 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp119_ = noise_settings_main_get_repeat_mode (_tmp118_);
#line 438 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp120_ = _tmp119_;
#line 438 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			if (_tmp120_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 2711 "PlaybackManager.c"
				GeeHashMap* _tmp121_ = NULL;
				gint _tmp122_ = 0;
				gpointer _tmp123_ = NULL;
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp121_ = self->priv->_current;
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp122_ = self->priv->_current_index;
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp123_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp121_, (gpointer) ((gintptr) _tmp122_));
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 439 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp123_;
#line 2725 "PlaybackManager.c"
			} else {
				gint _tmp124_ = 0;
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp124_ = self->priv->_current_index;
#line 440 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp124_ == 0) {
#line 2732 "PlaybackManager.c"
					NoiseSettingsMain* _tmp125_ = NULL;
					NoiseSettingsRepeat _tmp126_ = 0;
					NoiseSettingsRepeat _tmp127_ = 0;
					GeeHashMap* _tmp131_ = NULL;
					gint _tmp132_ = 0;
					gpointer _tmp133_ = NULL;
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp125_ = main_settings;
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp126_ = noise_settings_main_get_repeat_mode (_tmp125_);
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp127_ = _tmp126_;
#line 441 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp127_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 2747 "PlaybackManager.c"
						GeeHashMap* _tmp128_ = NULL;
						gint _tmp129_ = 0;
						gint _tmp130_ = 0;
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp128_ = self->priv->_current;
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp129_ = gee_abstract_map_get_size ((GeeMap*) _tmp128_);
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp130_ = _tmp129_;
#line 442 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						self->priv->_current_index = _tmp130_ - 1;
#line 2759 "PlaybackManager.c"
					} else {
#line 444 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						noise_playback_manager_stop_playback (self);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						result = NULL;
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (main_settings);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 445 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						return result;
#line 2771 "PlaybackManager.c"
					}
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp131_ = self->priv->_current;
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp132_ = self->priv->_current_index;
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp133_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp131_, (gpointer) ((gintptr) _tmp132_));
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 448 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp133_;
#line 2783 "PlaybackManager.c"
				} else {
					gboolean _tmp134_ = FALSE;
					gint _tmp135_ = 0;
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp135_ = self->priv->_current_index;
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp135_ > 0) {
#line 2791 "PlaybackManager.c"
						gint _tmp136_ = 0;
						GeeHashMap* _tmp137_ = NULL;
						gint _tmp138_ = 0;
						gint _tmp139_ = 0;
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp136_ = self->priv->_current_index;
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp137_ = self->priv->_current;
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp138_ = gee_abstract_map_get_size ((GeeMap*) _tmp137_);
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp139_ = _tmp138_;
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp134_ = _tmp136_ < _tmp139_;
#line 2806 "PlaybackManager.c"
					} else {
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp134_ = FALSE;
#line 2810 "PlaybackManager.c"
					}
#line 449 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp134_) {
#line 2814 "PlaybackManager.c"
						gboolean _tmp140_ = FALSE;
						NoiseSettingsMain* _tmp141_ = NULL;
						NoiseSettingsRepeat _tmp142_ = 0;
						NoiseSettingsRepeat _tmp143_ = 0;
						GeeHashMap* _tmp195_ = NULL;
						gint _tmp196_ = 0;
						gpointer _tmp197_ = NULL;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp141_ = main_settings;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp142_ = noise_settings_main_get_repeat_mode (_tmp141_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp143_ = _tmp142_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp143_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 2830 "PlaybackManager.c"
							GeeHashMap* _tmp144_ = NULL;
							gint _tmp145_ = 0;
							gpointer _tmp146_ = NULL;
							NoiseMedia* _tmp147_ = NULL;
							const gchar* _tmp148_ = NULL;
							const gchar* _tmp149_ = NULL;
							GeeHashMap* _tmp150_ = NULL;
							gint _tmp151_ = 0;
							gpointer _tmp152_ = NULL;
							NoiseMedia* _tmp153_ = NULL;
							const gchar* _tmp154_ = NULL;
							const gchar* _tmp155_ = NULL;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp144_ = self->priv->_current;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp145_ = self->priv->_current_index;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp146_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp144_, (gpointer) ((gintptr) (_tmp145_ - 1)));
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp147_ = (NoiseMedia*) _tmp146_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp148_ = noise_media_get_artist (_tmp147_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp149_ = _tmp148_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp150_ = self->priv->_current;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp151_ = self->priv->_current_index;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp152_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp150_, (gpointer) ((gintptr) _tmp151_));
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp153_ = (NoiseMedia*) _tmp152_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp154_ = noise_media_get_artist (_tmp153_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp155_ = _tmp154_;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp140_ = g_strcmp0 (_tmp149_, _tmp155_) != 0;
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp153_);
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp147_);
#line 2873 "PlaybackManager.c"
						} else {
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp140_ = FALSE;
#line 2877 "PlaybackManager.c"
						}
#line 452 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (_tmp140_) {
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							while (TRUE) {
#line 2883 "PlaybackManager.c"
								GeeHashMap* _tmp156_ = NULL;
								gint _tmp157_ = 0;
								gpointer _tmp158_ = NULL;
								NoiseMedia* _tmp159_ = NULL;
								const gchar* _tmp160_ = NULL;
								const gchar* _tmp161_ = NULL;
								NoiseMedia* _tmp162_ = NULL;
								const gchar* _tmp163_ = NULL;
								const gchar* _tmp164_ = NULL;
								gboolean _tmp165_ = FALSE;
								gint _tmp166_ = 0;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp156_ = self->priv->_current;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp157_ = self->priv->_current_index;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp158_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp156_, (gpointer) ((gintptr) (_tmp157_ + 1)));
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp159_ = (NoiseMedia*) _tmp158_;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp160_ = noise_media_get_artist (_tmp159_);
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp161_ = _tmp160_;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp162_ = self->priv->_current_media;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp163_ = noise_media_get_artist (_tmp162_);
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp164_ = _tmp163_;
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp165_ = !(g_strcmp0 (_tmp161_, _tmp164_) == 0);
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp159_);
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (_tmp165_) {
#line 453 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									break;
#line 2921 "PlaybackManager.c"
								}
#line 454 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp166_ = self->priv->_current_index;
#line 454 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								self->priv->_current_index = _tmp166_ + 1;
#line 2927 "PlaybackManager.c"
							}
						} else {
							gboolean _tmp167_ = FALSE;
							NoiseSettingsMain* _tmp168_ = NULL;
							NoiseSettingsRepeat _tmp169_ = 0;
							NoiseSettingsRepeat _tmp170_ = 0;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp168_ = main_settings;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp169_ = noise_settings_main_get_repeat_mode (_tmp168_);
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp170_ = _tmp169_;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp170_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 2942 "PlaybackManager.c"
								GeeHashMap* _tmp171_ = NULL;
								gint _tmp172_ = 0;
								gpointer _tmp173_ = NULL;
								NoiseMedia* _tmp174_ = NULL;
								const gchar* _tmp175_ = NULL;
								const gchar* _tmp176_ = NULL;
								GeeHashMap* _tmp177_ = NULL;
								gint _tmp178_ = 0;
								gpointer _tmp179_ = NULL;
								NoiseMedia* _tmp180_ = NULL;
								const gchar* _tmp181_ = NULL;
								const gchar* _tmp182_ = NULL;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp171_ = self->priv->_current;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp172_ = self->priv->_current_index;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp173_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp171_, (gpointer) ((gintptr) (_tmp172_ - 1)));
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp174_ = (NoiseMedia*) _tmp173_;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp175_ = noise_media_get_album (_tmp174_);
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp176_ = _tmp175_;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp177_ = self->priv->_current;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp178_ = self->priv->_current_index;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp179_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp177_, (gpointer) ((gintptr) _tmp178_));
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp180_ = (NoiseMedia*) _tmp179_;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp181_ = noise_media_get_album (_tmp180_);
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp182_ = _tmp181_;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp167_ = g_strcmp0 (_tmp176_, _tmp182_) != 0;
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp180_);
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp174_);
#line 2985 "PlaybackManager.c"
							} else {
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp167_ = FALSE;
#line 2989 "PlaybackManager.c"
							}
#line 455 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp167_) {
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 2995 "PlaybackManager.c"
									GeeHashMap* _tmp183_ = NULL;
									gint _tmp184_ = 0;
									gpointer _tmp185_ = NULL;
									NoiseMedia* _tmp186_ = NULL;
									const gchar* _tmp187_ = NULL;
									const gchar* _tmp188_ = NULL;
									NoiseMedia* _tmp189_ = NULL;
									const gchar* _tmp190_ = NULL;
									const gchar* _tmp191_ = NULL;
									gboolean _tmp192_ = FALSE;
									gint _tmp193_ = 0;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp183_ = self->priv->_current;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp184_ = self->priv->_current_index;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp185_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp183_, (gpointer) ((gintptr) (_tmp184_ + 1)));
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp186_ = (NoiseMedia*) _tmp185_;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp187_ = noise_media_get_album (_tmp186_);
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp188_ = _tmp187_;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp189_ = self->priv->_current_media;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp190_ = noise_media_get_album (_tmp189_);
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp191_ = _tmp190_;
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp192_ = !(g_strcmp0 (_tmp188_, _tmp191_) == 0);
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp186_);
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (_tmp192_) {
#line 456 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 3033 "PlaybackManager.c"
									}
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp193_ = self->priv->_current_index;
#line 457 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									self->priv->_current_index = _tmp193_ + 1;
#line 3039 "PlaybackManager.c"
								}
							} else {
								gint _tmp194_ = 0;
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp194_ = self->priv->_current_index;
#line 459 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								self->priv->_current_index = _tmp194_ - 1;
#line 3047 "PlaybackManager.c"
							}
						}
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp195_ = self->priv->_current;
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp196_ = self->priv->_current_index;
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp197_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp195_, (gpointer) ((gintptr) _tmp196_));
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 461 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp197_;
#line 3060 "PlaybackManager.c"
					} else {
						GeeHashMap* _tmp209_ = NULL;
						gint _tmp210_ = 0;
						gint _tmp211_ = 0;
						GeeHashMap* _tmp212_ = NULL;
						gint _tmp213_ = 0;
						gpointer _tmp214_ = NULL;
						{
							GeeIterator* _s_it = NULL;
							NoiseLibrary* _tmp198_ = NULL;
							NoiseLibrary* _tmp199_ = NULL;
							GeeCollection* _tmp200_ = NULL;
							GeeCollection* _tmp201_ = NULL;
							GeeIterator* _tmp202_ = NULL;
							GeeIterator* _tmp203_ = NULL;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp198_ = noise_playback_manager_get_library (self);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp199_ = _tmp198_;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp200_ = noise_library_get_medias (_tmp199_);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp201_ = _tmp200_;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp202_ = gee_iterable_iterator ((GeeIterable*) _tmp201_);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp203_ = _tmp202_;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp201_);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_s_it = _tmp203_;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							while (TRUE) {
#line 3094 "PlaybackManager.c"
								GeeIterator* _tmp204_ = NULL;
								gboolean _tmp205_ = FALSE;
								NoiseMedia* s = NULL;
								GeeIterator* _tmp206_ = NULL;
								gpointer _tmp207_ = NULL;
								NoiseMedia* _tmp208_ = NULL;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp204_ = _s_it;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp205_ = gee_iterator_next (_tmp204_);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								if (!_tmp205_) {
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									break;
#line 3109 "PlaybackManager.c"
								}
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp206_ = _s_it;
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp207_ = gee_iterator_get (_tmp206_);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								s = (NoiseMedia*) _tmp207_;
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp208_ = s;
#line 464 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								noise_playback_manager_addToCurrent (self, _tmp208_);
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (s);
#line 3123 "PlaybackManager.c"
							}
#line 463 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_object_unref0 (_s_it);
#line 3127 "PlaybackManager.c"
						}
#line 466 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp209_ = self->priv->_current;
#line 466 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp210_ = gee_abstract_map_get_size ((GeeMap*) _tmp209_);
#line 466 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp211_ = _tmp210_;
#line 466 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						self->priv->_current_index = _tmp211_ - 1;
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp212_ = self->priv->_current;
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp213_ = self->priv->_current_index;
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp214_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp212_, (gpointer) ((gintptr) _tmp213_));
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 467 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp214_;
#line 3147 "PlaybackManager.c"
					}
				}
			}
		}
	}
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp215_ = play;
#line 471 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp215_) {
#line 3157 "PlaybackManager.c"
		NoiseMedia* _tmp216_ = NULL;
#line 472 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp216_ = rv;
#line 472 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_playMedia (self, _tmp216_, FALSE);
#line 3163 "PlaybackManager.c"
	}
#line 476 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = rv;
#line 476 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 476 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 3171 "PlaybackManager.c"
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return _data8_;
#line 3180 "PlaybackManager.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 3189 "PlaybackManager.c"
		NoisePlaybackManager* self;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self = _data8_->self;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_data8_->m);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (self);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_slice_free (Block8Data, _data8_);
#line 3199 "PlaybackManager.c"
	}
}


static gboolean __lambda12_ (Block8Data* _data8_) {
	NoisePlaybackManager* self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	NoiseMedia* _tmp1_ = NULL;
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self = _data8_->self;
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _data8_->m;
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp1_ != NULL) {
#line 3215 "PlaybackManager.c"
		NoiseMedia* _tmp2_ = NULL;
		NoiseMedia* _tmp3_ = NULL;
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp2_ = self->priv->_current_media;
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp3_ = _data8_->m;
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp0_ = _tmp2_ == _tmp3_;
#line 3224 "PlaybackManager.c"
	} else {
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp0_ = FALSE;
#line 3228 "PlaybackManager.c"
	}
#line 570 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp0_) {
#line 3232 "PlaybackManager.c"
		guint player_duration_s = 0U;
		NoisePlayback* _tmp4_ = NULL;
		gint64 _tmp5_ = 0LL;
		guint _tmp6_ = 0U;
#line 572 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = self->player;
#line 572 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = noise_playback_get_duration (_tmp4_);
#line 572 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		player_duration_s = (guint) (_tmp5_ / NOISE_NUMERIC_NANO_INV);
#line 573 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = player_duration_s;
#line 573 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp6_ > ((guint) 1)) {
#line 3247 "PlaybackManager.c"
			gint delta_s = 0;
			guint _tmp7_ = 0U;
			NoiseMedia* _tmp8_ = NULL;
			guint _tmp9_ = 0U;
			guint _tmp10_ = 0U;
			gint _tmp11_ = 0;
			gdouble _tmp12_ = 0.0;
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp7_ = player_duration_s;
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp8_ = _data8_->m;
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp9_ = noise_media_get_length (_tmp8_);
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp10_ = _tmp9_;
#line 574 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			delta_s = ((gint) _tmp7_) - ((gint) (_tmp10_ / NOISE_NUMERIC_MILI_INV));
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp11_ = delta_s;
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp12_ = fabs ((gdouble) _tmp11_);
#line 575 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			if (_tmp12_ > ((gdouble) 3)) {
#line 3271 "PlaybackManager.c"
				NoiseMedia* _tmp13_ = NULL;
				guint _tmp14_ = 0U;
				NoiseLibrary* _tmp15_ = NULL;
				NoiseLibrary* _tmp16_ = NULL;
				NoiseMedia* _tmp17_ = NULL;
#line 576 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp13_ = _data8_->m;
#line 576 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp14_ = player_duration_s;
#line 576 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				noise_media_set_length (_tmp13_, (guint) (_tmp14_ * NOISE_NUMERIC_MILI_INV));
#line 577 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp15_ = noise_playback_manager_get_library (self);
#line 577 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp16_ = _tmp15_;
#line 577 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp17_ = _data8_->m;
#line 577 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				noise_library_update_media (_tmp16_, _tmp17_, FALSE, FALSE);
#line 3291 "PlaybackManager.c"
			}
		}
	}
#line 582 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = FALSE;
#line 582 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 3299 "PlaybackManager.c"
}


static gboolean ___lambda12__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda12_ (self);
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 3308 "PlaybackManager.c"
}


void noise_playback_manager_playMedia (NoisePlaybackManager* self, NoiseMedia* m, gboolean use_resume_pos) {
	Block8Data* _data8_;
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	gint old_id = 0;
	NoiseMedia* _tmp2_ = NULL;
	NoiseMedia* _tmp6_ = NULL;
	NoiseMedia* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	gboolean found = FALSE;
	gboolean _tmp51_ = FALSE;
	NoiseMedia* _tmp59_ = NULL;
	GFile* _tmp60_ = NULL;
	GFile* _tmp61_ = NULL;
	gboolean _tmp62_ = FALSE;
	gint _tmp80_ = 0;
	gboolean _tmp83_ = FALSE;
	NoiseMedia* _tmp85_ = NULL;
	gint _tmp86_ = 0;
	gint _tmp87_ = 0;
	NoiseMedia* _tmp93_ = NULL;
	NoiseMedia* _tmp95_ = NULL;
	NoiseMedia* _tmp96_ = NULL;
	NoiseMedia* _tmp97_ = NULL;
	gboolean _tmp98_ = FALSE;
	GError * _inner_error_ = NULL;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (m != NULL);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_data8_->_ref_count_ = 1;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_data8_->self = g_object_ref (self);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = m;
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_data8_->m);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_data8_->m = _tmp1_;
#line 481 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	old_id = -1;
#line 484 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = self->priv->_current_media;
#line 484 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp2_ != NULL) {
#line 3363 "PlaybackManager.c"
		NoiseMedia* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
#line 485 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp3_ = self->priv->_current_media;
#line 485 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = noise_media_get_rowid (_tmp3_);
#line 485 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = _tmp4_;
#line 485 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		old_id = _tmp5_;
#line 3375 "PlaybackManager.c"
	}
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp6_ = _data8_->m;
#line 487 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_set_current_media (self, _tmp6_);
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp7_ = _data8_->m;
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp8_ = noise_media_get_location_unknown (_tmp7_);
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp9_ = _tmp8_;
#line 491 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp9_) {
#line 3389 "PlaybackManager.c"
		NoiseMedia* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		GFile* _tmp14_ = NULL;
		GFile* _tmp15_ = NULL;
		gboolean _tmp16_ = FALSE;
		gboolean _tmp17_ = FALSE;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp10_ = _data8_->m;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp11_ = noise_media_get_uri (_tmp10_);
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp12_ = _tmp11_;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp13_ = _tmp12_;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp14_ = g_file_new_for_uri (_tmp13_);
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp15_ = _tmp14_;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp16_ = g_file_query_exists (_tmp15_, NULL);
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp17_ = _tmp16_;
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp15_);
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_free0 (_tmp13_);
#line 492 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp17_) {
#line 3420 "PlaybackManager.c"
			NoiseMedia* _tmp18_ = NULL;
			NoiseMedia* _tmp19_ = NULL;
#line 493 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp18_ = _data8_->m;
#line 493 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			noise_media_set_location_unknown (_tmp18_, FALSE);
#line 494 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp19_ = _data8_->m;
#line 494 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			noise_media_set_unique_status_image (_tmp19_, NULL);
#line 3431 "PlaybackManager.c"
		} else {
#line 497 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			noise_playback_manager_stop_playback (self);
#line 498 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			block8_data_unref (_data8_);
#line 498 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_data8_ = NULL;
#line 498 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			return;
#line 3441 "PlaybackManager.c"
		}
	}
#line 502 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	found = FALSE;
#line 3446 "PlaybackManager.c"
	{
		GeeTreeSet* _tmp20_ = NULL;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp20_ = self->priv->playbacks;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_rec_mutex_lock (&self->priv->__lock_playbacks);
#line 3453 "PlaybackManager.c"
		{
			{
				GeeIterator* _playback_it = NULL;
				GeeTreeSet* _tmp21_ = NULL;
				GeeIterator* _tmp22_ = NULL;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp21_ = self->priv->playbacks;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp22_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp21_);
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_playback_it = _tmp22_;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				while (TRUE) {
#line 3467 "PlaybackManager.c"
					GeeIterator* _tmp23_ = NULL;
					gboolean _tmp24_ = FALSE;
					NoisePlayback* playback = NULL;
					GeeIterator* _tmp25_ = NULL;
					gpointer _tmp26_ = NULL;
					gboolean _tmp49_ = FALSE;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp23_ = _playback_it;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp24_ = gee_iterator_next (_tmp23_);
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (!_tmp24_) {
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						break;
#line 3482 "PlaybackManager.c"
					}
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp25_ = _playback_it;
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp26_ = gee_iterator_get (_tmp25_);
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					playback = (NoisePlayback*) _tmp26_;
#line 3490 "PlaybackManager.c"
					{
						GeeIterator* _supported_uri_it = NULL;
						NoisePlayback* _tmp27_ = NULL;
						GeeCollection* _tmp28_ = NULL;
						GeeCollection* _tmp29_ = NULL;
						GeeIterator* _tmp30_ = NULL;
						GeeIterator* _tmp31_ = NULL;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp27_ = playback;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp28_ = noise_playback_get_supported_uri (_tmp27_);
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp29_ = _tmp28_;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp30_ = gee_iterable_iterator ((GeeIterable*) _tmp29_);
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp31_ = _tmp30_;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp29_);
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_supported_uri_it = _tmp31_;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						while (TRUE) {
#line 3514 "PlaybackManager.c"
							GeeIterator* _tmp32_ = NULL;
							gboolean _tmp33_ = FALSE;
							gchar* supported_uri = NULL;
							GeeIterator* _tmp34_ = NULL;
							gpointer _tmp35_ = NULL;
							NoiseMedia* _tmp36_ = NULL;
							gchar* _tmp37_ = NULL;
							gchar* _tmp38_ = NULL;
							gchar* _tmp39_ = NULL;
							const gchar* _tmp40_ = NULL;
							gboolean _tmp41_ = FALSE;
							gboolean _tmp42_ = FALSE;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp32_ = _supported_uri_it;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp33_ = gee_iterator_next (_tmp32_);
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (!_tmp33_) {
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								break;
#line 3535 "PlaybackManager.c"
							}
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp34_ = _supported_uri_it;
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp35_ = gee_iterator_get (_tmp34_);
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							supported_uri = (gchar*) _tmp35_;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp36_ = _data8_->m;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp37_ = noise_media_get_uri (_tmp36_);
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp38_ = _tmp37_;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp39_ = _tmp38_;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp40_ = supported_uri;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp41_ = g_str_has_prefix (_tmp39_, _tmp40_);
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp42_ = _tmp41_;
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_free0 (_tmp39_);
#line 506 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							if (_tmp42_) {
#line 3561 "PlaybackManager.c"
								NoisePlayback* _tmp43_ = NULL;
								gdouble _tmp44_ = 0.0;
								NoisePlayback* _tmp45_ = NULL;
								NoisePlayback* _tmp46_ = NULL;
								NoisePlayback* _tmp47_ = NULL;
								gdouble _tmp48_ = 0.0;
#line 507 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp43_ = self->player;
#line 507 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp44_ = noise_playback_get_volume (_tmp43_);
#line 507 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								self->priv->saved_volume = _tmp44_;
#line 508 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								g_signal_emit_by_name (self, "changing-player");
#line 509 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp45_ = self->player;
#line 509 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								noise_playback_set_state (_tmp45_, GST_STATE_NULL);
#line 510 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								found = TRUE;
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp46_ = playback;
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp47_ = _g_object_ref0 (_tmp46_);
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_object_unref0 (self->player);
#line 511 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								self->player = _tmp47_;
#line 512 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp48_ = self->priv->saved_volume;
#line 512 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								noise_playback_manager_set_volume (self, _tmp48_);
#line 513 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								g_signal_emit_by_name (self, "player-changed");
#line 514 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_g_free0 (supported_uri);
#line 514 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								break;
#line 3600 "PlaybackManager.c"
							}
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_g_free0 (supported_uri);
#line 3604 "PlaybackManager.c"
						}
#line 505 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (_supported_uri_it);
#line 3608 "PlaybackManager.c"
					}
#line 517 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp49_ = found;
#line 517 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp49_ == TRUE) {
#line 518 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						break;
#line 3616 "PlaybackManager.c"
					}
				}
#line 504 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (_playback_it);
#line 3621 "PlaybackManager.c"
			}
		}
		__finally9:
		{
			GeeTreeSet* _tmp50_ = NULL;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp50_ = self->priv->playbacks;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			g_rec_mutex_unlock (&self->priv->__lock_playbacks);
#line 3631 "PlaybackManager.c"
		}
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			block8_data_unref (_data8_);
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_data8_ = NULL;
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			g_clear_error (&_inner_error_);
#line 503 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			return;
#line 3645 "PlaybackManager.c"
		}
	}
#line 522 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp51_ = found;
#line 522 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp51_ == FALSE) {
#line 3652 "PlaybackManager.c"
		NoiseMedia* _tmp52_ = NULL;
		NoiseIcon* _tmp53_ = NULL;
		NoiseIcon* _tmp54_ = NULL;
		GdkPixbuf* _tmp55_ = NULL;
		GdkPixbuf* _tmp56_ = NULL;
		NoiseMedia* _tmp57_ = NULL;
		NoiseMedia* _tmp58_ = NULL;
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp52_ = _data8_->m;
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp53_ = noise_icons_get_PROCESS_ERROR ();
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp54_ = _tmp53_;
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp55_ = noise_icon_render (_tmp54_, GTK_ICON_SIZE_MENU, NULL);
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp56_ = _tmp55_;
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_media_set_unique_status_image (_tmp52_, (GIcon*) _tmp56_);
#line 523 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp56_);
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp57_ = noise_playback_manager_getNext (self, TRUE);
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp58_ = _tmp57_;
#line 524 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp58_);
#line 525 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		block8_data_unref (_data8_);
#line 525 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_data8_ = NULL;
#line 525 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return;
#line 3686 "PlaybackManager.c"
	}
#line 529 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp59_ = _data8_->m;
#line 529 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp60_ = noise_media_get_file (_tmp59_);
#line 529 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp61_ = _tmp60_;
#line 529 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp62_ = g_file_query_exists (_tmp61_, NULL);
#line 529 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (!_tmp62_) {
#line 3698 "PlaybackManager.c"
		NoiseMedia* _tmp63_ = NULL;
		NoiseIcon* _tmp64_ = NULL;
		NoiseIcon* _tmp65_ = NULL;
		GdkPixbuf* _tmp66_ = NULL;
		GdkPixbuf* _tmp67_ = NULL;
		NoiseMedia* _tmp68_ = NULL;
		NoiseMedia* _tmp69_ = NULL;
		NoiseMedia* _tmp70_ = NULL;
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp63_ = _data8_->m;
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp64_ = noise_icons_get_PROCESS_ERROR ();
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp65_ = _tmp64_;
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp66_ = noise_icon_render (_tmp65_, GTK_ICON_SIZE_MENU, NULL);
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp67_ = _tmp66_;
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_media_set_unique_status_image (_tmp63_, (GIcon*) _tmp67_);
#line 530 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp67_);
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp68_ = _data8_->m;
#line 531 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_media_set_location_unknown (_tmp68_, TRUE);
#line 533 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp69_ = noise_playback_manager_getNext (self, TRUE);
#line 533 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp70_ = _tmp69_;
#line 533 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp70_);
#line 534 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		block8_data_unref (_data8_);
#line 534 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_data8_ = NULL;
#line 534 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return;
#line 3737 "PlaybackManager.c"
	} else {
		gboolean _tmp71_ = FALSE;
		NoiseMedia* _tmp72_ = NULL;
		gboolean _tmp73_ = FALSE;
		gboolean _tmp74_ = FALSE;
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp72_ = _data8_->m;
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp73_ = noise_media_get_location_unknown (_tmp72_);
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp74_ = _tmp73_;
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp74_) {
#line 3751 "PlaybackManager.c"
			NoiseMedia* _tmp75_ = NULL;
			GIcon* _tmp76_ = NULL;
			GIcon* _tmp77_ = NULL;
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp75_ = _data8_->m;
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp76_ = noise_media_get_unique_status_image (_tmp75_);
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp77_ = _tmp76_;
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp71_ = _tmp77_ != NULL;
#line 3763 "PlaybackManager.c"
		} else {
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp71_ = FALSE;
#line 3767 "PlaybackManager.c"
		}
#line 536 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		if (_tmp71_) {
#line 3771 "PlaybackManager.c"
			NoiseMedia* _tmp78_ = NULL;
			NoiseMedia* _tmp79_ = NULL;
#line 537 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp78_ = _data8_->m;
#line 537 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			noise_media_set_unique_status_image (_tmp78_, NULL);
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp79_ = _data8_->m;
#line 538 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			noise_media_set_location_unknown (_tmp79_, FALSE);
#line 3782 "PlaybackManager.c"
		}
	}
#line 542 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_change_gains_thread (self);
#line 546 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp80_ = self->next_gapless_id;
#line 546 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp80_ == 0) {
#line 3791 "PlaybackManager.c"
		NoisePlayback* _tmp81_ = NULL;
		NoiseMedia* _tmp82_ = NULL;
#line 547 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp81_ = self->player;
#line 547 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp82_ = _data8_->m;
#line 547 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_set_media (_tmp81_, _tmp82_);
#line 3800 "PlaybackManager.c"
	} else {
#line 550 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self->next_gapless_id = 0;
#line 3804 "PlaybackManager.c"
	}
#line 554 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp83_ = self->priv->_playing;
#line 554 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (!_tmp83_) {
#line 3810 "PlaybackManager.c"
		NoisePlayback* _tmp84_ = NULL;
#line 555 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp84_ = self->player;
#line 555 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_pause (_tmp84_);
#line 3816 "PlaybackManager.c"
	}
#line 558 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp85_ = _data8_->m;
#line 558 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp86_ = noise_media_get_rowid (_tmp85_);
#line 558 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp87_ = _tmp86_;
#line 558 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp87_ >= 0) {
#line 3826 "PlaybackManager.c"
		NoiseSettingsMain* _tmp88_ = NULL;
		NoiseSettingsMain* _tmp89_ = NULL;
		NoiseMedia* _tmp90_ = NULL;
		gint _tmp91_ = 0;
		gint _tmp92_ = 0;
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp88_ = noise_settings_main_get_default ();
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp89_ = _tmp88_;
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp90_ = _data8_->m;
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp91_ = noise_media_get_rowid (_tmp90_);
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp92_ = _tmp91_;
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_settings_main_set_last_media_playing (_tmp89_, _tmp92_);
#line 559 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp89_);
#line 3846 "PlaybackManager.c"
	}
#line 561 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp93_ = _data8_->m;
#line 561 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp93_ != NULL) {
#line 3852 "PlaybackManager.c"
		NoiseMedia* _tmp94_ = NULL;
#line 562 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp94_ = _data8_->m;
#line 562 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_signal_emit_by_name (self, "media-played", _tmp94_);
#line 3858 "PlaybackManager.c"
	}
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp95_ = _data8_->m;
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp96_ = noise_playback_manager_peek_queue (self);
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp97_ = _tmp96_;
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp98_ = _tmp95_ == _tmp97_;
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp97_);
#line 565 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp98_) {
#line 3872 "PlaybackManager.c"
		NoiseMedia* _tmp99_ = NULL;
		NoiseMedia* _tmp100_ = NULL;
#line 566 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp99_ = noise_playback_manager_poll_queue (self);
#line 566 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp100_ = _tmp99_;
#line 566 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp100_);
#line 3881 "PlaybackManager.c"
	}
#line 569 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 1000, ___lambda12__gsource_func, block8_data_ref (_data8_), block8_data_unref);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	block8_data_unref (_data8_);
#line 480 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_data8_ = NULL;
#line 3889 "PlaybackManager.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1278 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1278 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1279 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1279 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1279 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1279 "/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return result;
#line 3909 "PlaybackManager.c"
}


void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self) {
	NoiseSettingsEqualizer* equalizer_settings = NULL;
	NoiseSettingsEqualizer* _tmp0_ = NULL;
	NoiseSettingsEqualizer* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 587 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 588 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_equalizer_get_default ();
#line 588 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	equalizer_settings = _tmp0_;
#line 589 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = equalizer_settings;
#line 589 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_equalizer_get_equalizer_enabled (_tmp1_);
#line 589 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 589 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp3_) {
#line 3933 "PlaybackManager.c"
		gboolean automatic_enabled = FALSE;
		NoiseSettingsEqualizer* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
		gchar* selected_preset = NULL;
		NoiseSettingsEqualizer* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = equalizer_settings;
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp5_ = noise_settings_equalizer_get_auto_switch_preset (_tmp4_);
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp6_ = _tmp5_;
#line 590 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		automatic_enabled = _tmp6_;
#line 591 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp7_ = equalizer_settings;
#line 591 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp8_ = noise_settings_equalizer_get_selected_preset (_tmp7_);
#line 591 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp9_ = _tmp8_;
#line 591 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 591 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		selected_preset = _tmp10_;
#line 3961 "PlaybackManager.c"
		{
			GeeIterator* _p_it = NULL;
			NoiseSettingsEqualizer* _tmp11_ = NULL;
			GeeCollection* _tmp12_ = NULL;
			GeeCollection* _tmp13_ = NULL;
			GeeIterator* _tmp14_ = NULL;
			GeeIterator* _tmp15_ = NULL;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp11_ = equalizer_settings;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp12_ = noise_settings_equalizer_getPresets (_tmp11_);
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp13_ = _tmp12_;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp14_ = gee_iterable_iterator ((GeeIterable*) _tmp13_);
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp15_ = _tmp14_;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp13_);
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_p_it = _tmp15_;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			while (TRUE) {
#line 3985 "PlaybackManager.c"
				GeeIterator* _tmp16_ = NULL;
				gboolean _tmp17_ = FALSE;
				NoiseEqualizerPreset* p = NULL;
				GeeIterator* _tmp18_ = NULL;
				gpointer _tmp19_ = NULL;
				gboolean _tmp20_ = FALSE;
				NoiseEqualizerPreset* _tmp21_ = NULL;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp16_ = _p_it;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp17_ = gee_iterator_next (_tmp16_);
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (!_tmp17_) {
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					break;
#line 4001 "PlaybackManager.c"
				}
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp18_ = _p_it;
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp19_ = gee_iterator_get (_tmp18_);
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				p = (NoiseEqualizerPreset*) _tmp19_;
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp21_ = p;
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp21_ != NULL) {
#line 4013 "PlaybackManager.c"
					NoiseMedia* _tmp22_ = NULL;
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp22_ = self->priv->_current_media;
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp20_ = _tmp22_ != NULL;
#line 4019 "PlaybackManager.c"
				} else {
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp20_ = FALSE;
#line 4023 "PlaybackManager.c"
				}
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp20_) {
#line 4027 "PlaybackManager.c"
					gchar* preset_name = NULL;
					NoiseEqualizerPreset* _tmp23_ = NULL;
					const gchar* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					gchar* media_genre = NULL;
					NoiseMedia* _tmp26_ = NULL;
					const gchar* _tmp27_ = NULL;
					const gchar* _tmp28_ = NULL;
					gchar* _tmp29_ = NULL;
					gboolean _tmp30_ = FALSE;
					const gchar* _tmp31_ = NULL;
					const gchar* _tmp32_ = NULL;
					gboolean _tmp33_ = FALSE;
					gboolean match_genre = FALSE;
					gboolean _tmp37_ = FALSE;
					gboolean _tmp38_ = FALSE;
					gboolean _tmp39_ = FALSE;
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp23_ = p;
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp24_ = _tmp23_->name;
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp25_ = g_utf8_strdown (_tmp24_, (gssize) (-1));
#line 595 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					preset_name = _tmp25_;
#line 596 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp26_ = self->priv->_current_media;
#line 596 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp27_ = noise_media_get_genre (_tmp26_);
#line 596 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp28_ = _tmp27_;
#line 596 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp29_ = g_utf8_strdown (_tmp28_, (gssize) (-1));
#line 596 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					media_genre = _tmp29_;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp31_ = media_genre;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp32_ = preset_name;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp33_ = string_contains (_tmp31_, _tmp32_);
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp33_) {
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp30_ = TRUE;
#line 4073 "PlaybackManager.c"
					} else {
						const gchar* _tmp34_ = NULL;
						const gchar* _tmp35_ = NULL;
						gboolean _tmp36_ = FALSE;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp34_ = preset_name;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp35_ = media_genre;
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp36_ = string_contains (_tmp34_, _tmp35_);
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp30_ = _tmp36_;
#line 4086 "PlaybackManager.c"
					}
#line 598 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					match_genre = _tmp30_;
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp39_ = automatic_enabled;
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp39_) {
#line 4094 "PlaybackManager.c"
						gboolean _tmp40_ = FALSE;
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp40_ = match_genre;
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp38_ = _tmp40_;
#line 4100 "PlaybackManager.c"
					} else {
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp38_ = FALSE;
#line 4104 "PlaybackManager.c"
					}
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp38_) {
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp37_ = TRUE;
#line 4110 "PlaybackManager.c"
					} else {
						gboolean _tmp41_ = FALSE;
						gboolean _tmp42_ = FALSE;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp42_ = automatic_enabled;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!_tmp42_) {
#line 4118 "PlaybackManager.c"
							NoiseEqualizerPreset* _tmp43_ = NULL;
							const gchar* _tmp44_ = NULL;
							const gchar* _tmp45_ = NULL;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp43_ = p;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp44_ = _tmp43_->name;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp45_ = selected_preset;
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp41_ = g_strcmp0 (_tmp44_, _tmp45_) == 0;
#line 4130 "PlaybackManager.c"
						} else {
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp41_ = FALSE;
#line 4134 "PlaybackManager.c"
						}
#line 601 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp37_ = _tmp41_;
#line 4138 "PlaybackManager.c"
					}
#line 600 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp37_) {
#line 4142 "PlaybackManager.c"
						{
							gint i = 0;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							i = 0;
#line 4147 "PlaybackManager.c"
							{
								gboolean _tmp46_ = FALSE;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp46_ = TRUE;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 4154 "PlaybackManager.c"
									gint _tmp48_ = 0;
									NoisePlayback* _tmp49_ = NULL;
									gint _tmp50_ = 0;
									NoiseEqualizerPreset* _tmp51_ = NULL;
									gint _tmp52_ = 0;
									gint _tmp53_ = 0;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (!_tmp46_) {
#line 4163 "PlaybackManager.c"
										gint _tmp47_ = 0;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp47_ = i;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										i = _tmp47_ + 1;
#line 4169 "PlaybackManager.c"
									}
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp46_ = FALSE;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp48_ = i;
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (!(_tmp48_ < 10)) {
#line 603 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 4179 "PlaybackManager.c"
									}
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp49_ = self->player;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp50_ = i;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp51_ = p;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp52_ = i;
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp53_ = noise_equalizer_preset_getGain (_tmp51_, _tmp52_);
#line 604 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									noise_playback_set_equalizer_gain (_tmp49_, _tmp50_, _tmp53_);
#line 4193 "PlaybackManager.c"
								}
							}
						}
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_free0 (media_genre);
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_free0 (preset_name);
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (p);
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (_p_it);
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_free0 (selected_preset);
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (equalizer_settings);
#line 606 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						return;
#line 4211 "PlaybackManager.c"
					}
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_free0 (media_genre);
#line 594 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_free0 (preset_name);
#line 4217 "PlaybackManager.c"
				}
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (p);
#line 4221 "PlaybackManager.c"
			}
#line 593 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (_p_it);
#line 4225 "PlaybackManager.c"
		}
		{
			GeeIterator* _p_it = NULL;
			GeeCollection* _tmp54_ = NULL;
			GeeCollection* _tmp55_ = NULL;
			GeeIterator* _tmp56_ = NULL;
			GeeIterator* _tmp57_ = NULL;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp54_ = noise_equalizer_get_default_presets ();
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp55_ = _tmp54_;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp56_ = gee_iterable_iterator ((GeeIterable*) _tmp55_);
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp57_ = _tmp56_;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp55_);
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_p_it = _tmp57_;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			while (TRUE) {
#line 4247 "PlaybackManager.c"
				GeeIterator* _tmp58_ = NULL;
				gboolean _tmp59_ = FALSE;
				NoiseEqualizerPreset* p = NULL;
				GeeIterator* _tmp60_ = NULL;
				gpointer _tmp61_ = NULL;
				gboolean _tmp62_ = FALSE;
				NoiseEqualizerPreset* _tmp63_ = NULL;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp58_ = _p_it;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp59_ = gee_iterator_next (_tmp58_);
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (!_tmp59_) {
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					break;
#line 4263 "PlaybackManager.c"
				}
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp60_ = _p_it;
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp61_ = gee_iterator_get (_tmp60_);
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				p = (NoiseEqualizerPreset*) _tmp61_;
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp63_ = p;
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp63_ != NULL) {
#line 4275 "PlaybackManager.c"
					NoiseMedia* _tmp64_ = NULL;
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp64_ = self->priv->_current_media;
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp62_ = _tmp64_ != NULL;
#line 4281 "PlaybackManager.c"
				} else {
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp62_ = FALSE;
#line 4285 "PlaybackManager.c"
				}
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (_tmp62_) {
#line 4289 "PlaybackManager.c"
					gchar* preset_name = NULL;
					NoiseEqualizerPreset* _tmp65_ = NULL;
					const gchar* _tmp66_ = NULL;
					gchar* _tmp67_ = NULL;
					gchar* media_genre = NULL;
					NoiseMedia* _tmp68_ = NULL;
					const gchar* _tmp69_ = NULL;
					const gchar* _tmp70_ = NULL;
					gchar* _tmp71_ = NULL;
					gboolean _tmp72_ = FALSE;
					const gchar* _tmp73_ = NULL;
					const gchar* _tmp74_ = NULL;
					gboolean _tmp75_ = FALSE;
					gboolean match_genre = FALSE;
					gboolean _tmp79_ = FALSE;
					gboolean _tmp80_ = FALSE;
					gboolean _tmp81_ = FALSE;
#line 613 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp65_ = p;
#line 613 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp66_ = _tmp65_->name;
#line 613 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp67_ = g_utf8_strdown (_tmp66_, (gssize) (-1));
#line 613 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					preset_name = _tmp67_;
#line 614 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp68_ = self->priv->_current_media;
#line 614 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp69_ = noise_media_get_genre (_tmp68_);
#line 614 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp70_ = _tmp69_;
#line 614 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp71_ = g_utf8_strdown (_tmp70_, (gssize) (-1));
#line 614 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					media_genre = _tmp71_;
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp73_ = media_genre;
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp74_ = preset_name;
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp75_ = string_contains (_tmp73_, _tmp74_);
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp75_) {
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp72_ = TRUE;
#line 4335 "PlaybackManager.c"
					} else {
						const gchar* _tmp76_ = NULL;
						const gchar* _tmp77_ = NULL;
						gboolean _tmp78_ = FALSE;
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp76_ = preset_name;
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp77_ = media_genre;
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp78_ = string_contains (_tmp76_, _tmp77_);
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp72_ = _tmp78_;
#line 4348 "PlaybackManager.c"
					}
#line 616 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					match_genre = _tmp72_;
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp81_ = automatic_enabled;
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp81_) {
#line 4356 "PlaybackManager.c"
						gboolean _tmp82_ = FALSE;
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp82_ = match_genre;
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp80_ = _tmp82_;
#line 4362 "PlaybackManager.c"
					} else {
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp80_ = FALSE;
#line 4366 "PlaybackManager.c"
					}
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp80_) {
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp79_ = TRUE;
#line 4372 "PlaybackManager.c"
					} else {
						gboolean _tmp83_ = FALSE;
						gboolean _tmp84_ = FALSE;
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp84_ = automatic_enabled;
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						if (!_tmp84_) {
#line 4380 "PlaybackManager.c"
							NoiseEqualizerPreset* _tmp85_ = NULL;
							const gchar* _tmp86_ = NULL;
							const gchar* _tmp87_ = NULL;
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp85_ = p;
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp86_ = _tmp85_->name;
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp87_ = selected_preset;
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp83_ = g_strcmp0 (_tmp86_, _tmp87_) == 0;
#line 4392 "PlaybackManager.c"
						} else {
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							_tmp83_ = FALSE;
#line 4396 "PlaybackManager.c"
						}
#line 619 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_tmp79_ = _tmp83_;
#line 4400 "PlaybackManager.c"
					}
#line 618 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					if (_tmp79_) {
#line 4404 "PlaybackManager.c"
						{
							gint i = 0;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
							i = 0;
#line 4409 "PlaybackManager.c"
							{
								gboolean _tmp88_ = FALSE;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								_tmp88_ = TRUE;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
								while (TRUE) {
#line 4416 "PlaybackManager.c"
									gint _tmp90_ = 0;
									NoisePlayback* _tmp91_ = NULL;
									gint _tmp92_ = 0;
									NoiseEqualizerPreset* _tmp93_ = NULL;
									gint _tmp94_ = 0;
									gint _tmp95_ = 0;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (!_tmp88_) {
#line 4425 "PlaybackManager.c"
										gint _tmp89_ = 0;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										_tmp89_ = i;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										i = _tmp89_ + 1;
#line 4431 "PlaybackManager.c"
									}
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp88_ = FALSE;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp90_ = i;
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									if (!(_tmp90_ < 10)) {
#line 621 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
										break;
#line 4441 "PlaybackManager.c"
									}
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp91_ = self->player;
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp92_ = i;
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp93_ = p;
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp94_ = i;
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									_tmp95_ = noise_equalizer_preset_getGain (_tmp93_, _tmp94_);
#line 622 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
									noise_playback_set_equalizer_gain (_tmp91_, _tmp92_, _tmp95_);
#line 4455 "PlaybackManager.c"
								}
							}
						}
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_free0 (media_genre);
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_free0 (preset_name);
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (p);
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (_p_it);
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_free0 (selected_preset);
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						_g_object_unref0 (equalizer_settings);
#line 624 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
						return;
#line 4473 "PlaybackManager.c"
					}
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_free0 (media_genre);
#line 612 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_g_free0 (preset_name);
#line 4479 "PlaybackManager.c"
				}
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_g_object_unref0 (p);
#line 4483 "PlaybackManager.c"
			}
#line 611 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_g_object_unref0 (_p_it);
#line 4487 "PlaybackManager.c"
		}
#line 589 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_g_free0 (selected_preset);
#line 4491 "PlaybackManager.c"
	}
	{
		gint i = 0;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		i = 0;
#line 4497 "PlaybackManager.c"
		{
			gboolean _tmp96_ = FALSE;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			_tmp96_ = TRUE;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
			while (TRUE) {
#line 4504 "PlaybackManager.c"
				gint _tmp98_ = 0;
				NoisePlayback* _tmp99_ = NULL;
				gint _tmp100_ = 0;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (!_tmp96_) {
#line 4510 "PlaybackManager.c"
					gint _tmp97_ = 0;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					_tmp97_ = i;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					i = _tmp97_ + 1;
#line 4516 "PlaybackManager.c"
				}
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp96_ = FALSE;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp98_ = i;
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				if (!(_tmp98_ < 10)) {
#line 630 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
					break;
#line 4526 "PlaybackManager.c"
				}
#line 631 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp99_ = self->player;
#line 631 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				_tmp100_ = i;
#line 631 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
				noise_playback_set_equalizer_gain (_tmp99_, _tmp100_, 0);
#line 4534 "PlaybackManager.c"
			}
		}
	}
#line 633 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (equalizer_settings);
#line 633 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return;
#line 4542 "PlaybackManager.c"
}


void noise_playback_manager_stop_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_ = NULL;
	gint was_playing = 0;
	NoiseMedia* _tmp1_ = NULL;
	NoiseSettingsMain* _tmp5_ = NULL;
	NoiseSettingsMain* _tmp6_ = NULL;
	gint _tmp7_ = 0;
#line 636 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 637 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 637 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_pause (_tmp0_);
#line 638 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, FALSE);
#line 640 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	was_playing = 0;
#line 641 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = self->priv->_current_media;
#line 641 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp1_ != NULL) {
#line 4567 "PlaybackManager.c"
		NoiseMedia* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 642 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp2_ = self->priv->_current_media;
#line 642 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp3_ = noise_media_get_rowid (_tmp2_);
#line 642 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = _tmp3_;
#line 642 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		was_playing = _tmp4_;
#line 4579 "PlaybackManager.c"
	}
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp5_ = noise_settings_main_get_default ();
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp6_ = _tmp5_;
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_settings_main_set_last_media_playing (_tmp6_, 0);
#line 644 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp6_);
#line 645 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_set_current_media (self, NULL);
#line 647 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp7_ = was_playing;
#line 647 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "playback-stopped", _tmp7_);
#line 4595 "PlaybackManager.c"
}


void noise_playback_manager_start_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_ = NULL;
#line 650 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 651 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 651 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_play (_tmp0_);
#line 652 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, TRUE);
#line 654 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "playback-started");
#line 4611 "PlaybackManager.c"
}


void noise_playback_manager_pause_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_ = NULL;
#line 657 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 658 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 658 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_pause (_tmp0_);
#line 659 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, FALSE);
#line 661 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "playback-paused");
#line 4627 "PlaybackManager.c"
}


NoiseLibrary* noise_playback_manager_get_library (NoisePlaybackManager* self) {
	NoiseLibrary* result;
	NoiseLibrariesManager* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = noise_libraries_manager;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_->local_library;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = _tmp1_;
#line 62 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 4645 "PlaybackManager.c"
}


gboolean noise_playback_manager_get_playing (NoisePlaybackManager* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_playing;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = _tmp0_;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 4660 "PlaybackManager.c"
}


static void noise_playback_manager_set_playing (NoisePlaybackManager* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->_playing = _tmp0_;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "playing");
#line 4674 "PlaybackManager.c"
}


gdouble noise_playback_manager_get_volume (NoisePlaybackManager* self) {
	gdouble result;
	NoisePlayback* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 70 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = noise_playback_get_volume (_tmp0_);
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = _tmp1_;
#line 71 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 4692 "PlaybackManager.c"
}


void noise_playback_manager_set_volume (NoisePlaybackManager* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
	NoisePlayback* _tmp1_ = NULL;
	gdouble _tmp2_ = 0.0;
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 74 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->saved_volume = _tmp0_;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = self->player;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = value;
#line 75 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_set_volume (_tmp1_, _tmp2_);
#line 73 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "volume");
#line 4714 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self) {
	NoiseMedia* result;
	NoiseMedia* _tmp0_ = NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_media;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	result = _tmp0_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	return result;
#line 4729 "PlaybackManager.c"
}


static void noise_playback_manager_set_current_media (NoisePlaybackManager* self, NoiseMedia* value) {
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_media);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->_current_media = _tmp1_;
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "current-media");
#line 4748 "PlaybackManager.c"
}


gint noise_playback_manager_get_current_index (NoisePlaybackManager* self) {
	gint result;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 171 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 172 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp2_ == 0) {
#line 4767 "PlaybackManager.c"
		gint _tmp3_ = 0;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp3_ = self->priv->_current_index;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		result = _tmp3_;
#line 173 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return result;
#line 4775 "PlaybackManager.c"
	} else {
		gint _tmp4_ = 0;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = self->priv->_current_shuffled_index;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		result = _tmp4_;
#line 175 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		return result;
#line 4784 "PlaybackManager.c"
	}
}


void noise_playback_manager_set_current_index (NoisePlaybackManager* self, gint value) {
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 178 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	if (_tmp2_ == 0) {
#line 4803 "PlaybackManager.c"
		gint _tmp3_ = 0;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp3_ = value;
#line 179 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self->priv->_current_index = _tmp3_;
#line 4809 "PlaybackManager.c"
	} else {
		gint _tmp4_ = 0;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		_tmp4_ = value;
#line 181 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		self->priv->_current_shuffled_index = _tmp4_;
#line 4816 "PlaybackManager.c"
	}
#line 177 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "current-index");
#line 4820 "PlaybackManager.c"
}


static void noise_playback_manager_class_init (NoisePlaybackManagerClass * klass) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_parent_class = g_type_class_peek_parent (klass);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_type_class_add_private (klass, sizeof (NoisePlaybackManagerPrivate));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_playback_manager_get_property;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_playback_manager_set_property;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_playback_manager_finalize;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_LIBRARY, g_param_spec_object ("library", "library", "library", NOISE_TYPE_LIBRARY, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_PLAYING, g_param_spec_boolean ("playing", "playing", "playing", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_VOLUME, g_param_spec_double ("volume", "volume", "volume", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA, g_param_spec_object ("current-media", "current-media", "current-media", NOISE_TYPE_MEDIA, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_CURRENT_INDEX, g_param_spec_int ("current-index", "current-index", "current-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("current_cleared", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("queue_cleared", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("media_queued", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, GEE_TYPE_COLLECTION);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("media_played", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NOISE_TYPE_MEDIA);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("playback_stopped", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__INT, G_TYPE_NONE, 1, G_TYPE_INT);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("playback_started", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("playback_paused", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("changing_player", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_signal_new ("player_changed", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 4863 "PlaybackManager.c"
}


static void noise_playback_manager_noise_player_interface_init (NoisePlayerIface * iface) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	noise_playback_manager_noise_player_parent_iface = g_type_interface_peek_parent (iface);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	iface->add_playback = (void (*)(NoisePlayer*, NoisePlayback*)) noise_playback_manager_real_add_playback;
#line 4872 "PlaybackManager.c"
}


static void noise_playback_manager_instance_init (NoisePlaybackManager * self) {
	GeeTreeSet* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	GeeHashMap* _tmp2_ = NULL;
	NoiseStaticPlaylist* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv = NOISE_PLAYBACK_MANAGER_GET_PRIVATE (self);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_rec_mutex_init (&self->priv->__lock_playbacks);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_PLAYBACK, NULL, NULL, NULL, NULL, NULL);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->playbacks = _tmp0_;
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->_current = _tmp1_;
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp2_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->_current_shuffled = _tmp2_;
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp3_ = noise_static_playlist_new ();
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->queue_playlist = _tmp3_;
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_tmp4_ = noise_static_playlist_new ();
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->history_playlist = _tmp4_;
#line 67 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->_playing = FALSE;
#line 68 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self->priv->saved_volume = (gdouble) 1;
#line 4910 "PlaybackManager.c"
}


static void noise_playback_manager_finalize (GObject* obj) {
	NoisePlaybackManager * self;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	g_rec_mutex_clear (&self->priv->__lock_playbacks);
#line 50 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->playbacks);
#line 53 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current);
#line 56 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_shuffled);
#line 58 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->queue_playlist);
#line 59 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->history_playlist);
#line 83 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->file_player);
#line 84 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->player);
#line 85 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_media);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	G_OBJECT_CLASS (noise_playback_manager_parent_class)->finalize (obj);
#line 4938 "PlaybackManager.c"
}


GType noise_playback_manager_get_type (void) {
	static volatile gsize noise_playback_manager_type_id__volatile = 0;
	if (g_once_init_enter (&noise_playback_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePlaybackManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_playback_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePlaybackManager), 0, (GInstanceInitFunc) noise_playback_manager_instance_init, NULL };
		static const GInterfaceInfo noise_player_info = { (GInterfaceInitFunc) noise_playback_manager_noise_player_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType noise_playback_manager_type_id;
		noise_playback_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "NoisePlaybackManager", &g_define_type_info, 0);
		g_type_add_interface_static (noise_playback_manager_type_id, NOISE_TYPE_PLAYER, &noise_player_info);
		g_once_init_leave (&noise_playback_manager_type_id__volatile, noise_playback_manager_type_id);
	}
	return noise_playback_manager_type_id__volatile;
}


static void _vala_noise_playback_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoisePlaybackManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	switch (property_id) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_LIBRARY:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_library (self));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_PLAYING:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_value_set_boolean (value, noise_playback_manager_get_playing (self));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_VOLUME:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_value_set_double (value, noise_playback_manager_get_volume (self));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_current_media (self));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_INDEX:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		g_value_set_int (value, noise_playback_manager_get_current_index (self));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 4991 "PlaybackManager.c"
		default:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 4997 "PlaybackManager.c"
	}
}


static void _vala_noise_playback_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoisePlaybackManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
	switch (property_id) {
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_PLAYING:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_set_playing (self, g_value_get_boolean (value));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_VOLUME:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_set_volume (self, g_value_get_double (value));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_set_current_media (self, g_value_get_object (value));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_INDEX:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		noise_playback_manager_set_current_index (self, g_value_get_int (value));
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 5031 "PlaybackManager.c"
		default:
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/usr/src/RPM/BUILD/noise-0.3.1/src/PlaybackManager.vala"
		break;
#line 5037 "PlaybackManager.c"
	}
}



